<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : administracao/ajuda/cadastra_texto.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : administracao/ajuda/cadastra_texto.php
  ========================================================== */

  $bibliotecas="../../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("../admin.inc");
  include("ajuda.inc");

  VerificaAutenticacaoAdministracao();

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-5);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  PreparaCabecalhoAjuda($lista_frases);

  /*
  ==================
  Funcoes JavaScript
  ==================
  */

  echo("<script language=JavaScript>\n");

  /**********************************************************************
  Funcao AbrePopUp - JavaScript. Altera atributos do formulrio para submisso  janela de visualizao.
    Entrada: Nenhuma. Funcao especfica para o formulrio da pgina.
    Saida: Transforma o formulrio para o tipo 'submit' e manda o texto  janela "pop-up"
  */

  echo("function AbrePopUp()\n");
  echo("{\n");
  echo("  var excerto;\n");
  echo("  excerto = document.cadastra.texto.value;\n");
  echo("  document.cadastra.action=\"visualizar.php?".RetornaSessionID()."\";\n");
  echo("  window.open('visualizar.php?".RetornaSessionID()."&texto='+excerto,'','width=800,height=500,scrollbars,resizable,')");
  echo("}\n");

  /**********************************************************************
  Funcao AlteraTexto - JavaScript. Altera atributos do formulrio para submisso  pgina seguinte,
                       alterando o texto na base de dados.
    Entrada: Nenhuma. Funcao especfica para o formulrio da pgina.
    Saida: Transforma o formulrio para o tipo 'submit' e manda o texto  prxima pgina
  */

  echo("function AlteraTexto()\n");
  echo("{\n");
  echo("  document.cadastra.action=\"cadastra_texto2.php?".RetornaSessionID()."\";\n");
  echo("  document.cadastra.submit();\n");
  echo("}\n");

  echo("</script>\n");

  /*
  ==================
  Programa Principal
  ==================
  */

  echo("<ul><table width=700><tr><td valign=top>\n");

  echo("<form name=cadastra action=cadastra_texto2.php?".RetornaSessionID()." method=post>\n");

  /* ?? - Cadastro de texto da Ajuda */
  PreparaCabecalhoOpcao("Cadastro de texto da Ajuda");

  echo("<table cellpadding=0 cellspacing=0 width=100%><tr><td>\n");

  $lista_ferramentas=RetornaFerramentasOrdemMenu();

  $sock=Conectar("");

  $lista_lingua=ListaLinguas($sock);

  if($criar=='sim')
  {
    $cod_lingua=1;
    $modo="E";
  }

  /* 82 - Lngua: */
  echo(RetornaFraseDaLista($lista_frases,82)." <b>".$lista_lingua[$cod_lingua]."</b><br>\n");

  /* 83 - Ferramenta: */
  echo(RetornaFraseDaLista($lista_frases,83)." <b>\n");

  if ($cod_ferramenta<0)
    /* 140 - Configurar */
    echo(RetornaFraseDaLista($lista_frases,140)."</b><br>\n");
  else if ($cod_ferramenta==0)
    /* 80 - Administrao Interna (curso) */
    echo(RetornaFraseDaLista($lista_frases,80)."</b><br>\n");
  else
    echo($lista_ferramentas[$cod_ferramenta]."</b><br>\n");

  /* ?? - Modo de visualizao: */
  echo("Modo de visualiza&ccedil;&atilde;o: <b>\n");

  if ($tipo_usuario=="F")
    echo("Viso do Formador\n");
  else if ($tipo_usuario=="A")
    echo("Viso do Aluno\n");
  echo("</b><br>\n");

  echo("</td><td align=right>\n");
  /* 2 -  Cancelar */
  echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,2)."' onClick=\"document.location='index.php?".RetornaSessionID()."';\">\n");
  echo("</td></tr><tr><td>\n");

  echo("<hr><br>\n");

  $cod_lingua_base=1;

  if($criar=='sim')
    $cod_pagina=MaxCodPagina($sock,$cod_ferramenta,$cod_lingua,$tipo_usuario);
  else
  {
    $nome_pagina=RetornaNomePagina($sock,$cod_pagina,$cod_ferramenta,$cod_lingua,$tipo_usuario);
    $nome_pagina_base=RetornaNomePagina($sock,$cod_pagina,$cod_ferramenta,$cod_lingua_base,$tipo_usuario);
    $texto=RetornaTextoDaAjuda($sock,$cod_ferramenta,$cod_pagina,$cod_lingua,$tipo_usuario);
  }

  echo("<b>".$cod_pagina.": </b>\n");
  if ($criar=='nao')
    echo($nome_pagina_base."<br>\n");

  if ($criar=='sim' || $modo=='E')
    echo("<input type=text width=20 name=nome_pagina value='".$nome_pagina."'><br>\n");
  else
    echo($nome_pagina."<br>\n");

  echo("<br>\n");

  echo("</td></tr></table>\n");
  echo("<hr>\n");

  if ($modo=="E")
  {
    if ($cod_lingua!=1)
    {
      /* ?? - Texto base em portugus */
      echo("<table><tr>\n");
      echo("<td align=center><b>Texto base em portugus</b></td>\n");
      /* ?? - Texto a ser editado */
      echo("<td align=center><b>Texto a ser editado</b></td>\n");
      echo("</tr><tr>\n");

      $texto_base=RetornaTextoDaAjuda($sock,$cod_ferramenta,$cod_pagina,$cod_lingua_base,$tipo_usuario);

      echo("<td width=50% align=left valign=top>".$texto_base."</td>\n");
      echo("<td valign=top><textarea name=texto cols=40 rows=15>".$texto."</textarea>\n");
    }
    else
      echo("<textarea name=texto cols=80 rows=15>".$texto."</textarea>\n");

    echo("<br>\n");

    /* ?? - Visualizar */
    echo("<input type=button value='Visualizar' onclick=AbrePopUp();>\n");
    /* 24 - Alterar */
    echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,24)."' onClick=AlteraTexto();>\n");
    /* 2 - Cancelar */
    echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,2)."' onClick=\"document.location='index.php?".RetornaSessionID()."'\";>\n");

    if ($cod_lingua!=1)
      echo ("</td></tr></table>\n");
  }
  else if ($modo=="V")
  {
    if (isset($texto))
      echo ($texto);
    else
      /* ?? - No h texto cadastrado para essa pgina. */
      echo("No h texto cadastrado para essa pgina.");
  }

  echo("<input type=hidden name=cod_ferramenta value=".$cod_ferramenta.">\n");
  echo("<input type=hidden name=cod_pagina value=".$cod_pagina.">\n");
  echo("<input type=hidden name=cod_lingua value=".$cod_lingua.">\n");
  echo("<input type=hidden name=tipo_usuario value=".$tipo_usuario.">\n");
  echo("<input type=hidden name=criar value=".$criar.">\n");

  echo("</form>\n");

  echo("</td></tr></table></ul>\n");

  echo("<hr>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
?>