<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : administracao/ajuda/cadastra_texto2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : administracao/ajuda/cadastra_texto2.php
  ========================================================== */

  $bibliotecas="../../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("../admin.inc");
  include("ajuda.inc");

  VerificaAutenticacaoAdministracao();

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-5);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  PreparaCabecalhoAjuda($lista_frases);

  echo("<ul><table width=700><tr><td valign=top>\n");

  /* ?? - Cadastro de texto da Ajuda */
  PreparaCabecalhoOpcao("Cadastro de texto da Ajuda");

  echo("<table cellpadding=0 cellspacing=0 width=100%><tr><td>\n");

  if ($tipo_usuario=='A')
    $tipo_usuario_outro='F';
  else if ($tipo_usuario='F')
    $tipo_usuario_outro='A';

  $outras_paginas=RetornaPaginasdaFerramenta($sock,$cod_ferramenta,$cod_lingua,$tipo_usuario_outro);

  if (count($outras_paginas))
    foreach ($outras_paginas as $cod => $linha)
      if ($linha['nome_pagina']==$nome_pagina)
      {
        $cod_pagina_outra=$linha['cod_pagina'];
        if ($cod_pagina_outra>=$cod_pagina)
        {
          $mudou='sim';
          $cod_antigo=$cod_pagina;            /* variveis usadas para o caso de no estar criando */
          $cod_pagina=$cod_pagina_outra;
          unset($cod_pagina_outra);
        }
      }

  if (isset($cod_pagina_outra))
  {
    $max_outro=MaxCodPagina($sock,$cod_ferramenta,$cod_lingua,$tipo_usuario_outro);
    if ($max_outro > $cod_pagina)
    {
      $mudou='sim';
      $cod_antigo=$cod_pagina;               /* variveis usadas para o caso de no estar criando */
      $cod_pagina=$max_outro;
    }  
    AtualizaCodPagina($sock,$cod_ferramenta,$cod_pagina_outra,$cod_pagina,$tipo_usuario_outro);
  }

  if ($criar=='nao')
  {
    if ($mudou=='sim')
      AtualizaCodPagina($sock,$cod_ferramenta,$cod_antigo,$cod_pagina,$tipo_usuario);

    AtualizaNomePagina($sock,$cod_pagina,$nome_pagina,$cod_ferramenta,$cod_lingua,$tipo_usuario);
    AtualizaTexto($sock,$cod_ferramenta,$cod_pagina,$cod_lingua,$tipo_usuario,$texto);
  }
  else
  {
    $lista_lingua=ListaLinguas($sock);
    if (count($lista_lingua)>0)
      foreach($lista_lingua as $cod_lingua_outra => $lingua)
        if($cod_lingua_outra!=1)
          CriaCampoTexto($sock,$cod_ferramenta,$cod_pagina,'',$cod_lingua_outra,$tipo_usuario);

    CriaCampoTexto($sock,$cod_ferramenta,$cod_pagina,$nome_pagina,$cod_lingua,$tipo_usuario);
    AtualizaNomePagina($sock,$cod_pagina,$nome_pagina,$cod_ferramenta,$cod_lingua,$tipo_usuario);
    AtualizaTexto($sock,$cod_ferramenta,$cod_pagina,$cod_lingua,$tipo_usuario,$texto);
  }

  echo("</td></tr></table>\n");
  echo("<hr><br>\n");

  echo("Texto da Ajuda cadastrado com sucesso.\n");
  echo("<br><br>\n");

  echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onClick=\"document.location='index.php?".RetornaSessionID()."';\"></form>\n");

  echo("</td></tr></table></ul>\n");

  echo("<hr>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar ($sock);
?>