<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : administracao/estatistica/index.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : administracao/estatistica/index.php
  ========================================================== */

  $bibliotecas="../../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("../admin.inc");
  include("estat.inc");

  if (isset($cod_lingua) && $cod_lingua!="")
  {
    $cod_lingua_s=$cod_lingua;
    $sock=Conectar("");
    for ($c=-5;$c<20;$c++)
      if (ListaDeFrasesEmMemoria($c))
        MemorizaListaDeFrases($sock, $c);
    Desconectar($sock);
  }

  VerificaAutenticacaoAdministracao();

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-5);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  PreparaCabecalhoEstat($lista_frases);

  echo("<ul><table width=100%><tr><td valign=top>\n");

  /* 153 - Estatsticas do Ambiente */
  PreparaCabecalhoOpcao(RetornaFraseDaLista($lista_frases,153));


  /* 154 - Quantidade de Cursos */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,154),"num_cursos.php","");
  /* 155 - Quantidade de Alunos e Formadores por Curso */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,155),"alunos_curso.php","");
  /* 156 - Tamanho dos Arquivos dos Cursos */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,156),"tam_curso.php","");

  echo("</td>\n");

  echo("</td></tr></table></ul>\n");

  echo("<hr><div align=right>\n");

  /* 12 - Voltar para a pgina inicial */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,12)." da Administrao","../index.php","");

  echo("</div></B>\n");

  echo("</body>\n");
  echo("</html>\n");

?>
