<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/administracao/gerenciamento.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/administracao/gerenciamento.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("administracao.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,0);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Administrao */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=administracao.css>\n");

  if (!EFormador($sock,$cod_curso,$cod_usuario))
  {
    echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmErro.cmdVoltar.focus();'>\n");
    /* 1 - Administrao */
    $cabecalho = "    <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
    /* 28 - rea restrita ao formador. */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 28)."</b>";
    echo(PreparaCabecalho($cod_curso, $cabecalho, 0));
    echo("    <br>\n");
    /* 23 - Voltar (gen) */
    echo("<form name=frmErro><input class=text type=button name=cmdVoltar value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  if (!isset($ordem))
  {
    $ordem="nome";
  }

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");
  /* 1 - Administrao */
  $cabecalho = "    <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";

  if ($acao=="A")
  {
    /* 102 - Gerenciamento de Alunos */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 102)."</b>";
    $tipo_usuario="A";
    /* 109 - N de Alunos: */
    $frase_qtde=RetornaFraseDaLista($lista_frases,109);
  }
  else if ($acao=="F")
  {
    /* 103 - Gerenciamento de Formadores */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 103)."</b>";

    $tipo_usuario="F";
    /* 110 - N de Formadores: */
    $frase_qtde=RetornaFraseDaLista($lista_frases,110);
  }
  else
  {
    /* 74 - Gerenciamento de Inscries */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 74)."</b>";
    /* 78 - N de Inscries: */
    $frase_qtde=RetornaFraseDaLista($lista_frases,78);
  }
  echo(PreparaCabecalho($cod_curso, $cabecalho, 0));
  echo("    <br>\n");
  echo("<table width=100% border=0 class=g1field>\n");
  echo(" <tr valign=top align=center><td><br>\n");
  echo("  <table width=90% border=0><tr><td>\n");

  echo("    <form action=gerenciamento2.php name=gerenc method=post>\n");

  echo(RetornaSessionIDInput());
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");

  /* Cdigo de montagem do contedo a partir daqui */

  if ($acao=="N" || $acao=="C" || $acao=="R")
  {
    echo("<font class=text>\n");
    if ($acao=="N")
    {
      echo("<b>");
      $tipo_usuario="a";
    }
    else
      echo("<a href=gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=N&ordem=".$ordem.">");

    /* 75 - Inscries No Avaliadas */
    echo(RetornaFraseDaLista($lista_frases,75));

    if ($acao=="N")
      echo("</b>\n");
    else
      echo("</a>\n");

    echo("&nbsp;|&nbsp;\n");

    if ($acao=="C")
    {
      $tipo_usuario="A";
      echo("<b>");
    }
    else
      echo("<a href=gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=C&ordem=".$ordem.">");

    /* 76 - Inscries Aceitas */
    echo(RetornaFraseDaLista($lista_frases,76));

    if ($acao=="C")
      echo("</b>\n");
    else
      echo("</a>\n");

    echo("&nbsp;|&nbsp;\n");

    if ($acao=="R")
    {
      echo("<b>");
      $tipo_usuario="r";
    }
    else
      echo("<a href=gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=R&ordem=".$ordem.">");

    /* 77 - Inscries Rejeitadas */
    echo(RetornaFraseDaLista($lista_frases,77));

    if ($acao=="R")
      echo("</b>\n");
    else
      echo("</a>\n");

      echo("</font>\n");

      echo("<hr>\n");
  }

  $lista_usuarios=RetornaListaUsuariosDoGerenciamento($sock,$tipo_usuario,$ordem);

  echo("<table cellpadding=0 cellspacing=0 border=0 width=100%>\n");
  echo("  <tr><td>");
  echo("    <font class=text>\n");

/*
  if ($ordem=="data")
    // 105 - Ordenar por nome
    echo("<a href=gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&ordem=nome>".RetornaFraseDaLista($lista_frases,105)."</a>");
  else
    // 106 - Ordenar por data de inscrio
    echo("<a href=gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&ordem=data>".RetornaFraseDaLista($lista_frases,106)."</a>");
*/

  // 146 - Ordenar por:
  echo(RetornaFraseDaLista($lista_frases,146)." <select name=ordem onChange=\"document.location='gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&ordem='+this[this.selectedIndex].value;\">\n");

  $tmp = ($ordem == "nome" ? " selected" : "");
  // 147 - nome
  echo("  <option value=nome".$tmp.">".RetornaFraseDaLista($lista_frases,147)."\n");

  $tmp = ($ordem == "data" ? " selected" : "");
  // 155 - data de inscrio
  echo("  <option value=data".$tmp.">".RetornaFraseDaLista($lista_frases,155)."\n");

  echo("</select>\n");

  echo("</font></td>\n");

  $num=count($lista_usuarios);
  echo("  <td align=right><font class=text>".$frase_qtde." ".$num."</font></td></tr>\n");
  echo("</table><hr>\n");

  if ($num==0)
  {
    /* 104 - Nenhuma pessoa registrada. */
    echo("<font class=text>".RetornaFraseDaLista($lista_frases,104)."</font><br><br>\n");
  }
  else
  {
    echo("<table width=100%>\n");

    foreach($lista_usuarios as $cod_usuario_l => $linha)
    {
      echo("  <tr>\n");
      echo("    <td width=1%><input class=g1field type=checkbox name=cod_usu[] value=".$cod_usuario_l."></td>\n");
      echo("    <td class=text>".$linha['nome']."</td>\n");
      echo("    <td class=text>".Unixtime2Data($linha['data_inscricao'])."</td>\n");
      /* 79 - Dados */
      echo("    <td class=text><a href=gerenciamento2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&ordem=".$ordem."&opcao=dados&cod_usu[]=".$cod_usuario_l.">".RetornaFraseDaLista($lista_frases,79)."</a></td>\n");
      echo("  </tr>\n");
    }

    echo("</table>\n");

    /* 79 - Dados */
    echo("<input type=submit class=text value='".RetornaFraseDaLista($lista_frases,79)."' onClick=\"document.gerenc.method='get';document.gerenc.opcao.value='dados'\">\n");

    if ($acao=="N" || $acao=="R")
      /* 80 - Aceitar */
      echo("<input type=submit class=text value='".RetornaFraseDaLista($lista_frases,80)."' onClick=\"document.gerenc.opcao.value='aceitar'\">\n");

    if ($acao=="N" || $acao=="C")
      /* 81 - Rejeitar */
      echo("<input type=submit class=text value='".RetornaFraseDaLista($lista_frases,81)."' onClick=\"document.gerenc.opcao.value='rejeitar'\">\n");

    if ($acao=="F" && ECoordenador($sock,$cod_curso,$cod_usuario))
      /* 107 - Transformar em Aluno */
      echo("<input type=submit class=text value='".RetornaFraseDaLista($lista_frases,107)."' onClick=\"document.gerenc.opcao.value='aluno'\">\n");

    if ($acao=="A" && ECoordenador($sock,$cod_curso,$cod_usuario))
      /* 108 - Transformar em Formador */
      echo("<input type=submit class=text value='".RetornaFraseDaLista($lista_frases,108)."' onClick=\"document.gerenc.opcao.value='formador'\">\n");
  }

  echo("<input type=hidden name=acao value=".$acao.">\n");
  echo("<input type=hidden name=ordem value=".$ordem.">\n");
  echo("<input type=hidden name=opcao value=nenhuma>\n");
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");

  /* 23 - Voltar (ger) */
  echo("<div align=right><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' width=100 onClick='document.location=\"administracao.php?".RetornaSessionID()."&cod_curso=".$cod_curso."\";' class=text></div>\n");

  echo("</form>\n");

  echo("  </td></tr></table>\n");
  echo(" </td></tr>\n");
  echo("</table>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>