<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/administracao/gerenciamento2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/administracao/gerenciamento2.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("administracao.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,0);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $lista_esc=RetornaListaEscolaridade($sock);

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Administrao */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");

  if (!isset($SalvarEmArquivo))
  {
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=administracao.css>\n");
  }
  else
  {
    echo("  <style>\n");
    include "../teleduc.css";
    include "administracao.css";
    echo("  </style>\n");
  }

  if (!EFormador($sock,$cod_curso,$cod_usuario))
  {
    echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmErro.cmdVoltar.focus();'>\n");
    /* 1 - Administrao */
    $cabecalho = "    <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
    /* 28 - rea restrita ao formador. */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 28)."</b>";
    echo(PreparaCabecalho($cod_curso, $cabecalho, 0));
    echo("    <br>\n");
    /* 23 - Voltar (gen) */
    echo("<form name=frmErro><input class=text type=button name=cmdVoltar value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  if (!isset($ordem))
  {
    $ordem="nome";
  }

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");

  /* 1 - Administrao */
  $cabecalho = "    <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";

  if ($acao=="A")
  {
    /* 102 - Gerenciamento de Alunos */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 102)."</b>";
    $tipo_usuario="A";
  }
  else if ($acao=="F")
  {
    /* 103 - Gerenciamento de Formadores */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 103)."</b>";
    $tipo_usuario="F";
  }
  else
  {
    /* 74 - Gerenciamento de Inscries */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 74)."</b>";
  }
  echo(PreparaCabecalho($cod_curso, $cabecalho, 0));
  echo("    <br>\n");
  if (count($cod_usu)==0)
  {
    /* 114 - Nenhuma pessoa selecionada. */
    echo("<font class=text><b>".RetornaFraseDaLista($lista_frases,114)."</b></font><br><br>\n");
    /* 23 - Voltar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=\"document.location='gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&opcao=".$opcao."&ordem=".$ordem."';\"></form>\n");
  }
  else
  {
    echo("<table width=100% border=0 class=g1field>\n");
    echo(" <tr valign=top align=center><td>\n");
    echo("  <table width=90% border=0><tr><td>\n");

    if ($opcao=="aceitar" || $opcao=="rejeitar")
    {
      echo("    <form action=gerenciamento3.php name=gerenc method=post>\n");
      echo(RetornaSessionIDInput());
      echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
      echo("      <input type=hidden name=acao value='".$acao."'>\n");
      echo("      <input type=hidden name=opcao value='".$opcao."'>\n");
      echo("      <input type=hidden name=ordem value='".$ordem."'>\n");

      $dados_curso=DadosCursoParaEmail($sock);

      if ($opcao=="aceitar")
      {

        /* 90 - Aceitar Inscries */
        $titulo=RetornaFraseDaLista($lista_frases,90);

        /* 112 - Inscrio aceita */
        $assunto=RetornaFraseDaLista($lista_frases,112);

        /* 99 - Sua inscrio como aluno para o curso */
        /* 100 - foi aceita */
        /* 65 - Visite a pgina do curso para obter informaes sobre o seu incio */
        /* 101 - Agradecemos sinceramente o seu interesse */
        /* 66 - Atenciosamente, Coordenao do curso */

        $mensagem =RetornaFraseDaLista($lista_frases,99)." \"";
        $mensagem.=$dados_curso['nome_curso'];
        $mensagem.="\" ".RetornaFraseDaLista($lista_frases,100)."\n\n";
        $mensagem.=RetornaFraseDaLista($lista_frases,65)."\n\n";
        $mensagem.=RetornaFraseDaLista($lista_frases,101)."\n\n";
        $mensagem.=RetornaFraseDaLista($lista_frases,66)." ".$dados_curso['nome_curso']."\n";
      }
      else
      {
        /* 91 - Rejeitar Inscries */
        $titulo=RetornaFraseDaLista($lista_frases,91);

        /* 111 - Inscrio no aceita */
        $assunto=RetornaFraseDaLista($lista_frases,111);

        /* 96 - Infelizmente sua inscrio como aluno para o curso */
        /* 97 - no foi aceita */
        /* 98 - Agradecemos sinceramente o seu interesse e recomendamos a visita peridica do ambiente para a verificao de novos cursos agendados. */
        /* 66 - Atenciosamente, Coordenao do curso */

        $mensagem =RetornaFraseDaLista($lista_frases,96)." \"";
        $mensagem.=$dados_curso['nome_curso'];
        $mensagem.="\" ".RetornaFraseDaLista($lista_frases,97)."\n\n";
        $mensagem.=RetornaFraseDaLista($lista_frases,98)."\n\n";
        $mensagem.=RetornaFraseDaLista($lista_frases,66)." ".$dados_curso['nome_curso']."\n";

      }

      echo("<font class=subtitulo>".$titulo."</font><br><hr>\n");

      /* 82 - Editando Mensagem */
      echo("<font class=text><b>".RetornaFraseDaLista($lista_frases,82)."</b><br>\n");

      /* 83 - Titulo: */
      echo(RetornaFraseDaLista($lista_frases,83)."<br>\n");
      echo("</font>\n");

      echo("<input type=text size=60 name=assunto value='".$assunto."'><br>\n");

      echo("<font class=text>\n");
      /* 84 - Mensagem: */
      echo(RetornaFraseDaLista($lista_frases,84)."<br>\n");
      echo("</font>\n");
      echo("<textarea name=mensagem cols=60 rows=6>".$mensagem."</textarea><br>\n");

      if ($opcao=="aceitar")
      {
        echo("<font class=text color=red>".RetornaFraseDaLista($lista_frases,85)."</font><br>\n");

        /* 113 - Ao enviar a mensagem, estar confirmando a aceitao das inscries de: */
        echo("<br><font class=text>".RetornaFraseDaLista($lista_frases,113)."<br><i>\n");
      }
      else
      {
        /* 92 - Ao enviar a mensagem, estar confirmando a rejeio das inscries de: */
        echo("<br><font class=text>".RetornaFraseDaLista($lista_frases,92)."<br><i>\n");
      }
      foreach($cod_usu as $cod => $linha)
      {
        echo("- ".NomeUsuario($sock,$linha)."<br>\n");
        echo("      <input type=hidden name=cod_usu[] value='".$linha."'>\n");
      }
      echo("</i><br></font>\n");

      /* 11 - Enviar */
      echo("<input type=submit value='".RetornaFraseDaLista($lista_frases_geral,11)."'>\n");

      /* 2 - Cancelar */
      echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,2)."' onClick=history.go(-1);>\n");

      echo("</form>\n");
    }
    else if ($opcao=="aluno" || $opcao=="formador")
    {
      echo("<br>\n");
      if ($opcao=="formador")
      {
        $tipo_usuario="F";

        /* 115 - Aluno */
        /* 116 - transformado em formador. */
        $parte1=RetornaFraseDaLista($lista_frases,115);
        $parte2=RetornaFraseDaLista($lista_frases,116);
      }
      else
      {
        $tipo_usuario="A";

        /* 117 - Formador */
        /* 118 - transformado em aluno. */
        $parte1=RetornaFraseDaLista($lista_frases,117);
        $parte2=RetornaFraseDaLista($lista_frases,118);
      }
      foreach($cod_usu as $cod => $cod_usuario)
      {
        MudaTipoUsuario($sock,$cod_usuario,$tipo_usuario);
        echo("<font class=text>".$parte1." <b>".NomeUsuario($sock,$cod_usuario)."</b> ".$parte2."</font><br>\n");
        /* 23 - Voltar (gen) */
        echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=\"document.location='gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&opcao=".$opcao."&ordem=".$ordem."';\"></form>\n");
      }
    }
    else
    {
      session_register("cod_usu_s");
      $cod_usu_s=$cod_usu;
      /* Exibir dados dados */

      echo("<script language=JavaScript>\n");
      echo("  function OpenWindowPerfil(funcao)\n");
      echo("  {\n");
      echo("    window.open('../perfil/exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]='+funcao,'PerfilDisplay','width=600,height=400,top=120,left=120,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes');\n");
      echo("    return(false);\n");
      echo("  }\n");

      echo("function ImprimirRelatorio()\n");
      echo("{\n");
      echo("  if ((navigator.appName == 'Microsoft Internet Explorer' && navigator.appVersion.indexOf('5.')>=0) || navigator.appName == 'Netscape') \n");
      echo("  {\n");
      echo("    self.print();\n");
      echo("  }\n");
      echo("  else\n");
      echo("  {\n");

      /* 51 - Infelizmente no foi possvel imprimir automaticamente esse documento. Mantenha a tecla <Ctrl> pressionada enquanto pressiona a tecla <p> para imprimir. */
      echo("    alert('".RetornaFraseDaLista($lista_frases_geral,51)."');\n");
      echo("  }\n");
      echo("}\n");
      echo("</script>\n");

      echo("<br>\n");

      echo("<form action=alterar_email.php".RetornaSessionID()." name=para_alterar method=post>\n");

      foreach($cod_usu as $cod => $cod_usuario)
      {
        echo("<input type=hidden name=cod_usu[] value=".$cod_usuario.">\n");

        $dados=RetornaDadosUsuario($sock,$cod_usuario);

        echo("<font class=subtitulo>\n");
        if (($acao=="A" || $acao=="F") && $SalvarEmArquivo!=1)
          /* Gerenciamento de Aluno ou Formador */
          echo("<a href=# onClick=return(OpenWindowPerfil(".$dados['cod_usuario']."));>");
        echo($dados['nome']);
        if (($acao=="A" || $acao=="F") && $SalvarEmArquivo!=1) /* Gerenciamento de Aluno ou Formador */
          echo("</a>");
        echo("<br><br></font>\n");

        echo("<font class=text>\n");
        if ($dados['tipo_usuario']=="F")
          /* 120 - RG: */
          echo(RetornaFraseDaLista($lista_frases,120)." <b>".$dados['rg']."</b><br>\n");

        /* 121 - E-mail: */
        echo(RetornaFraseDaLista($lista_frases,121)." <b>".$dados['email']."</b><br>\n");

        /* 122 - Telefone: */
        echo(RetornaFraseDaLista($lista_frases,122)." <b>".$dados['telefone']."</b><br>\n");

        /* 123 - Endereo: */
        echo("<table cellpadding=0 cellspacing=0 border=0 class=text><tr><td valign=top>\n");
        echo(RetornaFraseDaLista($lista_frases,123)." </td><td><b>".$dados['endereco']."<br>\n");
        echo($dados['cidade']." - ".$dados['estado']." - ".$dados['pais']."</b></td></tr></table>\n");

        /* 124 - Data de Nascimento: */
        echo(RetornaFraseDaLista($lista_frases,124)." <b>".Unixtime2Data($dados['data_nasc'])."</b><br>\n");

        /* 125 - Sexo: */
        echo(RetornaFraseDaLista($lista_frases,125)." <b>");

        if ($dados['sexo']=="M")
          /* 126 - Masculino */
          echo(RetornaFraseDaLista($lista_frases,126));

        if ($dados['sexo']=="F")
          /* 127 - Feminino */
          echo(RetornaFraseDaLista($lista_frases,127));

        echo("</b><br>\n");

        /* 128 - Local de Trabalho: */
        echo(RetornaFraseDaLista($lista_frases,128)." <b>".$dados['local_trab']."</b><br>\n");

        /* 129 - Profisso: */
        echo(RetornaFraseDaLista($lista_frases,129)." <b>".$dados['profissao']."</b><br>\n");

        /* 130 - Escolaridade: */

        $escolaridade=RetornaFraseDaLista($lista_frases_geral,$lista_esc[$dados['cod_escolaridade']]['cod_texto_escolaridade']);
        echo(RetornaFraseDaLista($lista_frases,130)." <b>".$escolaridade."</b><br>\n");

        /* 131 - Informaes Adicionais: */
        echo(RetornaFraseDaLista($lista_frases,131)." <b>".$dados['informacoes']."</b><br>\n");

        /* 132 - Data de Inscrio: */
        echo(RetornaFraseDaLista($lista_frases,132)." <b>".Unixtime2Data($dados['data_inscricao'])."</b><br>\n");

        echo("<br><div align=left>\n");
        if ($dados['tipo_usuario']!="F")
          {
          /*  159 - Alterar E-mail */
          //echo("<input type=button value='".RetornaFraseDaLista($lista_frases,159)."' onclick=\"document.location='alterar_email.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&ordem=".$ordem."&opcao=".$opcao."&cod_usuario_val=".$cod_usuario."';\">\n");
          echo("<input type=submit value='".RetornaFraseDaLista($lista_frases,159)."' onClick=\"document.para_alterar.cod_usuario_val.value=".$cod_usuario."\">\n");
          }

        echo("</div>\n");

        echo("<hr>\n");
      }

      echo("<input type=hidden name=acao value=".$acao.">\n");
      echo("<input type=hidden name=ordem value=".$ordem.">\n");
      echo("<input type=hidden name=opcao value=".$opcao.">\n");
      echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
      echo("<input type=hidden name=cod_usuario_val value=nenhum>\n");

      echo("</form><form>\n");
      echo("<div align=right>");

      /* 50 - Salvar em Arquivo (ger) */
      if ($SalvarEmArquivo!=1)
        echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,50)."' onclick=\"document.location='salvar_gerenciamento2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&ordem=".$ordem."&opcao=".$opcao."';\">\n");

      /* 14 - Imprimir */
      echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,14)."' onClick=ImprimirRelatorio();>\n");

      if ($SalvarEmArquivo!=1)
        /* 23 - Voltar */
        echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=\"document.location='gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&ordem=".$ordem."';\">\n");

      echo("</div></form>\n");

    }

    echo("  </td></tr></table>\n");
    echo(" </td></tr>\n");
    echo("</table>\n");
  }

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>
