<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/batepapo/ver_sessao.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/batepapo/ver_sessao.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("batepapo.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,10);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);
 
  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,10);

  echo("<html>\n");
  /* 1 - Bate-papo */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");

  if (!isset($SalvarEmArquivo))
  {
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=batepapo.css>\n");
  }
  else
  {
    echo("  <style>\n");
    include "../teleduc.css";
    include "batepapo.css";
    echo("  </style>\n");
  }

  echo("<script language=javascript>\n");

  echo("  function ImprimirRelatorio()\n");
  echo("  {\n");
  echo("    if ((navigator.appName == 'Microsoft Internet Explorer' && navigator.appVersion.indexOf('5.')>=0) || navigator.appName == 'Netscape') \n");
  echo("    {\n");
  echo("      self.print();\n");
  echo("    }\n");
  echo("    else\n");
  echo("    {\n");
  /* 45- Infelizmente no foi possvel imprimir automaticamente esse documento. Mantenha a tecla <Ctrl> pressionada enquanto pressiona a tecla <p> para imprimir. */
  echo("      alert('".RetornaFraseDaLista($lista_frases,45)."');\n");
  echo("    }\n");
  echo("  }\n");

  echo("  function OpenWindowLink(funcao)\n");
  echo("  {\n");
  echo("    window.open(\"../perfil/exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]=\"+funcao,\"PerfilDisplay\",\"width=600,height=400,top=120,left=120,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
  echo("    return(false);\n");
  echo("  }\n");

  echo("</script>\n");

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white onload=self.focus();>\n");
  /* 1 - Bate-Papo */
  $cabecalho ="<b class=titulo>".RetornaFraseDaLista($lista_frases,1)."</b>";
  /* 43 - Ver sesso */
  $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,43)."</b>";
  echo(PreparaCabecalho($cod_curso,$cabecalho,10));


  echo("<br>\n");
  echo("<p>\n");

  $linha=RetornaSessao($sock,$cod_sessao);
   
  /* 40 - Assunto da Sesso */
  echo("<font class=text><b>".RetornaFraseDaLista($lista_frases,40).":</b> ".$linha['Assunto']."<br>\n");

  /* 29 - Incio */
  echo("<b>".RetornaFraseDaLista($lista_frases,29).":</b> ".Unixtime2DataHora($linha['DataInicio'])."<br>\n");
  /* 30 - Fim */
  echo("<b>".RetornaFraseDaLista($lista_frases,30).":</b> ".Unixtime2DataHora($linha['DataFim'])."<br>\n");

  echo("<hr>\n");
  $lista=RetornaListaApelidos($sock,$cod_sessao);
  
  /* 44 - Participantes */
  echo("<b>".RetornaFraseDaLista($lista_frases,44).":</b><br>\n");
  if (count($lista)>0)
    foreach ($lista as $cod => $linha)
    {
      if ($cod>0)
      {
        echo($linha." ('<a href=# onclick=OpenWindowLink(".$cod.");>\n");
        echo(NomeUsuario($sock,$cod)."</a>')<br>\n");
      }
      else
        echo($linha." ('".NomeUsuario($sock,$cod)."')<br>\n");
    }

  echo("</font><hr>\n");

  $lista_conversas=RetornaConversaSessao($sock,$cod_sessao);

  if (count($lista_conversas)>0)
    foreach ($lista_conversas as $cod => $linha)
    {
      echo("<font class=textsmall>(".Unixtime2Hora($linha['Data']).")</font>\n");
      if ($cod_usuario == $linha['cod_usuario']) 
      {
        print "<font class=text color=#007700>";
      }
      if ($cod_usuario == $linha['cod_usuario_r']) 
      {
        print "<font class=text color=#000099>";
      }
      echo("<b>".$linha['Apelido']."</b> ".RetornaFraseDaLista($lista_frases,$linha['cod_texto_fala'])." ");
      if ($linha['cod_texto_fala']>8) /* No  entrada ou sada... */
        echo("<b>".$linha['ApelidoR']."</b>: ".$linha['Mensagem']);
      echo("</font>\n");

      echo("<br>\n");
    }

  echo("<hr>\n");
  echo("<form action=salvar_sessao.php method=get><table width=100%><tr><td align=right>\n");
  echo(RetornaSessionIDInput());
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("  <input type=hidden name=cod_sessao value=".$cod_sessao.">\n");
  /* 46 - Salvar em Arquivo */
  if (!isset($SalvarEmArquivo))

    echo("  <input type=submit value='".RetornaFraseDaLista($lista_frases,46)."'>&nbsp;&nbsp;&nbsp;\n");
/*
    echo("  <input type=button value='".RetornaFraseDaLista($lista_frases,46)."' onClick=\"document.location.href='salvar_sessao.php?cod_curso=".$cod_curso."&cod_sessao=".$cod_sessao."&".RetornaSessionID()."';\">&nbsp;&nbsp;&nbsp;\n");
*/

  /* 14 - Imprimir */
  echo("  <input type=button value='".RetornaFraseDaLista($lista_frases_geral,14)."' onClick=ImprimirRelatorio();>\n");

  /* 13 - Fechar (ger) */
  if (!isset($SalvarEmArquivo))
    echo("  &nbsp;&nbsp;&nbsp;<input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onClick=self.close()>\n");
  echo("</td></tr></table></form>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>
