<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/diario/diario.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/diario/diario.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("diario.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 14);
  $lista_frases_geral = RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,14);

  MarcaAcesso($sock, $cod_usuario, 14);

  /* Verifica se o usuario eh formador. */
  $usr_formador = EFormador($sock, $cod_curso, $cod_usuario);

  /* Verifica se o usuario  visitante. */
  $usr_visitante = EVisitante($sock, $cod_curso, $cod_usuario);

  /* Se o cdigo do usurio cujo dirio ser exibido no */
  /* estiver definido, atribui-lhe o cdigo do usurio   */
  /* que est visualizando o dirio, por padro.         */
  if (!isset($cod_propriet))
    $cod_propriet = $cod_usuario;

  // verifica se eh dono do diario
  $dono_diario = VerificaDonoDiario ($sock, $cod_curso, $cod_usuario, $cod_propriet);

  if (isset ($acao) && $acao == "mudarcomp")
  {
    AlteraTipoCompartilhamento ($sock, $cod_item, $tipo_comp);
  }

  echo("  <html>\n");
  /* 1 - Dirio de Bordo */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=diario.css>\n");
  echo("\n");

  if ($usr_visitante)
  {
    echo("  <body link=#0000ff vlink=#0000ff bgcolor=white>\n");
    /* 1 - Dirio de Bordo */
    $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
    /* 7 - rea restrita a alunos e formadores */
    $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 7)."</b>";
    echo(PreparaCabecalho($cod_curso, $cabecalho, 14));

    echo("    <br>\n");
    echo("    <p>\n");
//    echo("    <form><input type=button class=text value='".RetornaFraseDaLista($lista_frases_geral, 23)."' ");
//    echo("onClick='history.go(-1);'></form>\n");
    echo("  </body>\n");
    echo("  </html>\n");
    exit();
  }

/*
  if (isset ($cod_ferramenta))
  {
    // primeira vez que o cara entra no diario. Redirecionamos para ver_outros.php
    echo("  <script language=JavaScript>\n");
    echo("    document.location = 'ver_outros.php?".RetornaSessionID()."&cod_curso=".$cod_curso."';\n");
    echo("  </script>\n");
    exit ();
  }
*/

  echo("  <script language=JavaScript src=../bibliotecas/dhtmllib.js></script>\n");
  echo("  <script language=JavaScript>\n\n");

  echo("    var isNav = (navigator.appName.indexOf(\"Netscape\") !=-1);\n");
  echo("    var isIE = (navigator.appName.indexOf(\"Microsoft\") !=-1);\n");

  echo("    if (isNav)\n");
  echo("    {\n");
  echo("      document.captureEvents(Event.MOUSEMOVE);\n");
  echo("    }\n");
  echo("    document.onmousemove = TrataMouse;\n\n");

  echo("    function TrataMouse(e)\n");
  echo("    {\n");
  echo("      Ypos = (isMinNS4) ? e.pageY : event.clientY;\n");
  echo("      Xpos = (isMinNS4) ? e.pageX : event.clientX;\n");
  echo("    }\n\n");

  echo("    var selected_item;\n");

  echo("    function getPageScrollY()\n");
  echo("    {\n");
  echo("      if (isNav)\n");
  echo("        return(window.pageYOffset);\n");
  echo("      if (isIE)\n");
  echo("        return(document.body.scrollTop);\n");
  echo("    }\n\n");
  echo("    function AjustePosMenuIE()\n");
  echo("    {\n");
  echo("      if (isIE)\n");
  echo("        return(getPageScrollY());\n");
  echo("      else\n");
  echo("        return(0);\n");
  echo("    }\n\n");

  /* Iniciliza os layers. Se o usuario for o proprietrio do dirio ento */
  /* atribui layer_renomear  varivel lay_renomear.                      */
  echo("    function iniciar()\n");
  echo("    {\n");
  if ($dono_diario)
  {
    echo("      lay_renomear = getLayer('layer_renomear');\n");
    echo("      lay_comp = getLayer('layer_comp');\n");
  }
  echo("      lay_item = getLayer('layer_item');\n");
  echo("    }\n\n");

  // Esconde o layer especificado por cod_layer.
  echo("    function EscondeLayer(cod_layer)\n");
  echo("    {\n");
  echo("      hideLayer(cod_layer);\n");
  echo("    }\n\n");

  /* Esconde todos os layers. Se o usuario for o proprietrio do dirio   */
  /* visualizado ento esconde o layer para renomear o item.              */
  echo("    function EscondeLayers()\n");
  echo("    {\n");
  if ($dono_diario)
  {
    echo("      hideLayer(lay_renomear);\n");
    echo("      hideLayer(lay_comp);\n");
  }
  echo("      hideLayer(lay_item);\n");
  echo("    }\n\n");

  /* Exibe o layer especificado por cod_layer.                            */
  echo("    function MostraLayer(cod_layer)\n");
  echo("    {\n");
  echo("      EscondeLayers();\n");
  echo("      moveLayerTo(cod_layer, Xpos, Ypos + AjustePosMenuIE());\n");
  echo("      showLayer(cod_layer);\n");
  echo("    }\n\n");

  echo("    function OpenWindowPerfil(id)\n");
  echo("    {\n");
  echo("      window.open(\"../perfil/exibir_perfis.php?".RetornaSessionID());
  echo("&cod_curso=".$cod_curso."&cod_aluno[]=\" + id, \"PerfilDisplay\",\"width=600,height=400,");
  echo("top=120,left=120,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
  echo("      return(false);\n");
  echo("    }\n\n");

  /* Atualiza esta pgina.                                                */
  echo("    function Atualizar()\n");
  echo("    {\n");
  echo("      document.frmDiario.action = \"diario.php?".RetornaSessionID()."&cod_curso=".$cod_curso."\";\n");
  echo("      document.frmDiario.submit();\n");
  echo("    }\n\n");

  /* Visualiza o item especificado por id.                                */
  echo("    function Ver(id)\n");
  echo("    {\n");
  echo("      document.frmDiario.cod_item.value = id;\n");
  echo("      document.frmDiario.action = \"ver_item.php?".RetornaSessionID()."&cod_curso=".$cod_curso."\";\n");
  echo("      document.frmDiario.submit();\n");
  echo("    }\n\n");

  echo("    function Comentar(id)\n");
  echo("    {\n");
  echo("      window.open('comentar_item.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item='+id, 'Comentar', 'width=600,height=350,top=100,left=100,status=no,toolbar=no,menubar=no,resizable=yes');\n");
  echo("      return false;\n");
  echo("    }\n\n");
 
  echo("    function VerOutrosDiarios()\n");
  echo("    {\n");
  echo("      document.frmDiario.action = \"ver_outros.php?".RetornaSessionID()."&cod_curso=".$cod_curso."\";\n");
  echo("      document.frmDiario.submit();\n");
  echo("    }\n\n");

  /* Se o usurio for o proprietrio do dirio ento cria as funes para */
  /* incluir, editar e apagar uma anotao.                               */
  if ($dono_diario)
  {
    echo("    function IncluirAnotacao()\n");
    echo("    {\n");
    echo("      document.frmDiario.action = \"novo_item.php?".RetornaSessionID());
    echo("&cod_curso=".$cod_curso."\";\n");
    echo("      document.frmDiario.submit();\n");
    echo("    }\n\n");

    echo("    function Editar(id)\n");
    echo("    {\n");
    echo("      document.frmDiario.cod_item.value = id;\n");
    echo("      document.frmDiario.action = \"editar_item.php?".RetornaSessionID()."&cod_curso=".$cod_curso."\";\n");
    echo("      document.frmDiario.submit();\n");
    echo("    }\n\n");

    echo("    function Apagar(id)\n");
    echo("    {\n");
    /* 34 - Deseja realmente apagar esta anotao? Ela no poder ser mais recuperada. */
    echo("      if(confirm('".RetornaFraseDaLista($lista_frases, 34)."'))");
    echo("      {\n");
    echo("        document.frmDiario.cod_item.value = id;\n");
    echo("        document.frmDiario.action = \"apagar_item.php?".RetornaSessionID());
    echo("&cod_curso=".$cod_curso."\";\n");
    echo("        document.frmDiario.submit();\n");
    echo("      }\n");
    echo("    }\n\n");
    
    echo("  function MudaCompartilhamentoJS (id, tipo_compartilhamento)\n");
    echo("  {\n");
    if (strstr($_SERVER["HTTP_USER_AGENT"], "MSIE"))
    {
      // JS para exploder
      echo("    document.form_comp.cod_item.value = id;\n");
      echo("    if (tipo_compartilhamento == 'T')\n");
      echo("      document.form_comp.tipo_comp[0].checked = true;\n");
      echo("    if (tipo_compartilhamento == 'F')\n");
      echo("      document.form_comp.tipo_comp[1].checked = true;\n");
      echo("    if (tipo_compartilhamento == 'P')\n");
      echo("      document.form_comp.tipo_comp[2].checked = true;\n");
    }
    else
    {
      // JS para netscape
      echo("    document.layer_comp.document.form_comp.cod_item.value = id;\n");
      echo("    if (tipo_compartilhamento == 'T')\n");
      echo("      document.layer_comp.document.form_comp.tipo_comp[0].checked = true;\n");
      echo("    if (tipo_compartilhamento == 'F')\n");
      echo("      document.layer_comp.document.form_comp.tipo_comp[1].checked = true;\n");
      echo("    if (tipo_compartilhamento == 'P')\n");
      echo("      document.layer_comp.document.form_comp.tipo_comp[2].checked = true;\n");
    }
    echo("  }\n");    
  }

  echo("  </script>\n\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white onLoad='iniciar();'>\n");

  /* 1 - Dirio de Bordo */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
  /* 2 - Pgina incial */
//  $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 2)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 14));
  /* Exibe um link para o perfil do proprietrio do dirio.            */
  echo("    <img src=../figuras/pastadiario.gif border=0>\n");
  echo("    <a class=text href=# onClick='OpenWindowPerfil(".$cod_propriet.");return(false);'>");
  echo(NomeUsuario($sock, $cod_propriet)."</a>\n");
  echo("    <br>\n");
  echo("    <p>\n");

  echo("    <table border=0 width=100% cellspacing=2>\n");
  echo("      <tr class=menu>\n");

  echo("        <td align=center><a class=menu href=# onClick='Atualizar();return(false);'>");
  /* 3 - Atualizar */
  echo(RetornaFraseDaLista($lista_frases, 3)."</a></td>\n");

  /* Se o usurio for o proprietrio do dirio cria um link para a     */
  /* funo de incluir anotao.                                       */
  $status_curso=RetornaStatusCurso($sock,$cod_curso);

  if ($dono_diario)
  {
    echo("        <td align=center class=menu><a class=menu href=# ");
    echo("onClick='IncluirAnotacao();return(false);' target=direita>");
    /* 4 - Incluir nova anotao */
    echo(RetornaFraseDaLista($lista_frases, 4)."</a></td>\n");
  }

  echo("        <td align=center class=menu><a class=menu href=# ");
  echo("onClick='VerOutrosDiarios();return(false);' target=direita>");
  /* 5 - Ver outros dirios */
  echo(RetornaFraseDaLista($lista_frases, 5)."</a></td>\n");

  echo("      </tr>\n");
  echo("    </table>\n");
  echo("    <br>\n");
  echo("    <p>\n");

  /* Formulrio para ver/alterar o item do Dirio.                     */
  echo("    <form name=frmDiario method=post>\n");

  /* Passa o cdigo do item para modificar e visualizar o item e seus  */
  /* comentrios.                                                      */
  echo("      <input type=hidden name=cod_item value=-1>\n");

  /* Passa o cdigo do proprietrio do dirio para testar se o usurio */
  /* que est visualizando  o dono do dirio.                         */
  echo("      <input type=hidden name=cod_propriet value=".$cod_propriet.">\n");

  /* Passa o nome da pgina de origem para que se possa voltar a esta  */
  /* pgina aps apagar, editar, comentar ou renomear o item.          */
  echo("      <input type=hidden name=origem value='diario'>\n");
  echo("    </form>\n");

  $lista_itens = RetornaItens ($sock, $cod_curso, $cod_usuario, $cod_propriet);

  if (! is_array ($lista_itens))
  {
    // 14 - No h itens neste Dirio.
    echo("    <font class=text>".RetornaFraseDaLista($lista_frases, 14)."</font>\n");
  }
  else
  {
    echo ("<table border=0 width=100% cellspacing=0>\n");

    echo("  <tr class=colorfield>\n");
    /* figura */
    echo("    <td class=colorfield width=1%>&nbsp;</td>\n");
    /* 8 - Ttulo */
    echo("    <td class=colorfield width=49%>".RetornaFraseDaLista($lista_frases, 8)."</td>\n");
    /* 10 - Data */
    echo("    <td class=colorfield width=20% align=center>".RetornaFraseDaLista($lista_frases, 10)."</td>\n");
    /* 57 - Modo de compartilhamento */
    echo("    <td class=colorfield width=10% align=center>".RetornaFraseDaLista($lista_frases, 57)."</td>");
    /* 12 - Comentrios */
    echo("    <td class=colorfield width=20% align=center>".RetornaFraseDaLista($lista_frases, 12)."</td>\n");
    echo("  </tr>\n");

    // variavel que indica cor no gfield. varia entre 1 ou 2
    $cor = 1;

    // Monto uma pequena tabela para compartilhamentos
    // 60 - Totalmente compartilhado
    $frase_compartilhamento ['T'] = RetornaFraseDaLista ($lista_frases, 60);
    // 59 - Compartilhado com formadores
    $frase_compartilhamento ['F'] = RetornaFraseDaLista ($lista_frases, 59);
    // 58 - No compartilhado
    $frase_compartilhamento ['P'] = RetornaFraseDaLista ($lista_frases, 58);

    $lista_comentarios = RetornaListaComentarios ($sock, $cod_usuario, $cod_propriet);

    foreach ($lista_itens as $item)
    {
      $cod_item = $item ['cod_item'];

      echo ("  <tr class=g".$cor."field>\n");

      echo ("    <td><a href=# onClick='Ver(".$cod_item."); return false;'><img border=0 src='../figuras/arqdiario.gif'></a></td>\n");
      echo ("    <td>&nbsp;&nbsp;<a class=text href=# onClick='selected_item=".$cod_item."; MostraLayer (lay_item); return false;'>".$item ['titulo']."</a></td>\n");
      echo ("    <td align=center><font class=text>".UnixTime2DataHora($item ['data'])."</font></td>\n");
      
      if ($dono_diario)
      {
        $comp_abre = "<a class=text href=# onClick=\"MostraLayer (lay_comp);  MudaCompartilhamentoJS (".$cod_item.", '".$item ['tipo_compartilhamento']."');  return false;\">";
        $comp_fecha= "</a>";
      }
      else
      {
        $comp_abre = "<font class=text>";
        $comp_fecha= "</font>";
      }

      echo ("    <td align=center>".$comp_abre.$frase_compartilhamento [ $item ['tipo_compartilhamento'] ] .$comp_fecha."</td>\n");

      $figuras = "";
      if ($lista_comentarios [ $cod_item ]['comentario_aluno'])
        $figuras.= "<img src=../figuras/checked-a.gif border=0>";
      if ($lista_comentarios [ $cod_item ]['comentario_formador'])
        $figuras.= "<img src=../figuras/checked-f.gif border=0>";
      if ($lista_comentarios [ $cod_item ]['comentario_dono'])
        $figuras.= "<img src=../figuras/checked-d.gif border=0>";
      if ($lista_comentarios [ $cod_item ]['novidade'])
        $figuras.= "<font color=red><b>*</b></font>";
      if ($figuras == "")
        $figuras = "&nbsp;";

      echo ("    <td align=center>".$figuras."</td>\n");

      echo ("  </tr>\n");
      
      $cor = ( $cor % 2 ) + 1;
    }

    echo ("</table>\n");
  }

  echo("    <br>\n");

  // 62 - Comentrio de Aluno
  // 63 - Comentrio de Formador
  // 53 - Comentrio postados por mim
  echo("<font class=text>\n");
  echo("<img src=../figuras/checked-a.gif> ".RetornaFraseDaLista($lista_frases,62)."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n");
  echo("<img src=../figuras/checked-f.gif> ".RetornaFraseDaLista($lista_frases,63)."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n");
  if (!EVisitante($sock,$cod_curso,$cod_usuario))
    echo("<img src=../figuras/checked-d.gif> ".RetornaFraseDaLista($lista_frases,53)."\n");
  echo("</font>\n");

  /*
      Exibe a legenda das imagens dos comentrios.

      echo("    <table width=100% cellspacing=0>\n");
      echo("      <tr>\n");
      echo("        <td><img src=../figuras/checked-d.gif border=0>");
      // 53 - Comentrio do usurio. 
      echo("<font class=text>".RetornaFraseDaLista($lista_frases, 53)."</font></td>\n");
      echo("        <td><img src=../figuras/checked-f.gif border=0>");
      // 54 - Comentrio de outros usurios.
      echo("<font class=text>".RetornaFraseDaLista($lista_frases, 54)."</font></td>\n");
      echo("      </tr>\n");
      echo("    </table>\n");
  */

  /* Se o usurio for o proprietrio deste dirio, cria o layer para */
  /* renomear algum item.                                            */
  if ($dono_diario)
  {
    /* layer_renomear */
    echo("  <script language=JavaScript>\n\n");


    echo("    function testa_titulo()\n");
    echo("    {\n");
    /* Elimina os espaos para verificar se o titulo nao eh formado por apenas espaos */
    echo("      if (isNav)\n");
    echo("        item_titulo = document.layers['layer_renomear'].document.frmRenomear.titulo.value;\n");
    echo("      else\n");
    echo("        item_titulo = document.all['layer_renomear'].document.frmRenomear.titulo.value;\n");
    echo("      while (item_titulo.search(\" \") != -1)\n");
    echo("      {\n");
    echo("        item_titulo = item_titulo.replace(/ /, \"\");\n");
    echo("      }\n");
    echo("      if (item_titulo == '')\n");
    echo("      {\n");
    /* 21 - A anotao deve ter um ttulo. */
    echo("        alert('".RetornaFraseDaLista($lista_frases, 21)."');\n");
    echo("        return(false);\n");
    echo("      }\n");
    echo("      else\n");
    echo("        return(true);\n");
    echo("    }\n\n");

    echo("  </script>\n\n");

    echo("  <div id=layer_renomear class=block visibility=hidden onContextMenu='return(false);'>\n");

    echo("    <form name=frmRenomear method=post action=\"renomear_item2.php?".RetornaSessionID());
    echo("&cod_curso=".$cod_curso."\" onSubmit='return(testa_titulo());'>\n");

    /* Passa o cdigo do item para modificar e visualizar o item e seus  */
    /* comentrios.                                                      */
    echo("      <input type=hidden name=cod_item value=-1>\n");
    /* Passa o cdigo do proprietrio do dirio para testar se o usurio */
    /* que est visualizando  o dono do dirio.                         */
    echo("      <input type=hidden name=cod_propriet value=".$cod_propriet.">\n");
    /* Passa o nome da pgina de origem para que se possa voltar a esta  */
    /* pgina aps apagar, editar, comentar ou renomear o item.          */
    echo("      <input type=hidden name=origem value='diario'>\n");

    echo("      <table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
    echo("        <tr class=bgcolor>\n");
    echo("          <td class=bgcolor align=right>\n");
    echo("            <table bgcolor=#ffffff cellpadding=0 cellspacing=0 border=0 width=100%>\n");
    echo("              <tr class=bgcolor>\n");
    echo("                <td class=bgcolor align=left>\n");
    /* 19 - Renomear */
    echo("                  <b><font class=text color=white>".RetornaFraseDaLista($lista_frases_geral, 19)."</font></b>\n");
    echo("                </td>\n");
    echo("                <td class=bgcolor align=right>\n");
    echo("                  <a href=# onClick='EscondeLayer(lay_renomear);return(false);'>");
    echo("<img src=../figuras/x.gif border=0></a>\n");
    echo("                </td>\n");
    echo("              </tr>\n");
    echo("            </table>\n");
    echo("          </td>\n");
    echo("        </tr>\n");
    echo("        <tr class=wtfield>\n");
    echo("          <td class=text>\n");
    /* 20 - Digite o novo ttulo da anotao: */
    echo("            ".RetornaFraseDaLista($lista_frases, 20)."<br>\n");
    echo("            <input class=text type=text name=titulo size=40 maxlength=100 value=''><br>\n");

    /* Modifica o valor de cod_item para o cdigo do item selecionado e submete. */
    echo("            <input class=text type=submit onClick='document.frmRenomear.cod_item.value =");
    /* 18 - OK */
    echo(" selected_item;' value=".RetornaFraseDaLista($lista_frases_geral, 18).">\n");

    echo("            <input class=text type=button onClick='EscondeLayer(lay_renomear);'");
    /* 2 - Cancelar */
    echo(" value=".RetornaFraseDaLista($lista_frases_geral, 2).">\n");
    echo("          </td>\n");
    echo("        </tr>\n");
    echo("      </table>\n");
    echo("    </form>\n");
    echo("  </div>\n\n");

    // layer_compartilhamento.
    echo("<div id=layer_comp class=block visibility=hidden onContextMenu='return(false);'>\n");
    echo("<form method=post name=form_comp action=diario.php>\n");
    echo(RetornaSessionIDInput());
    echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
    echo("  <input type=hidden name=cod_item value=''>\n");
    echo("  <input type=hidden name=acao value=mudarcomp>\n");
    echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
    echo("  <tr>\n");
    echo("    <td class=bgcolor align=right colspan=2><a href=# onClick=EscondeLayer(layer_comp);return(false);><img src=../figuras/x.gif border=0></a></td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");
    echo("      <table class=wtfield border=0>\n");
    echo("        <tr>\n");
    echo("          <td><input type=radio name=tipo_comp value='T' class=wtfield onClick='submit();'></td>\n");
    // 60 - Totalmente compartilhado
    echo("          <td><font class=text><nobr>".RetornaFraseDaLista($lista_frases,60)."</nobr></font></td>\n");
    echo("        </tr>\n");
    echo("        <tr>\n");
    echo("          <td><input type=radio name=tipo_comp value='F' class=wtfield onClick='submit();'></td>\n");
    // 59 - Compartilhado com formadores
    echo("          <td><font class=text><nobr>".RetornaFraseDaLista($lista_frases,59)."</nobr></font></td>\n");
    echo("        </tr>\n");
    echo("        <tr>\n");
    echo("          <td><input type=radio name=tipo_comp value='P' class=wtfield onClick='submit();'></td>\n");
    // 58 - No compartilhado
    echo("          <td><font class=text><nobr>".RetornaFraseDaLista($lista_frases,58)."</nobr></font></td>\n");
    echo("        </tr>\n");
    echo("      </table>\n");
    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");
    echo("</div>\n");
    echo("</form>\n");
  }


  /* layer_item */
  echo("  <div id=layer_item class=block visibility=hidden onContextMenu='return(false);'>\n");
  echo("    <table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
  echo("      <tr class=bgcolor>\n");
  echo("        <td class=bgcolor align=right>\n");
  echo("          <a href=# onClick='EscondeLayer(layer_item);return(false);'>");
  echo("<img src=../figuras/x.gif border=0></a>\n");
  echo("        </td>\n");
  echo("      </tr>\n");
  echo("      <tr class=wtfield>\n");
  echo("        <td class=wtfield>\n");

  echo("          <a href=# class=text onClick='Ver(selected_item);return(false)'>");
  /* 21 - Ver */
  echo(RetornaFraseDaLista($lista_frases_geral, 21)."</a>&nbsp;&nbsp;&nbsp;<br>\n");

  $status_curso=RetornaStatusCurso($sock,$cod_curso);

  /* Se o usurio for o proprietrio deste dirio cria links para acesso s funes */
  /* de editar, renomear e apagar.                                                  */
  if ($dono_diario)
  {
    echo("          <a href=# class=text onClick='Editar(selected_item);return(false);'>");
    /* 9 - Editar */
    echo(RetornaFraseDaLista($lista_frases_geral, 9)."</a><br>\n");
    echo("          <a href=# class=text onMouseDown='MostraLayer(lay_renomear);");
    /* 19 - Renomear */
    echo("document.frmRenomear.titulo.focus();return(false)'>".RetornaFraseDaLista($lista_frases_geral, 19)."</a><br>\n");
    echo("          <a href=# class=text onClick='Apagar(selected_item);return(false);'>");
    /* 1 - Apagar */
    echo(RetornaFraseDaLista($lista_frases_geral, 1)."</a><br>\n");
  }

  // se o curso acabou, ninguem pode comentar
  if ($status_curso != 'E')
  {
    echo("          <a href=# class=text onClick='Comentar(selected_item);  EscondeLayer(layer_item);  return false;'>");
    /* 3 - Comentar */
    echo(RetornaFraseDaLista($lista_frases_geral, 3)."</a><br>\n");
  }

  echo("        </td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");
  echo("  </div>\n\n");

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>
