<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/diario/ver_item.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/diario/ver_item.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("diario.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 14);
  $lista_frases_geral = RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,14);

  /* Verifica se o usuario  visitante. */
  $usr_visitante = EVisitante($sock, $cod_curso, $cod_usuario);

  if (isset ($acao) && $acao == "mudarcomp")
  {
    AlteraTipoCompartilhamento ($sock, $cod_item, $tipo_comp);
  }

  /* Se o cdigo do usurio cujo item ser exibido no   */
  /* estiver definido, atribui-lhe o cdigo do usurio   */
  /* que est visualizando o item, por padro.           */
  /* Esta reatribuio  necessria porque as pginas    */
  /* editar_item2 e renomear_item2 no passam a varivel */
  /* cod_propriet, visto que essas aes s poderiam ser */
  /* feitas se o usurio for o proprietrio do dirio e  */
  /* dos itens.                                          */
  if (!isset($cod_propriet))
    $cod_propriet = $cod_usuario;
    
  // verifica se eh dono do diario
  $dono_diario = VerificaDonoDiario ($sock, $cod_curso, $cod_usuario, $cod_propriet);

  echo("  <html>\n");
  /* 1 - Dirio de Bordo */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=diario.css>\n");
  echo("\n");

  echo("  <script language=JavaScript>\n\n");

  echo("    function OpenWindowPerfil(id)\n");
  echo("    {\n");
  echo("      window.open(\"../perfil/exibir_perfis.php?".RetornaSessionID());
  echo("&cod_curso=".$cod_curso."&cod_aluno[]=\" + id, \"PerfilDisplay\",\"width=600,height=400,");
  echo("top=120,left=120,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
  echo("      return(false);\n");
  echo("    }\n\n");

  echo("    function VerComentario(id)\n");
  echo("    {\n");
  echo("      window.open(\"ver_comentario.php?".RetornaSessionID()."&cod_curso=".$cod_curso);
  echo("&cod_comentario=\" + id + \"&cod_propriet=".$cod_propriet."&cod_item=".$cod_item."\", \"Comentario\",");
  echo("\"width=450,height=300,top=120,left=120,scrollbars=yes,status=yes,toolbar=no,menubar=no,");
  echo("resizable=yes\");\n");
  echo("      return(false);\n");
  echo("    }\n\n");

  echo("    function CancelaLeitura()\n");
  echo("    {\n");
  echo("      document.frmDiario.action = \"diario.php\";\n");
  echo("      document.frmDiario.submit();\n");
  echo("    }\n\n");

  echo("    function Comentar()\n");
  echo("    {\n");
  echo("      window.open('comentar_item.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."', 'Comentar', 'width=600,height=350,top=100,left=100,status=no,toolbar=no,menubar=no,resizable=yes');\n");
  echo("      return false;\n");
  echo("    }\n\n");


  /* Se o usurio for o proprietrio do dirio, cria as funes para   */
  /* editar, renomear e apagar o item.                                 */
  if ($dono_diario)
  {
    echo("    function Editar()\n");
    echo("    {\n");
    echo("      document.frmDiario.action = \"editar_item.php\";\n");
    echo("      document.frmDiario.submit();\n");
    echo("    }\n\n");

    echo("    function Renomear()\n");
    echo("    {\n");
    echo("      document.frmDiario.action = \"renomear_item.php\";\n");
    echo("      document.frmDiario.submit();\n");
    echo("    }\n\n");


    echo("    function Apagar()\n");
    echo("    {\n");
    /* 34 - Deseja realmente apagar esta anotao? Ela no poder ser mais recuperada. */
    echo("      if(confirm('".RetornaFraseDaLista($lista_frases, 34)."'))");
    echo("      {\n");
    echo("        document.frmDiario.action = \"apagar_item.php\";\n");
    echo("        document.frmDiario.submit();\n");
    echo("      }\n");
    echo("    }\n\n");
  }

  echo("  </script>\n\n");

  // se usuario for dono do item, entao temos layers, precisa chamar a funcao que inicia os layers
  if ( $dono_diario )
  {
    $iniciar = "onLoad='iniciar();'";
  }

  echo("  <body ".$iniciar." link=#0000ff vlink=#0000ff bgcolor=white>\n");

  /* 1 - Dirio de Bordo */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
  /* 41 - Ver anotao */
  $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 41)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 14));
  /* Exibe um link para o perfil do proprietrio do dirio.            */
  echo("    <img src=../figuras/pastadiario.gif border=0>\n");
  echo("    <a class=text href=# onClick='OpenWindowPerfil(".$cod_propriet.");return(false);'>");
  echo(NomeUsuario($sock, $cod_propriet)."</a>\n");
  echo("    <br>\n");

  /* Obtm o cod_usuario, titulo, texto e a data do item especificado. */
  $item_dados = RetornaItem($sock, $cod_item);

  echo("    <table border=0 width=100% cellspacing=0>\n");
  echo("      <tr class=colorfield>\n");
  /* 8 - Ttulo */
  echo("        <td class=colorfield width=50%>".RetornaFraseDaLista($lista_frases, 8)."</td>\n");
  /* 10 - Data */
  echo("        <td class=colorfield width=20%>".RetornaFraseDaLista($lista_frases, 10)."</td>\n");
  // 57 - Compartilhamento
  echo("        <td class=colorfield width=30%>".RetornaFraseDaLista($lista_frases, 57)."</td>\n");
  echo("      </tr>\n");

  /* Exibe o ttulo e a data do item, e o modo de compartilhamento               */
  echo("      <tr class=text>\n");
  echo("        <td class=text width=50%>".$item_dados['titulo']."</td>\n");
  echo("        <td class=text width=20%>".UnixTime2Data($item_dados['data']).", ".UnixTime2Hora($item_dados['data'])."</td>\n");
  
  if ( ($tipo_compartilhamento = $item_dados ['tipo_compartilhamento'] ) == 'T')
    // 60 - Totalmente compartilhado
    $cod_frase = 60;
  if ($tipo_compartilhamento == 'F')
    // 59 - Compartilhado com formadores
    $cod_frase = 59;
  if ($tipo_compartilhamento == 'P')
    // 58 - No compartilhado
    $cod_frase = 58;

  if ( $dono_diario )
  {
    $link_abre = "<a class=text href=# onClick='MostraLayer(lay_comp);'>";
    $link_fecha= "</a>";
  }
  else
  {
    $link_abre = "<font class=text>";
    $link_fecha= "</font>";
  }
  echo("        <td class=text width=30%>".$link_abre.RetornaFraseDaLista ($lista_frases, $cod_frase).$link_fecha."</td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");
  echo("      <br>\n");
  echo("      <br>\n");
  echo("      <br>\n");
  
  echo("    <table border=0 width=100% cellspacing=0>\n");
  echo("      <tr class=colorfield>\n");
  /* 15 - Texto */
  echo("        <td class=colorfield colspan=2>".RetornaFraseDaLista($lista_frases, 15)."</td>\n");
  echo("      </tr>\n");

  /* Exibe o texto do item.                                            */
  echo("      <tr class=text>\n");
  echo("        <td class=text colspan=2>".Enter2BR(LimpaConteudo($item_dados['texto']))."</td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");
  echo("      <br>\n");

  /* Obtm a data do penltimo acesso do usurio para compar-la com   */
  /* datas dos comentrios.                                            */
  $penultac = PenultimoAcesso($sock, $cod_usuario, "");

  /* Obtm o cod_comentario, cod_comentarist e a data dos comentrios. */
  $item_coment = RetornaComentariosItem($sock, $cod_item);
  /* Conta quantos comentrios o item possui.                          */
  $total_coment = count($item_coment);

  if ($total_coment > 0)
  {
    echo("    <table border=0 width=100% cellspacing=0>\n");
    echo("      <tr class=colorfield>\n");
    /* 12 - Comentrios */
    echo("        <td class=colorfield width=60%>".RetornaFraseDaLista($lista_frases, 12)."</td>\n");
    /* 45 - Emissor */
    echo("        <td class=colorfield width=40%>".RetornaFraseDaLista($lista_frases, 45)."</td>\n");
    echo("      </tr>\n");
  }

  $i = 0;
  while ($i < $total_coment)
  {
    /* Se a data do comentrio for maior que a data do penltimo       */
    /* acesso do usurio, exibe os dados do comentrio em negrito.     */
    if ($item_coment[$i]['data'] > $penultac)
    {
      $bopentag = "<b>";
      $bclosetag = "</b>";
    }
    else
    {
      $bopentag = "";
      $bclosetag = "";
    }

    echo("      <tr class=text>\n");
    /* Exibe um link para ver o comentrio com a data de criao do mesmo. */
    echo("        <td class=text width=60%>\n");
    echo("          <a href=# onClick='VerComentario(".$item_coment[$i]['cod_comentario']);
    /* 44 - Comentrio feito em  */
    echo(");return(false);'>".$bopentag.RetornaFraseDaLista($lista_frases, 44));
    echo($bopentag.UnixTime2Data($item_coment[$i]['data']).", ");
    echo(UnixTime2Hora($item_coment[$i]['data']).$bclosetag."</a>\n");
    echo("        </td>\n");

    /* Cria um link para o perfil do usurio.                              */
    echo("        <td class=text width=40%>\n");
    echo("          <a href=# onClick='OpenWindowPerfil(".$item_coment[$i]['cod_comentarist']);
    echo(");return(false);'>".$bopentag.NomeUsuario($sock, $item_coment[$i]['cod_comentarist']));
    echo($bclosetag."</a>\n");
    echo("        </td>\n");
    echo("      </tr>\n");

    /* Incrementa o contador.                                              */
    $i++;
  }
  echo("   </table>\n");

  echo("    <form name=frmDiario method=post>\n");
  // Repassa o cdigo do item para modificar e visualizar o item e seus  
  // comentrios.                                                        
  echo("      <input type=hidden name=cod_item value=".$cod_item.">\n");
  
  // Repassa o cdigo do proprietrio do dirio para testar se o usurio 
  // que est visualizando  o dono do dirio.                           
  echo("      <input type=hidden name=cod_propriet value=".$cod_propriet.">\n");
  
  // Passa o nome da pgina de origem para que se possa voltar a esta  
  // pgina aps apagar, editar, comentar ou renomear o item.          
  echo("      <input type=hidden name=origem value='ver_item'>\n");
  
  echo("      <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("      ".RetornaSessionIDInput());

  echo("      <table border=0 width=100% cellspacing=0>\n");
  echo("        <tr>\n");
  echo("          <td>\n");


  $status_curso=RetornaStatusCurso($sock,$cod_curso);
  /* Se o usurio for o proprietrio do dirio, exibe os botes para   */
  /* editar, renomear e apagar o item.                                 */
  
  $usr_formador = EFormador($sock,$cod_curso,$cod_usuario);
  
  if ( $dono_diario )
  {
    /* 9 - Editar */
    echo("            <input type=button value='".RetornaFraseDaLista($lista_frases_geral, 9)."' onClick='Editar();'>\n");

    /* 19 - Renomear */
    echo("            <input type=button value='".RetornaFraseDaLista($lista_frases_geral, 19)."' onClick='Renomear();'>\n");

    /* 1 - Apagar */
    echo("            <input type=button value='".RetornaFraseDaLista($lista_frases_geral, 1)."' onClick='Apagar();'>\n");
  }
 
  if ( $status_curso != 'E')
  {
    /* 3 - Comentar */
    echo("            <input type=button value='".RetornaFraseDaLista($lista_frases_geral, 3)."' onClick='Comentar();'>\n");
  }

  echo("          </td>\n");


  echo("          <td align=right>\n");

  /* 42 - Voltar ao dirio */
  echo("            <input type=button value='".RetornaFraseDaLista($lista_frases, 42)."' onClick='CancelaLeitura();'>\n");
  echo("          </td>\n");
  echo("        </tr>\n");
  echo("      </table>\n");
  echo("    </form>\n");

  if ( $dono_diario )
  {
    echo("  <script language=JavaScript src=../bibliotecas/dhtmllib.js></script>\n");
    echo("  <script language=JavaScript>\n\n");
  
    echo("    var isNav = (navigator.appName.indexOf(\"Netscape\") !=-1);\n");
    echo("    var isIE = (navigator.appName.indexOf(\"Microsoft\") !=-1);\n");
  
    echo("    if (isNav)\n");
    echo("    {\n");
    echo("      document.captureEvents(Event.MOUSEMOVE);\n");
    echo("    }\n");
    echo("    document.onmousemove = TrataMouse;\n\n");
  
    echo("    function TrataMouse(e)\n");
    echo("    {\n");
    echo("      Ypos = (isMinNS4) ? e.pageY : event.clientY;\n");
    echo("      Xpos = (isMinNS4) ? e.pageX : event.clientX;\n");
    echo("    }\n\n");
  
    echo("    function getPageScrollY()\n");
    echo("    {\n");
    echo("      if (isNav)\n");
    echo("        return(window.pageYOffset);\n");
    echo("      if (isIE)\n");
    echo("        return(document.body.scrollTop);\n");
    echo("    }\n\n");

    echo("    function AjustePosMenuIE()\n");
    echo("    {\n");
    echo("      if (isIE)\n");
    echo("        return(getPageScrollY());\n");
    echo("      else\n");
    echo("        return(0);\n");
    echo("    }\n\n");

    // Iniciliza os layers. Se o usuario for o proprietrio do dirio ento 
    // atribui layer_renomear  varivel lay_renomear.                      
    echo("    function iniciar()\n");
    echo("    {\n");
    echo("      lay_comp = getLayer('layer_comp');\n");
    echo("    }\n\n");

    // Esconde todos os layers. Se o usuario for o proprietrio do dirio   
    // visualizado ento esconde o layer para renomear o item.              
    echo("    function EscondeLayer()\n");
    echo("    {\n");
    echo("      hideLayer(lay_comp);\n");
    echo("    }\n\n");

    // Exibe o layer especificado por cod_layer.                            
    echo("    function MostraLayer(cod_layer)\n");
    echo("    {\n");
    echo("      EscondeLayer();\n");
    echo("      moveLayerTo(cod_layer, Xpos, Ypos + AjustePosMenuIE());\n");
    echo("      showLayer(cod_layer);\n");
    echo("    }\n\n");

    echo("  </script>\n");
  
    // layer_compartilhamento.
    echo("<div id=layer_comp class=block visibility=hidden onContextMenu='return(false);'>\n");
    echo("<form method=post name=form_comp action=ver_item.php>\n");
    echo(RetornaSessionIDInput());
    echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
    echo("  <input type=hidden name=cod_item value='".$cod_item."'>\n");
    echo("  <input type=hidden name=acao value=mudarcomp>\n");
    echo("  <input type=hidden name=cod_propriet value=".$cod_propriet.">\n");
    echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
    echo("  <tr><td class=bgcolor align=right colspan=2><a href=# onClick=EscondeLayer();return(false);><img src=../figuras/x.gif border=0></a></td></tr>\n");
    echo("  <tr><td><table class=wtfield border=0>\n");
    echo("    <tr>\n");
    $checked = ( $tipo_compartilhamento == 'T' ? "checked" : "");
    echo("      <td><input type=radio name=tipo_comp value='T' ".$checked." class=wtfield onClick='submit();'></td>\n");
    // 60 - Totalmente compartilhado
    echo("      <td><font class=text><nobr>".RetornaFraseDaLista($lista_frases,60)."</nobr></font></td>\n");
    echo("    </tr>\n");
    echo("    <tr>\n");
    $checked = ( $tipo_compartilhamento == 'F' ? "checked" : "");
    echo("      <td><input type=radio name=tipo_comp value='F' ".$checked." class=wtfield onClick='submit();'></td>\n");
    // 59 - Compartilhado com formadores
    echo("      <td><font class=text><nobr>".RetornaFraseDaLista($lista_frases,59)."</nobr></font></td>\n");
    echo("    </tr>\n");
    echo("    <tr>\n");
    $checked = ( $tipo_compartilhamento == 'P' ? "checked" : "");
    echo("      <td><input type=radio name=tipo_comp value='P' ".$checked." class=wtfield onClick='submit();'></td>\n");
    // 58 - No compartilhado
    echo("      <td><font class=text><nobr>".RetornaFraseDaLista($lista_frases,58)."</nobr></font></td>\n");
    echo("    </tr>\n");
    echo("  </table></td></tr>\n");
    echo("</table>\n");
    echo("</div>\n");
    echo("</form>\n");
  }

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>
