<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/dinamica/editar_dinamica.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/dinamica/editar_dinamica.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("dinamica.inc");

	session_register("texto_s");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,16);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,16);

  /* Verifica se a pessoa a editar  formador */
  if (!EFormador($sock,$cod_curso,$cod_usuario))
  {
    echo("<html>\n");
    /* 1 - Dinmica do Curso */
    echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=dinamica.css>\n");

    echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");
    /* 1 - Dinamica do Curso */
    /* 5 - rea restrita ao formador. */
    $cabecalho ="<b class=titulo>".RetornaFraseDaLista($lista_frases,1)."</b>";
    $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,5)."</b>";
    echo(PreparaCabecalho($cod_curso,$cabecalho,16));

    echo("<br>\n");


    /* 23 - Voltar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  PegaSemaforo($sock,"Dinamica");

  $linha=RetornaDadosDinamica($sock);
  if ($linha['cod_usuario']!="")
  {
    if ($linha['status']=='E' || $linha['status']=='I')
    {
      /* algum j est editando */

      /* Ve se no  voc */
      if ($cod_usuario!=$linha['cod_usuario'])
      {
        if ($linha['data']>time()-1800)
        {
          echo("<html>\n");
          /* 1 - Dinmica do Curso */
          echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
          echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
          echo("  <link rel=stylesheet TYPE=text/css href=dinamica.css>\n");

          LiberaSemaforo($sock,"Dinamica");
          /* No faz... Avisa para usurio quem est editando e volta */
          echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");
          /* 1 - Dinamica do Curso */
          /* 2 - rea restrita ao formador. */
          $cabecalho ="<b class=titulo>".RetornaFraseDaLista($lista_frases,1)."</b>";
          if (ExisteDinamica($sock,$cod_curso,$diretorio_arquivos)=='N')
            /* 2 - Incluir Dinmica do Curso */
            $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,2)."</b>";
          else
            /* 3 - Incluir Dinmica do Curso */
            $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,3)."</b>";
       	  echo(PreparaCabecalho($cod_curso,$cabecalho,16));
          echo("<br><br>\n");
          /* 6 - A Dinmica de Curso j est sendo editada desde */  
          echo("<font class=text>".RetornaFraseDaLista($lista_frases,6)." ");

          /* 7 - por */  
          echo(Unixtime2DataHora($linha['data'])." ".RetornaFraseDaLista($lista_frases,7));

          echo(" ".NomeUsuario($sock,$linha['cod_usuario']).".<br><br>");

          /* 23 - Voltar (gen) */
          echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
          echo("</body></html>\n");
          Desconectar($sock);
          exit;
        }
        /* Passou o tempo limite ,captura a edio */
      }
      /* . Atualiza data e segue em frente. */
      AtualizaEdicaoDinamica($sock,$cod_usuario);
    }
    else
    {
      /* Pega e segue em frente */
      AtualizaEdicaoDinamica($sock,$cod_usuario);
    }
  }
  else
  {
    /* Pega e segue em frente */
    InsereEdicaoDinamica($sock,$cod_usuario);
  }

  LiberaSemaforo($sock,"Dinamica");
  
  /* Copia arquivos pro temporario */
  if (!CopiaArquivoParaTemporario($sock,$cod_curso,$diretorio_arquivos,$diretorio_temp))
  {
    echo("<html>\n");
    /* 1 - Dinmica do Curso */
    echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=dinamica.css>\n");
 
    echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");
    /* 1 - Dinmica do Curso */
    $cabecalho ="<b class=titulo>".RetornaFraseDaLista($lista_frases,1)."</b>";
    if (ExisteDinamica($sock,$cod_curso,$diretorio_arquivos)=='N')
      /* 2 - Incluir Dinmica do Curso */
      $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,2)."</b>";
    else
      /* 3 - Incluir Dinmica do Curso */
      $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,3)."</b>";
	  echo(PreparaCabecalho($cod_curso,$cabecalho,16));

		

    echo("<br>\n");
    echo("<p>\n");
    /* 8 - Erro ao criar diretrio temporrio. Avise o suporte. */
    echo(RetornaFraseDaLista($lista_frases,8)."<br>\n");

    /* 23 - Voltar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  /* Arquivos no Temporario. Ir para Tela seguinte */

	$texto=ConverteAspas2Html(Enter2Br(RetornaTextoDinamica($sock,$cod_curso)));

  Desconectar($sock);
  echo("<body>\n");
  echo("<table><tr><td>");
  echo("<form name=tela action=editar_dinamica2.php method=post target=trabalho>\n");
  echo(RetornaSessionIDInput());
  echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  $texto_s=$texto;
  echo("</form>\n");
 
  echo("<script language=javascript>\n");
  echo("  document.tela.submit();\n");
  echo("</script>\n");
  echo("</body>\n");

?>
