<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/forum/compor_mensagem.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/forum/compor_mensagem.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("forum.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);


  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 9);
  $lista_frases_geral = RetornaListaDeFrases($sock, -1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  /* Verifica se o usuario  visitante. */
  $usr_visitante = EVisitante($sock, $cod_curso, $cod_usuario);

  /* 62 - Ao exclusiva a alunos e formadores. */
  if ($usr_visitante) exit(RetornaFraseDaLista($lista_frases, 62));

  echo("  <html>\n");
  /* 1 - Fruns de Discusso */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=forum.css>\n");
  echo("\n");

  echo("  <script language=JavaScript>\n\n");

  echo("    function CancelaMensagem()\n");
  echo("    {\n");
  echo("      document.compor_mensagem.action = 'ver_forum.php?".RetornaSessionID());
  echo("&cod_curso=".$cod_curso."';\n");
  echo("      document.compor_mensagem.submit();\n");
  echo("    }\n\n");

  echo("    function testa_titulo()\n");
  echo("    {\n");
  /* Elimina os espaos para verificar se o titulo nao eh formado apenas por espaos */
  echo("      titulo_conteudo = document.compor_mensagem.msg_titulo.value;\n");
  echo("      while (titulo_conteudo.search(\" \") != -1)\n");
  echo("      {\n");
  echo("        titulo_conteudo = titulo_conteudo.replace(/ /, \"\");\n");
  echo("      }\n");

  echo("      if (titulo_conteudo == '')\n");
  echo("      {\n");
  /* 15 - O ttulo no pode estar vazio. */
  echo("        alert('".RetornaFraseDaLista($lista_frases, 15)."');\n");
  echo("        return(false);\n");
  echo("      } else {\n");
  echo("        return(true);\n");
  echo("      }\n");
  echo("    }\n\n");

  echo("    function testa_corpo()\n");
  echo("    {\n");
  /* Elimina os espaos para verificar se o corpo da mensagem nao eh formado */
  /* apenas por espaos */
  echo("      corpo_conteudo = document.compor_mensagem.msg_corpo.value;\n");
  echo("      while (corpo_conteudo.search(\" \") != -1)\n");
  echo("      {\n");
  echo("        corpo_conteudo = corpo_conteudo.replace(/ /, \"\");\n");
  echo("      }\n");

  echo("      if (corpo_conteudo == '')\n");
  echo("      {\n");
  /* 16 - A mensagem no pode estar vazia. */
  echo("        alert('".RetornaFraseDaLista($lista_frases, 16)."');\n");
  echo("        return(false);\n");
  echo("      } else {\n");
  echo("        return(true);\n");
  echo("      }\n");
  echo("    }\n\n");

  echo("    function testa_campos()\n");
  echo("    {\n");
  echo("      if ((testa_titulo()) && (testa_corpo()))\n");
  echo("      {\n");
  echo("        return(true);\n");
  echo("      }\n");
  echo("      else\n");
  echo("      {\n");
  echo("        return(false);\n");
  echo("      }\n");
  echo("    }\n\n");

  echo("  </script>\n\n");


  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white>\n");
  /* 1 - Fruns de Discusso */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
  /* 12 - Compor nova mensagem */
  $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 12)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 9));
  echo("    <br>\n");

  echo("  <form name=compor_mensagem method=post action=\"compor_mensagem2.php\" onsubmit='return(testa_campos());'>\n");
  echo(RetornaSessionIDInput());
  echo("    <input type=hidden name=cod_curso value=".$cod_curso.">\n");

  /* Repassa o cod_forum para reler as mensagens e para executar aes sobre elas.     */
  echo("    <input type=hidden name=cod_forum value=".$cod_forum.">\n");
  /* Repassa o mtodo de ordenao, escolhida pelo usurio, para mant-lo ao voltar   */
  /* pgina de visualizao das mensagens do frum.                                    */
  echo("    <input type=hidden name=ordem value=".$ordem.">\n");
  /* Repassa o ndice da pgina que o usurio ir visualizar.                          */
  echo("    <input type=hidden name=pag_atual value=".$pag_atual.">\n");
  /* Repassa o status das mensagens que devero ser listadas.                          */
  echo("    <input type=hidden name=status value=".$status.">\n");

  echo("    <table border=0 width=100% cellspacing=0>\n");
  echo("      <tr class=colorfield>\n");
  /* 13 - Ttulo da nova mensagem */
  echo("        <td class=colorfield>".RetornaFraseDaLista($lista_frases, 13)."</td>\n");
  echo("      </tr>\n");
  echo("      <tr>\n");
  echo("        <td>\n");
  echo("          <input type=text name=msg_titulo size=40 maxlength=100 value='".$msg_titulo."'>\n");
  echo("        </td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");

  /* Poe o foco no campo ttulo. */
  echo("    <script language=JavaScript>\n\n");
  echo("      document.compor_mensagem.msg_titulo.focus();\n");
  echo("    </script>\n");

  echo("    <table border=0 width=100% cellspacing=0>\n");
  echo("      <tr class=colorfield>\n");
  /* 14 - Mensagem */
  echo("        <td class=colorfield>".RetornaFraseDaLista($lista_frases, 14)."</td>\n");
  echo("      </tr>\n");

  echo("      <tr>\n");
  echo("        <td>\n");
  echo("          <textarea name=msg_corpo class=text rows=10 cols=60 wrap=soft>".$msg_corpo."</textarea>\n");
  echo("        </td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");

  echo("    <br>\n");
  echo("    <p>\n");

  echo("    <div align=right width=100%>\n");
  /* 11 - Enviar */
  echo("      <input type=submit value=".RetornaFraseDaLista($lista_frases_geral, 11).">\n");
  /* 2 - Cancelar */
  echo("      <input type=button onclick='CancelaMensagem();' value=".RetornaFraseDaLista($lista_frases_geral,2).">\n");
  echo("    </div>\n");
  echo("  </form>\n");

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>