<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/forum/forum.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/forum/forum.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("forum.inc");

  /* Dereferncia as variveis, seno ainda seria possvel acess-las */
  unset($cod_forum_s);
  unset($array_mensagens_s);
  unset($sin_pag_s);
  /* Remove o contedo da sesso. */
  session_unregister('cod_forum_s');
  session_unregister('array_mensagens_s');
  session_unregister('sin_pag_s');

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 9);
  $lista_frases_geral = RetornaListaDeFrases($sock, -1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  MarcaAcesso($sock, $cod_usuario, 9);

  /* Define ordenao padro dos fruns (Data) */
  if ((!isset($ordem_foruns)) || ($ordem_foruns == ""))
    $ordem_foruns = "D";

  /* Verifica se o usuario eh formador. */
  $usr_formador = EFormador($sock, $cod_curso, $cod_usuario);

  /* Impede o acesso  Lixeira aos usurios que no so formadores. */
  /* status das mensagens: A - Ativo                                */
  /*                       D - Deletado                             */
  /*                       X - Excludo                             */
  if ((!$usr_formador) && ($status == 'D'))
  {
    echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmErro.cmdVoltar.focus();'>\n");
    /* 1 - Administrao */
    $cabecalho = "    <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
    /* 61 - Ao exclusiva a formadores. */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 61)."</b>";
    echo(PreparaCabecalho($cod_curso, $cabecalho, 0));
    echo("    <br>\n");
    /* 23 - Voltar (gen) */
    echo("<form name=frmErro><input class=text type=button name=cmdVoltar value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  /* Se o status das mensagens a serem visualizadas no foi setado ento   */
  /* lhe atribui o valor 'A' por padro. Com isso, apenas os fruns ativos */
  /* sero visualizados, e conseqentemente as mensagens ativas.           */
  if (!isset($status))
  {
    /* Especifica o status das MENSAGENS a serem listadas: A - Ativo      */
    /*                                                     D - Deletado   */
    /*                                                     X - Excludo   */
    $status = 'A';
  }

  /* Se as mensagens que devem ser listadas forem as ativas, lista os fruns */
  /* ativos. Se forem as deletadas, lista os fruns apagados.                */
  if ($status == 'A')
  {
    /* Lista os fruns NO deletados: ativo e somente leitura             */
    list ($lista_foruns, $total_por_forum, $total_foruns) = RetornaForuns($sock, $ordem_foruns);
  }
  else if ($status == 'D')
  {
    /* Lista os fruns DELETADOS, apenas os deletados. Fruns exludos    */
    /* no so listados.                                                  */
    list ($lista_foruns, $total_por_forum, $total_foruns) = RetornaForunsDeletados($sock, $ordem_foruns);
  }

  echo("  <html>\n");
  /* 1 - Fruns de Discusso */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=forum.css>\n");
  echo("\n");

  echo("  <script language=JavaScript src=../bibliotecas/dhtmllib.js></script>\n");
  echo("  <script language=JavaScript>\n\n");

  echo("      function MudaOrdenacao()\n");
  echo("      {\n");
  echo("        document.frmOrdenacao.action = \"forum.php\";\n");
  echo("        document.frmOrdenacao.submit();\n");
  echo("      }\n\n");


  if ($usr_formador)
  {
    echo("    var isNav = (navigator.appName.indexOf(\"Netscape\") !=-1);\n");
    echo("    var isIE = (navigator.appName.indexOf(\"Microsoft\") !=-1);\n");

    echo("    if (isNav)\n");
    echo("    {\n");
    echo("      document.captureEvents(Event.MOUSEMOVE);\n");
    echo("    }\n");
    echo("    document.onmousemove = TrataMouse;\n\n");

    echo("    function TrataMouse(e)\n");
    echo("    {\n");
    echo("      Ypos = (isMinNS4) ? e.pageY : event.clientY;\n");
    echo("      Xpos = (isMinNS4) ? e.pageX : event.clientX;\n");
    echo("    }\n\n");

    echo("    var selected_item;\n");

    echo("    function getPageScrollY()\n");
    echo("    {\n");
    echo("      if (isNav)\n");
    echo("        return(window.pageYOffset);\n");
    echo("      if (isIE)\n");
    echo("        return(document.body.scrollTop);\n");
    echo("    }\n\n");

    echo("    function AjustePosMenuIE()\n");
    echo("    {\n");
    echo("      if (isIE)\n");
    echo("        return(getPageScrollY());\n");
    echo("      else\n");
    echo("        return(0);\n");
    echo("    }\n\n");

    echo("    function iniciar()\n");
    echo("    {\n");
    /* Se estiver visualizando os fruns disponveis ento obtm os layers */
    /* para criao de um novo frum e para acesso s opes (Ver,         */
    /* Configurar, Renomear e Apagar).                                     */
    if ($status == 'A')
    {
      echo("      lay_novo_forum = getLayer('layer_novo_forum');\n");
      echo("      lay_forum = getLayer('layer_forum');\n");
    }
    /* Se estiver visualizando a Lixeira ento obtm o layer para acesso   */
    /* s opes (Ver, Excluir).                                           */
    else if ($status == 'D')
      echo("      lay_forum_lixeira = getLayer('layer_forum_lixeira');\n");
    echo("    }\n\n");

    echo("    function EscondeLayer(cod_layer)\n");
    echo("    {\n");
    echo("      hideLayer(cod_layer);\n");
    echo("    }\n\n");

    echo("    function EscondeLayers()\n");
    echo("    {\n");
    /* Se estiver visualizando os fruns disponveis ento esconde os layers   */
    /* para criao de um novo frum e para acesso s opes (Ver, Configurar, */
    /* Renomear e Apagar).                                                     */
    if ($status == 'A')
    {
      echo("      hideLayer(lay_novo_forum);\n");
      echo("      hideLayer(lay_forum);\n");
    }
    /* Se estiver visualizando a Lixeira ento esconde o layer para acesso  s */
    /* opes (Ver, Excluir).                                                  */
    else if ($status == 'D')
      echo("      hideLayer(lay_forum_lixeira);\n");
    echo("    }\n\n");

    echo("    function MostraLayer(cod_layer)\n");
    echo("    {\n");
    echo("      EscondeLayers();\n");
    echo("      moveLayerTo(cod_layer, Xpos, Ypos + AjustePosMenuIE());\n");
    echo("      showLayer(cod_layer);\n");
    echo("    }\n\n");

    /* Se estiver visualizando os fruns disponveis ento cria as funes JavaScript */
    /* ApagarForum(id), VerLixeira(), Configurar(id) e Renomear(id).                  */
    if ($status == 'A')
    {
      echo("    function ApagarForum(id)\n");
      echo("    {\n");
      /* 36 - Deseja realmente apagar este frum? (Todas perguntas */
      /* pertencentes a ele sero movidas para a Lixeira) */
      echo("      if(confirm('".RetornaFraseDaLista($lista_frases, 36)."'))");
      echo("      {\n");
      echo("        document.frmForum.cod_forum.value = id;\n");
      echo("        document.frmForum.action = \"apagar_forum.php\";\n");
      echo("        document.frmForum.submit();\n");
      echo("      }\n");
      echo("    }\n\n");

      echo("    function VerLixeira()\n");
      echo("    {\n");
      echo("      document.frmForum.status.value = 'D';\n");
      echo("      document.frmForum.action = \"forum.php\";\n");
      echo("      document.frmForum.submit();\n");
      echo("    }\n\n");

      echo("    function Configurar(id)\n");
      echo("    {\n");
      echo("      document.frmForum.cod_forum.value = id;\n");
      echo("      document.frmForum.action = \"configurar_forum.php\";\n");
      echo("      document.frmForum.submit();\n");
      echo("    }\n\n");

      echo("    function Renomear(id)\n");
      echo("    {\n");
      echo("      document.frmForum.cod_forum.value = id;\n");
      echo("      document.frmForum.action = \"renomear_forum.php\";\n");
      echo("      document.frmForum.submit();\n");
      echo("    }\n\n");

    }
    /* Se estiver visualizando a Lixeira ento cria as funes JavaScript ExcluirForum(id) */
    /* SairLixeira().                                                                      */
    else if ($status == 'D')
    {
      echo("    function ExcluirForum(id)\n");
      echo("    {\n");
      /* 60 - Deseja realmente excluir este frum? No ser mais possvel */
      /* visualiz-lo.                                                    */
      echo("      if(confirm('".RetornaFraseDaLista($lista_frases, 60)."'))");
      echo("      {\n");
      echo("        document.frmForum.operacao.value='excluir';\n");
      echo("        document.frmForum.cod_forum.value = id;\n");
      echo("        document.frmForum.action = \"excluir_forum.php\";\n");
      echo("        document.frmForum.submit();\n");
      echo("      }\n");
      echo("    }\n\n");

      echo("    function RecuperarForum(id)\n");
      echo("    {\n");
      /* 80 - Deseja realmente recuperar este frum? Ele ser configurado para somente leitura. */
      echo("      if(confirm('".RetornaFraseDaLista($lista_frases, 80)."'))");
      echo("      {\n");
      echo("        document.frmForum.cod_forum.value = id;\n");
      echo("        document.frmForum.action = \"excluir_forum.php\";\n");
      echo("        document.frmForum.operacao.value='recuperar';\n");
      echo("        document.frmForum.submit();\n");
      echo("      }\n");
      echo("    }\n\n");


      echo("    function SairLixeira()\n");
      echo("    {\n");
      echo("      document.frmForum.status.value = 'A';\n");
      echo("      document.frmForum.action = \"forum.php\";\n");
      echo("      document.frmForum.submit();\n");
      echo("    }\n\n");
    }
  }

  echo("    function Ver(id)\n");
  echo("    {\n");
  echo("      document.frmForum.cod_forum.value = id;\n");
  echo("      document.frmForum.action = \"ver_forum.php\";\n");
  echo("      document.frmForum.submit();\n");
  echo("    }\n\n");

  echo("  </script>\n\n");


  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white");

  if ($usr_formador)
    echo(" onLoad='iniciar();'>\n");
  else
    echo(">\n");

  /* 1 - Fruns de Discusso */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";

  /* Se estiver visualizando a Lixeira adiciona esta informao no cabealho. */
  if ($status == 'D')
  {
    /* 16 - Lixeira */
    $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases_geral, 16)."</b>";
  }
  echo(PreparaCabecalho($cod_curso, $cabecalho, 9));
  echo("    <br>\n");
  echo("    <p>\n");

  echo("  <form name=frmOrdenacao method=post>\n");
  echo(RetornaSessionIDInput());
  echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("    <table border=0 width=100% cellspacing=2>\n");
  echo("      <tr class=menu>\n");

  /* Se o usuario FOR Formador entao exibe os controles. */
  if ($usr_formador)
  {
    /* Se estiver visualizando os fruns disponveis ento cria um link para o */
    /* layer novo_forum e outro para a funo JavaScript VerLixeira().         */
    if ($status == 'A')
    {
      /* 2 - Novo frum */
      echo("        <td align=center><a class=menu href=# onMouseDown=");
      echo("'MostraLayer(lay_novo_forum);document.novo_forum.nome.focus();return(false);'>");
      echo(RetornaFraseDaLista($lista_frases,2)."</a></td>\n");

      /* 22 - Ver Lixeira */
      echo("        <td align=center class=menu><a class=menu href=# ");
      echo("onClick='VerLixeira();return(false);' target=direita>");
      echo(RetornaFraseDaLista($lista_frases_geral, 22)."</a></td>\n");
    }
    /* Se estiver visualizando a Lixeira ento cria um link para a funo       */
    /* JavaScript SairLixeira().                                                */
    else if ($status == 'D')
    {
      /* 35 - Sair da Lixeira */
      echo("        <td align=center><a class=menu href=# onClick=");
      echo("'SairLixeira();return(false);'>");
      echo(RetornaFraseDaLista($lista_frases,35)."</a></td>\n");
    }

  }

  echo("        <td align=center>\n");

  /*************************************************/
  echo("          <table border=0 cellspacing=0>\n");

  /* Repassa o status da mensagens que sero selecionadas: A ou D (Lixeira)            */
  /* Se o status for A ento sero listadas os fruns e mensagens ativos, do contrrio */
  /* ficaro visveis os fruns deletados e sero listadas as mensagens apagadas.      */
  echo("              <input type=hidden name=status value='".$status."'>\n");

  echo("              <tr class=colorfield valign=middle>\n");
  echo("                <td align=right>\n");
  echo("                  <font class=colorfield>");
  /* 41 - Ordenar por:  */
  echo(RetornaFraseDaLista($lista_frases, 41)."</font>\n");
  echo("                </td>\n");

  echo("                <td>\n");

  if ($ordem_foruns == "N")
    $nome_select = "selected";
  else
    $data_select = "selected";

  echo("                  <select class=text name=ordem_foruns onChange='MudaOrdenacao();'>\n");
  /* 44 - data */
  echo("                    <option value='D' ".$data_select.">".RetornaFraseDaLista($lista_frases, 44)."</option>\n");
  /* 46 - ttulo */
  echo("                    <option value='N' ".$nome_select.">".RetornaFraseDaLista($lista_frases, 46)."</option>\n");
  echo("                  </select>\n");

  echo("                </td>\n");
  echo("              </tr>\n");
  echo("          </table>\n");

  /*******************************/
  echo("        </td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");
  echo("  </form>\n");


  echo("    <form name=frmForum method=post>\n");

  echo(RetornaSessionIDInput());
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("<input type=hidden name=operacao value=''>\n");
  echo("<input type=hidden name=ordem_foruns value=".$ordem_foruns.">\n");

  /* Passa o cod_forum para reler as mensagens e para executar aes sobre elas.       */
  echo("      <input type=hidden name=cod_forum value=-1>\n");
  /* Passa o status da mensagens que sero selecionadas: A ou D (Lixeira)              */
  echo("      <input type=hidden name=status value='".$status."'>\n");
  echo("      <input type=hidden name=ordem_foruns value=".$ordem_foruns.">\n");
  echo("    </form>\n");

  echo("    <table border=0 width=100% cellspacing=0>\n");
  /* 58 - Frum */
  echo("      <tr><td class=colorfield>".RetornaFraseDaLista($lista_frases,58)."</td>\n");
  /* 44 - Data */
  echo("      <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,44)."</td></tr>\n");


  $num = 0;
  $cor = 0;
  $ultimo_acesso = PenultimoAcesso($sock, $cod_usuario, "");
  while ($num < $total_foruns)
  {
    if ($cor == 0)
    {
      $classe = "g1field";
      $cor = 1;
    }
    else
    {
      $classe = "g2field";
      $cor = 0;
    }

    echo("      <tr>\n");
    echo("        <td class=".$classe.">\n");

    /* Se o usurio for formador ento cria um link para o layer com acesso s opes  */
    /* (Ver, Configurar, etc.), se estiver visualizando os fruns disponveis, ou para */
    /* o layer com acesso s opes (Ver, Excluir), se estiver visualizando a Lixeira. */
    if ($lista_foruns[$num]['data'] > $ultimo_acesso)
      echo("          <b>");
    else
      echo("          ");
    if ($usr_formador)
    {
      if ($status == 'A')
      {
        echo("<a class=text href=# onMouseDown='selected_item=");
        echo($lista_foruns[$num]['cod_forum'].";MostraLayer(lay_forum);");
        echo("return(false);'>".$lista_foruns[$num]['nome']."</a>");
      }
      else if ($status == 'D')
      {
        echo("<a class=text href=# onMouseDown='selected_item=");
        echo($lista_foruns[$num]['cod_forum'].";MostraLayer(lay_forum_lixeira);");
        echo("return(false);'>".$lista_foruns[$num]['nome']."</a>");
      }
    }
    /* Se o usurio NO for formador, ento cria um link para a funo JavaScript Ver(id) */
    else
    {
      echo("<a class=text href=# onClick='Ver(".$lista_foruns[$num]['cod_forum'].");return(false);'>");
      echo($lista_foruns[$num]['nome']."</a>");
    }
    echo("            <font class=text> (".$total_por_forum[$num].")</font>");

    if ($lista_foruns[$num]['data'] > $ultimo_acesso)
      echo("</b>");


    /* Se o frum for somente leitura ento informa com um texto. */
    if ($lista_foruns[$num]['status'] == 'L')
    {
      /* 40 - (somente leitura)                                   */
      echo(" <font class=text>".RetornaFraseDaLista($lista_frases, 40)."</font>");
    }
    echo("</font>\n");

    echo("        </td><td class=".$classe." align=center><font class=text>".UnixTime2Data($lista_foruns[$num]['data'])."</font>\n");

    echo("        </td>\n");
    echo("      </tr>\n");

    /* Incrementa o contador. */
    $num++;
  }

  echo("    </table>\n");

  /* Se o usurio for formador ento cria a funo JavaScript que testa o nome do    */
  /* novo frum e o layer novo_forum, se estiver visualizando os fruns disponveis, */
  /* ou cria o layer de acesso s opes (Ver, Excluir), se estiver visualizando a   */
  /* Lixeira.                                                                        */
  if (usr_formador)
  {
    if ($status == 'A')
    {
      /* layer_novo_forum */
      echo("  <script language=JavaScript>\n\n");

      echo("    function testa_nome(form)\n");
      echo("    {\n");
      /* Elimina os espaos para verificar se o titulo nao eh formado por apenas espaos */
      echo("      forum_nome = form.nome.value;\n");
      echo("      while (forum_nome.search(\" \") != -1)\n");
      echo("      {\n");
      echo("        forum_nome = forum_nome.replace(/ /, \"\");\n");
      echo("      }\n");
      echo("      if (forum_nome == '')\n");
      echo("      {\n");
      /* 4 - O frum deve ter um nome. */
      echo("        alert('".RetornaFraseDaLista($lista_frases, 4)."');\n");
      echo("        return(false);\n");
      echo("      } else {\n");
      echo("        return(true);\n");
      echo("      }\n");
      echo("    }\n\n");

      echo("  </script>\n\n");

      echo("  <div id=layer_novo_forum class=block visibility=hidden onContextMenu='return(false);'>\n");
      echo("    <form name=novo_forum method=post action=novo_forum.php onsubmit='return(testa_nome(this));'>\n");
      echo(RetornaSessionIDInput());
      echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");

      echo("      <table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
      echo("        <tr class=bgcolor>\n");
      echo("          <td class=bgcolor align=right>\n");
      echo("            <table bgcolor=#ffffff cellpadding=0 cellspacing=0 border=0 width=100%>\n");
      echo("              <tr class=bgcolor>\n");
      echo("                <td class=bgcolor align=left>\n");
      /* 2 - Novo frum */
      echo("                  <b><font class=text color=white>".RetornaFraseDaLista($lista_frases, 2)."</font></b>\n");
      echo("                </td>\n");
      echo("                <td class=bgcolor align=right>\n");
      echo("                  <a href=# onClick='EscondeLayer(lay_novo_forum);return(false);'>");
      echo("<img src=../figuras/x.gif border=0></a>\n");
      echo("                </td>\n");
      echo("              </tr>\n");
      echo("            </table>\n");
      echo("          </td>\n");
      echo("        </tr>\n");
      echo("        <tr class=wtfield>\n");
      /* 3 - Nome */
      echo("          <td>\n");
      echo("            ".RetornaFraseDaLista($lista_frases, 3)."<br>\n");
      echo("            <input class=text type=text name=nome size=40 maxlength=150 value=''><br>\n");
      /* 8 - Criar */
      echo("            <input class=text type=submit value=".RetornaFraseDaLista($lista_frases_geral, 8).">\n");
      /* 2 - Cancelar */
      echo("            <input class=text type=button onClick='EscondeLayer(lay_novo_forum);return(false);'");
      echo(" value=".RetornaFraseDaLista($lista_frases_geral,2).">\n");
      echo("          </td>\n");
      echo("        </tr>\n");
      echo("      </table>\n");
      echo("    </form>\n");
      echo("  </div>\n\n");

      /* layer_forum */
      echo("  <div id=layer_forum class=block visibility=hidden onContextMenu='return(false);'>\n");
      echo("    <table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
      echo("      <tr class=bgcolor>\n");
      echo("        <td class=bgcolor align=right>\n");
      echo("          <a href=# onClick='EscondeLayer(lay_forum);return(false);'>");
      echo("<img src=../figuras/x.gif border=0></a>\n");
      echo("        </td>\n");
      echo("      </tr>\n");
      echo("      <tr class=wtfield>\n");
      echo("        <td class=wtfield>\n");
      /* 34 - Abrir */
      echo("          <a href=# class=text onClick='Ver(selected_item);return(false)'>".RetornaFraseDaLista($lista_frases_geral, 34)."</a><br>\n");
      /* 6 - Configurar */
      echo("          <a href=# class=text onClick='Configurar(selected_item);return(false);'>".RetornaFraseDaLista($lista_frases_geral, 6)."</a><br>\n");
      /* 19 - Renomear */
      echo("          <a href=# class=text onClick='Renomear(selected_item);return(false);'>".RetornaFraseDaLista($lista_frases_geral, 19)."</a><br>\n");
      /* 1 - Apagar */
      echo("          <a href=# class=text onClick='ApagarForum(selected_item);return(false);'>".RetornaFraseDaLista($lista_frases_geral, 1)."</a><br>\n");
      echo("        </td>\n");
      echo("      </tr>\n");
      echo("    </table>\n");
      echo("  </div>\n\n");
    }
    else if ($status == 'D')
    {
      /* layer_forum_lixeira */
      echo("  <div id=layer_forum_lixeira class=block visibility=hidden onContextMenu='return(false);'>\n");
      echo("    <table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
      echo("      <tr class=bgcolor>\n");
      echo("        <td class=bgcolor align=right>\n");
      echo("          <a href=# onClick='EscondeLayer(lay_forum_lixeira);return(false);'>");
      echo("<img src=../figuras/x.gif border=0></a>\n");
      echo("        </td>\n");
      echo("      </tr>\n");
      echo("      <tr class=wtfield>\n");
      echo("        <td class=wtfield>\n");
      /* 34 - Ver */
      echo("          <a href=# class=text onClick='Ver(selected_item);return(false)'>".RetornaFraseDaLista($lista_frases_geral, 34)."</a><br>\n");

      /* 48 - Recuperar (geral) */
      echo("          <a href=# class=text onClick='RecuperarForum(selected_item);return(false);'>".RetornaFraseDaLista($lista_frases_geral, 48)."</a><br>\n");

      /* 12 - Excluir */
      echo("          <a href=# class=text onClick='ExcluirForum(selected_item);return(false);'>".RetornaFraseDaLista($lista_frases_geral, 12)."</a><br>\n");
      echo("        </td>\n");
      echo("      </tr>\n");
      echo("    </table>\n");
      echo("  </div>\n\n");
    }
  }

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>