<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/forum/ver_mensagem.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/forum/ver_mensagem.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("forum.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 9);
  $lista_frases_geral = RetornaListaDeFrases($sock, -1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  /* Verifica se o usuario eh formador. */
  $usr_formador = EFormador($sock, $cod_curso, $cod_usuario);

  /* Obtm o nome e o status do frum                     */
  $forum_dados = RetornaForum($sock, $cod_forum);

  $msg_tem_respostas = MensagemTemRespostas($sock, $cod_msg, $status);

  /* Obtm dados da mensagem.           */
  list($total, $mensagem_dados) = RetornaMensagem($sock, $cod_msg, $cod_forum, $status);

  if ($total > 0)
  {
    if ($ordem == 'arvore')
    {
      $cod_msg_anterior = ObtemMensagemAnterior($sock, $cod_msg, $cod_forum, $status);
      $cod_msg_proximo = ObtemMensagemSeguinte($sock, $cod_msg, $cod_forum, $status);
    }
    else
    {
      $cod_msg_anterior = ObtemMensagemAnteriorOrdenada($sock, $cod_msg, $cod_forum, $status, $ordem);
      $cod_msg_proximo = ObtemMensagemSeguinteOrdenada($sock, $cod_msg, $cod_forum, $status, $ordem);
    }
  }

  echo("  <html>\n");
  /* 1 - Fruns de Discusso */
  echo("    <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=forum.css>\n");
  echo("\n\n");

  echo("    <script language=JavaScript>\n\n");


  if (!EVisitante($sock, $cod_curso, $cod_usuario))
  {
    echo("      function ResponderMensagem()\n");
    echo("      {\n");

    echo("        document.frmMsg.action = \"index_responder.php\";\n");
    echo("        document.frmMsg.submit();\n");
    echo("      }\n\n");

    if (!($msg_tem_respostas))
    {
      if ($status == 'A')
      {
        if (   ($forum_dados['status'] == 'A') &&
          (  ($usr_formador) ||
          ( ($total > 0) &&
          ($cod_usuario == $mensagem_dados['cod_usuario']) )  )   )
        {
          echo("      function ApagarMensagem()\n");
          echo("      {\n");
          /* 50 - Deseja realmente apagar esta mensagem? Ela no poder ser recuperada. */
          echo("        if(confirm(\"".RetornaFraseDaLista($lista_frases, 50)."\"))\n");
          echo("        {\n");
          echo("          document.frmMsg.action = \"apagar_mensagem.php\";\n");
          echo("          document.frmMsg.submit();\n");
          echo("        }\n");
          echo("      }\n\n");
        }
      }
      else if ( ($status == 'D') &&
        ($forum_dados['status'] == 'D') && ($usr_formador) )
      {
        echo("      function ExcluirMensagem()\n");
        echo("      {\n");
        /* 67 - Deseja realmente excluir esta mensagem? Ela no poder ser recuperada. */
        echo("        if(confirm(\"".RetornaFraseDaLista($lista_frases, 67)."\"))\n");
        echo("        {\n");
        echo("          document.frmMsg.action = \"excluir_mensagem.php\";\n");
        echo("          document.frmMsg.submit();\n");
        echo("        }\n");
        echo("      }\n\n");
      }
    }
  }

  if (($total > 0) && (($cod_msg_anterior >= 0) || ($cod_msg_proximo >= 0)))
  {

    echo("      function ExibirMensagem(id)\n");
    echo("      {\n");
    echo("        document.frmMsg.cod_msg.value = id;\n");
    echo("        document.frmMsg.action = \"ver_mensagem.php\";\n");
    echo("        document.frmMsg.submit();\n");
    echo("      }\n\n");
  }

  echo("      function CancelaVis()\n");
  echo("      {\n");

  echo("        document.frmMsg.action = \"ver_forum.php\";\n");
  echo("        document.frmMsg.submit();\n");
  echo("      }\n\n");

  echo("    </script>\n\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white>\n");

  /* 1 - Fruns de Discusso */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b><b class=subtitulo>";

  if ($status == 'D')
  {
    /* 16 - Lixeira */
    $cabecalho .= " - ".RetornaFraseDaLista($lista_frases_geral, 16);
  }

  /* 26 - Ver mensagem */
  $cabecalho .= " - ".RetornaFraseDaLista($lista_frases, 26)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 9));

  /* 59 - Mensagem do Frum */
  echo("    <font class=text>".RetornaFraseDaLista($lista_frases, 59)."</font>\n");
  echo("    <font class=text> <i>".$forum_dados['nome']."</i>");

  if ($forum_dados['status'] == 'L')
  {
    /* 40 - (somente leitura)                                   */
    echo(" <b>".RetornaFraseDaLista($lista_frases, 40)."</b>");
  }

  echo("</font>\n");

  echo("    <br>\n");
  echo("    <p>\n");

  if ($total > 0)
  {
    $nome_usuario = NomeUsuario($sock, $mensagem_dados['cod_usuario']);
    $data = UnixTime2Data($mensagem_dados['data']);
    $hora = UnixTime2Hora($mensagem_dados['data']);

    echo("    <table border=0 width=100% cellspacing=0>\n");

    /* Exibe os nomes dos campos da tabela.                                  */
    echo("      <tr class=colorfield>\n");
    /* 9 - Ttulo */
    echo("        <td class=colorfield width=50%>".RetornaFraseDaLista($lista_frases, 9)."</td>\n");
    /* 10 - Emissor */
    echo("        <td class=colorfield width=25%>".RetornaFraseDaLista($lista_frases, 10)."</td>\n");
    /* 11 - Data */
    echo("        <td class=colorfield width=25%>".RetornaFraseDaLista($lista_frases, 11)."</td>\n");

    echo("      </tr>\n");

    /* Exibe os dados da emissao da mensagem: titulo, nome do emissor e data */
    echo("      <tr class=text>\n");
    /* Exibe o titulo da mensagem eliminando algumas tags HTML.              */
    echo("        <td class=text>".LimpaTitulo($mensagem_dados['titulo'])."</td>\n");
    echo("        <td class=text>".$nome_usuario."</td>\n");
    echo("        <td class=text>".$data.", ".$hora."</td>\n");
    echo("      </tr>\n");

    echo("    </table>\n");

    echo("    <table border=0 width=100% cellspacing=0>\n");
    echo("      <tr class=colorfield>\n");
    /* 14 - Mensagem */
    echo("        <td class=colorfield>".RetornaFraseDaLista($lista_frases, 14)."</td>\n");
    echo("      </tr>\n");

    /* Exibe o contedo da mensagem convertendo quebras de linhas em tags  */
    /* <BR> e elimina algumas tags HTML.                                   */
    echo("      <tr class=text>\n");
    echo("        <td class=text>".Enter2BR(LimpaConteudo($mensagem_dados['mensagem']))."</td>\n");
    echo("      </tr>\n");

    echo("    </table>\n");
    echo("    <br>\n");
    echo("    <p>\n");

    switch($ordem)
    {
      case 'arvore':
        /* 43 - rvore */
        $ordemTexto = RetornaFraseDaLista($lista_frases, 43);
        break;
      case 'data':
        /* 44 - data */
        $ordemTexto = RetornaFraseDaLista($lista_frases, 44);
        break;
      case 'emissor':
        /* 45 - emissor */
        $ordemTexto = RetornaFraseDaLista($lista_frases, 45);
        break;
      case 'titulo':
        /* 46 - ttulo */
        $ordemTexto = RetornaFraseDaLista($lista_frases, 46);
        break;
    }

    echo("    <table border=0 width=100% cellspacing=0>\n");
    echo("      <tr class=textsmall>\n");
    /* 42 - Ordenado por:  */
    echo("        <td class=textsmall><b>".RetornaFraseDaLista($lista_frases, 42)."</b>");
    echo($ordemTexto."</td>\n");
    echo("      </tr>\n");

    echo("    </table>\n");

    if (($cod_msg_anterior >= 0) || ($cod_msg_proximo >= 0))
    {

      echo("    <table border=0 width=100% cellspacing=0>\n");
      echo("      <tr class=textsmall>\n");
      echo("        <td>\n");

      if ($cod_msg_anterior >= 0)
      {
        echo("        <a href=# class=textsmall onClick='ExibirMensagem(");
        /* 24 - << Anterior                                       */
        echo($cod_msg_anterior.");return(false);'>".RetornaFraseDaLista($lista_frases, 24));
        echo("</a>\n");
      }
      else
      {
        /* 24 - << Anterior                                       */
        echo("          <font class=textsmall>".RetornaFraseDaLista($lista_frases, 24));
        echo("</font>\n");
      }

      if ($cod_msg_proximo >= 0)
      {
        echo("        <a href=# class=textsmall onClick='ExibirMensagem(");
        /* 25 - Prxima >>                                        */
        echo($cod_msg_proximo.");return(false);'>".RetornaFraseDaLista($lista_frases, 25));
        echo("</a>\n");
      }
      else
      {
        /* 25 - Prxima >>                                        */
        echo("          <font class=textsmall>".RetornaFraseDaLista($lista_frases, 25));
        echo("</font>\n");
      }
      echo("        </td>\n");
      echo("      </tr>\n");
      echo("    </table>\n");
    }
  }

  echo("    <form method=post name=frmMsg>\n");
  echo(RetornaSessionIDInput());
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");

  /* Repassa o cod_forum para reler as mensagens e para executar aes sobre elas.     */
  echo("      <input type=hidden name=cod_forum value=".$cod_forum.">\n");
  /* Repassa o mtodo de ordenao, escolhida pelo usurio, para mant-lo ao voltar a  */
  /* esta pgina.                                                                      */
  echo("      <input type=hidden name=ordem value='".$ordem."'>\n");
  /* Repassa o status da mensagens que sero selecionadas: A ou D (Lixeira)            */
  echo("      <input type=hidden name=status value='".$status."'>\n");
  /* Repassa o cod_msg para efetuar aes com a mensagens (apagar, responder, etc.).   */
  echo("      <input type=hidden name=cod_msg value=".$cod_msg.">\n");
  /* Repassa o ndice da pgina que o usurio ir visualizar.                          */
  echo("      <input type=hidden name=pag_atual value=".$pag_atual.">\n");
  /* Utilizado para criar o ttulo ao se responder.          */
  echo("      <input type=hidden name=msg_titulo value='");
  echo(LimpaTitulo($mensagem_dados['titulo'])."'>\n");

  /* Se a data de ltima alterao das mensagens e o total de mensagens estiverem setados   */
  /* ento repassa essas informaes. Note que isso s ocorre quando a pgina ver_forum.php */
  /* chama ver_mensagem.php. As pginas que modificam a base de dados chamada por           */
  /* ver_mensagem.php no repassam essas informaes. Elas so mantidas apenas nesta pgina */
  /* para o caso em que os usurios esto apenas visualizando as mensagens, e em seguida    */
  /* retornando para a lista de mensagens.                                                  */
  if ((isset($data_msg_alt)) && (isset($total_mensagens)))
  {
    echo("      <input type=hidden name=data_msg_alt value=".$data_msg_alt.">\n");
    echo("      <input type=hidden name=total_mensagens value=".$total_mensagens.">\n");
  }
  echo("      <table border=0 width=100% cellspacing=0>\n");
  echo("        <tr class=text>\n");

  if ($total > 0)
  {
    /* Se o usurio NO for visitante possibilita as aes de apagar ou excluir (Lixeira), */
    /* ou responder a mensagem.                                                            */
    if (!EVisitante($sock, $cod_curso, $cod_usuario))
    {
      echo("          <td align=left>\n");

      /* Se o status do frum for Ativo (permite leitura e escrita) ento cria um boto    */
      /* para responder a mensagem.                                                        */

      if ($forum_dados['status'] == 'A')
      {
        /* verifica se o curso terminou. Aps o termino, o aluno no mais pode contribuir */
        $status_curso = RetornaStatusCurso($sock,$cod_curso);
        if (!($status_curso == 'E' && !EFormador($sock,$cod_curso,$cod_usuario)))
        {
          /* 27 - Responder */
          echo("            <input class=text type=button value='");
          echo(RetornaFraseDaLista($lista_frases, 27));
          echo("' onClick='ResponderMensagem();'>\n");
        }
      }

      /* Se a mensagem NO possuir respostas possibilita apagar ou excluir (Lixeira) a     */
      /* mensagem.                                                                         */
      if (!($msg_tem_respostas))
      {
        /* Se estiver no modo de visualizao Normal (fruns disponveis), o frum for     */
        /* ativo e o usurio for o formador ou o emissor da mensagem, cria um boto para   */
        /* apagar a mensagem.                                                              */
        if (   ($status == 'A') && ($forum_dados['status'] == 'A') && (  ($usr_formador) ||
          ( ($total > 0) &&
          ($cod_usuario == $mensagem_dados['cod_usuario']) )  )   )
        {
          /* verifica se o curso terminou. Aps o termino, o aluno no mais pode contribuir */
          $status_curso = RetornaStatusCurso($sock,$cod_curso);
          if (!($status_curso == 'E' && !EFormador($sock,$cod_curso,$cod_usuario)))
          {
            /* 1 - Apagar */
            echo("            <input class=text type=button value='");
            echo(RetornaFraseDaLista($lista_frases_geral, 1));
            echo("' onClick='ApagarMensagem();'>\n");
          }
        }
        /* Se estiver visualizando a Lixeira e o usurio for formador (necessariamente),   */
        /* cria um boto para excluir a mensagem.                                          */
        else if ( ($status == 'D') &&
          ($forum_dados['status'] == 'D') && ($usr_formador) )
        {
          /* 12 - Excluir */
          echo("            <input class=text type=button value='");
          echo(RetornaFraseDaLista($lista_frases_geral, 12));
          echo("' onClick='ExcluirMensagem();'>\n");
        }
      }
      echo("          </td>\n");
    }
  }

  echo("          <td align=right>\n");
  /* 33 - Retornar  lista de mensagens */
  echo("            <input class=text type=button value='");
  echo(RetornaFraseDaLista($lista_frases, 33));
  echo("' onClick='CancelaVis();'>\n");
  echo("          </td>\n");
  echo("        </tr>\n");
  echo("      </table>\n");

  echo("    </form>\n");

  echo("    <br>\n");
  echo("    <p>\n");

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>