<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/menu.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/menu.php
  ========================================================== */

  $bibliotecas="bibliotecas/";
  include($bibliotecas."geral.inc");
  include("menu.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-4);

  $ordem_ferramentas=RetornaOrdemFerramentas($sock);
  $lista_ferramentas=RetornaListaFerramentas($sock);
  $email_suporte=RetornaConfiguracao($sock,"adm_email");

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  /************************ Funcoes **************************/
  function ExibeLink($cod_curso,$cod_ferramenta,$nome_ferramenta,$diretorio,$data,$ultimo_acesso)
  {
    global $cont_layer,$altura;
    echo("<div id=\"menu".$cont_layer."\" class=block style=\"width:180px;\">\n");
    ExibeLinkAux($cod_curso,$cod_ferramenta,$nome_ferramenta,$diretorio,$data,$ultimo_acesso,"normal"," onClick=marcar(".$cont_layer.");");
    echo("</div>\n");
    echo("<div id=\"menu".$cont_layer."a\" class=block style=\"width:180px;\">\n");
    ExibeLinkAux($cod_curso,$cod_ferramenta,$nome_ferramenta,$diretorio,$data,$ultimo_acesso,"marcado","");
    echo("</div>\n"); 
    $altura[$cont_layer]=13; 
    $cont_layer++;
  }

  function ExibeLinkAux($cod_curso,$cod_ferramenta,$nome_ferramenta,$diretorio,$data,$ultimo_acesso,$classe,$acao)
  {
    if ($data>$ultimo_acesso)
      $novidade="estrela.gif";
    else
      $novidade="estrela1.gif";
    echo("<font class=textsmall><a href=".$diretorio."/".$diretorio.".php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_ferramenta=".$cod_ferramenta." target=direita class=".$classe.$acao.">");
    echo("<nobr><img src='".$novidade."' border=0> <b>".$nome_ferramenta."</b></nobr>");
    echo("</a></font>\n");
  }

  function ExibeLinkEspecial($nome_ferramenta,$href)
  {
    global $cont_layer,$altura;
    echo("<div id=\"menu".$cont_layer."\" class=block style=\"width:180px;\">");
    ExibeLinkEspecialAux($nome_ferramenta,$href);
    echo("</div>");
    echo("<div id=\"menu".$cont_layer."a\" class=block style=\"width:180px;\">");
    ExibeLinkEspecialAux($nome_ferramenta,$href);
    echo("</div>");
    $altura[$cont_layer]=13;
    $cont_layer++;
  }

  function ExibeLinkEspecialAux($nome_ferramenta,$href)
  {
    echo("<font class=textsmall>".$href);
    echo("<img src='estrela1.gif' border=0> <b>".$nome_ferramenta."</b>");
    echo("</a></font>\n");
  }

  $cont_layer=0;

  function ExibeBarra()
  {
    global $cont_layer,$altura;
    echo("<div id=\"menu".$cont_layer."\" class=block style=\"width:180px;\">");
    echo("<img src=hr.gif border=0>");
    echo("</div>\n");
    echo("<div id=\"menu".$cont_layer."a\" class=block style=\"width:180px;\">");
    echo("<img src=hr.gif border=0>");
    echo("</div>");
    $altura[$cont_layer]=6;
    $cont_layer++;
  }

  
  function ExibeBarraDif()
  {
    global $cont_layer,$altura;
    echo("<div id=\"menu".$cont_layer."\" class=block style=\"width:180px;\">");
    echo("<img src=hr1.gif border=0>");
    echo("</div>\n");
    echo("<div id=\"menu".$cont_layer."a\" class=block style=\"width:180px;\">");
    echo("<img src=hr1.gif border=0>");
    echo("</div>");
    $altura[$cont_layer]=8;
    $cont_layer++;
  }


  if (!isset($cod_ferramenta))
    $cod_ferramenta=1; /* Agenda */

  echo("<html>\n");
  echo("  <head><title>TelEduc</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=teleduc.css>\n");

  echo("<style type=\"text/css\">\n");
  echo("  .block {\n");
  echo("    font-family: sans-serif;\n");
  echo("    font-size: 9pt;\n");
  echo("    font-weight: bold;\n");
  echo("    color: #00ffff;\n");
  echo("    position: absolute;\n");
  echo("    visibility: hidden;\n");
  echo("  }\n");
  echo("  a {\n");
  echo("    text-decoration:none;\n");
  echo("  }\n");
  echo("  .marcado {\n");
  echo("    color:yellow;\n");
  echo("  }\n");
  echo("  .normal {\n");
  echo("    color:white;\n");
  echo("  }\n");
  echo("</style>\n");

  /************************** Funes Javascript *****************************/
  echo("<script language=javascript src=bibliotecas/dhtmllib.js></script>\n");
  echo("<script language=javascript>\n");
  echo("  function OpenWindow(id)\n");
  echo("  {\n");
  echo("    window.open(id,\"JanelaDados\",\"width=600,height=400,top=110,left=110,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
  echo("    return false;\n");
  echo("  }\n");

  echo("var cont_layer_iniciar;\n"); /* Ser definido posteriormente */
  echo("var x_inicial=10;\n");
  echo("var y_inicial=2;\n");
  $num=count($lista_ferramentas)*2+2;  /* +2 por causa do logo do TelEduc... */
  echo("var numero_itens=".$num.";\n");
  echo("var menu=new Array(numero_itens);\n");
  echo("var menu_a=new Array(numero_itens);\n");
  echo("var menu_h=new Array(numero_itens);\n");
  echo("var ultimo=-1;\n");
  echo("var item_antigo=-1;\n");

  echo("function init()\n");
  echo("{\n");

  echo("  for (var i=0; i<menu.length; i++)\n");
  echo("  {\n");
  echo("    menu[i]=getLayer('menu'+i);\n");
  echo("    menu_a[i]=getLayer('menu'+i+'a');\n");
  echo("    if (menu[i]==null)\n");
  echo("      break;\n");
  echo("    ultimo=i;\n");
  echo("    moveLayerTo(menu[i],x_inicial,y_inicial);\n");
  echo("    moveLayerTo(menu_a[i],x_inicial,y_inicial);\n");
  echo("    y_inicial = y_inicial + menu_h[i];\n");
  echo("    showLayer(menu[i]);\n");
  echo("    hideLayer(menu_a[i]);\n");
  echo("  }\n");
  echo("  marcar(cont_layer_iniciar);\n");

  echo("}\n");

  echo("function marcar(item)\n");
  echo("{\n");
  echo("  if (item_antigo!=-1 && item_antigo!=item)\n");
  echo("  {\n");
  echo("    hideLayer(menu_a[item_antigo]);\n");
  echo("    showLayer(menu[item_antigo]);\n");
  echo("  }\n");
  echo("  showLayer(menu_a[item]);\n");
  echo("  hideLayer(menu[item]);\n");
  echo("  item_antigo=item;\n");
  echo("}\n");

  echo("</script>\n");

  echo("<body link=#ffffff vlink=#ffffff bgcolor=#292952 onLoad=init();>\n");

  echo("<div id=\"menu".$cont_layer."\" class=block style=\"width:180px;\">");
  echo("<img src=teleduc_logo.gif border=0><br>");
  echo("</div>\n");
  echo("<div id=\"menu".$cont_layer."a\" class=block style=\"width:180px;\">");
  echo("</div>");
  $altura[$cont_layer]=45;
  $cont_layer++;

  $curso_ferramentas=RetornaFerramentasCurso($sock);
  $novidade_ferramentas=RetornaNovidadeFerramentas($sock,$cod_curso,$cod_usuario);
  $marcar_ferramenta=RetornaFerramentasMarcadas($sock);

  $ultimo_acesso=PenultimoAcesso($sock,$cod_usuario,"");
  $visitante=EVisitante($sock,$cod_curso,$cod_usuario);

  $formador=EFormador($sock,$cod_curso,$cod_usuario);
  $formadormesmo=EFormadorMesmo($sock,$cod_curso,$cod_usuario);


  if ($formadormesmo)
  {
    if ($formador)
    {
      $hrefAluno="<a href=index2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&ativar_visao_aluno=sim class=normal target=trabalho>";
      $hrefFormador="<a href=index2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&desativar_visao_aluno=sim class=marcado target=trabalho>";
    }
    else
    {
      $hrefAluno="<a href=index2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&ativar_visao_aluno=sim class=marcado target=trabalho>";
      $hrefFormador="<a href=index2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&desativar_visao_aluno=sim class=normal target=trabalho>"; 
    }
    $nome_ferramenta=RetornaFraseDaLista($lista_frases,46);
    ExibeLinkEspecial($nome_ferramenta,$hrefFormador);

    $nome_ferramenta=RetornaFraseDaLista($lista_frases,45);
    ExibeLinkEspecial($nome_ferramenta,$hrefAluno);
   
    ExibeBarraDif();
  }

  if (!$visistante or AdmiteVisitante($sock,$cod_curso))
    foreach($ordem_ferramentas as $cod => $linha)
    {
      $cod_ferr=$linha['cod_ferramenta'];
      $nome_ferramenta=RetornaFraseDaLista($lista_frases,$lista_ferramentas[$cod_ferr]['cod_texto_nome']);
      $diretorio=$lista_ferramentas[$cod_ferr]['diretorio'];
      $status=$curso_ferramentas[$cod_ferr]['status'];
      $acesso_visitante=$curso_ferramentas[$cod_ferramenta]['acesso_visitante'];
      $data=$novidade_ferramentas[$cod_ferr];

      if ($marcar_ferramenta[$cod_ferr])
        $nome_ferramenta.="<img src=figuras/maozinha.gif border=0>";

      if (!$visitante or $acesso_visitante=="A")
      {
        if ($cod_ferr==-1)
          ExibeBarra();
        else if ($status!="D" and ($status!="F" or $formador))
        {
          if ($cod_ferr==$cod_ferramenta)
            $cont_layer_iniciar=$cont_layer;
          ExibeLink($cod_curso,$cod_ferr,$nome_ferramenta,$diretorio,$data,$ultimo_acesso);
        }
      }    
  }

  /* Utilitrios adicionais. No so ferramentas propriamente ditas */

  /* linha de separao */
  ExibeBarraDif();

  if (!EVisitante($sock,$cod_curso,$cod_usuario))
  {
    /* ?? - Configurar */
    $nome_ferramenta=RetornaFraseDaLista($lista_frases,47);

    $cod_ferr=0;
    $diretorio="configurar";
    $status="F";
    $acesso_visitante="N";
    $data=0;
    if ($cod_ferr==$cod_ferramenta)
      $cont_layer_iniciar=$cont_layer;

    ExibeLink($cod_curso,$cod_ferr,$nome_ferramenta,$diretorio,$data,$ultimo_acesso);

  }
  
  if ($formador)
  {
    /* Administracao */
    $cod_ferr=0;
    $nome_ferramenta=RetornaFraseDaLista($lista_frases,37);
    $diretorio="administracao";
    $status="F";
    $acesso_visitante="N";
    $data=$novidade_ferramentas[0];;
    if ($cod_ferr==$cod_ferramenta)
      $cont_layer_iniciar=$cont_layer;

    ExibeLink($cod_curso,$cod_ferr,$nome_ferramenta,$diretorio,$data,$ultimo_acesso);

    /* Suporte */
    $nome_ferramenta=RetornaFraseDaLista($lista_frases,39);
    $href="<a href=mailto:".$email_suporte." class=normal>";
    ExibeLinkEspecial($nome_ferramenta,$href);

  }

  /* linha de separao */
  ExibeBarra();


  /* Sair */
  $nome_ferramenta=RetornaFraseDaLista($lista_frases,43);
  $href="<a href=logout.php target=_top class=normal>";
  ExibeLinkEspecial($nome_ferramenta,$href);

  echo("<Script language=javascript>\n");
  echo("  cont_layer_iniciar=".$cont_layer_iniciar.";\n");
  if (count($altura)>0)
    foreach($altura as $cod=>$linha)
      echo("  menu_h[".$cod."]=".$linha.";\n");

  echo("</script>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
  exit;

?>
