<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/anexar_arquivo.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/anexar_arquivo.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  session_register("cod_item_s");
  if (isset($cod_item))
    $cod_item_s=$cod_item;
  else
    $cod_item=$cod_item_s;

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if (! $dono_portfolio)
  {
    echo("<html>\n");
    /* 1 - Portfolio */
    echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

    echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad=self.focus();>\n");

    // 1 - Portfolio
    echo("<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>");

    /* 50 - rea restrita ao(s) dono(s) do portflio. */
    echo("<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,50)."</b><br>\n");

    /* 13 - Fechar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onclick=self.close();></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  echo("<html>\n");
  /* 1 - Portfolio  */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  $lista=RetornaArquivosMaterialTemp($cod_curso,$diretorio_temp,$cod_item_s);
  
  /*********************
   * Trecho Javascript *
   *********************/
  echo("<script language=javascript>\n");

  echo("  function repetido(path)\n");
  echo("  {\n");
  echo("    file=getfilename(path);\n");

  if (count($lista)>0)
    foreach($lista as $cod => $linha)
    {
      if ($linha['Diretorio']==$diret && $linha['Arquivo']!="")
      {
        echo("    if (file=='".$linha['Arquivo']."')\n");
        echo("      return(true);\n");
      }
    }

  echo("    return(false);\n");
  echo("  }\n");

  echo("  function getfilename(path)\n");
  echo("  {\n");
  echo("    pieces=path.split('\\\\');\n");
  echo("    n=pieces.length;\n");
  echo("    file=pieces[n-1];\n");
  echo("    pieces=file.split('/');\n");
  echo("    n=pieces.length;\n");
  echo("    file=pieces[n-1];\n");
  echo("    return(file);\n");
  echo("  }\n");

  echo("  function validar(formul)\n");
  echo("  {\n");
  echo("    if (formul.arquivo.value=='' || formul.arquivo.value==null)\n");
  echo("    {\n");
  /* 54 - Escolha primeiramente um arquivo clicando no boto Browse(Procurar). */
  echo("      alert('".RetornaFraseDaLista($lista_frases,54)."');\n");
  echo("      return false;\n");
  echo("    }\n");
  echo("    else\n");
  echo("    {\n");
  echo("      if (repetido(formul.arquivo.value)) \n");
  /* 55 - J existe um arquivo com este nome na pasta destino. */
  /* 56 - Deseja sobrescrever o arquivo existente? */
  echo("        return(confirm('".RetornaFraseDaLista($lista_frases,55)."\\n".RetornaFraseDaLista($lista_frases,56)."'));\n");
  echo("      else\n");
  echo("        return true;\n");
  echo("    }\n");
  echo("  }\n");

  echo("  function Atualiza() {\n");
  echo("    document.atualizar.titulo.value=top.opener.document.portfolio.titulo.value;\n");
  echo("    document.atualizar.texto.value=top.opener.document.portfolio.texto.value;\n");
  echo("    document.atualizar.compartilhamento.value=top.opener.document.portfolio.tipo_comp.value;\n");
  echo("    document.atualizar.submit();\n");
  echo("  }\n");

  echo("</script>\n");

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white onload=self.focus();>\n");
  // 1 - Portflio
  $cabecalho = ("<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>");

/*
  if ($portfolio_grupo)
    // 3 - Portfolio de Grupo
    echo("<b class=titulo>".RetornaFraseDaLista($lista_frases,3)."</b>\n");
  else if ($dono_portfolio)
    // 78 - Portfolio pessoal
    echo("<b class=titulo>".RetornaFraseDaLista($lista_frases,78)."</b>\n");
  else
    // 2 - Portfolio Individual
    echo("<b class=titulo>".RetornaFraseDaLista($lista_frases,2)."</b>\n");

*/
  // 57 - Anexar Arquivo
  $cabecalho .= ("<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,57)."</b>\n");

  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  /* 37 - Pasta Raiz */
  echo("<img src=../figuras/pasta.gif border=0> <font class=text><b>".RetornaFraseDaLista($lista_frases_geral,37)."/".$diret."</b></font>");
  echo("<p>\n");

  echo("<form name=anexar action=anexar_arquivo2.php enctype=\"multipart/form-data\" method=post onSubmit=return(validar(this));>\n");

  echo(RetornaSessionIDInput());

  /* 59 - Pressione o boto Browse (ou Procurar) abaixo para selecionar o arquivo a ser anexado; em seguida, pressione OK para prosseguir. */
  echo("  <font class=text>".RetornaFraseDaLista($lista_frases,59)."<br>\n");
  /* 60 - (arquivos .ZIP podem ser enviados e descompactados posteriormente) */
  echo("  ".RetornaFraseDaLista($lista_frases,60)."</font><br><br>\n");
  echo("  <input type=file name=arquivo class=text><br>\n");
  /* 18 - Ok (ger) */
  echo("  <input type=submit value='".RetornaFraseDaLista($lista_frases_geral,18)."' class=text>\n");
  /* 2 - Cancelar (ger) */
  echo("  &nbsp;&nbsp;&nbsp;<input type=button value='".RetornaFraseDaLista($lista_frases_geral,2)."' onclick=Atualiza();self.close(); class=text>\n");
  echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("  <input type=hidden name=diret value='".$diret."'>\n");
  echo("  <input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
  echo("  <input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");
  echo("</form>\n");

  echo("<form name=atualizar action=editar_portfolio2.php method=post target=trabalho>\n");
  echo(RetornaSessionIDInput());

  echo("  <input type=hidden name=titulo value=\"\">\n");
  echo("  <input type=hidden name=texto value=\"\">\n");
  echo("  <input type=hidden name=compartilhamento value=\"\">\n");
  echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("  <input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
  echo("  <input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");
  echo("</form>\n");

 
  echo("</body>\n");
  echo("</html>\n");
  Desconectar($sock);
?>
