<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/comentario.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/comentario.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Portflio */

  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  /* Tem que arrumar daqui para a frente */

  /* Funes JavaScript */
  echo("<script language=JavaScript>\n");

  echo("function AbreJanelaComponentes(cod_grupo)\n");
  echo("{\n");
  echo("  window.open('integrantes.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_grupo='+cod_grupo,'Componentes','width=400,height=300,top=150,left=250,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes');\n");
  echo("  return false;\n");
  echo("}\n");

  echo("function AbrePerfil(cod_usuario)\n");
  echo("{\n");
  echo("  window.open('../perfil/exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]='+cod_usuario,'PerfilDisplay','width=620,height=400,top=60,left=60,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=no');\n");
  echo("  return(false);\n");
  echo("}\n");

  echo("function ApagarComentario()\n");
  echo("{\n");
  /* 116 - Tem certeza que deseja apagar esse comentrio? */
  echo("  if (confirm('".RetornaFraseDaLista($lista_frases,116)."'))\n");
  echo("    document.location='comentario.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&cod_comentario=".$cod_comentario."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."&acao=apagar';\n");
  echo("  return false;\n");
  echo("}\n");

  echo("</script>\n");

  $linha_comentario=RetornaComentario($sock,$cod_comentario);

  echo("<body link=#0000ff vlink=#0000ff onLoad=self.focus();>\n");

  /* Pgina Principal */

  // 1 - Portfolio
  $cabecalho = "<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>";

  /* 105 - Comentar */
  $cabecalho.= "<b class=subtitulo> - ".TituloComDistincao ($acao_portfolio_s, $ferramenta_grupos_s, RetornaFraseDaLista($lista_frases, 105) )."\n";

  /* Cabecalho */
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  if ($portfolio_grupo)
  {
    $nome=NomeGrupo($sock,$cod_grupo_portfolio);

    // Selecionando qual a figura a ser exibida ao lado do nome
    $fig_portfolio = "<img src=figuras/portfolio_g_".($dono_portfolio  ? "p" : ( $portfolio_apagado ? "x" : "n") ).".gif border=0>";

    if (StatusGrupo($sock,$cod_grupo_portfolio) == "X")
      /* 84 - Grupo Excludo */
      $complemento=" <font class=textsmall>(".RetornaFraseDaLista($lista_frases,84).")</font>\n";

    echo("<a class=text href=# onClick=return(AbreJanelaComponentes(".$cod_grupo_portfolio."));>".$fig_portfolio." ".$nome."</a>".$complemento."<br>");
  }
  else
  {
    $nome=NomeUsuario($sock,$cod_usuario_portfolio);

    // Selecionando qual a figura a ser exibida ao lado do nome
    $fig_portfolio = "<img src=figuras/portfolio_i_".($dono_portfolio  ? "p" : ( $portfolio_apagado ? "x" : "n") ).".gif border=0>";

    if ( RetornaStatusUsuario($sock,$cod_curso,$cod_usuario_portfolio) == "r")
      /* 85 - Aluno Rejeitado */
      $complemento=" <font class=textsmall>(".RetornaFraseDaLista($lista_frases,85).")</font>\n";
    echo("<a class=text href=# onClick=return(AbrePerfil(".$cod_usuario_portfolio."));>".$fig_portfolio." ".$nome."</a>".$complemento."<br>");
  }

  $linha_item=RetornaDadosDoItem($sock, $cod_item);

  $figura = "./figuras/arquivo";
  $figura.= ($portfolio_grupo ? "_g" : "_i");

  if ($portfolio_apagado)
    $figura .= "_x";
  else
    if ($dono_portfolio)
      $figura .= "_p";
    else
      $figura .= "_n";

  $figura .= ".gif";

  echo("<img src=\"".$figura."\" border=0>\n");
  echo("<font class=text>".$linha_item['titulo']."</font>\n");

  echo("<p>\n");


  if ($acao=='apagar' && $cod_usuario==$linha_comentario['cod_comentarista'])
  {
    ApagaComentario ($sock, $cod_comentario);

    /* 111 - Comentrio apagado com sucesso! */
    echo("<font class=text>".RetornaFraseDaLista($lista_frases,111)."</font><br><br>\n");

    echo("<form>\n");
  
    /* 13 - Fechar (ger) */
    echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onclick=self.close();>");
  
    echo("</form>\n");

  }
  else
  {
    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 109 - Emissor */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,109)."</td>\n");
    /* 110 - Data */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,110)."</td>\n");
    echo("  </tr>\n");
  
    echo("  <tr>\n");
    echo("    <td><font class=text><a href=# onClick=\"AbrePerfil(".$linha_comentario['cod_comentarista'].")\">".NomeUsuario($sock,$linha_comentario['cod_comentarista'])."</a></font></td>\n");
    echo("    <td><font class=text>".Unixtime2DataHora($linha_comentario['data'])."</font></td>\n");
    echo("  </tr>\n");
    echo("</table><br>\n");
  
    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 105 - Comentrio */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,105)."</td>\n");
    echo("  </tr>\n");
  
    echo("  <tr>\n");
    echo("    <td>\n");
  
    echo("      <font class=text>".Enter2Br($linha_comentario['comentario'])."</font>\n");
  
    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table><br><br>\n");
  
    echo("<form>\n");
  
    if ($cod_usuario==$linha_comentario['cod_comentarista'])
    {
      /* 1 - Apagar (ger) */
      echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,1)."' onclick=\"return(ApagarComentario());\">&nbsp;&nbsp;");
    }
    /* 13 - Fechar (ger) */
    echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onclick=self.close();>");
  
    echo("</form>\n");
  }
  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
  exit;

?>
