<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/editar_portfolio2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/editar_portfolio2.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  session_register("cod_item_s");
  if (isset($cod_item))
    $cod_item_s=$cod_item;
  else
    $cod_item=$cod_item_s;

  session_register("cod_topico_s");
  if (isset($cod_topico))
    $cod_topico_s=$cod_topico;
  else
    $cod_topico=$cod_topico_s;

  session_register("titulo_s");
  if (isset($titulo))
    $titulo_s=$titulo;
  else
    $titulo=$titulo_s;

  session_register("texto_s");
  if (isset($texto))
    $texto_s=$texto;
  else
    $texto=$texto_s;

  session_register("compartilhamento_s");
  if (isset($compartilhamento))
    $compartilhamento_s=$compartilhamento;
  else
    $compartilhamento=$compartilhamento_s;

  session_register("cod_usuario_portfolio_s");
  if (isset($cod_usuario_portfolio))
    $cod_usuario_portfolio_s=$cod_usuario_portfolio;
  else
    $cod_usuario_portfolio=$cod_usuario_portfolio_s;

  session_register("cod_grupo_portfolio_s");
  if (isset($cod_grupo_portfolio))
    $cod_grupo_portfolio_s=$cod_grupo_portfolio;
  else
    $cod_grupo_portfolio=$cod_grupo_portfolio_s;

  session_register("origem_s");
  if (isset($origem))
    $origem_s=$origem;
  else
    $origem=$origem_s;

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Portfolio */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if ($dono_portfolio)
  {

    /**********************/
    /* Operaes internas */
    /**********************/

    $dir_tmp=$diretorio_temp."/tmp/".$cod_curso."/portfolio/".$cod_item."/";
    if ($apagar=="sim")
    {
      RemoveDiretorio($dir_tmp.$arq);
    }

    if ($descompactar=="sim")
    {
      $caminho="";
      $tmp=explode("/",$arq);
      for ($c=0;$c<count($tmp)-1;$c++)
        $caminho=$tmp[$c]."/";
      $res=DescompactarArquivoZip($dir_tmp.$arq,$dir_tmp.$caminho);
      RemoveArquivo($dir_tmp.$arq);
    }

    if ($mover=="sim")
    {
      MoveArquivo($dir_tmp.$arq,$dir_tmp.$diret);
    }

    if ($apagartodosarquivos=="sim")
    {
      RemoveDiretorio($dir_tmp);
      CriaDiretorio($dir_tmp);
    }

    if ($apagarurl=="sim")
    {
      ApagaEndereco($sock, $cod_endereco);
    }

    if ($apagartodosenderecos=="sim")
    {
      ApagaTodosEnderecos($sock, $cod_item);
    }

    AtualizaDataEdicao($sock, $cod_item);

    /* Funes Javascript */
    echo("<script language=JavaScript src=../bibliotecas/dhtmllib.js></script>\n");
    echo("<script language=javascript>\n");

    echo("  var isNav = (navigator.appName.indexOf(\"Netscape\") !=-1);\n");
    echo("  var isIE = (navigator.appName.indexOf(\"Microsoft\") !=-1);\n");
    echo("  var selected_item;\n"); /* nome do arquivo, caminho, etc. */
    echo("  var selected_item_ver;\n"); /* nome do arquivo, caminho, etc. */
    echo("  var cod_endereco, endereco;\n");

    echo("  if (isNav)\n");
    echo("  {\n");
    echo("    document.captureEvents(Event.MOUSEMOVE);\n");
    echo("  }\n");

    echo("  document.onmousemove = TrataMouse;\n");

    echo("  function TrataMouse(e)\n");
    echo("  {\n");
    echo("    Ypos = (isMinNS4) ? e.pageY : event.clientY;\n");
    echo("    Xpos = (isMinNS4) ? e.pageX : event.clientX;\n");
    echo("  }\n");

    echo("  function WindowOpenVer(id)\n");
    echo("  {\n");
    
    echo("    window.open('../../diretorio/tmp/".$cod_curso."/portfolio/".$cod_item."/'+id+'?".time()."','Portfolio','top=50,left=100,width=600,height=400,menubar=yes,status=yes,toolbar=yes,scrollbars=yes,resizable=yes');\n");
    echo("  }\n");

    echo("  function WindowOpenVerURL()\n");
    echo("  {\n");
    echo("    window.open('http://'+endereco,'PortfolioURL','top=50,left=100,width=600,height=400,menubar=yes,status=yes,toolbar=yes,scrollbars=yes,resizable=yes');\n");
    echo("  }\n");

    echo("  function WindowOpenAnexar(id)\n");
    echo("  {\n");
    echo("    window.open('anexar_arquivo.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&diret='+id+'&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."','PortfolioAnexar','width=450,height=300,top=100,left=100,status=yes,toolbar=no,menubar=no,resizable=yes');\n");
    echo("  }\n");

    echo("  function WindowOpenOcultar(id)\n");
    echo("  {\n");
    echo("    window.open('ocultar_arquivos.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&diret='+id+'&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."','PortfolioOcultar','width=450,height=300,top=100,left=100,status=yes,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');\n");
    echo("  }\n");

    echo("  function WindowOpenEndereco()\n");
    echo("  {\n");
    echo("    window.open('incluir_url.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."','PortfolioURL','width=450,height=300,top=100,left=100,status=yes,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');\n");
    echo("  }\n");

    echo("  function Apagar(id,tipo)\n");
    echo("  {\n");
    echo("    if (tipo==1)\n");
    /* 30 - Tem certeza que deseja apagar este arquivo? */
    echo("      if (confirm('".RetornaFraseDaLista($lista_frases,30)."'))\n");
    echo("        document.location='editar_portfolio2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&apagar=sim&arq='+id;\n");
    echo("    if (tipo==2)\n");
    /* 31 - Tem certeza que deseja apagar este diretrio? (todos os arquivos dele sero apagados) */
    echo("      if (confirm('".RetornaFraseDaLista($lista_frases,31)."'))\n");
    echo("        document.location='editar_portfolio2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&apagar=sim&arq='+id;\n");
    echo("    if (tipo==3)\n");
    /* 32 - Tem certeza que deseja apagar este endereo? */
    echo("      if (confirm('".RetornaFraseDaLista($lista_frases,32)."'))\n");
    echo("        document.location='editar_portfolio2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&apagarurl=sim&cod_endereco='+id;\n");
    echo("  }\n");

    echo("  function Descompactar(id)\n");
    echo("  {\n");
    /* 33 - Voc tem certeza de que deseja descompactar este arquivo?
       34 - (o arquivo ZIP ser apagado)
       35 - importante: no  possvel a descompactao de arquivos contendo pastas com espaos no nome.
     */
    echo("    if (confirm('".RetornaFraseDaLista($lista_frases,33)."\\n".RetornaFraseDaLista($lista_frases,34)."\\n".RetornaFraseDaLista($lista_frases,35)."'))\n");
    echo("      document.location='editar_portfolio2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&descompactar=sim&arq='+id;\n");
    echo("  }\n");

    echo("  function Mover(id,id1)\n");
    echo("  {\n");
    echo("    document.location='editar_portfolio2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&mover=sim&arq='+id+'&diret='+id1;\n");
    echo("  }\n");


    echo("  function Iniciar()\n");
    echo("  {\n");
    echo("    cod_anexar = getLayer('anexar');\n");
    echo("    cod_arquivo = getLayer('arquivo');\n");
    echo("    cod_arquivozip = getLayer('arquivozip');\n");
    echo("    cod_pasta = getLayer('pasta');\n");
    echo("    cod_mover = getLayer('mover');\n");
    echo("    cod_url = getLayer('url');\n");
    echo("  }\n");

    echo("  function EscondeLayers()\n");
    echo("  {\n");
    echo("    hideLayer(cod_anexar);\n");
    echo("    hideLayer(cod_arquivo);\n");
    echo("    hideLayer(cod_arquivozip);\n");
    echo("    hideLayer(cod_pasta);\n");
    echo("    hideLayer(cod_mover);\n");
    echo("    hideLayer(cod_url);\n");
    echo("  }\n");

    echo("  function MostraLayer(cod_layer)\n");
    echo("  {\n");
    echo("    EscondeLayers();\n");
    echo("    moveLayerTo(cod_layer,Xpos,Ypos+AjustePosMenuIE());\n");
    echo("    showLayer(cod_layer);\n");
    echo("  }\n");

    echo("  function EscondeLayer(cod_layer)\n");
    echo("  {\n");
    echo("    hideLayer(cod_layer);\n");
    echo("  }\n");

    echo("  function getPageScrollY()\n");
    echo("  {\n");
    echo("    if (isNav)\n");
    echo("      return(window.pageYOffset);\n");
    echo("    if (isIE)\n");
    echo("      return(document.body.scrollTop);\n");
    echo("  }\n");

    echo("  function AjustePosMenuIE()\n");
    echo("  {\n");
    echo("    if (isIE)\n");
    echo("      return(getPageScrollY());\n");
    echo("    else\n");
    echo("      return(0);\n");
    echo("  }\n");

    echo("  function Validar(form)\n");
    echo("  {\n");
    echo("    nome=form.titulo.value;\n");
    echo("    while (nome.search(\" \") != -1)\n");
    echo("    {\n");
    echo("      nome = nome.replace(/ /, \"\");\n");
    echo("    }\n");
    echo("    if (nome=='')\n");
    echo("    {\n");
    /* 36 - O ttulo no pode ser vazio. */
    echo("      alert('".RetornaFraseDaLista($lista_frases,36)."');\n");
    echo("      return(false);\n");
    echo("    }\n");
    echo("    else\n");
    echo("    {\n");
    echo("      if (testar_titulo(form))\n");
    echo("      {\n");
    echo("        if (document.portfolio.tipo_comp.value=='')\n");
    echo("        {\n");
    /* 37 - Voc no selecionou o modo de compartilhamento! */
    echo("          alert('".RetornaFraseDaLista($lista_frases,37)."');\n");
    echo("          return false;\n");
    echo("        }\n");
    echo("        else\n");
    echo("          return true;\n");
    echo("      }\n");
    echo("      else\n");
    echo("        return false;\n");
    echo("    }\n");
    echo("  }\n");

    echo("  function testar_titulo(form)\n");
    echo("  {\n");
    echo("    texto=form.titulo.value;\n");
    echo("    test=testar_titulo_cbarra(texto);\n");
    echo("    if (test)\n");
    echo("      return true;\n");
    echo("    else\n");
    echo("    {\n");
    /* 38 - O ttulo no pode conter \\. */
    echo("      alert('".RetornaFraseDaLista($lista_frases,38)."');\n");
    echo("      return false;\n");
    echo("    }\n");
    echo("  }\n");

    echo("  function testar_titulo_cbarra(texto)\n");
    echo("  {\n");
    echo("    if (texto.search(/\\\\/) == -1)\n");
    echo("      return true;\n");
    echo("    return false;\n");
    echo("  }\n");

    echo("function ConfirmaApagarTodosArquivos()\n");
    echo("{\n");
    /* 39 - Tem certeza que deseja apagar todos os arquivos deste item? */
    echo("  return(confirm('".RetornaFraseDaLista($lista_frases,39)."'));\n");
    echo("}\n");

    echo("function ConfirmaApagarTodosEnderecos()\n");
    echo("{\n");
    /* 40 - Tem certeza que deseja apagar todos os endereos deste item? */
    echo("  return(confirm('".RetornaFraseDaLista($lista_frases,40)."'));\n");
    echo("}\n");

    echo("</script>\n");

    echo("<body link=#0000ff vlink=#0000ff onLoad=\"Iniciar();\">\n");

    if ($cod_grupo_portfolio!="" && $cod_grupo_portfolio!="NULL")
      $portfolio_grupo=true;
    else
      $portfolio_grupo=false;


    /* Pgina Principal */

    // 1 - Portflio
    $cabecalho = "<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>";
    // 48 - Editar Item do Portfolio
    $cabecalho.= "<b class=subtitulo> - ".RetornaFraseDaLista ($lista_frases, 48)."</b>";

    /* Cabecalho */
    echo(PreparaCabecalho($cod_curso,$cabecalho,15));

    $lista_topicos_ancestrais=RetornaTopicosAncestrais($sock, $cod_topico);
    unset($path);
    foreach ($lista_topicos_ancestrais as $cod => $linha)
    {
      if ($cod_topico!=$linha['cod_topico'])
      {
        $path="<font class=text>".$linha['topico']."</font> &gt;&gt; ".$path;
      }
      else
      {
        $path="<b class=text>".$linha['topico']."</b><br>\n";
      }
    }
    echo($path);
    echo("<p>\n");

    echo("<form method=post name=portfolio action=editar_portfolio3.php onSubmit=\"return(Validar(this));\">\n");
    echo(RetornaSessionIDInput());
    echo("<table border=0 width=100%>\n");
    echo("  <tr class=colorfield>\n");
    /* 41 - Ttulo */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,41)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");
    echo("      <input type=text name=titulo size=60 maxlength=150 value='".$titulo."'>\n");
    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

    echo("<table border=0 width=100%>\n");
    echo("  <tr class=colorfield>\n");
    /* 42 - Texto */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,42)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");
    echo("      <textarea name=texto rows=8 cols=60 wrap=soft>".stripslashes($texto)."</textarea>\n");
    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

    /* Pegando lista de arquivos e gerando lista de diretrios */

    $lista=RetornaArquivosMaterialTemp($cod_curso, $diretorio_temp, $cod_item);

    unset($lista_dir);

    $ha_pastas=false;
    if (count($lista)>0)
    {
      /* Montando lista somente com diretrios */
      $count_lista_dir=0;
      $tem_subdiretorio=false;
      foreach($lista as $cod => $linha)
        if ($linha['Diretorio']!="" && $linha['Arquivo']=="")
        {
          $tmp=explode("/",$linha['Diretorio']);
          $lista_dir[$count_lista_dir]=$linha;
          $lista_dir[$count_lista_dir]['Subdiretorio']=$tmp[count($tmp)-1];        
          $count_lista_dir++;
          $ha_pastas=true;
        }
    }

    /* Campo para os arquivos */

    echo("<table cellspacing=0 cellpadding=0 border=0 width=100%>\n");
    echo("  <tr class=colorfield>\n");

    /* 33 - Arquivos Anexos (ger) */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases_geral,33)."</td>\n");
    echo("  </tr>\n");
    echo("</table>\n");
    echo("<table border=0 width=100%>\n");
    echo("  <tr class=menu2>\n");

    echo("    <td class=menu2 align=center>");

    /* Se tiver diretorio, usa Layer. Se no, coloca link direto. */
    if (count($lista_dir)>0)
    {
      echo("<a href=# onclick=MostraLayer(cod_anexar);return(false); class=menu2>");
      /* 26 - Anexar arquivos (ger) */
      echo(RetornaFraseDaLista($lista_frases_geral,26)."</a>");
    }
    else
    {
      echo("<a href=# onclick=WindowOpenAnexar(''); class=menu2>");
      /* 26 - Anexar arquivos (ger) */
      echo(RetornaFraseDaLista($lista_frases_geral,26)."</a>");
    }
    echo("</td>\n");

    if (count ($lista) > 0)
    {
      echo("    <td class=menu2 align=center>");
      echo("<a href=# onclick=WindowOpenOcultar(); class=menu2>");
      /* 28 - Ocultar Arquivo (ger) */
      echo(RetornaFraseDaLista($lista_frases_geral,28));
      echo("</a></td>\n");

      echo("    <td class=menu2 align=center>");
      echo("<a href=editar_portfolio2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&apagartodosarquivos=sim class=menu2 onclick=\"return(ConfirmaApagarTodosArquivos());\">");
      /* 29 - Apagar Todos Arquivos (ger) */
      echo(RetornaFraseDaLista($lista_frases_geral,29));
      echo("</a></td>\n");
    }
  
    echo("  </tr>\n");
    echo("</table>\n");

    echo("<table width=100% cellpadding=0 cellspacing=0 border=0 class=g1field><tr><td>\n");

    $ha_selecionado=false;
    if (count($lista)>0)
    {
      foreach($lista as $cod => $linha)
      {
        if (!($linha['Arquivo']=="" && $linha['Diretorio']==""))
        {
          $temp=explode("/",$linha['Diretorio']);
          $nivel=count($temp)-1;
          for ($c=0;$c<=$nivel;$c++)
            echo("&nbsp;&nbsp;&nbsp;");
          if ($linha['Diretorio']!="" && $linha['Arquivo']!="")
            echo("&nbsp;&nbsp;&nbsp;");
          if ($linha['Arquivo']=="")
            echo("<a class=text href=".$linha['Arquivo']." onclick=\"MostraLayer(cod_pasta);selected_item='".ConverteSpace2Mais($linha['Diretorio']."/".$linha['Arquivo'])."';return(false);\"><img src=../figuras/pasta.gif border=0> ".$temp[$nivel]);
          else if (eregi(".zip$",$linha['Arquivo']))
            echo("<a class=text href=".$linha['Diretorio'].$linha['Arquivo']." onclick=\"MostraLayer(cod_arquivozip);selected_item='".ConverteSpace2Mais($linha['Diretorio']."/".$linha['Arquivo'])."';selected_item_ver='".ConverteUrl2Html($linha['Diretorio']."/".$linha['Arquivo'])."';return(false);\"><img src=../figuras/arqzip.gif border=0> ".$linha['Arquivo']);
          else
            echo("<a class=text href=".$linha['Arquivo']." onclick=\"MostraLayer(cod_arquivo);selected_item='".ConverteSpace2Mais($linha['Diretorio']."/".$linha['Arquivo'])."';selected_item_ver='".ConverteUrl2Html($linha['Diretorio']."/".$linha['Arquivo'])."';return(false);\"><img src=../figuras/arqp.gif border=0> ".$linha['Arquivo']);
          echo("</a>");
          if ($linha['Status'] && $linha['Arquivo']!="")
          {
            // 118 - Oculto
            echo(" <font class=textsmall>(<font color=red>".RetornaFraseDaLista($lista_frases,118)."</font>)</font>");
            $ha_selecionado=true;
          }
          echo("<br>\n");
        }
      }
    }
    echo("</td></tr></table>\n");
    if ($ha_selecionado)
    {
      echo("<font class=textsmall>(<font color=red>".RetornaFraseDaLista($lista_frases,118)."</font>) ");
      /* 43 - Os arquivos marcados no sero visveis na lista de arquivos. */
      echo(RetornaFraseDaLista($lista_frases,43)."</font>");
    }
    echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");

    /* Endereos */

    echo("<table cellspacing=0 cellpadding=0 border=0 width=100%>\n");
    echo("  <tr class=colorfield>\n");

    /* 44 - Endereos da Internet */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,44)."</td>\n");
    echo("  </tr>\n");
    echo("</table>\n");
    echo("<table border=0 width=100%>\n");
    echo("  <tr class=menu2>\n");

    /* 45 - Incluir Endereo */
    echo("    <td class=menu2 align=center>\n");
    echo("      <a href=# onClick=\"WindowOpenEndereco();return(false);\" class=menu2>".RetornaFraseDaLista($lista_frases,45)."</a>\n");
    echo("    </td>\n");

    $lista_enderecos=RetornaEnderecosMaterial($sock, $cod_item);

    if (count($lista_enderecos)>0)
    {
      /* 46 - Apagar Todos Endereos */
      echo("    <td class=menu2 align=center>\n");
      echo("      <a href=editar_portfolio2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&apagartodosenderecos=sim class=menu2 onclick=\"return(ConfirmaApagarTodosEnderecos());\">".RetornaFraseDaLista($lista_frases,46)."</a>\n");
      echo("    </td>\n");
    }

    echo("  </tr>\n");
    echo("</table>\n");

    if (count($lista_enderecos)>0)
    {
      echo("<table width=100% cellpadding=0 cellspacing=0 border=0 class=g1field><tr><td>\n");    
      foreach ($lista_enderecos as $cod => $linha)
      {
        if ($linha['status']!="A")
        {
          if ($linha['nome']!="")
          {       
            echo("  <font class=text><a href=# onClick=\"MostraLayer(cod_url);cod_endereco=".$linha['cod_endereco'].";endereco='".ConverteSpace2Mais($linha['endereco'])."';return(false);\">".$linha['nome']."</a>&nbsp;&nbsp;(".$linha['endereco'].")</font><br>\n");
          }
          else
          {
            echo("  <font class=text><a href=# onClick=\"MostraLayer(cod_url);cod_endereco=".$linha['cod_endereco'].";endereco='".ConverteSpace2Mais($linha['endereco'])."';return(false);\">".$linha['endereco']."</a></font><br>\n");
          }
        }
      }
      echo("</td></tr></table>\n");
    }


    /* Compartilhamento */
    echo("<table cellspacing=0 cellpadding=0 border=0 width=100%>\n");
    echo("  <tr class=colorfield>\n");

    /* 10 - Compartilhar */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,10)."</td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

    if ($compartilhamento=="F")
    {
      $comppessoal="";
      $compformador=" checked";
      $comptotal="";
      echo("<input type=hidden name=tipo_comp value=F>\n");
    }
    else if ($compartilhamento=="T")
    {
      $comppessoal="";
      $compformador="";
      $comptotal=" checked";
      echo("<input type=hidden name=tipo_comp value=T>\n");
    }
    else if ($compartilhamento=="P")
    {
      $comppessoal=" checked";
      $compformador="";
      $comptotal="";
      echo("<input type=hidden name=tipo_comp value=P>\n");
    }
    else
    {
      $compformador="";
      $comptotal="";
      echo("<input type=hidden name=tipo_comp value=''>\n");
    }

    echo("<table width=100% cellpadding=0 cellspacing=0 border=0 class=g1field><tr><td>\n");
    /* 12 - Totalmente compartilhado */
    echo("  <input class=g1field type=radio name=compartilhamento value='T'".$comptotal." onClick=\"document.portfolio.tipo_comp.value='T';\"><font class=text> ".RetornaFraseDaLista($lista_frases,12)."</font><br>\n");

    /* 13 - Compartilhado com Formadores */
    echo("  <input class=g1field type=radio name=compartilhamento value='F'".$compformador." onClick=\"document.portfolio.tipo_comp.value='F';\"><font class=text> ".RetornaFraseDaLista($lista_frases,13)."</font><br>\n");

    if ($portfolio_grupo)
      /* 14 - Compartilhado com o Grupo */
      echo("  <input class=g1field type=radio name=compartilhamento value='P'".$comppessoal." onClick=\"document.portfolio.tipo_comp.value='P';\"><font class=text> ".RetornaFraseDaLista($lista_frases,14)."</font><br>\n");
    else
      /* 15 - No compartilhado */
      echo("  <input class=g1field type=radio name=compartilhamento value='P'".$comppessoal." onClick=\"document.portfolio.tipo_comp.value='P';\"><font class=text> ".RetornaFraseDaLista($lista_frases,15)."</font><br>\n");

    echo("</td></tr></table>\n");

    echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
    echo("<input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
    echo("<input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");

    echo("<table width=100%><tr><td align=right>");
    /* 11 - Enviar (ger) */
    echo("<input type=submit value='".RetornaFraseDaLista($lista_frases_geral,11)."'>&nbsp;&nbsp;");

    /* 2 - Cancelar (ger) */
    echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,2)."' onclick=\"top.trabalho.location='index_portfolio.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&cod_topico=".$cod_topico."&cancelar_edicao=sim&origem=".$origem."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';\">");

    echo("</td></tr></table>\n");
    echo("</form>\n");

    /* Layers */

    /* Anexar */
    echo("<div id=anexar class=block visibility=hidden>\n");

    if (count($lista_dir)>0)
    {
      echo("<table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
      echo("  <tr>\n");
      echo("    <td class=bgcolor align=right>");
      echo("<a href=# onClick=\"EscondeLayer(cod_anexar);return(false);\"><img src=../figuras/x.gif border=0></a>");
      echo("</td>\n");
      echo("  </tr>\n");
      echo("  <tr>\n");
      echo("    <td class=wtfield>\n");
      echo("<a href=# onclick=\"WindowOpenAnexar('');return(false);\" class=text>");
      /* 37 - Pasta Raiz */
      echo("<img src=../figuras/pasta.gif border=0> ".RetornaFraseDaLista($lista_frases_geral,37));
      echo("</a><br>\n");

      foreach ($lista_dir as $cod=>$linha)
      {
        $temp=explode("/",$linha['Diretorio']);
        $nivel=count($temp)-1;
        for ($c=0;$c<=$nivel;$c++)
          echo("&nbsp;&nbsp;&nbsp;");
        echo("<a href=# onclick=\"WindowOpenAnexar('".ConverteSpace2Mais($linha['Diretorio'])."');return(false);\" class=text>");
        echo("<img src=../figuras/pasta.gif border=0> ".$linha['Subdiretorio']."");
        echo("</a><br>\n");
      }

      echo("    </td>\n");
      echo("  </tr>\n");

      echo("</table>\n");
    }
    echo("</div>\n");

    /* Arquivo */
    echo("<div id=arquivo class=block visibility=hidden>\n");
    echo("<table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
    echo("  <tr>\n");
    echo("    <td class=bgcolor align=right>");
    echo("<a href=# onClick=\"EscondeLayer(cod_arquivo);return(false);\"><img src=../figuras/x.gif border=0></a>");
    echo("</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td class=wtfield>\n");
    echo("      <a href=# onclick=\"WindowOpenVer(selected_item_ver);return(false);\" class=text>");
    /* 21 - Ver (ger) */
    echo(RetornaFraseDaLista($lista_frases_geral,21)."</a><br>\n");
    if ($ha_pastas)
    {
      /* 25 - Mover (ger) */
      echo("      <a href=# onclick=\"MostraLayer(cod_mover);return(false);\" class=text>");
      echo(RetornaFraseDaLista($lista_frases_geral,25)."<br>\n");
    }
    echo("      <a href=# onclick=\"Apagar(selected_item,1);return(false);\" class=text>");
    /* 1 - Apagar (ger) */
    echo(RetornaFraseDaLista($lista_frases_geral,1)."</a><br>\n");
    echo("    </td>\n");
    echo("  </tr>\n");

    echo("</table>\n");
    echo("</div>\n");

    /* Arquivo ZIP */
    echo("<div id=arquivozip class=block visibility=hidden>\n");
    echo("<table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
    echo("  <tr>\n");
    echo("    <td class=bgcolor align=right>");
    echo("<a href=# onClick=\"EscondeLayer(cod_arquivozip);return(false);\"><img src=../figuras/x.gif border=0></a>");
    echo("</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td class=wtfield>\n");
    echo("      <a href=# onclick=\"WindowOpenVer(selected_item_ver);return(false);\" class=text>");
    /* 21 - Ver (ger) */
    echo(RetornaFraseDaLista($lista_frases_geral,21)."</a><br>\n");

    echo("      <a href=# onclick=\"Descompactar(selected_item);return(false);\" class=text>");
    /* 38 - Descompactar (ger) */
    echo(RetornaFraseDaLista($lista_frases_geral,38)."</a><br>\n");
    if ($ha_pastas)
    {
      /* 25 - Mover (ger) */
      echo("      <a href=# onclick=\"MostraLayer(cod_mover);return(false);\" class=text>");
      echo(RetornaFraseDaLista($lista_frases_geral,25)."<br>\n");
    }
    echo("      <a href=# onclick=\"Apagar(selected_item,1);return(false);\" class=text>");
    /* 1 - Apagar (ger) */
    echo(RetornaFraseDaLista($lista_frases_geral,1)."</a><br>\n");
    echo("    </td>\n");
    echo("  </tr>\n");

    echo("</table>\n");
    echo("</div>\n");

    /* Pasta */
    echo("<div id=pasta class=block visibility=hidden>\n");
    if ($ha_pastas)
    {
      echo("<table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
      echo("  <tr>\n");
      echo("    <td class=bgcolor align=right>");
      echo("<a href=# onClick=\"EscondeLayer(cod_pasta);return(false);\"><img src=../figuras/x.gif border=0></a>");
      echo("</td>\n");
      echo("  </tr>\n");
      echo("  <tr>\n");
      echo("    <td class=wtfield>\n");
      echo("      <a href=# onclick=\"Apagar(selected_item,2);return(false);\" class=text>");
      /* 1 - Apagar */
      echo(RetornaFraseDaLista($lista_frases_geral,1)."<br>\n");
      echo("    </td>\n");
      echo("  </tr>\n");

      echo("</table>\n");
    }
    echo("</div>\n");

    /* Mover */
    echo("<div id=mover class=block visibility=hidden>\n");
    if (count($lista_dir)>0)
    {
      echo("<table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
      echo("  <tr>\n");
      echo("    <td class=bgcolor align=right>");
      echo("<a href=# onClick=\"EscondeLayer(cod_mover);return(false);\"><img src=../figuras/x.gif border=0></a>");
      echo("</td>\n");
      echo("  </tr>\n");
      echo("  <tr>\n");
      echo("    <td class=wtfield>\n");
      echo("<a href=# onclick=\"Mover(selected_item,'');return(false);\" class=text>");
      /* 37 - Pasta Raiz (ger) */
      echo("<img src=../figuras/pasta.gif border=0> ".RetornaFraseDaLista($lista_frases_geral,37));
      echo("</a><br>\n");

      foreach ($lista_dir as $cod=>$linha)
      {
        $temp=explode("/",$linha['Diretorio']);
        $nivel=count($temp)-1;
        for ($c=0;$c<=$nivel;$c++)
          echo("&nbsp;&nbsp;&nbsp;");
        echo("<a href=# class=text onclick=\"Mover(selected_item,'".ConverteSpace2Mais($linha['Diretorio'])."');return(false);\">");
        echo("<img src=../figuras/pasta.gif border=0> ".$linha['Subdiretorio']."");
        echo("</a><br>\n");
      }
      echo("    </td>\n");
      echo("  </tr>\n");
      echo("</table>\n");
    }
    echo("</div>\n");

    /* Endereos */
    echo("<div id=url class=block visibility=hidden>\n");
    echo("<table bgcolor=#ffffff cellpadding=1 cellspacing=1 border=2>\n");
    echo("  <tr>\n");
    echo("    <td class=bgcolor align=right>");
    echo("<a href=# onClick=\"EscondeLayer(cod_url);return(false);\"><img src=../figuras/x.gif border=0></a>");
    echo("</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td class=wtfield>\n");

    /* 21 - Ver (ger) */
    echo("<a href=# onClick=\"WindowOpenVerURL();return(false);\" class=text>".RetornaFraseDaLista($lista_frases_geral,21)."</a><br>\n");
    /* 1 - Apagar (ger) */
    echo("<a href=# onClick=\"Apagar(cod_endereco,3);return(false);\" class=text>".RetornaFraseDaLista($lista_frases_geral,1)."</a><br>\n");

    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");
    echo("</div>\n");

  }
  else
  {
    /* Acesso Negado */
    echo("<html>\n");
    /* 1 - Portfolio */
    echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

    echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");

    // 1 - Portflio
    $cabecalho = "<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>";

    /* 50 - rea restrita ao(s) dono(s) do portflio. */
    $cabecalho.= "<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,50)."</b>\n";

    /* Cabecalho */
    echo(PreparaCabecalho($cod_curso,$cabecalho,15));

    /* 23 - Voltar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  Desconectar($sock);
  exit;

?>
