<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/em_edicao.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/em_edicao.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Portflio */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  echo("<body link=#0000ff vlink=#0000ff onLoad=\"self.focus();\">\n");
  echo("\n");

  /* Pgina Principal */
  $linha_item=RetornaDadosDoItem($sock, $cod_item);

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $linha_item ['cod_grupo']);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  // 1 - Portflio
  $cabecalho =  "<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>";

  /* 72 - Histrico */
  $cabecalho.= "<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,72)."</b>\n";
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));
  echo ("<br>\n");
  echo ("<p>\n");
 
  $res=RetornaResHistoricoDoItem($sock, $cod_item);
  $num_linhas=RetornaNumLinhas($res);

  $linha=RetornaLinha($res);
  $num_linhas--;
  $nome_usuario=NomeUsuario($sock, $linha['cod_usuario']);
  $data=UnixTime2DataHora($linha['data']);

  /*
    Escolhendo a figura para representar o arquivo: no precisa se preocupar se o portfolio
    est ou no apagado, pois como o item esta em edicao, sabemos que o portfolio eh ativo
  */
  $figura = "./figuras/arquivo_";
  $figura.= ($portfolio_grupo ? "g_"    : "i_"   );
  $figura.= ($dono_portfolio  ? "p.gif" : "n.gif");

  echo("<img src=\"".$figura."\" border=0><font class=text>".$linha_item['titulo']."</font><br>\n");

  echo("<p>\n");

  if ($linha['acao']=="E")
  {
    echo("<table border=0 width=100%>\n");
    echo("  <tr class=menu>\n");
    /* 52 - Atualizar (ger) */
    echo("    <td align=center><a href=\"em_edicao.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico_raiz."&cod_item=".$cod_item."&origem=".$origem."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."\" class=menu><b>".RetornaFraseDaLista($lista_frases_geral,52)."</b></a></td>\n");
    echo("  </tr>\n");
    echo("</table>\n");
  }
  else
  {
    echo("<script language=javascript>\n");
    echo("  opener.document.location='".$origem.".php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico=".$cod_topico_raiz."&cod_topico_raiz=".$cod_topico_raiz."&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';\n");
    echo("</script>\n");
  }

  echo("<table border=0 width=100% cellspacing=0>\n");
  echo("  <tr>\n");

  /* 53 - Situao */
  echo("    <td class=g1field align=right><font class=text><b>".RetornaFraseDaLista($lista_frases_geral,53).":&nbsp;</b></font></td>\n");

  if ($linha['acao']=="E")
    /* 54 - Em Edio */
    echo("    <td class=g1field><font class=text>".RetornaFraseDaLista($lista_frases_geral,54)."</font></td>\n");
  else
    /* 55 - Edio concluda */
    echo("    <td class=g1field><font class=text>".RetornaFraseDaLista($lista_frases_geral,55)."</font></td>\n");

  echo("  </tr>\n");
  echo("  <tr>\n");

  /* 56  - Desde */
  echo("    <td class=g2field align=right><font class=text><b>".RetornaFraseDaLista($lista_frases_geral,56).":&nbsp;</font></b></td>\n");

  echo("    <td class=g2field><font class=text>".$data."</font></td>\n");

  echo("  </tr>\n");

  if ($linha['acao']=="E")
  {
    echo("  <tr>\n");

    /* 57 - Por */
    echo("    <td class=g1field align=right><font class=text><b>".RetornaFraseDaLista($lista_frases_geral,57).":&nbsp;</font></b></td>\n");
  
    echo("    <td class=g1field><font class=text>".$nome_usuario."</font></td>\n");

    echo("  </tr>\n");
  }

  echo("</table>\n");
 
  echo("<form><input type=button onClick=self.close(); value=".RetornaFraseDaLista($lista_frases_geral,13)."></form>\n");

  echo("</body>\n");
  echo("</html>\n");

?>