<?
/*
<!--
-------------------------------------------------------------------------------

  Arquivo : cursos/aplic/portfolio/historico.php

  TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
  Copyright (C) 2001  NIED - Unicamp

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 2 as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  You could contact us through the following addresses:

  Nied - Ncleo de Informtica Aplicada  Educao
  Unicamp - Universidade Estadual de Campinas
  Cidade Universitria "Zeferino Vaz"
  Bloco V da Reitoria - 2o. Piso
  CEP:13083-970 Campinas - SP - Brasil

  http://www.nied.unicamp.br
  nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

  /*==========================================================
  ARQUIVO : cursos/aplic/portfolio/historico.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");
 
  $cod_usuario=VerificaAutenticacao($cod_curso);
  
  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);
 
  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Portflio */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  echo("<script language=javascript>\n");
  echo("  function OpenWindowPerfil(funcao)\n");
  echo("  {\n");
  echo("    window.open(\"../perfil/exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]=\"+funcao,\"PerfilDisplay\",\"width=600,height=400,top=120,left=120,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
  echo("    return(false);\n");
  echo("  }\n");
  echo("</script>\n");
  echo("<body link=#0000ff vlink=#0000ff onLoad=\"self.focus();\">\n");

  $linha_item=RetornaDadosDoItem($sock, $cod_item);

  /* Pgina Principal */

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $linha_item['cod_grupo']);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  // 1 - Portflio
  $cabecalho = ("<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>");

  // 2 - Portfolio individual
  // 3 - Portfolio de grupo
  $tipo_portfolio = ($portfolio_grupo ? RetornaFraseDaLista ($lista_frases, 3) : RetornaFraseDaLista ($lista_frases, 2) );

  /* 72 - Histrico */
  $cabecalho.= ("<b class=subtitulo> - ".$tipo_portfolio." / ".RetornaFraseDaLista($lista_frases,72)."</b>\n");
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));
  echo ("<br>\n");
  echo ("<p>\n");

  $figura = "./figuras/arquivo_";
  $figura.= ($portfolio_grupo   ? "g_" : "i_");
  if ($portfolio_apagado)
  {
    $figura .= "x.gif";
  }
  else
  {
    if ($dono_portfolio)
      $figura .= "p.gif";
    else
      $figura .= "n.gif";
  }

  echo("<img src=\"".$figura."\" border=0><font class=text>".$linha_item['titulo']."</font><br>\n");

  echo("<p>\n");
  echo("<table border=0 width=100% cellspacing=0>\n");
  echo("  <tr>\n");
  /* 89 - Ao */
  echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,89)."</td>\n");
  /* 9 - Data */
  echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,9)."</td>\n");
  /* 90 - Usurio */
  echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,90)."</td>\n");
  echo("  </tr>\n");

  $res=RetornaResHistoricoDoItem($sock, $cod_item);
  $num_linhas=RetornaNumLinhas($res);
  $class="g2field";

  while ($num_linhas>0)
  {
    if ($class=="g1field")
      $class="g2field";
    else
      $class="g1field";

    $linha=RetornaLinha($res);
    $num_linhas--;
    $nome_usuario="<a href=# onclick=return(OpenWindowPerfil(".$linha['cod_usuario']."));>".NomeUsuario($sock, $linha['cod_usuario'])."</a>";
    $data=UnixTime2DataHora($linha['data']);

    if ($linha['acao']=="F")
    {
      if ($num_linhas>1)
      {
        $linha=RetornaLinha($res);
        $num_linhas--;
        $data=UnixTime2DataHora($linha['data']);
        if ($linha['acao']=="E")
        {
          /* 91 - Edio Finalizada */
          $acao=RetornaFraseDaLista($lista_frases,91);
        }
        else
        {
          /* 92 - Desconhecida */
          $acao=RetornaFraseDaLista($lista_frases,92);
        }
      }
      else
      {
        /* tem que ser criao, ento */ 
        $linha=RetornaLinha($res);
        $num_linhas--;
        $data=UnixTime2DataHora($linha['data']);
        if ($linha['acao']=="C")
        {
          /* 93 - Criao */
          $acao=RetornaFraseDaLista($lista_frases,93);
        }
        else
        {
          /* 92 - Desconhecida */
          $acao=RetornaFraseDaLista($lista_frases,92);
        }
      }
    }
    else
    {
      if ($linha['acao']=="D")
      {
        if ($num_linhas>1)
        {
          $linha=RetornaLinha($res);
          $num_linhas--;
          $data=UnixTime2DataHora($linha['data']);
          if ($linha['acao']=="E")
          {
            /* 94 - Edio Cancelada */
            $acao=RetornaFraseDaLista($lista_frases,94);
          }
          else
          {
            /* 92 - Desconhecida */
            $acao=RetornaFraseDaLista($lista_frases,92);
          }
        }
      }
      else
      {

        if ($linha['acao']=="C")
        {
          /* 93 - Criao */
          $acao=RetornaFraseDaLista($lista_frases,93);
        }
        else
        {
          if ($linha['acao']=="M")
          {
            /* 95 - Movida */
            $acao=RetornaFraseDaLista($lista_frases,95);
          }
          else
          {
            if ($linha['acao']=="A")
            {
              /* 96 - Excluso */
              $acao=RetornaFraseDaLista($lista_frases,96);
            }
            else
            {
              if ($linha['acao']=="R")
              {
                /* 97 - Recuperao */
                $acao=RetornaFraseDaLista($lista_frases,97);
              }
              else
              {
                if ($linha['acao']=="X")
                {
                  /* 98 - Excluda definitivamente */
                  $acao=RetornaFraseDaLista($lista_frases,98);
                }
                else if ($linha['acao']=="E")
                {
                  /* 53 - Em Edio */
                  $acao=RetornaFraseDaLista($lista_frases_geral,53);
                }
              }
            }
          }
        }
      }
    }

    echo("  <tr class=".$class.">\n");
    echo("    <td align=center><font class=text>".$acao."</font></td>\n");
    echo("    <td align=center><font class=text>".$data."</font></td>\n");
    echo("    <td align=center><font class=text>".$nome_usuario."</font></td>\n");
    echo("  </tr>\n");
  }

  echo("</table>\n");

  echo("<form><input type=button onClick=self.close(); value=".RetornaFraseDaLista($lista_frases_geral,13)."></form>\n");

  echo("</body>\n");
  echo("</html>\n");

?>
