<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/integrantes.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/integrantes.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Portflio */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  echo("<script language=javascript>\n");

  echo("function AbrePerfil(cod_usuario)\n");
  echo("{\n");
  echo("  window.open('../perfil/exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]='+cod_usuario,'PerfilDisplay','width=620,height=400,top=60,left=60,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=no');\n");
  echo("  return(false);\n");
  echo("}\n");

  echo("</script>\n");

  echo("<body link=#0000ff vlink=#0000ff onLoad=self.focus();>\n");
  echo("\n");

  /* Pgina Principal */

  // 1 - Portflio
  $cabecalho = "<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>";

  /* 126 - Componentes do grupo */
  $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,126)."</b>\n";

  /* Cabecalho */
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  $nome=NomeGrupo($sock,$cod_grupo);

  $figura = "./figuras/portfolio_g_";
  if ( StatusGrupo ($sock, $cod_grupo) == 'X')
    $figura .= "x.gif";
  else if ( PertenceAoGrupo ($sock, $cod_usuario, $cod_grupo) )
    $figura .= "p.gif";
  else
    $figura .= "n.gif";

  echo("<img src=\"".$figura."\" border=0><font class=text>&nbsp;&nbsp;".$nome."</font>\n");

  echo("<p>\n");

  echo("<table border=0 width=100% cellspacing=0>\n");
  echo("  <tr>\n");
  /* 81 - Componentes */
  echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,81)."</td>\n");
  echo("  </tr>\n");

  $lista_integrantes=RetornaListaIntegrantes($sock,$cod_grupo);

  if (is_array ($lista_integrantes))
    foreach ($lista_integrantes as $cod_usuario => $linha)
    {
      echo("  <tr>\n");
      echo("    <td class=whitefield><A class=text href=# onclick=return(AbrePerfil($cod_usuario));>");
      if ($linha['tipo_usuario']=="F")
        /* 58 - Formador */
        echo(RetornaFraseDaLista($lista_frases_geral,58)." ");
      echo($linha['nome']."</a></td>\n");
      echo("  </tr>\n");
    }

  /* 13 - Fechar */
  echo("</table><form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onClick=self.close();></form>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>