<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/lixeira.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/lixeira.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  /* Necessrio para a lixeira. */
  session_register("cod_topico_s");
  unset($cod_topico_s);

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  $eformador=EFormador($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Portflio */

  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  $data_acesso=PenultimoAcesso($sock,$cod_usuario,"");

  $cod_topico_raiz_usuario=RetornaPastaRaizUsuario($sock,$cod_usuario,"");

  $cod_topico_raiz=2; /* topico da lixeira */

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if (! $dono_portfolio)
    exit;

  /* Tem que arrumar daqui para a frente */

  if ($acao=="recuperaritem")
  {
    RecuperarItem($sock, $cod_item, $cod_usuario,$cod_grupo_portfolio);
  }

  if ($acao=="excluiritem")
  {
    ExcluirItem($sock, $cod_item, $cod_usuario);
  }


  /* Funes JavaScript */
  echo("<script language=JavaScript src=../bibliotecas/dhtmllib.js></script>\n");
  echo("<script language=JavaScript>\n");
  echo("var isNav = (navigator.appName.indexOf(\"Netscape\") !=-1);\n");
  echo("var isIE = (navigator.appName.indexOf(\"Microsoft\") !=-1);\n");
  echo("var Xpos, Ypos;\n");
  echo("var js_cod_item, js_cod_topico;\n");
  echo("var js_nome_topico;\n");
  echo("var js_tipo_item;\n");
  echo("var js_comp = new Array();\n");

  echo("if (isNav)\n");
  echo("{\n");
  echo("  document.captureEvents(Event.MOUSEMOVE);\n");
  echo("}\n");
  echo("document.onmousemove = TrataMouse;\n");

  echo("function TrataMouse(e)\n");
  echo("{\n");
  echo("  Ypos = (isMinNS4) ? e.pageY : event.clientY;\n");
  echo("  Xpos = (isMinNS4) ? e.pageX : event.clientX;\n");
  echo("}\n");

  echo("function getPageScrollY()\n");
  echo("{\n");
  echo("  if (isNav)\n");
  echo("    return(window.pageYOffset);\n");
  echo("  if (isIE)\n");
  echo("    return(document.body.scrollTop);\n");
  echo("}\n");

  echo("function AjustePosMenuIE()\n");
  echo("{\n");
  echo("  if (isIE)\n");
  echo("    return(getPageScrollY());\n");
  echo("  else\n");
  echo("    return(0);\n");
  echo("}\n");

  echo("function Iniciar()\n");
  echo("{\n");
  echo("  cod_menu = getLayer(\"menu\");\n");
  echo("}\n");
  echo("\n");

  echo("function EscondeLayers()\n");
  echo("{\n");
  echo("  hideLayer(cod_menu);\n");
  echo("}\n");

  echo("function MostraLayer(cod_layer, ajuste)\n");
  echo("{\n");
  echo("  EscondeLayers();\n");
  echo("  moveLayerTo(cod_layer,Xpos-ajuste,Ypos+AjustePosMenuIE());\n");
  echo("  showLayer(cod_layer);\n");
  echo("}\n");

  echo("function EscondeLayer(cod_layer)\n");
  echo("{\n");
  echo("  hideLayer(cod_layer);\n");
  echo("}\n");

  echo("function TemCertezaExcluir() {\n");
  /* 120 - Tem certeza de que deseja excluir este item ? */
  /* 100 - (o item ser excludo definitivamente) */
  echo("  return(confirm(\"".RetornaFraseDaLista($lista_frases,120)."\\n".RetornaFraseDaLista($lista_frases,100)."\"));\n");
  echo("}\n");

  echo("function TemCertezaRecuperar() {\n");
  /* 101 - Voc tem certeza de que deseja recuperar este item? */
  /* 102 - (o item ser movida para a pasta Raiz e estar como no compartilhado) */
  echo("  return(confirm(\"".RetornaFraseDaLista($lista_frases,101)."\\n".RetornaFraseDaLista($lista_frases,102)."\"));\n");
  echo("}\n");

  echo("function AbreJanelaComponentes(cod_grupo)\n");
  echo("{\n");
  echo("  window.open('integrantes.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_grupo='+cod_grupo,'Componentes','width=400,height=300,top=150,left=250,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes');\n");
  echo("  return false;\n");
  echo("}\n");

  echo("function AbrePerfil(cod_usuario)\n");
  echo("{\n");
  echo("  window.open('../perfil/exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]='+cod_usuario,'PerfilDisplay','width=620,height=400,top=60,left=60,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=no');\n");
  echo("  return(false);\n");
  echo("}\n");

  echo("</script>\n");

  echo("<body link=#0000ff vlink=#0000ff onLoad=\"Iniciar();\">\n");

  /* Pgina Principal */

  // 1 - Portflio
  $cabecalho = "<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>";
  // 7 - Lixeira
  $cabecalho.= "<b class=subtitulo> - ".TituloComDistincao ($acao_portfolio_s, $ferramenta_grupos_s, RetornaFraseDaLista($lista_frases, 7) )."\n";

  /* Cabecalho */
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  if ($portfolio_grupo)
  {
    $nome=NomeGrupo($sock,$cod_grupo_portfolio);

    // Selecionando qual a figura a ser exibida ao lado do nome
    $fig_portfolio = "<img src=figuras/portfolio_g_".($dono_portfolio  ? "p" : ( $portfolio_apagado ? "x" : "n") ).".gif border=0>";


    if (StatusGrupo($sock,$cod_grupo_portfolio)=="X" && $eformador)
      /* 84 - Grupo Excludo */
      $complemento=" <font class=textsmall>(".RetornaFraseDaLista($lista_frases,84).")</font>\n";

    echo("<a class=text href=# onClick=return(AbreJanelaComponentes(".$cod_grupo_portfolio."));>".$fig_portfolio." ".$nome."</a>".$complemento."<br>");
  }
  else
  {
    $nome=NomeUsuario($sock,$cod_usuario_portfolio);

    // Selecionando qual a figura a ser exibida ao lado do nome
    $fig_portfolio = "<img src=figuras/portfolio_i_".($dono_portfolio  ? "p" : ( $portfolio_apagado ? "x" : "n") ).".gif border=0>";

    if (RetornaStatusUsuario($sock,$cod_curso,$cod_usuario_portfolio)=="r" && $eformador)
      /* 85 - Aluno Rejeitado */
      $complemento=" <font class=textsmall>(".RetornaFraseDaLista($lista_frases,85).")</font>\n";
    echo("<a class=text href=# onClick=return(AbrePerfil(".$cod_usuario_portfolio."));>".$fig_portfolio." ".$nome."</a>".$complemento."<br>");
  }

  echo("<p>\n");

  unset($array_params);
  $array_params['cod_topico_raiz']       = $cod_topico_raiz;
  $array_params['cod_item']              = $cod_item;
  $array_params['cod_usuario_portfolio'] = $cod_usuario_portfolio;
  $array_params['cod_grupo_portfolio']   = $cod_grupo_portfolio;

  MontaMenu($cod_curso, $acao_portfolio_s);

  echo("<table border=0 width=100%>\n");
  echo("  <tr class=menu2>\n");
  if ($dono_portfolio)
  {
    /* 99 - Voltar para o Portflio */
    echo("    <td align=center><a href=\"portfolio.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico=".$cod_topico_raiz."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."\" class=menu2><b>".RetornaFraseDaLista($lista_frases,99)."</b></a></td>\n");
  }
  echo("  </tr>\n");
  echo("</table>\n");
  echo("<br>\n");

  echo("<table border=0 width=100% cellspacing=0>\n");
  echo("  <tr>\n");
  echo("    <td width=1% class=colorfield>&nbsp;</td>\n");
  /* 8 - Portfolio */
  echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,8)."</td>\n");
  /* 9 - Data */
  echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,9)."</td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td colspan=4 height=5></td>\n");
  echo("  </tr>\n");

  $lista_itens=RetornaItensDaLixeixa($sock, $cod_usuario,$cod_usuario_portfolio,$cod_grupo_portfolio);

  if (count($lista_itens)<1)
  {
    echo("  <tr>\n");
    /* 11 - No h nenhum item neste portflio */
    echo("    <td colspan=4><font class=text>".RetornaFraseDaLista($lista_frases,11)."</font></td>\n");
    echo("  </tr>\n");
  }
  else
  {
      foreach ($lista_itens as $cod => $linha_item)
      {
        $data="<font class=text>".UnixTime2Data($linha_item['data'])."</font>";
        if ($data_acesso<$linha_item['data'])
        {
          $marcaib="<b>";
          $marcafb="</b>";
        }
        else
        {
          $marcaib="";
          $marcafb="";
        }

        $figura = "./figuras/arquivo_";
        if ($portfolio_grupo)
          $figura .="g_p.gif";
        else
          $figura .="i_p.gif";

        $titulo=$marcaib."<a class=text href=# onMouseDown=\"js_cod_item=".$linha_item['cod_item'].";MostraLayer(cod_menu,0);return(false);\">".$linha_item['titulo']."</a>".$marcafb;
        $icone="<a class=text href=ver_lixeira.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico_raiz."&cod_item=".$linha_item['cod_item']."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."><img src=".$figura." border=0></a><br>";

        echo("  <tr>\n");
        echo("    <td width=1% align=center>".$icone."</td>\n");
        echo("    <td>".$titulo."</td>\n");
        echo("    <td align=center>".$marcaib.$data.$marcafb."</td>\n");
        echo("  </tr>\n");
        echo("  <tr>\n");
        echo("    <td colspan=4 height=1><hr size=1></td>\n");
        echo("  </tr>\n");
      }
  }
  echo("</table>\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");
  echo("<br>&nbsp;\n");


  /* Layers */

  /* Menu */
  echo("<div id=menu class=block visibility=hidden onContextMenu=\"return(false);\">\n");
  echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
  echo("  <tr>\n");
  echo("    <td class=bgcolor align=right><a href=# onClick=\"EscondeLayer(cod_menu);return(false);\"><img src=../figuras/x.gif border=0 ></a></td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("      <td>\n");

  /* 21 - Ver (gen) */
  echo("        <a class=text href=ver_lixeira.php onClick=\"this.search='?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico_raiz."&cod_item='+js_cod_item+'&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."'\">".RetornaFraseDaLista($lista_frases_geral,21)."</a><br>\n");

  /* 48 - Recuperar (gen) */
  echo("        <a class=text href=lixeira.php onClick=\"this.search='?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=recuperaritem&cod_item='+js_cod_item+'&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';EscondeLayers();return(TemCertezaRecuperar());\">".RetornaFraseDaLista($lista_frases_geral,48)."</a><br>\n");

  /* 12 - Excluir (gen) */
  echo("        <a class=text href=lixeira.php onClick=\"this.search='?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=excluiritem&cod_item='+js_cod_item+'&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';EscondeLayers();return(TemCertezaExcluir());\">".RetornaFraseDaLista($lista_frases_geral,12)."</a><br>\n");

  echo("      </td>\n");
  echo("  </tr>\n");
  echo("</table>\n");
  echo("</div>\n");
  echo("\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
  exit;

?>
