<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/ver_lixeira.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/ver_lixeira.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);
  echo("<html>\n");
  /* 1 - Portflio */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  $dir_item_temp=CriaLinkVisualizar($sock, $cod_curso, $cod_usuario, $cod_item, $diretorio_arquivos, $diretorio_temp);

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if (! $dono_portfolio)
    exit ();

  $eformador=EFormador($sock,$cod_curso,$cod_usuario);

  echo("<script language=JavaScript src=../bibliotecas/dhtmllib.js></script>\n");
  echo("<script language=JavaScript>\n");
  echo("var isNav = (navigator.appName.indexOf(\"Netscape\") !=-1);\n");
  echo("var isIE = (navigator.appName.indexOf(\"Microsoft\") !=-1);\n");
  echo("var Xpos, Ypos;\n");

  echo("if (isNav)\n");
  echo("{\n");
  echo("  document.captureEvents(Event.MOUSEMOVE);\n");
  echo("}\n");
  echo("document.onmousemove = TrataMouse;\n");

  echo("function TrataMouse(e)\n");
  echo("{\n");
  echo("  Ypos = (isMinNS4) ? e.pageY : event.clientY;\n");
  echo("  Xpos = (isMinNS4) ? e.pageX : event.clientX;\n");
  echo("}\n");

  echo("function getPageScrollY()\n");
  echo("{\n");
  echo("  if (isNav)\n");
  echo("    return(window.pageYOffset);\n");
  echo("  if (isIE)\n");
  echo("    return(document.body.scrollTop);\n");
  echo("}\n");

  echo("function AjustePosMenuIE()\n");
  echo("{\n");
  echo("  if (isIE)\n");
  echo("    return(getPageScrollY());\n");
  echo("  else\n");
  echo("    return(0);\n");
  echo("}\n");

  echo("function Iniciar()\n");
  echo("{\n");
  echo("  cod_menu = getLayer(\"menu\");\n");
  echo("}\n");
  echo("\n");

  echo("function EscondeLayers()\n");
  echo("{\n");
  echo("  hideLayer(cod_menu);\n");
  echo("}\n");

  echo("function MostraLayer(cod_layer)\n");
  echo("{\n");
  echo("  EscondeLayers();\n");
  echo("  moveLayerTo(cod_layer,Xpos,Ypos+AjustePosMenuIE());\n");
  echo("  showLayer(cod_layer);\n");
  echo("}\n");

  echo("function WindowOpenVer(id)\n");
  echo("{\n");
  echo("  window.open('".$dir_item_temp['link']."'+id+'?".time()."','Portfolio','top=50,left=100,width=600,height=400,menubar=yes,status=yes,toolbar=yes,scrollbars=yes');\n");
  echo("}\n");

  echo("function WindowOpenVerURL(end)\n");
  echo("{\n");
  echo("  window.open('http://'+end,'PortfolioURL','top=50,left=100,width=600,height=400,menubar=yes,status=yes,toolbar=yes,scrollbars=yes,resizable=yes');\n");
  echo("}\n");

  echo("function AbreJanelaComponentes(cod_grupo)\n");
  echo("{\n");
  echo("  window.open('integrantes.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_grupo='+cod_grupo,'Componentes','width=400,height=300,top=150,left=250,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes');\n");
  echo("  return false;\n");
  echo("}\n");

  echo("function AbrePerfil(cod_usuario)\n");
  echo("{\n");
  echo("  window.open('../perfil/exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]='+cod_usuario,'PerfilDisplay','width=620,height=400,top=60,left=60,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=no');\n");
  echo("  return(false);\n");
  echo("}\n");

  echo("function TemCertezaExcluir() {\n");
  /* 120 - Tem certeza de que deseja excluir este item ? */
  /* 100 - (o item ser excluda definitivamente) */
  echo("  if (confirm(\"".RetornaFraseDaLista($lista_frases,120)."\\n".RetornaFraseDaLista($lista_frases,100)."\"))\n");
  echo("  document.location='lixeira.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=excluiritem&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';\n");
  echo("  return false;\n");
  echo("}\n");

  echo("function TemCertezaRecuperar() {\n");
  /* 101 - Voc tem certeza de que deseja recuperar este item? */
  /* 102 - (o item ser movida para a pasta Raiz e estar como no compartilhado) */
  echo("  if (confirm(\"".RetornaFraseDaLista($lista_frases,101)."\\n".RetornaFraseDaLista($lista_frases,102)."\"))\n");
  echo("  document.location='lixeira.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=recuperaritem&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';\n");
  echo("  return false;\n");
  echo("}\n");

  echo("</script>\n");

  echo("<body link=#0000ff vlink=#0000ff onLoad=\"Iniciar();\" onUnLoad=\"top.invisivel.location='../portfolio/saida.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."';\">\n");
  echo("\n");

  /* Pgina Principal */
  // 1 - Portflio
  $cabecalho = "<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>";

  /* 103 - Ver Item da Lixeira */
  $cabecalho.= "<b class=subtitulo> - ".TituloComDistincao ($acao_portfolio_s, $ferramenta_grupos_s, RetornaFraseDaLista($lista_frases, 103) )."\n";

  /* Cabecalho */
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  if ($portfolio_grupo)
  {
    $nome=NomeGrupo($sock,$cod_grupo_portfolio);

    // Selecionando qual a figura a ser exibida ao lado do nome
    $fig_portfolio = "<img src=figuras/portfolio_g_".($dono_portfolio  ? "p" : ( $portfolio_apagado ? "x" : "n") ).".gif border=0>";

    echo("<a href=# onClick=return(AbreJanelaComponentes(".$cod_grupo_portfolio.")); class=text>".$fig_portfolio." ".$nome."</a><br>");
  }
  else
  {
    $nome=NomeUsuario($sock,$cod_usuario_portfolio);

    // Selecionando qual a figura a ser exibida ao lado do nome
    $fig_portfolio = "<img src=figuras/portfolio_i_".($dono_portfolio  ? "p" : ( $portfolio_apagado ? "x" : "n") ).".gif border=0>";

    echo("<a href=# onClick=return(AbrePerfil(".$cod_usuario_portfolio.")); class=text>".$fig_portfolio." ".$nome."</a><br>");
  }

  echo("<p>\n");

  $cod_topico_raiz_usuario=RetornaPastaRaizUsuario($sock,$cod_usuario,"");

  unset($array_params);

  MontaMenu ($cod_curso, $acao_portfolio_s);

  echo("<table border=0 width=100%>\n");
  echo("  <tr class=menu2>\n");
  /* 69 - Atualizar */
  echo("    <td align=center><a href=\"ver_lixeira.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico_raiz."&cod_item=".$cod_item."&time=".time()."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."\" class=menu2><b>".RetornaFraseDaLista($lista_frases,69)."</b></a></td>\n");
  /* 104 - Voltar para a Lixeira */
  echo("    <td align=center><a href=\"lixeira.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico_raiz."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."\" class=menu2><b>".RetornaFraseDaLista($lista_frases,104)."</b></a></td>\n");
  /* 72 - Histrico */
  echo("    <td align=center><a class=menu2 href=# onClick=\"window.open('historico.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."','Historico','width=450,height=300,top=150,left=250,status=yes,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');EscondeLayers();return(false);\">".RetornaFraseDaLista($lista_frases,72)."</a></td>\n");
  /* 48 - Recuperar (gen) */
  echo("    <td align=center><a class=menu2 href=# onClick=\"return(TemCertezaRecuperar());\">".RetornaFraseDaLista($lista_frases_geral,48)."</a></td>\n");
  /* 12 - Excluir (gen) */
  echo("    <td align=center><a class=menu2 href=# onClick=\"return(TemCertezaExcluir());\">".RetornaFraseDaLista($lista_frases_geral,12)."</a></td>\n");
  echo("  </tr>\n");
  echo("</table>\n");

  echo("<br>\n");
  echo("<table border=0 width=100% cellspacing=0>\n");
  echo("  <tr>\n");
  echo("    <td width=1% class=colorfield>&nbsp;</td>\n");
  /* 41 - Ttulo */
  echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,41)."</td>\n");
  /* 9 - Data */
  echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,9)."</td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td colspan=3 height=5></td>\n");
  echo("  </tr>\n");

  $linha_item=RetornaDadosDoItem($sock, $cod_item);

  echo("  <tr>\n");

/*
  if ($portfolio_grupo)
    echo("    <td><img src=\"../figuras/arqportg.gif\" border=0></td>\n");
  else
    echo("    <td><img src=\"../figuras/arqport.gif\" border=0></td>\n");


  echo("    <td><img src=\"../figuras/".$figura."\" border=0></td>\n");
*/

  /* 
    aqui eh bom lembrar: se o cara esta vendo a lixeira, eh que ele eh dono (ou pertence ao grupo)
    entaum nao precisa fazer a verificacao de dono ou nao-dono, apenas verificar se grupo ou individual
  */
  $figura = ($portfolio_grupo ? "./figuras/arquivo_g_p.gif" : "./figuras/arquivo_i_p.gif");   

  echo("    <td><img src=".$figura."></td>");

  echo("    <td>\n");

/*
  ANTES: CLICAR NO TITULO DO ITEM ABRE UM LAYER
  AGORA: TITULO EH APENAS TEXTO, OPCOES ESTAO NO MENU
  echo("      <a href=# onMouseDown=\"MostraLayer(cod_menu);return(false);\" class=text>".$linha_item['titulo']."</a>\n");
*/
  echo("      <font class=text>".$linha_item['titulo']."</font>\n");

  echo("    </td>\n");
  echo("    <td align=center><font class=text>".UnixTime2DataHora($linha_item['data'])."</font></td>\n");
  echo("  </tr>\n");
  echo("</table>\n");

  if ($linha_item['texto']!="")
  {

    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 42 - Texto  */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,42)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");

    echo("<font class=text>".AjustaParagrafo(Enter2BR($linha_item['texto']))."</font>\n");

    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

  }

  $lista_arq=RetornaArquivosMaterialVer($cod_curso, $dir_item_temp['diretorio']);

  if (count($lista_arq)>0)
  {

    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 71 - Arquivos */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,71)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");

    $dir_atual="";

    $lista_arq_vis=RetornaArquivosVisiveis($lista_arq);
    foreach($lista_arq_vis as $cod => $linha)
    {
      if (!($linha['Arquivo']=="" && $linha['Diretorio']==""))
        if (!$linha['Status'])
        {
          /* Retirado, uma vez que no so exibidos os diretrios */
          /*
          $temp=explode("/",$linha['Diretorio']);
          $nivel=count($temp)-1;
          for ($c=0;$c<=$nivel;$c++)
            echo("&nbsp;&nbsp;&nbsp;");
          if ($linha['Diretorio']!="" && $linha['Arquivo']!="")
            echo("&nbsp;&nbsp;&nbsp;");
          */
          if ($linha['Arquivo']=="")
            echo("<img src=../figuras/pasta.gif border=0> ".$temp[$nivel]);
          else if (eregi(".zip$",$linha['Arquivo']))
            echo("<a class=text href=".$dir_item_temp['link'].ConverteUrl2Html($linha['Diretorio']."/".$linha['Arquivo'])."><img src=../figuras/arqzip.gif border=0> ".$linha['Arquivo']."</a>");
          else
            echo("<a class=text href=# onclick=\"WindowOpenVer('".ConverteUrl2Html($linha['Diretorio']."/".$linha['Arquivo'])."');return(false);\"><img src=../figuras/arqp.gif border=0> ".$linha['Arquivo']."</a>");
          echo("<br>\n");
        }
    }

    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

  }

  $lista_url=RetornaEnderecosMaterial($sock, $cod_item);

  if (count($lista_url)>0)
  {

    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 44 - Endereos */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,44)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");

    foreach ($lista_url as $cod => $linha)
    {
      if ($linha['nome']!="")
      {
        echo("  <font class=text><a href=# onClick=\"WindowOpenVerURL('".ConverteSpace2Mais($linha['endereco'])."');return(false);\">".$linha['nome']."</a>&nbsp;&nbsp;(".$linha['endereco'].")<font><br>\n");
      }
      else
      {
        echo("  <font class=text><a href=# onClick=\"WindowOpenVerURL('".ConverteSpace2Mais($linha['endereco'])."');return(false);\">".$linha['endereco']."</a></font><br>\n");
      }
    }

    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

  }

  /* Layers */

  /* Menu */
  echo("<div id=menu class=block visibility=hidden onContextMenu=\"return(false);\">\n");
  echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
  echo("  <tr>\n");
  echo("    <td class=bgcolor align=right><a href=# onClick=\"EscondeLayers();return(false);\"><img src=../figuras/x.gif border=0 ></a></td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("      <td>\n");

  /* 72 - Histrico */
  echo("        <a class=text href=# onClick=\"window.open('historico.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."','Historico','width=450,height=300,top=150,left=250,status=yes,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');EscondeLayers();return(false);\">".RetornaFraseDaLista($lista_frases,72)."</a><br>\n");

  /* 48 - Recuperar (gen) */
  echo("        <a class=text href=# onClick=\"EscondeLayers();return(TemCertezaRecuperar());\">".RetornaFraseDaLista($lista_frases_geral,48)."</a><br>\n");

  /* 12 - Excluir (gen) */
  echo("        <a class=text href=# onClick=\"EscondeLayers();return(TemCertezaExcluir());\">".RetornaFraseDaLista($lista_frases_geral,12)."</a><br>\n");
  echo("      </td>\n");
  echo("  </tr>\n");
  echo("</table>\n");
  echo("</div>\n");
  echo("\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>
