<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/ver_portfolios.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/ver_portfolios.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");

  include("portfolio.inc");

  /* Necessrio para a lixeira. */
  session_register("cod_topico_s");
  unset($cod_topico_s);

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  MarcaAcesso($sock,$cod_usuario,15);

  $eformador=EFormador($sock,$cod_curso,$cod_usuario);

  if (isset ($exibir))	// Entao estamos vindo de alguma outra pagina, atraves de menu
  { 
    $acao_portfolio_s = ($exibir == "ind" ? 'I' : 'G');
  }

  if ($operacao=="apagarportfolio" && $eformador)
  {
    ApagarTopico($sock, $cod_topico, $cod_usuario);
  }

  echo("<html>\n");
  /* 1 - Portflio */

  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  $data_acesso=PenultimoAcesso($sock,$cod_usuario,"");

  /* Funes JavaScript */
//  echo("<script language=JavaScript src=../bibliotecas/dhtmllib.js></script>\n");
//  echo("<script language=JavaScript>\n");
//  echo("var isNav = (navigator.appName.indexOf(\"Netscape\") !=-1);\n");
//  echo("var isIE = (navigator.appName.indexOf(\"Microsoft\") !=-1);\n");
//  echo("var Xpos, Ypos;\n");
//  echo("var js_cod_topico;\n");
//  echo("var js_cod_grupo;\n");
//  echo("var js_cod_usuario;\n");

//  echo("if (isNav)\n");
//  echo("{\n");
//  echo("  document.captureEvents(Event.MOUSEMOVE);\n");
//  echo("}\n");
//  echo("document.onmousemove = TrataMouse;\n");

//  echo("function TrataMouse(e)\n");
//  echo("{\n");
//  echo("  Ypos = (isMinNS4) ? e.pageY : event.clientY;\n");
//  echo("  Xpos = (isMinNS4) ? e.pageX : event.clientX;\n");
//  echo("}\n");

//  echo("function getPageScrollY()\n");
//  echo("{\n");
//  echo("  if (isNav)\n");
//  echo("    return(window.pageYOffset);\n");
//  echo("  if (isIE)\n");
//  echo("    return(document.body.scrollTop);\n");
//  echo("}\n");

//  echo("function AjustePosMenuIE()\n");
//  echo("{\n");
//  echo("  if (isIE)\n");
//  echo("    return(getPageScrollY());\n");
//  echo("  else\n");
//  echo("    return(0);\n");
//  echo("}\n");

//  echo("function Iniciar()\n");
//  echo("{\n");
//  echo("  cod_topicos = getLayer(\"topicos\");\n");
//  echo("}\n");
//  echo("\n");


//  echo("function EscondeLayers()\n");
//  echo("{\n");
//  echo("  hideLayer(cod_topicos);\n");
//  echo("}\n");

//  echo("function MostraLayer(cod_layer, ajuste)\n");
//  echo("{\n");
//  echo("  EscondeLayers();\n");
//  echo("  moveLayerTo(cod_layer,Xpos-ajuste,Ypos+AjustePosMenuIE());\n");
//  echo("  showLayer(cod_layer);\n");
//  echo("}\n");

//  echo("function EscondeLayer(cod_layer)\n");
//  echo("{\n");
//  echo("  hideLayer(cod_layer);\n");
//  echo("}\n");

//  echo("function TemCertezaApagar(tmp_cod_topico)\n");
//  echo("{\n");
//  /* 87 - Tem certeza que deseja excluir este portflio? */
//  /* 88 - (Todos os itens sero apagados e o portflio no ser mais visvel) */
//  echo("   if (confirm(\"".RetornaFraseDaLista($lista_frases,87)."\\n".RetornaFraseDaLista($lista_frases,88)."\"))\n");
//  echo("     document.location='ver_portfolios.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&operacao=apagarportfolio&cod_topico='+tmp_cod_topico+'&acao_portfolio=".$acao_portfolio."';\n");
//  echo("   return false;\n");
//  echo("}\n");

//  echo("function AbrePortfolio()\n");
//  echo("{\n");
//  echo("   document.location='portfolio.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz='+js_cod_topico+'&cod_usuario_portfolio='+js_cod_usuario+'&cod_grupo_portfolio='+js_cod_grupo;\n");
//  echo("   return false;\n");
//  echo("}\n");

//  echo("</script>\n");


  echo("<body link=#0000ff vlink=#0000ff>\n");

  $cod_topico_raiz_usuario=RetornaPastaRaizUsuario($sock,$cod_usuario,"");

  /* Pgina Principal */

  // 8 - Portfolio
  $cabecalho = "<b class=titulo>".RetornaFraseDaLista($lista_frases, 8)."</b>";
  
  // 75 - Portfolios de grupos
  // 74 - Portfolios individuais

  if ($ferramenta_grupos_s && 'G' == $acao_portfolio_s)
    $cod_frase = 75;
  else
    $cod_frase = 74;

  $cabecalho.= "<b class=subtitulo> - ".RetornaFraseDaLista ($lista_frases, $cod_frase)."</b>";

  /* Cabecalho */
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  echo("<p>\n");

  // se ferramenta grupos nao estiver ativa, o menu nao faz sentido aqui
  if ($ferramenta_grupos_s)
    MontaMenu($cod_curso, $acao_portfolio_s);

  echo("<br>\n");

  VerificaPortfolioGrupos($sock,$cod_usuario);

  // a unica maneira de chamar ver_portfolios com esta variavel  atravs do menu de portfolios
  // se a variavel estiver setada,  que  preciso mudar a varivel de sesso
  if (isset ($acao_portfolio))
    $acao_portfolio_s = $acao_portfolio;

  $lista_topicos=RetornaTopicosBase($sock, $cod_usuario, $cod_usuario_portfolio, $eformador, $acao_portfolio_s);

  //  echo("<br><br><big><font color=red>De volta  pgina ver_portfolios.php</font></big><br>");
  //  echo(print_array ($lista_topicos));

  if (count($lista_topicos)<1)
  {
    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 80 - No h nenhum portflio */
    echo("    <td colspan=5><font class=text>".RetornaFraseDaLista($lista_frases,80)."</font></td>\n");
    echo("  </tr>\n");
    echo("</table>\n");
  }
  else
  {
    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    echo("    <td width=1% class=colorfield>&nbsp;</td>\n");
    /* 8 - Portfolio */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,8)."</td>\n");
    /* 9 - Data */
    echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,9)."</td>\n");
    /* 82 - Itens */
    echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,82)."</td>\n");
    /* 83 - Itens no comentados */
    echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,83)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td colspan=5 height=5></td>\n");
    echo("  </tr>\n");
  
    foreach ($lista_topicos as $cod_topico => $linha_topico)
    {
      if ($dono_portfolio)
        $max_data=RetornaMaiorDataItemComentario($sock,$cod_topico,'P',$linha_topico['data'],$cod_usuario);
      else if ($eformador)
        $max_data=RetornaMaiorDataItemComentario($sock,$cod_topico,'F',$linha_topico['data'],$cod_usuario);
      else
        $max_data=RetornaMaiorDataItemComentario($sock,$cod_topico,'T',$linha_topico['data'],$cod_usuario);
      $data="<font class=text>".UnixTime2Data($max_data)."</font>";

      if ($data_acesso<$max_data)
      {
        $marcaib="<b>";
        $marcafb="</b>";
      }
      else
      {
        $marcaib="";
        $marcafb="";
      }

      $ahref="<a class=text href=\"portfolio.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico."&cod_usuario_portfolio=".$linha_topico['cod_usuario']."&cod_grupo_portfolio=".$linha_topico['cod_grupo']."\">";
      $arquivo = $linha_topico['figura'];

      echo("  <tr>\n");
      echo("    <td width=1% align=center>".$ahref."<img src=./figuras/".$arquivo." border=0></a></td>\n");
      echo("    <td>".$marcaib.$ahref.$linha_topico['topico']."</a>".$marcafb."</td>\n");
      echo("    <td align=center>".$marcaib.$data.$marcafb."</td>\n");
      echo("    <td align=center><font class=text>".$marcaib.$linha_topico['num_itens'].$marcafb."</font></td>\n");
      echo("    <td align=center><font class=text>".$marcaib.$linha_topico['num_itens_nao_comentados'].$marcafb."</font></td>\n");
      echo("  </tr>\n");
      echo("  <tr>\n");
      echo("    <td colspan=5 height=1><hr size=1></td>\n");
      echo("  </tr>\n");
    }
    echo("</table>\n");
  }

  /* Portflios "mortos" */
//  echo("<div id=topicos class=block visibility=hidden onContextMenu=\"return(false);\">\n");
//  echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
//  echo("  <tr>\n");
//  if ($acao_portfolio=="I")
//    /* 85 - Aluno Rejeitado */
//    echo("    <td class=menu>".RetornaFraseDaLista($lista_frases,85)."</td>\n");
//  else
//    /* 84 - Grupo Excludo */
//    echo("    <td class=menu>".RetornaFraseDaLista($lista_frases,84)."</td>\n");

//  echo("    <td class=bgcolor align=right><a href=# onClick=EscondeLayer(cod_topicos);return(false);><img src=../figuras/x.gif border=0></a></td>\n");
//  echo("  </tr>\n");
//  echo("  <tr>\n");
//  echo("    <td colspan=2>\n");
//  /* 34 - Abrir (ger)*/
//  echo("      <a href=# onClick=return(AbrePortfolio()); class=text>".RetornaFraseDaLista($lista_frases_geral,34)."</a><br>\n");
//  /* 86 - Excluir Portflio */
//  echo("      <a href=# onClick=return(TemCertezaApagar(js_cod_topico)); class=text>".RetornaFraseDaLista($lista_frases,86)."</a>\n");
//  echo("    </td>\n");
//  echo("  </tr>\n");
//  echo("</table>\n");
//  echo("</div>\n");


  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
  exit;

?>
