<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : pagina_inicial/importar_dados_aluno.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : pagina_inicial/importar_dados_aluno.php
  ========================================================== */

  $bibliotecas="../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("inicial.inc");

  $lista_cursos = RetornaListaDeCursosUsuario($emaildados, $logindados);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-3);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  echo("<html>\n");
  echo("  <head>\n");
  echo("    <title>TelEduc</title>\n");
  echo("  </head>\n");

  echo("  <script language=JavaScript>\n\n");

  echo("    function Submeter(cod, usuario)\n");
  echo("    {\n");
  echo("      document.frmCurso.cod_curso.value = cod;\n");
  echo("      document.frmCurso.cod_usuario_curso.value = usuario;\n");
  echo("      document.frmCurso.submit();\n");
  echo("    }\n\n");

  echo("    function Cancelar()\n");
  echo("    {\n");
  echo("      document.frmCurso.action = \"inscricao.php\";\n");
  echo("      document.frmCurso.submit();\n");
  echo("    }\n\n");

  echo("  </script>\n\n");

  echo("<body onLoad='document.frmCurso.cmdVoltar.focus();'>\n");

  $cod_curso_cad = $cod_curso;
  $dados_curso=RetornaDadosCurso($sock,$cod_curso);

  echo("<P>\n");
  echo("<table width=100%><tr><td>\n");
  echo("  <font face=verdana size=4>\n");
  /* 120 - Reaproveitar dados pessoais de outro curso */
  echo("    <b>".RetornaFraseDaLista($lista_frases,120)." \"".$dados_curso['nome_curso']."\"</b>\n");

  echo("  </font>\n");
  echo("</td>\n");
  echo("<td align=right><img src=teleducpeq.gif height=30></td>\n");
  echo("</tr>\n");
  echo("</table>\n");
  echo("<HR>\n");

  echo("<form name=frmCurso method=get action='importar_dados_aluno2.php'>\n");
  echo(RetornaSessionIDInput());
  /* Repassa o tipo de cursos a serem listados: em andamento, com inscries abertas ou encerrados */
  echo("  <input type=hidden name=tipo_curso value=".$tipo_curso.">\n");
  /* Passa o cod_curso no qual o usurio est se cadastrando */
  echo("  <input type=hidden name=cod_curso_cad value=".$cod_curso_cad.">\n");
  /* Passo o cod_curso do qual sero extrados os dados, ou repassa o cod_curso no qual */
  /* o usurio est se cadastrando para a ao de Cancelar.                             */
  echo("  <input type=hidden name=cod_curso value=".$cod_curso_cad.">\n");


  echo("  <input type=hidden name=cod_usuario_curso value=''>\n");
  echo("  <input type=hidden name=emaildados value='".$emaildados."'>\n");
  echo("  <input type=hidden name=logindados value='".$logindados."'>\n");

  $total = count($lista_cursos);
  if ($total > 0)
  {
    /* 126 - Os seguintes cursos possuem cadastrado o e-mail  */
    /* 127 -  ou o login  */
    echo("  ".RetornaFraseDaLista($lista_frases,126)." '<i>".$emaildados."</i>'"." ".RetornaFraseDaLista($lista_frases,127)." "."'<i>".$logindados."</i>'<br>\n");
    /* 128 - Selecione o link do curso do qual deseja aproveitar os dados pessoais. */
    echo("  ".RetornaFraseDaLista($lista_frases,128)."<br>\n");
    echo("  <p>\n");

    echo("  <table width=100% border=0>\n");
    echo("    <tr><td>\n");
    echo("      <table width=100% border=0>\n");
    foreach ($lista_cursos as $cod => $linha)
    {
      echo("        <tr><td>\n");
      echo("          <a href=# onClick='Submeter(".$cod.", ".$linha['cod_usuario'].");return(false);'><font face=Arial,Helvetica size=-1>".$linha['nome_curso']."</font></a>\n");
      echo("        </td></tr>\n");
    }
    echo("      </table>\n");
    echo("    </td></tr>\n");
    echo("  </table>\n");
  }
  else
  {
    /* 129 - No h cursos que possuam cadastrado o e-mail  */
    /* 127 -  ou o login:  */
    echo("  ".RetornaFraseDaLista($lista_frases,129)." '<i>".$emaildados."</i>' ".RetornaFraseDaLista($lista_frases,127)." '<i>".$logindados."</i>'"."\n");
    echo("  <p>\n");
  }
  echo("  <br>\n");
  /* 2 - Cancelar (ger) */
  echo("  <input type=button name=cmdVoltar value=".RetornaFraseDaLista($lista_frases_geral, 2)." onClick='Cancelar()'>\n");

  echo("</form>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
?>
