<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : administracao/ajuda/seleciona_pagina.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : administracao/ajuda/seleciona_pagina.php
  ========================================================== */

  $bibliotecas="../../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("../admin.inc");
  include("ajuda.inc");

  VerificaAutenticacaoAdministracao();

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-5);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  PreparaCabecalhoAjuda($lista_frases);

  echo("<ul><table width=700><tr><td valign=top>\n");

  /* ?? - Cadastro de texto da Ajuda */
  PreparaCabecalhoOpcao("Cadastro de texto da Ajuda");

  echo("<form name=alterar action=cadastra_texto.php?".RetornaSessionID()." method=post>\n");

  echo("<table cellpadding=0 cellspacing=0 width=100%><tr><td>\n");

  $lista_ferramentas=RetornaFerramentasOrdemMenu();

  $sock=Conectar("");

  $lista_lingua=ListaLinguas($sock);

  /* 82 - Lngua: */
  echo(RetornaFraseDaLista($lista_frases,82)." <b>".$lista_lingua[$cod_lingua]."</b><br>\n");

  /* 83 - Ferramenta: */
  echo(RetornaFraseDaLista($lista_frases,83)." <b>\n");

  if ($cod_ferramenta<0)
    /* 140 - Configurar */
    echo(RetornaFraseDaLista($lista_frases,140)."</b><br>\n");
  else if ($cod_ferramenta==0)
    /* 80 - Administrao Interna (curso) */
    echo(RetornaFraseDaLista($lista_frases,80)."</b><br>\n");
  else
    echo($lista_ferramentas[$cod_ferramenta]."</b><br>\n");

  /* ?? - Modo de visualizao: */
  echo("Modo de visualiza&ccedil;&atilde;o: <b>\n");

  if ($tipo_usuario=="F")
    echo("Viso do Formador\n");
  else if ($tipo_usuario=="A")
    echo("Viso do Aluno\n");
  echo("</b><br>\n");

  echo("</td></tr></table>\n");

  echo("<hr><br>\n");

  $lista_paginas=RetornaPaginasdaFerramenta($sock,$cod_ferramenta,$cod_lingua,$tipo_usuario);

  /* Retorna nomes das pginas em portugus para mostr-las na tela, facilitando assim a seleo da pgina em outra
     lngua qualquer */
  $cod_lingua_padrao=1;
  $lista_paginas_padrao=RetornaPaginasdaFerramenta($sock,$cod_ferramenta,$cod_lingua_padrao,$tipo_usuario);

  if (count($lista_paginas)>0)
  {
    /* ?? - Selecione a pgina: */
    echo("<b>Selecione a p&aacute;gina: </b><br>\n");

    echo("<select name=cod_pagina>\n");

    foreach($lista_paginas as $cod_pagina => $linha)
      if ($cod_lingua==$cod_lingua_padrao)
        echo("  <option value=".$linha['cod_pagina'].">".$linha['cod_pagina']." - ".$linha['nome_pagina']."</option>\n");
      else
        echo("  <option value=".$linha['cod_pagina'].">".$linha['cod_pagina']." - ".$lista_paginas_padrao[$cod_pagina]['nome_pagina']." / ".$linha['nome_pagina']."</option>\n");

    echo("</select><br><br>\n");
  }
  else
    /* ?? - Nenhuma pgina encontrada */
    echo("Nenhuma pgina encontrada.<br><br>\n");

  if (count($lista_paginas)>0)
    /* 55 - Continuar */
    echo("<input type=submit value='".RetornaFraseDaLista($lista_frases,55)."'>\n");

  /* 2 - Cancelar (Ger) */
  echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,2)."' onClick=\"document.location='index.php?".RetornaSessionID()."'\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n");

  if ($modo=='E')
  {
    /* ?? - Criar nova pgina */
    echo("<input type=submit value='Criar nova pgina *' onclick=\"document.alterar.criar.value='sim'\"><br><br>\n");
    echo("<font size=2>* - Ao escolher essa opo, voc estar criando uma nova pgina no idioma padro, ou seja, portugus, mesmo que tenha selecionado previamente outro idioma.</font>\n");
  }

  echo("<input type=hidden name=criar value='nao'>\n");
  echo("<input type=hidden name=cod_ferramenta value=".$cod_ferramenta.">\n");
  echo("<input type=hidden name=cod_lingua value=".$cod_lingua.">\n");
  echo("<input type=hidden name=tipo_usuario value='".$tipo_usuario."'>\n");
  echo("<input type=hidden name=modo value='".$modo."'>\n");

  echo("</form>\n");

  echo("</td></tr></table></ul>\n");

  echo("<hr>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
?>