<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : administracao/criar_curso.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : administracao/criar_curso.php
  ========================================================== */

  $bibliotecas="../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("admin.inc");

  VerificaAutenticacaoAdministracao();

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-5);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  PreparaCabecalhoAdmin($lista_frases);

  echo("<ul><table width=700><tr><td valign=top>\n");

  /* 3 - Criao de Curso */
  PreparaCabecalhoOpcao(RetornaFraseDaLista($lista_frases,3));
 
  echo("<form action=criar_curso2.php?".RetornaSessionID()." method=get>\n");

  echo("<table>\n");
 
  /* 91 - Dados do Curso */
  echo("<tr><td colspan=2><b>".RetornaFraseDaLista($lista_frases,91)."</b></td></tr>\n");

  /* 92 - Nome do Curso: */
  echo("<tr valign=top><td align=right>".RetornaFraseDaLista($lista_frases,92)."</td><td>\n");
  echo("<input type=text name=nome_curso size=33 maxlenght=100></td></tr>\n");

  /* 93 - Nmero de Alunos: */
  echo("<tr valign=top><td align=right>".RetornaFraseDaLista($lista_frases,93)."</td><td>\n");
  echo("<input type=text name=num_alunos size=6 maxlenght=10></td></tr>\n");

  $categ=RetornaCategorias();
  if (count($categ)>0)
  {
    /* 94 - Categoria: */
    echo("<tr valign=top><td align=right>".RetornaFraseDaLista($lista_frases,94)."</td><td>\n");
    echo("<select name=cod_pasta>\n");
    foreach ($categ as $cod_pasta => $pasta)
    echo("  <option value=".$cod_pasta.">".$pasta."</option>\n");
    echo("</select>\n");
    echo("</td></tr>\n");
    /* 123 - Se voc deseja criar uma nova categoria, preencha o nome da nova categoria abaixo. A categoria escolhida acima ser desconsiderada. */
    /* 124 - Nova categoria: */
    echo("<tr valign=top><td colspan=2>".RetornaFraseDaLista($lista_frases,123)."</td></tr>\n");
    echo("<tr valign=top><td align=right>".RetornaFraseDaLista($lista_frases,124)."</td><td>\n");
    echo("<input type=text name=nova_categ size=33 maxlenght=100></td></tr>\n");
  }
  else
  {
    echo("<input type=hidden name=cod_pasta value=NULL>\n");
  }

  echo("<tr><td>&nbsp;</td></tr>\n");
 
  /* 95 - Dados do Coordenador do Curso */
  echo("<tr><td colspan=2><b>".RetornaFraseDaLista($lista_frases,95)."</b></td></tr>\n");

  /* 96 - Nome do Coordenador: */
  echo("<tr valign=top><td align=right>".RetornaFraseDaLista($lista_frases,96)."</td><td>\n");
  echo("<input type=text name=nome_coordenador size=33 maxlenght=100></td></tr>\n");

  /* 33 - e-mail: */
  echo("<tr valign=top><td align=right>".RetornaFraseDaLista($lista_frases,33)."</td><td>\n");
  echo("<input type=text name=email size=33 maxlenght=100></td></tr>\n");

  /* 97 - Login: */
  echo("<tr valign=top><td align=right>".RetornaFraseDaLista($lista_frases,97)."</td><td>\n");
  echo("<input type=text name=login size=13 maxlenght=20></td></tr>\n");

  echo("</table><br><br>\n");
  /* 98 - Criar Curso */
  echo("<input type=submit value='".RetornaFraseDaLista($lista_frases,98)."'>&nbsp;&nbsp;&nbsp;&nbsp;\n");

  /* 2 - Cancelar (Ger) */
  echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,2)."' onClick=history.go(-1);>\n");

  echo("</b>\n");

  echo("</form>\n");

  echo("</td></tr></table></ul>\n");

  echo("<hr>\n");

  echo("</body>\n");
  echo("</html>\n");
?>
