<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : administracao/index.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : administracao/index.php
  ========================================================== */

  $bibliotecas="../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("admin.inc");

  if (isset($cod_lingua) && $cod_lingua!="")
  {
    $cod_lingua_s=$cod_lingua;
    $sock=Conectar("");
    for ($c=-5;$c<20;$c++)
      if (ListaDeFrasesEmMemoria($c))
        MemorizaListaDeFrases($sock, $c);
    Desconectar($sock);
  }

  VerificaAutenticacaoAdministracao();

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-5);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  PreparaCabecalhoAdmin($lista_frases);


  /* Realizando checagem de novo Patch */

  $lista=RetornaArrayDiretorio("patch");

  if (count($lista)>0)
  {
    unset($patchs);
    $sock=Conectar("");
    // Existem Patchs no Diretorio
    foreach($lista as $cod =>$linha)
    {
      $query="select * from Patchs where patch='".$linha['Arquivo']."'";
      $res=Enviar($sock,$query);
      if (RetornaNumLinhas($res)==0)
        $patchs[$cod]=$linha['Arquivo'];

    }
    Desconectar($sock);

    if (count($patchs)>0)
    {
      foreach($patchs as $cod => $nome)
      {
        echo("<b>".$nome."</b><br><br>");

        include("patch/".$nome);

        $sock=Conectar("");
        $query="insert into Patchs (patch) values ('".$nome."')";
        Enviar($sock,$query);
        Desconectar($sock);

      }

      /* 135 - Patch atualizado com sucesso! */
      echo("<b>".RetornaFraseDaLista($lista_frases,135)."</b><br><br>");

      // 18 - OK
      echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,18)."' onclick='document.location=\"index.php?".RetornaSessionID()."\";'></form>");


      echo("</body>\n");
      echo("</html>\n");
      exit();
    }
  }

  /* Fim da Checagem de novo Patch */


  echo("<ul><table width=100%><tr><td valign=top>\n");

  /* 3 - Criao de Curso */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,3),"criar_curso.php","");

  /* 125 - Editar Categorias */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,125),"editar_categoria.php","");

  /* 131 - Selecionar Categoria dos Cursos */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,131),"selecionar_categoria.php","");

  /* 4 - Extrao de Curso */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,4),"extrair_curso.php","");

  /* 141 - Insero de Curso */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,141),"inserir_curso.php","");

  /* 8 - Trocar login */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,8),"trocar_login.php","");

  /* 9 - Enviar e-mail para usurios */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,9),"enviar_email.php","");

  echo("</td><td>\n");

  /* 153 - Estatsticas do Ambiente */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,153),"estatistica/index.php","");

  /* 5 - Consulta a Base de Dados */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,5),"consultar_base.php","");

  /* 11 - Cadastro de Lnguas */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,11),"cadastro_linguas.php","");

  /* 137 - Selecionar Lngua Padro */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,137),"selecionar_lingua.php","");

  /* 6 - Configurar dados instituicionais */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,6),"configurar_dados_institucionais.php","");

  /* 7 - Atualizar lista de responsveis pelo Ambiente */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,7),"atualizar_responsaveis.php","");

  /* 10 - Alterao de Senha */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,10),"alterar_senha.php","");

  /* 13 - Contato - NIED - Unicamp */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,13),"mailto:curso@nied.unicamp.br","");

  echo("</td></tr></table></ul>\n");

  echo("<hr><div align=right>\n");

  /* 12 - Voltar a pgina inicial */
  PreparaBoldLink(RetornaFraseDaLista($lista_frases,12),"../pagina_inicial/index.php","");
  echo("</div></B>\n");

  echo("</body>\n");
  echo("</html>\n");
?>
