<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : administracao/inserir_curso2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : administracao/inserir_curso2.php
  ========================================================== */

  $bibliotecas="../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("admin.inc");

  VerificaAutenticacaoAdministracao();

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-5);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  PreparaCabecalhoAdmin($lista_frases);

  $dir_extracao=RetornaDiretorio('Extracao');
  $dir_arquivos=RetornaDiretorio('Arquivos');
  $caminho_mysqldump=RetornaDiretorio('mysqldump');
  echo("<ul><table width=700><tr><td valign=top>\n");

  /* 141 - Insero de Curso */
  PreparaCabecalhoOpcao(RetornaFraseDaLista($lista_frases,141));

  echo("<form>\n");

  flush();

  $sock=Conectar("");
  $query="select max(cod_curso) as ultimo_codigo from TelEduc.Cursos";
  $res=Enviar($sock,$query);
  $linha=RetornaLinha($res);
  Desconectar($sock);

  $novo_cod_curso = $linha['ultimo_codigo']+1;

/*  trecho para teste... (remove diretorio caso processo anterior tenha abortado
    por alguma falha...)

  flush();

  if (!($fp=popen("rm -rf ".$dir_arquivos."/".$novo_cod_curso,"w")))
    die('Erro interno');
  fputs($fp,$dbpassword);
  pclose($fp);
*/

  /* 144 - Criando diretrio para os arquivos do curso */
  echo(RetornaFraseDaLista($lista_frases,144)."...\n\n");

  CriaDiretorio($dir_arquivos."/".$novo_cod_curso);

  echo("Ok!<p>\n");

  /* 145 - Copiando arquivos para novo diretrio */
  echo(RetornaFraseDaLista($lista_frases,145)."...\n\n");

  flush();

  // copia todo o diretorio do curso extraido para o novo diretorio no caminho dos
  // cursos atuais (j com o novo numero do curso)

  if (!($fp=popen("cp -r ".$dir_extracao."/".$cod_curso."/. ".$dir_arquivos."/".$novo_cod_curso,"w")))
    die('Erro interno');
  fputs($fp,$dbpassword);
  pclose($fp);

  echo("Ok!<p>\n");


  /* 146 - Atualizando cdigo do curso */
  echo(RetornaFraseDaLista($lista_frases,146)."...\n\n");

  flush();

  $comando  = "sed 's/INSERT INTO Cursos VALUES (".$cod_curso.",";
  $comando .=       "/INSERT INTO Cursos VALUES (".$novo_cod_curso.",/' ";
  $comando .= $dir_extracao."/".$cod_curso."/TelEducCurso".$cod_curso.".table > ".$dir_arquivos."/".$novo_cod_curso."/TelEducCurso".$novo_cod_curso.".table";

  if (!($fp=popen($comando,"w")))
    die('Erro interno');
  fputs($fp,$dbpassword);
  pclose($fp);

  echo("Ok!<p>\n");


  /* 147 - Criando banco de dados... */
  echo(RetornaFraseDaLista($lista_frases,147)."...\n\n");

  // cria o novo banco de dados TelEducCursoX (mysql) para insercao do curso desejado
  $sock=Conectar("");
  $query="create database TelEducCurso".$novo_cod_curso;
  $res=Enviar($sock,$query);
  Desconectar($sock);

  echo("Ok!<p>\n");

  /* 148 - Inserindo todas as tabelas do curso no banco de dados criado... */
  echo(RetornaFraseDaLista($lista_frases,148)."...\n\n");

  // insere todas as tabelas do curso desejado no novo banco de dados criado
  if (!($fp=popen("mysql -u ".$dbuser." -p".$dbpassword." TelEducCurso".$novo_cod_curso." < ".$dir_arquivos."/".$novo_cod_curso."/TelEducCurso".$novo_cod_curso.".table","w")))
    die('Erro interno');
  fputs($fp,$dbpassword);
  pclose($fp);

  echo("Ok!<p>\n");


  $sock=Conectar("");
  $query  = "SHOW FIELDS FROM ";
  $query .= "TelEducCurso".$novo_cod_curso.".Cursos LIKE 'cod_lingua'";
  $res=Enviar($sock,$query);

  $tem_cod_lingua = RetornaNumLinhas($res);

  if ($tem_cod_lingua) // entao o curso a ser inserido tem cod_lingua
  {
    $query  = "SELECT nome_curso, inscricao_inicio, inscricao_fim, curso_inicio, ";
    $query .= "curso_fim, informacoes, publico_alvo, tipo_inscricao, num_alunos, ";
    $query .= "cod_coordenador, acesso_visitante, cod_pasta, cod_lingua FROM ";
    $query .= "TelEducCurso".$novo_cod_curso.".Cursos WHERE cod_curso = ".$novo_cod_curso;
  }
  else
  {
    $query  = "SELECT nome_curso, inscricao_inicio, inscricao_fim, curso_inicio, ";
    $query .= "curso_fim, informacoes, publico_alvo, tipo_inscricao, num_alunos, ";
    $query .= "cod_coordenador, acesso_visitante, cod_pasta FROM ";
    $query .= "TelEducCurso".$novo_cod_curso.".Cursos WHERE cod_curso = ".$novo_cod_curso;
  }

  /* 149 - Obtendo informaes do curso para atualizao da tabela TelEduc.Cursos... */
  echo(RetornaFraseDaLista($lista_frases,149)."...\n\n");

  $sock=Conectar("");
  $res=Enviar($sock,$query);
  $linha=RetornaLinha($res);

  echo("Ok!<p>\n");

  if ($tem_cod_lingua) // entao o curso a ser inserido tem cod_lingua
  {
    $cod_lingua = $linha['cod_lingua'];
  }
  else
  {
    // lingua padrao do curso  setada como "Portugus" (1)
    $cod_lingua = 1;
  }


  if ($linha['cod_pasta'] == "")
  {
    $linha['cod_pasta'] = "NULL";
  }
  else
  {
    $query  = "SELECT cod_pasta FROM ";
    $query .= "TelEduc.Cursos_pastas WHERE cod_pasta = ".$linha['cod_pasta'];

    $sock=Conectar("");
    $res=Enviar($sock,$query);
    $existe_cod_pasta = RetornaNumLinhas($res);

    if (! $existe_cod_pasta) // caso o cod_pasta do curso a ser inserido ja exista
                           // na tabela "Cursos_pastas" da base de dados "TelEduc"
                           // atual, entao esse codigo  mantido, caso contrario
                           // recebera NULL
    {
      $linha['cod_pasta'] = "NULL";
    }
  }

  /* 150 - Atualizando tabela TelEduc.Cursos com informaes do curso inserido... */
  echo(RetornaFraseDaLista($lista_frases,150)."...\n\n");

  $query  = "INSERT INTO TelEduc.Cursos (cod_curso, nome_curso, inscricao_inicio, ";
  $query .= "inscricao_fim, curso_inicio, curso_fim, informacoes, publico_alvo, ";
  $query .= "tipo_inscricao, num_alunos, cod_coordenador, acesso_visitante, ";
  $query .= "cod_pasta, cod_lingua) VALUES (";
  $query .= $novo_cod_curso.",'".$linha['nome_curso']."',";
  $query .= $linha['inscricao_inicio'].",".$linha['inscricao_fim'].",";
  $query .= $linha['curso_inicio'].",".$linha['curso_fim'].",'";
  $query .= $linha['informacoes']."','".$linha['publico_alvo']."','";
  $query .= $linha['tipo_inscricao']."',".$linha['num_alunos'].",";
  $query .= $linha['cod_coordenador'].",'".$linha['acesso_visitante']."',";
  $query .= $linha['cod_pasta'];
  $query .= ",".$cod_lingua.")";

  $res=Enviar($sock,$query);
  Desconectar($sock);
  echo("Ok!<p>\n");


  // apaga os 3 arquivos .table do diretorio do novo curso
  // (arquivos TelEduc.table, TelEducCursoX.table e TelEducCursoY.table)

  flush();

  /* 151 - Apagando arquivos desnecessrios... */
  echo(RetornaFraseDaLista($lista_frases,151)."...\n\n");

  if (!($fp=popen("rm ".$dir_arquivos."/".$novo_cod_curso."/*.table","w")))
    die('Erro interno');
  fputs($fp,$dbpassword);
  pclose($fp);

  echo("Ok!<p>\n");


  /* 152 - Ateno : Os arquivos utilizados na insero do curso no foram apagados... */
  echo("<p>".RetornaFraseDaLista($lista_frases,152).". <p>\n\n");

  /* 113 -  Operao completada com sucesso! */
  echo("<b>".RetornaFraseDaLista($lista_frases,113)."</b><p>\n");

  /* 23 - Voltar (Ger) */
  echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onClick=history.go(-1);>\n");

  echo("</b><br><br>\n");

  echo("</form>\n");

  echo("</td></tr></table></ul>\n");

  echo("<hr>\n");

  echo("</body>\n");
  echo("</html>\n");
?>