<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/acessos/relatorio_frequencia2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/acessos/relatorio_frequencia2.php
  ========================================================== */

/* Cdigo principal */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("acessos.inc");

  // Correo provisria para exibio das datas
  $data_iniUT = Data2UnixTime($data_ini);
  $data_fimUT = Data2UnixTime($data_fim) + 86399;

  $dig=$data_invertida_g;
  $data_invertida_g=false;

  $data_ini = Unixtime2Data($data_iniUT);
  $data_fim = Unixtime2Data($data_fimUT);
  // Fim da correo

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,18);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $lista_frases_ferramentas=RetornaListaDeFrases($sock,-4);
  $lista_ferramentas=RetornaListaFerramentas($sock);

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,18);

  echo("<html>\n");
  /* 1 - Acessos */
  echo("<head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");

  if (!isset($SalvarEmArquivo))
  {
    echo("<link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("<link rel=stylesheet TYPE=text/css href=acessos.css>\n");
  
    echo("<script language=JavaScript>\n");
  
    echo("function AbrePerfil(cod_usuario)\n");
    echo("{\n");
    echo("  window.open('../perfil/exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]='+cod_usuario,'PerfilDisplay','width=620,height=400,top=100,left=100,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=no');\n");
    echo("  return(false);\n");
    echo("}\n");
  
    echo("function AbreGrupo(cod_grupo)\n");
    echo("{\n");
    echo("  window.open('../grupos/componentes.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_grupo='+cod_grupo+'&esconder_barra=1','MostrarComponentes','width=500,height=300,top=100,left=100,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=no');\n");
    echo("  return(false);\n");
    echo("}\n");

    // opcoes de visualizacao
    // 1 - 1 usuario, 1 dia
    // 2 - 1 usuario, periodo
    // 3 - varios usuarios, 1 dia

    echo("function AbreRelatorioUsuario(usuario,diaUT,data_iniUT,data_fimUT,opcao)\n");
    echo("{\n");
    echo("  window.open('relatorio_frequencia3.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&usuario='+usuario+'&diaUT='+diaUT+'&data_iniUT='+data_iniUT+'&data_fimUT='+data_fimUT+'&cod_ferramenta=".$cod_ferramenta."&opcao='+opcao,'JanelaFreq','width=320,height=400,top=100,left=100,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=no');\n");
    echo("  return false;\n");
    echo("}\n");
  

    // opcoes de visualizacao
    // 1 - 1 grupo, 1 dia
    // 2 - 1 grupo, periodo

    echo("function AbreRelatorioGrupo(cod_grupo,diaUT,data_iniUT,data_fimUT,cod_ferramenta,opcao)\n");
    echo("{\n");
    echo("  window.open('relatorio_frequencia3.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_grupo='+cod_grupo+'&diaUT='+diaUT+'&data_iniUT='+data_iniUT+'&data_fimUT='+data_fimUT+'&cod_ferramenta='+cod_ferramenta+'&opcao='+opcao,'JanelaFreq','width=320,height=400,top=100,left=100,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=no');\n");
    echo("  return false;\n");
    echo("}\n");
  
    echo("function ImprimirRelatorio()\n");
    echo("{\n");
    echo("  if ((navigator.appName == 'Microsoft Internet Explorer' && navigator.appVersion.indexOf('5.')>=0) || navigator.appName == 'Netscape')\n");
    echo("  {\n");
    echo("    self.print();\n");
    echo("  }\n");
    echo("  else\n");
    echo("  {\n");
    /* 51- Infelizmente no foi possvel imprimir automaticamente esse documento. Mantenha a tecla <Ctrl> pressionada enquanto pressiona a tecla <p> para imprimir. */
    echo("      alert('".RetornaFraseDaLista($lista_frases_geral,51)."');\n");
    echo("  }\n");
    echo("}\n");
  
    echo("</script>\n");
  }
  else
  {
    echo("<style>\n");
    include "../teleduc.css";
    include "acessos.css";
    echo("</style>\n");
  }

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad=self.focus();>\n");

  /* 1 - Acessos */
  $cabecalho ="<font class=titulo><b>".RetornaFraseDaLista($lista_frases,1)."</b></font>\n";
  /* 54 - Exibir Relatrio de Freqncia */
  $cabecalho.="<font class=subtitulo><b> - ".RetornaFraseDaLista($lista_frases,54)."</b></font>";
  echo(PreparaCabecalho($cod_curso,$cabecalho,18));
  echo("<br>\n");
  echo("<P>\n");

  if (isset($cod_ferramenta))
    $nome_ferramenta = RetornaFraseDaLista($lista_frases_ferramentas,$lista_ferramentas[$cod_ferramenta]['cod_texto_nome']);
  else
    /* 29 - Entrada no ambiente */
    $nome_ferramenta = RetornaFraseDaLista($lista_frases,29);

  echo("<font class=subtitulo>".$nome_ferramenta."</font>");
  echo("<P>\n");

  $ordenacao = "nome";

  /* converto data de inicio para meia-noite (zero hora) */
  $data_iniUT = Data2UnixTime($data_ini);
  /* converto data de final para 23:59:59 */
  $data_fimUT = Data2UnixTime($data_fim) + 86399;

  /* para que eu nao precise criar um loop para cada caso no codigo l embaixo */
  if (isset($check_grupos))
    $lista_grupos = RetornaGrupos($sock);
  else
    $lista_grupos = RetornaFalsoGrupo($sock);

  $nomes_grupos   = RetornaNomesGrupos($sock);
  $lista_users    = RetornaUsuarios($sock,$ordenacao);
  $acessos_users  = RetornaUsuariosAcessos($sock,$cod_ferramenta,$data_iniUT,$data_fimUT);
  $acessos_diarios= RetornaAcessosDiarios($sock,$cod_ferramenta,$data_iniUT,$data_fimUT);

  if ($check_grupos)
  {
    foreach ($lista_grupos as $cod_grupo => $linha_grupo)
    {
      foreach ($linha_grupo as $cod_usuario => $linha_user)
      {
        if (is_array($acessos_users[$cod_usuario])) /* se o usuario realizou acessos, ele aparece no array */
        {
          foreach ($acessos_users[$cod_usuario] as $data_ST => $num_acessos)
          {
            $data = $data_ST + 0;
            /* repare a diferenca entre o += na primeira linha e o = na segunda */
            if (isset($acessos_grupos[$cod_grupo][$data]))
              $acessos_grupos[$cod_grupo][$data] += $num_acessos;
            else
              $acessos_grupos[$cod_grupo][$data] = $num_acessos;
          }
        }
      }
    }
  }

  /* variavel para percorrer o loop numerando as colunas */
  $diaUT = $data_iniUT;

  /* numero de dias entre a data atual e o fim do periodo de busca - muda a cada passagem no loop*/
  $num_dias = ceil(($data_fimUT - $diaUT) / 86400);
  /* numero de tabelas menores necessarias - nao muda */
  $num_tabelas = ceil($num_dias / 28);
  /* tamanho de cada tabela menor - muda a cada passagem de loop. Exemplo: 29 dias = 1 tabela de 15 + 1 tabela de 14 */
  $tam_tabela = ($num_dias > 28 ? ceil($num_dias / $num_tabelas) : $num_dias);

  while ($num_tabelas-- > 0) /* cada tabela menor de 28 dias */
  {
    /* numero de dias entre a data atual e o fim do periodo de busca */
    $num_dias = ceil(($data_fimUT - $diaUT) / 86400);
    /* para detectar a tabela defectiva (menos dias que as demais) */
    $tam_tabela = ($tam_tabela <= $num_dias ? $tam_tabela : $num_dias);

    echo("<table border=0 cellspacing=0 cellpadding=0 width=100%>\n");
    /* primeira linha: meses presentes nesta tabela menor */
    echo("<tr>\n");
    echo("<td class=colorfield>&nbsp;</td>\n"); /* celula vazia acima dos nomes dos usuarios */
    /* calculo de qtos dias ateh o fim do mes */
    /* descobrindo em que mes esta a variavel diaUT */
    $data_tmp = explode("/",UnixTime2Data($diaUT));

    if ($data_invertida_g)
    {
      $tmp1=$data_tmp[0];
      $data_tmp[0]=$data_tmp[1];
      $data_tmp[1]=$tmp1;
    }

    /* detectando dezembro */
    if ($data_tmp[1] == 12)
    {
      /* proximo mes eh Janeiro do ano que vem */
      $mes = "01";
      $ano = $data_tmp[2] + 1;
      $prox_mes="01/".$mes."/".$ano;
    }
    else
    {
      /* proximo mes */
      $mes = $data_tmp[1] + 1;
      $ano = $data_tmp[2];
      $prox_mes="01/".$mes."/".$ano;
    }
    $tmpUT=Data2UnixTime($prox_mes);
    /* dias ateh o proximo mes */
    $n_dias=ceil(($tmpUT - $diaUT) / 86400);

    if ($n_dias > $tam_tabela) /* 1 mes na tabela */
    {
      $mes_tmp = NomeMes($data_tmp[1])." ".$data_tmp[2];
      // cortando nome do mes para caber na tabela
      if ($tam_tabela < 5)
        $mes_tmp = substr($mes_tmp,0,$tam_tabela * 2);
      echo("<td colspan=".$tam_tabela." class=colorfield>".$mes_tmp."</td>\n");
    }
    else  /* 2 meses */
    {
      $mes_tmp1 = NomeMes($data_tmp[1])." ".$data_tmp[2];
      // cortando nome do mes para caber na tabela
      if ($n_dias < 5)
        $mes_tmp1 = substr($mes_tmp1,0,$n_dias * 2);
      echo("<td colspan=".$n_dias." class=colorfield>".$mes_tmp1."</td>");
      $mes_tmp2 = NomeMes($mes)." ".$ano;
      // cortando nome do mes para caber na tabela
      if (($col_span = ($tam_tabela - $n_dias)) < 5)
        $mes_tmp2 = substr($mes_tmp2,0,$col_span * 2);
      echo("<td colspan=".$col_span." class=colorfield>".$mes_tmp2."</td>\n");
    }

    /* coluna com total de acessos do usuario no periodo */
    if ($num_tabelas == 0)
    {
      /* 42 - Total */
      echo("<td align=center class=colorfield>".RetornaFraseDaLista($lista_frases,42)."</td>");
    }
    echo("</tr>\n");

    /* segunda linha: celula vazia + calendario */
    echo("<tr class=colorfield>\n");
    echo("<td>&nbsp;</td>\n"); /* celula vazia acima dos nomes dos usuarios */
    for ($c=0;$c<$tam_tabela;$c++) /* calendario: barra de dias */
    {
      $diaST = explode("/",UnixTime2Data($diaUT));
      $tmpUT = Data2UnixTime(($c + $diaST[0])."/".$diaST[1]."/".$diaST[2]);
      $dia_semana = UnixTime2DiaSemana($tmpUT);
      /* detectando sabado (1) ou domingo (7) */
      $cor = (($dia_semana == 1 || $dia_semana == 7) ? "yellow" : "white");
      $data_tmp = UnixTime2Data($tmpUT);
      $data_str = explode("/",UnixTime2Data($tmpUT));
      if (!isset($SalvarEmArquivo))
      {
        $link_abre ="<a href=# class=link".$cor." onClick=return(AbreRelatorioUsuario(0,'".$tmpUT."','".Data2UnixTime($data_ini)."','".(Data2UnixTime($data_fim) + 86399)."',3));>";
        $link_fecha="</a>";
      }
      else
      {
        $link_abre ="<font class=link".$cor.">";
        $link_fecha="</font>";
      }
      echo("<td align=center>".$link_abre.$data_str[0].$link_fecha."</td>\n");
    }
    /* coluna com total de acessos do usuario */
    if ($num_tabelas == 0)
    {
      echo("<td align=center class=colorfield>&nbsp;</td>");
    }
    echo("</tr>\n");

    // linhas grupos-usuarios
    /* variaveis de alternancia de cor na celula */
    $s = 0;
    foreach ($lista_grupos as $cod_grupo => $linha_grupo)
    {
      $t = 1;
      if ($cod_grupo != -1) /* se o grupo for no-falso, ponho uma linha com acessos do grupo */
      {
        $s = (($s > 0) ? 0 : 2); 
        /* linha do grupo */
        echo("<tr>\n");
        /* 40 - Grupo */
        $b = 1;
        if (!isset($SalvarEmArquivo))
        {
          $link_grupo_abre = "<a class=text href=# onClick=return(AbreGrupo(".$cod_grupo."));>";
          $link_grupo_fecha= "</a>";
        }
        else
        {
          $link_grupo_abre ="<font class=text>";
          $link_grupo_fecha="</font>";
        }
        /* se mostrar grupos E participantes, alterna azuis. se mostrar somente grupos, alterna cinzas */
        $css = ($check_part ? "b".$b."field" : "grid".($s + $t));
        /* 40 - Grupo */
        echo("<td align=left class=".$css.">".$link_grupo_abre.RetornaFraseDaLista($lista_frases,40)." ".$nomes_grupos[$cod_grupo].$link_grupo_fecha."</td>\n");
        for ($c=0;$c<$tam_tabela;$c++) /* calendario: numero de acessos do grupo em cada dia */
        {
          $diaST = explode("/",UnixTime2Data($diaUT));
          $tmpUT = Data2UnixTime(($c + $diaST[0])."/".$diaST[1]."/".$diaST[2]);
          $data_tmp = UnixTime2Data($tmpUT);
          /* data_tmp eh o segundo indice no array lista_acessos, tira as barras de data e converto para inteiro */
          $data_tmp = ((str_replace("/","",$data_tmp)) + 0);
          /* cor da celula */
          $b = ($b % 2) + 1;
          $t = ($t % 2) + 1;
          $css = ($check_part ? "b".$b."field" : "grid".($s + $t));
          /* celula com o numero de acessos do grupo */
          echo("<td align=center class=".$css.">");
          if (isset($acessos_grupos[$cod_grupo][$data_tmp]))
          {
            if (!isset($SalvarEmArquivo))
            {
              $link_acesso_abre = "<a class=link1 href=# onClick=return(AbreRelatorioGrupo(".$cod_grupo.",'".$tmpUT."','".Data2UnixTime($data_ini)."','".(Data2UnixTime($data_fim) + 86399)."','".$cod_ferramenta."',1));>";
              $link_acesso_fecha= "</a>";
            }
            else
            {
              $link_acesso_abre ="<font class=link1>";
              $link_acesso_fecha="</font>";
            }
            $acesso_dia = $link_acesso_abre.$acessos_grupos[$cod_grupo][$data_tmp].$link_acesso_fecha;
          }
          else
          {
            $acesso_dia = "&nbsp;";
          }
          echo($acesso_dia);
          echo("</td>\n");
        }
        /* coluna com total de acessos do grupo */
        if ($num_tabelas == 0)
        {
          $b = ($b % 2) + 1;
          $num_acessos_grupo = 0;
          if (count($linha_grupo) > 0)
            foreach ($linha_grupo as $cod_usuario => $linha)
              if (is_array($acessos_users[$cod_usuario]))
                foreach ($acessos_users[$cod_usuario] as $data => $num_acessos_user)
                  $num_acessos_grupo += $num_acessos_user;
          $css = ($check_part ? "b".$b."field" : "grid".($s + $t));
          if (!isset($SalvarEmArquivo))
          {
            $link_abre ="<a class=linkbold href=# onClick=return(AbreRelatorioGrupo(".$cod_grupo.",'','".Data2UnixTime($data_ini)."','".(Data2UnixTime($data_fim) + 86399)."','".$cod_ferramenta."',2));>";
            $link_fecha="</a>";
          }
          else
          {
            $link_abre ="<font class=linkbold>";
            $link_fecha="</font>";
          }
          if ($num_acessos_grupo == 0)
          {
            $link_abre ="";
            $link_fecha="";
            $num_acessos_grupo = "&nbsp;";
          }
          echo("<td align=center class=".$css."><b>".$link_abre.$num_acessos_grupo.$link_fecha."</b></td>"); 
        }
        echo("</tr>\n");
      }

      if ($check_part)
      {
        $j = 0; /* alterna cores entre duas linhas */
        foreach ($lista_users as $cod_usuario => $linha_user) /* cada usuario */
        {
          $i = 1; /* alterna cores entre duas celulas */
          if (isset($lista_grupos[$cod_grupo][$cod_usuario])) /* se o usuario pertence ao grupo */
          {
            $j = (($j > 0) ? 0 : 2); /* nao tive tempo pra encontrar uma formula que alterna entre zero e dois */
            /* nome do usuario e link para perfil */
            echo("<tr>\n");
            if (!isset($SalvarEmArquivo))
            {
              $link_perfil_abre ="<a class=text href=# onClick=return(AbrePerfil(".$cod_usuario."));>";
              $link_perfil_fecha="</a>";
            }
            else
            {
              $link_perfil_abre ="<font class=text>";
              $link_perfil_fecha="</font>";
            }
            echo("<td class=grid".($i + $j).">".$link_perfil_abre.$linha_user['nome'].$link_perfil_fecha."</td>\n");
            for ($c=0;$c<$tam_tabela;$c++) /* calendario: numero de acessos do usuario em cada dia */
            {
              $diaST = explode("/",UnixTime2Data($diaUT));
              $tmpUT = Data2UnixTime(($c + $diaST[0])."/".$diaST[1]."/".$diaST[2]);
              $data_tmp = UnixTime2Data($tmpUT);
              /* data_tmp eh o segundo indice no array lista_acessos, tira as barras de data e converto para inteiro */
              $data_tmp = ((str_replace("/","",$data_tmp)) + 0);
              /* cor da celula */
              $i = ($i % 2) + 1;
              /* celula com o numero de acessos do usuario */
              echo("<td align=center class=grid".($i + $j).">");
              if (isset($acessos_users[$cod_usuario][$data_tmp]))
              {
                if (!isset($SalvarEmArquivo))
                {
                  $link_acesso_abre ="<a class=link1 href=# onClick=return(AbreRelatorioUsuario(".$cod_usuario.",'".$tmpUT."','".Data2UnixTime($data_ini)."','".(Data2UnixTime($data_fim) + 86399)."',1));>";
                  $link_acesso_fecha="</a>";
                }
                else
                {
                  $link_acesso_abre ="<font class=link1>";
                  $link_acesso_fecha="</font>";
                }
                $acesso_dia=$link_acesso_abre.$acessos_users[$cod_usuario][$data_tmp].$link_acesso_fecha;
              }
              else
              {
                $acesso_dia="&nbsp;";
              }
              echo($acesso_dia);
              echo("</td>\n");
            }
            /* celula com total de acessos do usuario no periodo */
            if ($num_tabelas == 0)
            {
              $i = ($i % 2) + 1;
              $num_acessos_user = 0;
              if (count($acessos_users[$cod_usuario]) > 0)
                foreach ($acessos_users[$cod_usuario] as $data => $num_acessos)
                  $num_acessos_user += $num_acessos;
              if (!isset($SalvarEmArquivo))
              {
                $link_abre ="<a class=linkbold href=# onClick=return(AbreRelatorioUsuario(".$cod_usuario.",'','".Data2UnixTime($data_ini)."','".(Data2UnixTime($data_fim) + 86399)."',2));>";
                $link_fecha="</a>";
              }
              else
              {
                $link_abre ="<font class=linkbold>";
                $link_fecha="</font>";
              }
              if ($num_acessos_user == 0)
              {
                $link_abre ="";
                $link_fecha="";
                $num_acessos_user = "&nbsp;";
              }
              echo("<td align=center class=grid".($i + $j)."><b>".$link_abre.$num_acessos_user.$link_fecha."</b></td>\n");
            }
            echo("</tr>\n");
          }
        }
      }
    }
    /* linha com o numero total de acessos no dia */
    echo("<tr>\n");
    /* 42 - Total */
    echo("<td class=colorfield>".RetornaFraseDaLista($lista_frases,42)."</td>\n");
    for ($c=0;$c<$tam_tabela;$c++) /* calendario: numero total de acessos em cada dia */
    {
      $diaST = explode("/",UnixTime2Data($diaUT));
      $tmpUT = Data2UnixTime(($c + $diaST[0])."/".$diaST[1]."/".$diaST[2]);
      $data_tmp = UnixTime2Data($tmpUT);
      $data_tmp = ((str_replace("/","",$data_tmp)) + 0);
      /* celula com o numero total de acessos */
      echo("<td align=center class=colorfield>");
      if (isset($acessos_diarios[$data_tmp]))
        $acesso_dia=$acessos_diarios[$data_tmp];
      else
        $acesso_dia="&nbsp;";
      echo($acesso_dia);
      echo("</td>\n");
    }
    if ($num_tabelas == 0)
    {
      $num_acessos_total = 0;
      if (count($acessos_diarios) > 0)
        foreach ($acessos_diarios as $data => $num_acessos)
          $num_acessos_total += $num_acessos;
      if ($num_acessos_total == 0)
        $num_acessos_total = "&nbsp;";
      echo("<td align=center class=colorfield><font color=yellow>".$num_acessos_total."</font></td>\n");
    }
    echo("</tr>\n");

    echo("</table>\n");
    echo("<P>\n");

    /* avancando a variavel $diaUT. */
    $diaST = explode("/",UnixTime2Data($diaUT));
    $diaUT = Data2UnixTime(($tam_tabela + $diaST[0])."/".$diaST[1]."/".$diaST[2]);
  }

  if ($check_grupos)
  {
    /* 45 - Obs.: O nmero total de acessos no corresponder a soma da coluna caso haja algum aluno em mais de um grupo. Cada Aluno  contado somente uma vez no total. */
    echo("<font class=text>".RetornaFraseDaLista($lista_frases,45)."</font>\n");
    echo("<P>\n");  
  }

  if (!isset($SalvarEmArquivo))
  {
    echo("<form action=salvar_arquivo.php?".RetornaSessionID().">\n");
    echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
    echo("  <input type=hidden name=origem value='freq2'>\n");
    echo("  <input type=hidden name=nome_arquivo value='relatorio_frequencia2.html'>");
    echo("  <input type=hidden name=data_ini value=".$data_ini.">\n");
    echo("  <input type=hidden name=data_fim value=".$data_fim.">\n");
    if ($check_part)
      echo("  <input type=hidden name=check_part value=1>\n");
    if ($check_grupos)
      echo("  <input type=hidden name=check_grupos value=1>\n");
    /* 22 - Salvar Em Arquivo */
    echo("<input class=text type=submit value='".RetornaFraseDaLista($lista_frases,22)."'>\n");
    /* G 14 - Imprimir */
    echo("<input class=text type=button value='".RetornaFraseDaLista($lista_frases_geral,14)."' onClick=ImprimirRelatorio();>\n");
    /* G 13 - Fechar */
    echo("<input class=text type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onClick=self.close();>\n");
    echo("</form>\n");
  }
  else
  {
    /* G 13 - Fechar */
    echo("<form><input class=text type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onClick=self.close();></form>\n");
  }

  Desconectar($sock);

  echo("</body>\n");
  echo("</html>");

  // Correo provisria para exibio das datas
  $data_invertida_g=$dig;

?>
