<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/administracao/altera_email2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/administracao/altera_email2.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("administracao.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,0);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Administrao */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=administracao.css>\n");

  if (!EFormador($sock,$cod_curso,$cod_usuario))
  {
    echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmErro.cmdVoltar.focus();'>\n");
    /* 1 - Administrao */
    $cabecalho = "    <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
    /* 28 - rea restrita ao formador. */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 28)."</b>";
    echo("    <br>\n");
    echo(PreparaCabecalho($cod_curso, $cabecalho, 0));
    /* 23 - Voltar (gen) */
    echo("<form name=frmErro><input class=text type=button name=cmdVoltar value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  if (!isset($ordem))
  {
    $ordem="nome";
  }

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");
  /* 1 - Administrao */
  $cabecalho = "    <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";

  if ($acao=="A")
  {
    /* 102 - Gerenciamento de Alunos */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 102)."</b>";
    $tipo_usuario="A";
  }
  else if ($acao=="F")
  {
    /* 103 - Gerenciamento de Formadores */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 103)."</b>";
    $tipo_usuario="F";
  }
  else
  {
    /* 74 - Gerenciamento de Inscries */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 74)."</b>";
  }
  echo(PreparaCabecalho($cod_curso, $cabecalho, 0));
  echo("    <br>\n");
  echo("<table width=100% border=0 class=g1field>\n");
  echo(" <tr valign=top align=center><td>\n");
  echo("  <table width=90% border=0><tr><td>\n");

  /* 159 - Alterao de E-mail */
  echo("<font class=subtitulo>".RetornaFraseDaLista($lista_frases,159)."</font><hr></td></tr>\n");
  echo("</td></tr><tr><td>\n");

  $dados=RetornaDadosUsuario($sock,$cod_usuario_val);

  echo("<font class=subtitulo>".$dados['nome']."</font>\n");
  echo("</td></tr><tr><td><br>\n");

  $email=LimpaTags($email);
  if (AtualizaEmailUsuario($sock,$cod_usuario_val,$email))
  {
    /* 160 - E-mail alterado com sucesso. */
    $mensagem="".RetornaFraseDaLista($lista_frases,160)."";
    echo("<font class=text>".$mensagem."</font>\n");
    echo("</td></tr><tr><td><br>\n");

    /* 161 - E-mail anterior: */
    echo("<font class=text>".RetornaFraseDaLista($lista_frases,161)."</font>\n");
    echo(" ".$email_antigo."\n");
    echo("</td></tr><tr><td>\n");

    /* 162 - E-mail novo: */
    echo("<font class=text>".RetornaFraseDaLista($lista_frases,162)."</font>\n");
    echo("<b>" .$email."</b>\n");
    echo("</td></tr><tr><td><br>\n");

    echo("<form action=gerenciamento2.php?".RetornaSessionID()." name=voltar method=post>\n");
    echo(RetornaSessionIDInput());
    /* 23 - Voltar (gen) */
    //echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=\"document.location='gerenciamento2.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&opcao=".$opcao."&ordem=".$ordem."&cod_usu[]=".$cod_usuario_val."';\">\n");
    echo("<input type=submit value='".RetornaFraseDaLista($lista_frases_geral,23)."'>\n");
    echo("<input type=hidden name=acao value=".$acao.">\n");
    echo("<input type=hidden name=ordem value=".$ordem.">\n");
    echo("<input type=hidden name=opcao value=".$opcao.">\n");
    echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");

    $i=0;
    while ($cod_usu[$i]!=0)
    { echo("<input type=hidden name=cod_usu[] value=".$cod_usu[$i].">\n");
      $i++;}
    echo("</form>\n");
  }
  else
  {
    /* 163 - Erro ao alterar e-mail. */
    $mensagem=RetornaFraseDaLista($lista_frases,163);
    echo("<font class=text>".$mensagem."</font>\n");
    echo("</td></tr><tr><td><br>\n");

    echo("<form action=alterar_email.php?".RetornaSessionID()." name=voltar method=post>\n");
    echo(RetornaSessionIDInput());
    /* 23 - Voltar (gen) */
    //echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=\"document.location='alterar_email.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&opcao=".$opcao."&ordem=".$ordem."&cod_usuario_val=".$cod_usuario_val."';\">\n");
    echo("<input type=submit value='".RetornaFraseDaLista($lista_frases_geral,23)."'>\n");
    echo("<input type=hidden name=acao value=".$acao.">\n");
    echo("<input type=hidden name=ordem value=".$ordem.">\n");
    echo("<input type=hidden name=opcao value=".$opcao.">\n");
    echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
    echo("<input type=hidden name=cod_usuario_val value=".$cod_usuario_val.">\n");
    $i=0;
    while ($cod_usu[$i]!=0)
    { echo("<input type=hidden name=cod_usu[] value=".$cod_usu[$i].">\n");
      $i++;}
    echo("</form>\n");
  }

  echo("  </td></tr></table>\n");
  echo(" </td></tr>\n");
  echo("</table>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>
