<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/administracao/gerenciamento2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/administracao/gerenciamento2.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("administracao.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,0);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Administrao */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=administracao.css>\n");

  if (!EFormador($sock,$cod_curso,$cod_usuario))
  {
    echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmErro.cmdVoltar.focus();'>\n");
    /* 1 - Administrao */
    $cabecalho = "    <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
    /* 28 - rea restrita ao formador. */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 28)."</b>";
    echo("    <br>\n");
    echo(PreparaCabecalho($cod_curso, $cabecalho, 0));
    /* 23 - Voltar (gen) */
    echo("<form name=frmErro><input class=text type=button name=cmdVoltar value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  if (!isset($ordem))
  {
    $ordem="nome";
  }

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");
  /* 1 - Administrao */
  $cabecalho = "    <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";

  if ($acao=="A")
  {
    /* 102 - Gerenciamento de Alunos */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 102)."</b>";
    $tipo_usuario="A";
  }
  else if ($acao=="F")
  {
    /* 103 - Gerenciamento de Formadores */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 103)."</b>";
    $tipo_usuario="F";
  }
  else
  {
    /* 74 - Gerenciamento de Inscries */
    $cabecalho .= "    <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 74)."</b>";
  }
  echo(PreparaCabecalho($cod_curso, $cabecalho, 0));
  echo("    <br>\n");
  echo("<table width=100% border=0 class=g1field>\n");
  echo(" <tr valign=top align=center><td>\n");
  echo("  <table width=90% border=0><tr><td>\n");


  if ($opcao=="aceitar" || $opcao=="rejeitar")
  {
    $mensagem=ConverteBarraAspas2Aspas($mensagem);
    if ($opcao=="aceitar")
    {
       /* 90 - Aceitar Inscries */
      $titulo=RetornaFraseDaLista($lista_frases,90);

      /* 86 - Inscries aceitas com sucesso. */
      $confirmacao=RetornaFraseDaLista($lista_frases,86);

      /* 87 - Para cada inscrio aceita est sendo enviado automaticamente um e-mail contendo <b>login</b> e <b>senha</b> pessoais, que lhe garantir acesso ao curso. Este acesso somente ser liberado para os alunos a partir da data de incio do curso, que pode ser alterada na ferramenta <b>Cronograma</b> (em Gerenciamento de Curso). */
      $aviso=RetornaFraseDaLista($lista_frases,87);

      $tipo_usuario="A";
    }
    else
    {
      /* 91 - Rejeitar Inscries */
      $titulo=RetornaFraseDaLista($lista_frases,91);

      /* 93 - Inscries rejeitadas com sucesso. */
      $confirmacao=RetornaFraseDaLista($lista_frases,86);

      /* 94 - Para cada inscrio rejeitada est sendo enviado automaticamente um e-mail informando sua deciso de no aceit-los em seu curso. */
      $aviso=RetornaFraseDaLista($lista_frases,94);

      $tipo_usuario="r";
    }

    echo("<font class=subtitulo>".$titulo."</font>\n");

    echo("<font class=text>".$confirmacao."</font><br><br>\n");

    echo("<font class=text>".$aviso."</font><br><br>\n");

    $sock=MudarTipoUsuarioComMensagem($sock,$cod_curso,$cod_usu,$tipo_usuario,$assunto,$mensagem);

    /* 23 - Voltar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=\"document.location='gerenciamento.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=".$acao."&opcao=".$opcao."&ordem=".$ordem."';\"></form>\n");
  }

  echo("  </td></tr></table>\n");
  echo(" </td></tr>\n");
  echo("</table>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>