<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : bibliotecas/email.inc

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : bibliotecas/email.inc
  ========================================================== */

/* ***********************************************************
   MandaMsg - Envia uma mensagem usando o sendmail, via Bcc.
   Entrada: $remetente - e-mail do emissor.
            $destino - e-mail(s) do destinatrio (separar por virgulas)
            $assunto - Assunto da mensagem
            $mensagem - Mensagem a ser enviada
*/
function MandaMsg($remetente,$destino,$assunto,$mensagem)
{
  global $caminho_sendmail_s;
  /* Verifica se o tamanho do remetente  seguro */
  $numargs = func_num_args();

  if (strlen($destino)<1024)
  {
//    $time=time();

    if ($numargs > 4)
    {
      $fp = popen($caminho_sendmail_s." ".$destino." < ".func_get_arg(4),"w");
    }
    else
    {
      $fp = popen($caminho_sendmail_s." -f".$remetente." ".$destino,"w");
      fputs($fp,"bcc: ".$destino."\n");
      fputs($fp,"Subject: ".$assunto."\n");
      fputs($fp,$mensagem."\n");
    }
    pclose($fp);
  }
  else
  {
    if ($numargs > 4)
    {
      /* Seno envia quebrando em pedaos menores o destino */
      MandaMsgMultiplos($remetente,$destino,$assunto,$mensagem,func_get_arg(4));
    }
    else
    {
      /* Seno envia quebrando em pedaos menores o destino */
      MandaMsgMultiplos($remetente,$destino,$assunto,$mensagem);
    }
  }
}

/* ***********************************************************
   MandaMsgMultiplos - Envia uma mensagem usando o sendmail, via Bcc, quebrando em pedaos.
   Entrada: $remetente - e-mail do emissor.
            $destino - e-mail(s) do destinatrio (separar por virgulas)
            $assunto - Assunto da mensagem
            $mensagem - Mensagem a ser enviada
*/
function MandaMsgMultiplos($remetente,$destino,$assunto,$mensagem)
{
  $destinos=explode(",",$destino);
  unset($destinopequeno);
  if (count($destinos)>0)
    foreach ($destinos as $cod => $linha)
    {
      if (strlen($destinopequeno)+strlen($linha)<1023)
         $destinopequeno.=",".$linha;
      else
      {
        MandaMsg($remetente,$destinopequeno,$assunto,$mensagem);
        $destinopequeno = $linha;
      }
    }
  if (isset($destinopequeno))
    MandaMsg($remetente,$destinopequeno,$assunto,$mensagem);
}


session_register("caminho_sendmail_s");

if (!isset($caminho_sendmail_s))
{
  $sock=Conectar("");

  /* Se for, envia o e-mail */
  $query="select diretorio from Diretorio where item='sendmail'";
  $res=Enviar($sock,$query);
  $linha=RetornaLinha($res);
  $caminho_sendmail_s=$linha[0];

	Desconectar($sock);
}

?>
