<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/diario/comentar_item2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/diario/comentar_item2.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("diario.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 14);
  $lista_frases_geral = RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,14);

  if (EVisitante($sock, $cod_curso, $cod_usuario))
    // 25 - Ao restrita a alunos e formadores.
    exit(RetornaFraseDaLista($lista_frases, 25));

  echo("  <html>\n");
  /* 1 - Dirio de Bordo */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=diario.css>\n");
  echo("\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white onLoad='self.focus();'>\n");

  /* 1 - Dirio de Bordo */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
  /* 22 - Comentar anotao */
  $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 22)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 14));
  echo("    <br>\n");
  echo("    <p>\n");

  if (ComentaItem($sock, $cod_item, LimpaConteudo($comentario), $cod_usuario))
  {
    /* 23 - Comentrio includo com sucesso.  */
    echo("    <font class=text>".RetornaFraseDaLista($lista_frases, 29)."<i>");
    echo($item_dados['titulo']."</i></font><br><p>\n");
  }
  else
  {
    /* 30 - Erro ao comentar a anotao. */
    echo("    <font class=text>".RetornaFraseDaLista($lista_frases, 30)."<i>");
    echo($item_dados['titulo']."</i></font><br><p>\n");
  }
  echo("      <p>\n");

  // para atualizar a janela que abriu esta, precisamos saber quem era o proprietario do diario que estah sendo visualizado
  $dados_item = RetornaItem ($sock, $cod_item);
  $cod_propriet = $dados_item ['cod_usuario'];

  // G 13 - Fechar
  echo("  <form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onClick=\"self.opener.location.search='?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_propriet=".$cod_propriet."&cod_item=".$cod_item."'; self.close();\"></form>");

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>
