<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/diario/editar_item.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/diario/editar_item.php
  ========================================================== */

   $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("diario.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 14);
  $lista_frases_geral = RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,14);

  echo("  <html>\n");
  /* 1 - Dirio de Bordo */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=diario.css>\n\n");

  echo("  <script language=JavaScript>\n\n");

  echo("    function CancelaMensagem()\n");
  echo("    {\n");
  echo("      document.frmItem.action = \"".$origem.".php?".RetornaSessionID());
  echo("&cod_curso=".$cod_curso."&".time()."\";\n");
  echo("      document.frmItem.submit();\n");
  echo("    }\n\n");

  echo("    function testa_titulo()\n");
  echo("    {\n");

  /* Elimina os espaos para verificar se o titulo nao eh formado por apenas espaos */
  echo("      tit = document.frmItem.titulo.value;\n");
  echo("      while (tit.search(\" \") != -1)\n");
  echo("      {\n");
  echo("        tit = tit.replace(/ /, \"\");\n");
  echo("      }\n");

  echo("      if (tit=='')\n");
  echo("      {\n");
  /* 16 - A anotao deve ter um ttulo */
  echo("        alert('".RetornaFraseDaLista($lista_frases, 16).".');\n");
  echo("        return(false);\n");
  echo("      }\n");
  echo("      else\n");
  echo("        return(true);\n");
  echo("    }\n\n");

  echo("    function testa_conteudo()\n");
  echo("    {\n");

  /* Elimina os espaos para verificar se o conteudo nao eh formado por apenas espaos */
  echo("      cont = document.frmItem.texto.value;\n");
  echo("      while (cont.search(\" \") != -1)\n");
  echo("      {\n");
  echo("        cont = cont.replace(/ /, \"\");\n");
  echo("      }\n");

  echo("      if (cont=='')\n");
  echo("      {\n");
  /* 17 - A anotao deve ter um texto */
  echo("        alert('".RetornaFraseDaLista($lista_frases, 17).".');\n");
  echo("        return(false);\n");
  echo("      }\n");
  echo("      else\n");
  echo("        return(true);\n");
  echo("    }\n\n");

  echo("    function testa_campos()\n");
  echo("    {\n");
  echo("      if ((testa_titulo()) && (testa_conteudo()))\n");
  echo("      {\n");
  echo("        return(true);\n");
  echo("      }\n");
  echo("      else\n");
  echo("        return(false);\n");
  echo("    }\n\n");

  echo("  </script>\n\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmItem.titulo.focus();'>\n");
  /* 1 - Dirio de Bordo */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
  /* 26 - Editar anotao */
  $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 26)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 14));
  echo("    <br>\n");

  /* Se o ttulo e o texto no esto definidos ento os obtm do item. */
  if (!isset($titulo) && !isset($texto))
  {
    $item_dados = RetornaItem($sock, $cod_item);
    $titulo = $item_dados['titulo'];
    $texto = $item_dados['texto'];
    $tipo_compartilhamento = $item_dados ['tipo_compartilhamento'];
  }

  echo("  <form name=frmItem method=post action=\"editar_item2.php?".RetornaSessionID());
  echo("&cod_curso=".$cod_curso."\" onsubmit='return(testa_campos());'>\n");
  /* Repassa o cdigo do item para edit-lo.                   */
  echo("    <input type=hidden name=cod_item value=".$cod_item.">\n");
  /* Repassa o nome do documento de origem para se voltar a    */
  /* pgina que chamou a edio: diario.php ou ver_item.php.   */
  echo("    <input type=hidden name=origem value='".$origem."'>\n");

  echo("    <table border=0 width=100% cellspacing=0>\n");
  echo("      <tr class=colorfield>\n");
  /* 8 - Ttulo */
  echo("        <td class=colorfield>".RetornaFraseDaLista($lista_frases, 8)."</td>\n");
  echo("      </tr>\n");

  echo("      <tr>\n");
  echo("        <td>\n");
  echo("          <input type=text name=titulo class=text value='".$titulo."' size=40 maxlength=100>\n");
  echo("        </td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");

  echo("    <table border=0 width=100% cellspacing=0>\n");
  echo("      <tr class=colorfield>\n");
  /* 15 - Texto */
  echo("        <td class=colorfield>".RetornaFraseDaLista($lista_frases, 15)."</td>\n");
  echo("      </tr>\n");

  echo("      <tr>\n");
  echo("        <td>\n");
  echo("          <textarea name=texto class=text rows=5 cols=60 wrap=yes>".$texto."</textarea>\n");
  echo("        </td>\n");
  echo("      </tr>\n");

  echo("      <tr class=colorfield>\n");
  /* 57 - Modo de compartilhamento */
  echo("        <td class=colorfield>".RetornaFraseDaLista($lista_frases, 57)."</td>\n");
  echo("      </tr>\n");

  $checked ['P'] = ($tipo_compartilhamento == 'P' ? "checked " : "");
  $checked ['F'] = ($tipo_compartilhamento == 'F' ? "checked " : "");
  $checked ['T'] = ($tipo_compartilhamento == 'T' ? "checked " : "");

  echo("      <tr>\n");
  echo("        <td class=g1field>\n");
  echo("          <input type=hidden name=tipo_compartilhamento value='".$tipo_compartilhamento."'>\n");
  // 60 - Totalmente compartilhado
  echo("          <input class=g1field ".$checked['T']."type=radio name=tipo_comp onClick=\"document.frmItem.tipo_compartilhamento.value='T';\"><font class=text>".RetornaFraseDaLista ($lista_frases, 60)."</font><br>\n");
  // 59 - Compartilhado com formadores
  echo("          <input class=g1field ".$checked['F']."type=radio name=tipo_comp onClick=\"document.frmItem.tipo_compartilhamento.value='F';\"><font class=text>".RetornaFraseDaLista ($lista_frases, 59)."</font><br>\n");
  // 58 - No compartilhado
  echo("          <input class=g1field ".$checked['P']."type=radio name=tipo_comp onClick=\"document.frmItem.tipo_compartilhamento.value='P';\"><font class=text>".RetornaFraseDaLista ($lista_frases, 58)."</font><br>\n");
  echo("        </td>\n");
  echo("      </tr>\n");

  echo("    </table>\n");
  echo("    <br>\n");
  echo("    <p>\n");

  echo("    <div align=right width=100%>\n");
  /* 11 - Enviar */
  echo("      <input type=submit value=".RetornaFraseDaLista($lista_frases_geral, 11).">\n");
  /* 2 - Cancelar */
  echo("      <input type=button onclick='CancelaMensagem();' value=".RetornaFraseDaLista($lista_frases_geral, 2).">\n");
  echo("    </div>\n");
  echo("  </form>\n");

  echo("  </body>\n");
  echo("  </html>\n");


  Desconectar($sock);
?>
