<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/diario/novo_item2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/diario/novo_item2.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("diario.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 14);
  $lista_frases_geral = RetornaListaDeFrases($sock, -1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,14);

  echo("  <html>\n");
  /* 1 - Dirio de Bordo */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=diario.css>\n");
  echo("\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmDiario.cmdVoltar.focus();'>\n");
  /* 1 - Dirio de Bordo */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
  /* 4 - Incluir nova anotao */
  $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 4)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 14));
  echo("    <br>\n");

  if (SalvaItem($sock, $titulo, $texto, $cod_usuario, $tipo_compartilhamento))
  {
    echo("    <form name=frmDiario method=post action=\"diario.php?".RetornaSessionID());
    echo("&cod_curso=".$cod_curso."&".time()."\">\n");
    /* 18 - Anotao includa com sucesso. */
    echo("      <font class=text>".RetornaFraseDaLista($lista_frases, 18)."</font>\n");
    echo("      <p>\n");
  }
  else
  {
    echo("    <form name=frmDiario method=post action=\"novo_item.php?".RetornaSessionID());
    echo("&cod_curso=".$cod_curso."&".time()."\">\n");
    /* 19 - Erro ao incluir a anotao. */
    echo("      <font class=text>".RetornaFraseDaLista($lista_frases, 19)."</font>\n");
    echo("      <p>\n");
    /* Repassa o ttulo da anotao para reedio.                                       */
    echo("      <input type=hidden name=titulo value='".$titulo."'>\n");
    /* Repassa o corpo da anotao para reedio.                                        */
    echo("      <input type=hidden name=texto value='".$texto."'>\n");
  }
  /* 18g - Ok */
  echo("      <input class=text name=cmdVoltar type=submit value='".RetornaFraseDaLista($lista_frases_geral, 18)."'>\n");
  echo("    </form>\n");

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);

?>
