<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/diario/ver_outros.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/diario/ver_outros.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("diario.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 14);
  $lista_frases_geral = RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,14);

  /* Verifica se o usuario eh formador. */
  $usr_formador = EFormador($sock, $cod_curso, $cod_usuario);

  /*
    // 33 - Ao exclusiva a formadores. 
    if (!$usr_formador) exit(RetornaFraseDaLista($lista_frases, 33));
  */

  echo("  <html>\n");
  /* 1 - Dirio de Bordo */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=diario.css>\n");

  echo("  <script language=JavaScript>\n\n");

  echo("    function Atualizar ()\n");
  echo("    {\n");
  echo("      document.location='ver_outros.php?".RetornaSessionID()."&cod_curso=".$cod_curso."';\n");
  echo("    }\n\n");

  echo("    function OpenWindowPerfil(id)\n");
  echo("    {\n");
  echo("      window.open(\"../perfil/exibir_perfis.php?".RetornaSessionID());
  echo("&cod_curso=".$cod_curso."&cod_aluno[]=\" + id, \"PerfilDisplay\",\"width=600,height=400,");
  echo("top=120,left=120,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
  echo("      return(false);\n");
  echo("    }\n\n");

  echo("    function VerDiarioPessoal()\n");
  echo("    {\n");
  echo("      document.frmDiario.cod_propriet.value = ".$cod_usuario.";\n");
  echo("      document.frmDiario.action = \"diario.php?".RetornaSessionID()."\";\n");
  echo("      document.frmDiario.submit();\n");
  echo("      return false;\n");
  echo("    }\n\n");

  echo("    function VerDiario(id)\n");
  echo("    {\n");
  echo("      document.frmDiario.cod_propriet.value = id;\n");
  echo("      document.frmDiario.action = \"diario.php?".RetornaSessionID()."\";\n");
  echo("      document.frmDiario.submit();\n");
  echo("      return false;\n");
  echo("    }\n\n");

  echo("  </script>\n\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white>\n");

  /* 1 - Dirio de Bordo */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
  /* 31 - Dirios dos participantes do curso */
  $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 31)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 14));
  /* Exibe o nome do curso.                  */
  echo("    <img src=../figuras/pastadiario.gif border=0>\n");
  echo("    <font class=subtitulo2>".NomeCurso($sock, $cod_curso)."</font>\n");
  echo("    <br>\n");
  echo("    <p>\n");

  echo("    <table border=0 width=100% cellspacing=2>\n");
  echo("      <tr class=menu>\n");

  echo("        <td align=center><a class=menu href=# onClick='Atualizar();return(false);'>");
  /* 3 - Atualizar */
  echo(RetornaFraseDaLista($lista_frases, 3)."</a></td>\n");

  echo("        <td align=center class=menu><a class=menu href=# ");
  echo("onClick='VerDiarioPessoal();return(false);' target=direita>");
  /* 32 - Dirio Pessoal */
  echo(RetornaFraseDaLista($lista_frases, 32)."</a></td>\n");

  echo("      </tr>\n");
  echo("    </table>\n");
  echo("    <br>\n");
  echo("    <p>\n");

  $lista_diarios = RetornaDiarios ($sock, $cod_curso, $cod_usuario);

  echo("    <form name=frmDiario>\n");
  echo("      <input type=hidden name=cod_propriet value=''>\n");
  echo("      <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("    <table border=0 width=100% cellspacing=0>\n");
  echo("      <tr class=colorfield>\n");
  echo("        <td class=colorfield width=1%>&nbsp;</td>\n");
  echo("        <td class=colorfield width=44% align=center>&nbsp;</td>\n");
  /* 10 - Data */
  echo("        <td class=colorfield width=20% align=center>".RetornaFraseDaLista($lista_frases, 10)."</td>\n");
  /* 11 - Itens */
  echo("        <td class=colorfield width=15% align=center>".RetornaFraseDaLista($lista_frases, 11)."</td>\n");
  /* 6 - Itens no comentados */
  echo("        <td class=colorfield width=20% align=center>".RetornaFraseDaLista($lista_frases, 6)."</td>\n");
  echo("      </tr>\n");

  foreach ($lista_diarios as $cod_usr => $linha_diario)
  {
    if ($linha_diario ['novidade'])
    {
      $negrito_abre = "<b>";
      $negrito_fecha= "</b>";
    }
    else
    {
      $negrito_abre = $negrito_fecha = "";
    }

    echo("  <tr>\n");
    echo("    <td align=left   class=g1field><font class=text><a href=# onClick=return(VerDiario(".$cod_usr."))><img src=../figuras/pastadiario.gif border=0></a></font></td>\n");
    echo("    <td align=left   class=g1field><font class=text>&nbsp;&nbsp;<a href=# onClick=return(VerDiario(".$cod_usr."))>".$negrito_abre.$linha_diario['nome'].$negrito_fecha."</a></font></td>\n");
    echo("    <td align=center class=g1field><font class=text>".$negrito_abre.UnixTime2DataHora($linha_diario['data']).$negrito_fecha."</font></td>\n");
    echo("    <td align=center class=g1field><font class=text>".$negrito_abre.$linha_diario['num_itens'].$negrito_fecha."</font></td>\n");
    echo("    <td align=center class=g1field><font class=text>".$negrito_abre.$linha_diario['num_itens_nao_comentados'].$negrito_fecha."</font></td>\n");
    echo("  </tr>\n");
  }

  echo("    </table>\n");
  echo("    </form>\n");

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>
