<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/forum/apagar_mensagem.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/forum/apagar_mensagem.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("forum.inc");

  /* Dereferncia as variveis, seno ainda seria possvel acess-las */
  unset($array_mensagens_s);
  unset($sin_pag_s);
  /* Remove o contedo da sesso. */
  session_unregister('array_mensagens_s');
  session_unregister('sin_pag_s');

  $cod_usuario = VerificaAutenticacao($cod_curso);


  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 9);
  $lista_frases_geral = RetornaListaDeFrases($sock, -1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  /* Verifica se o usuario eh formador. */
  $usr_formador = EFormador($sock, $cod_curso, $cod_usuario);

  /* 62 - Ao exclusiva a alunos e formadores. */
  if (!$usr_formador) exit(RetornaFraseDaLista($lista_frases, 62));

  echo("  <html>\n");
  /* 1 - Fruns de Discusso */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=forum.css>\n");
  echo("\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmMsg.cmdVoltar.focus();'>\n");
  /* 1 - Fruns de Discusso */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
  /* 47 - Apagar mensagem */
  $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 47)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 9));
  echo("    <br>\n");

  echo("    <form method=post name=frmMsg action=\"ver_forum.php\">\n");
  echo("      ".RetornaSessionIDInput()."\n");
  echo("      <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  /* Repassa o cod_forum para reler as mensagens e para executar aes sobre elas.     */
  echo("      <input type=hidden name=cod_forum value=".$cod_forum.">\n");
  /* Repassa o mtodo de ordenao, escolhida pelo usurio, para mant-lo ao voltar   */
  /* pgina de visualizao das mensagens do frum.                                    */
  echo("      <input type=hidden name=ordem value=".$ordem.">\n");
  /* Passa o status da mensagens que sero selecionadas: A, necessariamente, porque a  */
  /* ao de apagar mensagens  exclusiva para fruns que exibem mensagens ativas.     */
  echo("      <input type=hidden name=status value='A'>\n");
  /* Repassa o ndice da pgina que o usurio ir visualizar.                          */
  echo("      <input type=hidden name=pag_atual value=".$pag_atual.">\n");

  if (ApagaMensagem($sock, $cod_msg, $cod_forum))
  {
    /* 48 - Mensagem apagada com sucesso. */
    echo("      <font class=text>".RetornaFraseDaLista($lista_frases, 48)."</font>\n");
  }
  else
  {
    /* 49 - Erro ao se apagar a mensagem. */
    echo("      <font class=text>".RetornaFraseDaLista($lista_frases, 49)."</font>\n");
  }
  echo("      <p>\n");
  /* 23 - Voltar */
  echo("      <input class=text type=submit name=cmdVoltar value='".RetornaFraseDaLista($lista_frases_geral, 23)."'>\n");
  echo("    </form>\n");

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);

?>