<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/forum/excluir_forum.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/forum/excluir_forum.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("forum.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 9);
  $lista_frases_geral = RetornaListaDeFrases($sock, -1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);


  /* Verifica se o usuario eh formador. */
  $usr_formador = EFormador($sock, $cod_curso, $cod_usuario);

  /* 61 - Ao exclusiva a formadores. */
  if (!$usr_formador) exit(RetornaFraseDaLista($lista_frases, 61));

  echo("  <html>\n");
  /* 1 - Fruns de Discusso */
  echo("    <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=forum.css>\n");
  echo("\n\n");

  echo("    <script language=JavaScript>\n\n");

  echo("    </script>\n\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmForum.cmdVoltar.focus();'>\n");

  /* 1 - Fruns de Discusso */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";

  if ($operacao=="excluir")
    /* 64 - Excluir frum */
    $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 64)."</b>";
  else if ($operacao=="recuperar")
    /* 81 - Excluir frum */
    $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 81)."</b>";

  echo(PreparaCabecalho($cod_curso, $cabecalho, 9));
  echo("    <br>\n");


  echo("    <form name=frmForum action=forum.php method=post>\n");
  echo(RetornaSessionIDInput());
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");

  echo("      <input type=hidden name=status value='D'>\n");

  if ($operacao=="excluir")
  {
    if (ExcluiForum($sock, $cod_forum))
    {
      /* 65 - Frum excludo com sucesso. */
      echo("      <font class=text>".RetornaFraseDaLista($lista_frases,65)."</font>\n");
    }
    else
    {
      /* 66 - Erro ao se excluir o frum. */
      echo("      <font class=text>".RetornaFraseDaLista($lista_frases, 66)."</font>\n");
    }
  }
  else if ($operacao=="recuperar")
  {
    if (ConfiguraForum($sock, $cod_forum, "L"))
    {
      /* 82 - Frum Recuperado com sucesso. */
      echo("      <font class=text>".RetornaFraseDaLista($lista_frases,82)."</font>\n");
    }
    else
    {
      /* 83 - Erro ao se excluir o frum. */
      echo("      <font class=text>".RetornaFraseDaLista($lista_frases, 83)."</font>\n");
    }
  }

  echo("      <p>\n");
  /* 23 - Voltar */
  echo("      <input class=text type=submit name=cmdVoltar value='".RetornaFraseDaLista($lista_frases_geral, 23)."'>\n");

  echo("    </form>\n");
  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>