<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/forum/exibir_todas.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/forum/exibir_todas.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("forum.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 9);
  $lista_frases_geral = RetornaListaDeFrases($sock, -1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  /* Verifica se o usuario eh formador. */
  $usr_formador = EFormador($sock, $cod_curso, $cod_usuario);

  /* Obtm o nome e o status do frum                     */
  $forum_dados = RetornaForum($sock, $cod_forum);

  /* Obtm a data e hora do penltimo acesso para comparar com as datas das   */
  /* mensagens e destacar a que so mais recentes.                            */
  $penult_acesso = PenultimoAcesso($sock, $cod_usuario, "");

  /* Se a ordenao for por rvore obtm a lista com os links identada e a lista com as mensagens. */
  if ($ordem == 'arvore')
    list ($total_mensagens, $lista_mensagens) =
      RetornaListagemCompleta($sock, $cod_forum, $status, $cod_usuario);
  else
    list ($total_mensagens, $lista_mensagens) =
      RetornaListagemCompletaOrdenada($sock, $cod_forum, $status, $cod_usuario, $ordem);

  echo("  <html>\n");
  /* 1 - Fruns de Discusso */
  echo("    <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");

  if (!isset($SalvarEmArquivo))
  {
    echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("    <link rel=stylesheet TYPE=text/css href=forum.css>\n");
  }
  else
  {
    echo("  <style>\n");
    include "../teleduc.css";
    include "forum.css";
    echo("  </style>\n");
  }

  echo("\n\n");

  if ($total_mensagens > 0)
  {
    echo("    <script language=JavaScript>\n\n");

    echo("      function OpenWindowPerfil(id)\n");
    echo("      {\n");
    echo("        window.open(\"../perfil/exibir_perfis.php?".RetornaSessionID());
    echo("&cod_curso=".$cod_curso."&cod_aluno[]=\" + id, \"PerfilDisplay\",\"width=600,height=400,");
    echo("top=120,left=120,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
    echo("        return(false);\n");
    echo("      }\n\n");

    /* Funo JavaScript para mudar o tipo de ordenao das mensagens. */
    echo("      function MudaOrdenacao()\n");
    echo("      {\n");
    echo("        document.frmMsg.action = \"exibir_todas.php\";\n");
    echo("        document.frmMsg.submit();\n");
    echo("      }\n\n");

    /* Funo JvaScript para voltar  exibio de mensagens por pgina. */
    echo("      function VoltarExibicaoPorPagina()\n");
    echo("      {\n");
    echo("        document.frmMsg.action = \"ver_forum.php\";\n");
    echo("        document.frmMsg.submit();\n");
    echo("      }\n\n");

    /* Funo JvaScript para chamar pgina para salvar em arquivo. */
    echo("      function SalvarExibirTodas()\n");
    echo("      {\n");
    echo("        document.frmMsg.action = \"salvar_exibir_todas.php\";\n");
    echo("        document.frmMsg.method = 'get';\n");
    echo("        document.frmMsg.submit();\n");
    echo("      }\n\n");


    echo("  function ImprimirRelatorio()\n");
    echo("  {\n");
    echo("    if ((navigator.appName == 'Microsoft Internet Explorer' && navigator.appVersion.indexOf('5.')>=0) || navigator.appName == 'Netscape') \n");
    echo("    {\n");
    echo("      self.print();\n");
    echo("    }\n");
    echo("    else\n");
    echo("    {\n");
    /* 51- Infelizmente no foi possvel imprimir automaticamente esse documento. Mantenha a tecla <Ctrl> pressionada enquanto pressiona a tecla <p> para imprimir. */
    echo("      alert('".RetornaFraseDaLista($lista_frases_geral,51)."');\n");
    echo("    }\n");
    echo("  }\n");


    echo("    </script>\n\n");
  }

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white>\n");

  /* 1 - Fruns de Discusso */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b><b class=subtitulo>";

  /* Se estiver visualizando a Lixeira adiciona esta informao no cabealho. */
  if ($status == 'D')
  {
    /* 16 - Lixeira */
    $cabecalho .= " - ".RetornaFraseDaLista($lista_frases_geral, 16);
  }

  /* 7 - Ver Frum */
  $cabecalho .= " - ".RetornaFraseDaLista($lista_frases, 7);

  /* 86 - Exibir Todas*/
  $cabecalho .= " (".RetornaFraseDaLista($lista_frases, 86).")</b>";

  echo(PreparaCabecalho($cod_curso, $cabecalho, 9));
  /* 58 - Frum */
  echo("    <font class=text>".RetornaFraseDaLista($lista_frases, 58)."</font>\n");
  echo("    <font class=text> <i>".$forum_dados['nome']."</i>");

  if ($forum_dados['status'] == 'L')
  {
    /* 40 - (somente leitura)                                   */
    echo(" <b>".RetornaFraseDaLista($lista_frases, 40)."</b>");
  }

  echo("</font>\n");

  echo("    <br>\n");
  echo("    <p>\n");

  if ($total_mensagens > 0)
  {
    echo("    <form name=frmMsg method=post>\n");

    echo(RetornaSessionIDInput());
    echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");

    /* Repassa o cod_forum para reler as mensagens com outra ordenao ou para voltar ao modo */
    /* de exibio por pginas.                                                               */
    echo("      <input type=hidden name=cod_forum value=".$cod_forum.">\n");
    /* Repassa o status das mensagens para listar mensagens ativas ou deletadas (Lixeira)     */
    echo("      <input type=hidden name=status value='".$status."'>\n");

    echo("      <div align=right>\n");

    if (!isset($SalvarEmArquivo))
    {
      /* 50 - Salvar em Arquivo (geral) */
      echo("  <input type=button value='".RetornaFraseDaLista($lista_frases_geral,50)."' onClick='SalvarExibirTodas();'>\n");
    }

    /* 14 - Imprimir (geral) */
    echo("  <input type=button value='".RetornaFraseDaLista($lista_frases_geral,14)."' onClick=ImprimirRelatorio();>\n");

    if (!isset($SalvarEmArquivo))
    {
      echo("        <input type=button class=text onClick='VoltarExibicaoPorPagina();' value='");
      /* 72 - Voltar  exibio por pginas */
      echo(RetornaFraseDaLista($lista_frases, 72)."'>\n");
    }
    echo("      </div>\n");
    echo("      <br>\n");

    if (!isset($SalvarEmArquivo))
    {
      echo("      <table border=0 width=100% cellspacing=0>\n");
      echo("        <tr class=colorfield valign=middle>\n");
      echo("          <td align=right>\n");
      echo("            <font class=colorfield>");
      /* 41 - Ordenar por:  */
      echo(RetornaFraseDaLista($lista_frases, 41)."</font>\n");
      echo("          </td>\n");

      echo("          <td>\n");
      echo("            <select class=text name=ordem onChange='MudaOrdenacao();'>\n");
      /* 43 - rvore */
      echo("              <option value='arvore'>".RetornaFraseDaLista($lista_frases, 43)."</option>\n");
      /* 44 - data */
      echo("              <option value='data'>".RetornaFraseDaLista($lista_frases, 44)."</option>\n");
      /* 45 - emissor */
      echo("              <option value='emissor'>".RetornaFraseDaLista($lista_frases, 45)."</option>\n");
      /* 46 - ttulo */
      echo("              <option value='titulo'>".RetornaFraseDaLista($lista_frases, 46)."</option>\n");
      echo("            </select>\n");
      echo("          </td>\n");
      echo("        </tr>\n");
      echo("      </table>\n");
    }
    echo("    </form>\n");

    if (!isset($SalvarEmArquivo))
    {
      /* Seleciona a opo de ordenao escolhida na caixa de seleo. */
      echo("    <script language=JavaScript>\n\n");

      echo("      for (var i = 0; i < document.frmMsg.ordem.length; i++)\n");
      echo("      {\n");
      echo("        if (document.frmMsg.ordem.options[i].value == '".$ordem."')\n");
      echo("          document.frmMsg.ordem.options[i].selected = true;\n");
      echo("      }\n");

      echo("    </script>\n");
    }

    /* Define o primeiro e ltimo ndice das mensagens. A ltima mensagem possui ndice */
    /* igual ao total de mensagens.                                                     */
    $prim_msg_index = 1;
    $ult_msg_index = $total_mensagens;

    /* 19 - Mensagens     */
    echo("    <font class=text>".RetornaFraseDaLista($lista_frases, 19)." ");
    /* 20 - (             */
    echo(RetornaFraseDaLista($lista_frases, 20).$prim_msg_index);
    /* 21 - a             */
    echo(" ".RetornaFraseDaLista($lista_frases, 21)." ");
    /* 22 - de            */
    echo($ult_msg_index." ".RetornaFraseDaLista($lista_frases, 22)." ");
    /* 23 - )             */
    echo($total_mensagens.RetornaFraseDaLista($lista_frases, 23)."</font><br>\n");

    echo("    <table border=0 width=100% cellspacing=0>\n");
    echo("      <tr class=colorfield>\n");
    /* 8 - # */
    echo("        <td class=colorfield width=5%>".RetornaFraseDaLista($lista_frases, 8)."</td>\n");
    /* 9 - Ttulo */
    echo("        <td class=colorfield width=50%>".RetornaFraseDaLista($lista_frases, 9)."</td>\n");
    /* 10 - Emissor */
    echo("        <td class=colorfield width=30%>".RetornaFraseDaLista($lista_frases, 10)."</td>\n");
    /* 11 - Data */
    echo("        <td class=colorfield width=15%>".RetornaFraseDaLista($lista_frases, 11)."</td>\n");
    echo("      </tr>\n");

    /* exibe os links das mensagens.                */
    $cntmsg = 0;
    foreach ($lista_mensagens as $cod_msg => $info)
    {
      $classe = "g".(($cntmsg % 2) + 1)."field";

      if ($info['data'] > $penult_acesso)
        $boldtag = array ("<b>", "</b>");
      else
        $boldtag = array ("", "");

      echo("      <tr class=".$classe.">\n");
      echo("        <td><font class=text>".($cntmsg + 1).".</font></td>\n");

      echo("        <td>");

      if ($ordem == 'arvore')
      {
        /* Identa a mensagem de acordo com o nvel em que ela se encontra. */
        for ($k = 0; $k < $info['nivel']; $k++)
          echo("&nbsp;&nbsp;&nbsp;");
      }

      echo("<a href=#".$cod_msg." class=text>".$boldtag[0].(TruncaString($info['titulo'], 25)));
      echo($boldtag[1]."</a></td>\n");

      echo("        <td class=text>");

      if (!isset($SalvarEmArquivo))
      {
        echo("<a class=text href=# onClick=");
        echo("'return(OpenWindowPerfil(".$info['cod_usuario']."))'>");
      }
      echo($boldtag[0].NomeUsuario($sock, $info['cod_usuario']).$boldtag[1]."</a></td>\n");

      echo("        <td><font class=text>".$boldtag[0].UnixTime2Data($info['data']).$boldtag[1]."</font></td>\n");

      echo("      </tr>\n");

      $cntmsg++;
    }
    echo("    </table>\n");
    echo("    <br>\n");
    echo("    <p>\n");


    /* Exibe a listagem completa. */
    echo("    <table border=0 width=100% vspace=10 cellspacing=0>\n");

    $cntmsg = 0;
    foreach ($lista_mensagens as $cod_msg => $info)
    {
      $classe = "g".(($cntmsg % 2) + 1)."field";

      echo("      <tr><td colspan=3><hr></td></tr>\n");
      /* Cria uma ncora para o link da mensagem. */
      echo("      <tr class=".$classe.">\n");
      echo("        <td><a name=".$cod_msg."></a><font class=text>".($cntmsg + 1).".</font></td>\n");

      /* Exibe o ttulo da mensagem.                */
      echo("        <td width=70%><font class=text><b>".$info['titulo']."</b></font></td>\n");

      /* Exibe a data de postagem da mensagem.    */
      echo("        <td width=30% align=right>\n");
      echo("          <font class=text>".NomeDiaSemana(UnixTime2DiaSemana($info['data'])).", ");
      echo(UnixTime2Data($info['data']).", ".UnixTime2Hora($info['data'])."</font>\n");
      echo("        </td>\n");
      echo("      </tr>\n");

      /* Exibe o nome do emissor.                 */
      echo("      <tr class=".$classe.">\n");
      echo("        <td colspan=3 align=right>\n");
      echo("          <font class=text>".NomeUsuario($sock, $info['cod_usuario'])."</font>\n");
      echo("        </td>\n");
      echo("      </tr>\n");

      /* Exibe o contedo da mensagem.            */
      echo("      <tr class=".$classe.">\n");
      echo("        <td colspan=2 widht=70%>\n");
      echo("          <font class=text>".Enter2BR(LimpaConteudo($info['mensagem']))."</font>\n");
      echo("        </td>\n");

      /* 79 - Voltar ao topo */
      echo("        <td width=30% align=right>\n");
      echo("          <a href=# class=text>".RetornaFraseDaLista($lista_frases, 79)."</a><a name=");
      echo($cod_msg."></a>\n");
      echo("        </td>\n");

      echo("      </tr>\n");

      $cntmsg++;
    }
    echo("    </table>\n");
  }
  /* Informa o usurio caso no haja mensagens. */
  else
    /* 31 - No h mensagens neste frum. */
    echo("<font class=text>".RetornaFraseDaLista($lista_frases, 31)."</font>\n");

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>