<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/forum/renomear_forum2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/forum/renomear_forum2.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("forum.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 9);
  $lista_frases_geral = RetornaListaDeFrases($sock, -1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  /* Verifica se o usuario eh formador. */
  $usr_formador = EFormador($sock, $cod_curso, $cod_usuario);

  /* 61 - Ao exclusiva a formadores. */
  if (!$usr_formador) exit(RetornaFraseDaLista($lista_frases, 61));

  echo("  <html>\n");
  /* 1 - Fruns de Discusso */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=forum.css>\n");
  echo("\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white onLoad='document.frmForum.cmdVoltar.focus();'>\n");
  /* 1 - Fruns de Discusso */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b>";
  /* 2 - Novo frum */
  $cabecalho .= "  <b class=subtitulo> - ".RetornaFraseDaLista($lista_frases, 2)."</b>";
  echo(PreparaCabecalho($cod_curso, $cabecalho, 6));
  echo("    <br>\n");

  echo("    <form name=frmForum method=post action=forum.php>\n");

  echo(RetornaSessionIDInput());
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("<input type=hidden name=ordem_foruns value=".$ordem_foruns.">\n");


  echo("      <font class=text>\n");

  /* Se conseguir renomear exibe uma mensagem informando o sucesso na operao. */
  if (RenomeiaForum($sock, $cod_forum, $nome))
  {
    AtualizaFerramentasNova($sock,9,'T');

    /* 75 - Frum de discusso renomeado de  */
    echo("        ".RetornaFraseDaLista($lista_frases, 75)."<i>".$nomeant."</i>");
    /* 76 -  para  */
    echo(RetornaFraseDaLista($lista_frases, 76)."<b>".$nome."</b>");
    /* 77 -  com sucesso. */
    echo(RetornaFraseDaLista($lista_frases, 77)."\n");
  }
  else
  {
    /* 78 - Erro ao renomear o frum  */
    echo("        ".RetornaFraseDaLista($lista_frases, 78)."<b>".$nomeant."</b>\n");
  }
  echo("      </font>\n");
  echo("      <p>\n");
  /* 23 - Voltar */
  echo("      <input class=text type=submit name=cmdVoltar value='".RetornaFraseDaLista($lista_frases_geral, 23)."'>\n");

  echo("  </form>\n");


  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>