<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/forum/ver_forum.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/forum/ver_forum.php
  ========================================================== */

  $bibliotecas = "../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("forum.inc");

  session_register('cod_forum_s');
  session_register('array_mensagens_s');
  session_register('sin_pag_s');

  $cod_usuario = VerificaAutenticacao($cod_curso);

  $sock = Conectar("");

  $lista_frases = RetornaListaDeFrases($sock, 9);
  $lista_frases_geral = RetornaListaDeFrases($sock, -1);

  Desconectar($sock);

  $sock = Conectar($cod_curso);

  VerificaAcessoAoCurso($sock, $cod_curso, $cod_usuario);

  /* Verifica se o usuario eh formador. */
  $usr_formador = EFormador($sock, $cod_curso, $cod_usuario);

  /* Obtm o nome e o status do frum                     */
  $forum_dados = RetornaForum($sock, $cod_forum);

  /* Nmero de mensagens exibidas por pgina.             */
  if (!isset($msg_por_pag)) $msg_por_pag = 10;

  /* Se o tipo de ordenao no foi especificada escolhe por padro a         */
  /* ordenao em rvore.                                                     */
  if (!isset($ordem)) $ordem = 'arvore';

  /* Obtm a data e hora do penltimo acesso para comparar com as datas das   */
  /* mensagens e destacar a que so mais recentes.                            */
  $penult_acesso = PenultimoAcesso($sock, $cod_usuario, "");

  /* Se a data de alterao no estiver setada ento entrou pela primeira vez */
  /* As pginas que modificam a base de dados (compor, responder, apagar e    */
  /* excluir mensagens) no repassam esse valor, pois assumem que houve       */
  /* alteraes.                                                              */
  if ((!isset($data_msg_alt)) || (MensagensAlteradas($sock, $cod_forum, $data_msg_alt)))
  {
    /* Obtm a data atual para posterior comparao. Esta data  comparada com */
    /* as das mensagens. Se alguma mensagem possuir data superior a            */
    /* $data_msg_alt ento lista novamente as mensagens, do contrrio utiliza  */
    /* as mensagens armazenadas na sesso.                                     */
    $data_msg_alt = time();

    /* armazena o cod_forum */
    $cod_forum_s = $cod_forum;
    /* limpa as mensagens */
    session_unregister('array_mensagens_s');
    session_unregister('sin_pag_s');

    session_register('array_mensagens_s');
    session_register('sin_pag_s');

    /* Se a ordenao for por rvore ento chama a funo RetornaMensagens, que */
    /* retorna as mensagens estruturadas.                                       */
    if ($ordem == 'arvore')
      list ($total_mensagens, $array_mensagens, $sin_pag) =
        RetornaMensagens($sock, $cod_forum, $status, $msg_por_pag, $cod_usuario, $penult_acesso);
    else
    {
      /* Se a ordenao for por data, emissor ou ttulo da mensagem, chama a      */
      /* RetornaMensagensOrdenadas, que retorna as mensagens de acordo com a      */
      /* ordenao especificada porm sem estruturao (identao).               */
      list ($total_mensagens, $array_mensagens, $sin_pag) =
        RetornaMensagensOrdenadas($sock, $cod_forum, $status, $msg_por_pag, $cod_usuario, $ordem, $penult_acesso);
    }

    $array_mensagens_s = $array_mensagens;
    $sin_pag_s = $sin_pag;
  }
//  /* Seno lista novamente todas as mensagens se alguma delas foi              */
//  /* alterada/includa.                                                        */
//  else if (MensagensAlteradas($sock, $cod_forum, $data_msg_alt))
//  {
//    /* Obtm a data atual para posterior comparao. Esta data  comparada com */
//    /* as das mensagens. Se alguma mensagem possuir data superior a            */
//    /* $data_msg_alt ento lista novamente as mensagens, do contrrio utiliza  */
//    /* as mensagens armazenadas.  RECOMENTAR                                   */
//    $data_msg_alt = time();
//
//    /* limpa as mensagens */
//    unset($array_mensagens_s);
//
//    /* Se a ordenao for por rvore ento chama a funo RetornaMensagens, que */
//    /* retorna as mensagens estruturadas.                                       */
//    if ($ordem == 'arvore')
//      list ($total_mensagens, $array_mensagens, $sin_pag) =
//        RetornaMensagens($sock, $cod_forum, $status, $msg_por_pag, $cod_usuario, $penult_acesso);
//    else
//    {
//      /* Se a ordenao for por data, emissor ou ttulo da mensagem, chama a      */
//      /* RetornaMensagensOrdenadas, que retorna as mensagens de acordo com a      */
//      /* ordenao especificada porm sem estruturao (identao).               */
//      list ($total_mensagens, $array_mensagens, $sin_pag) =
//        RetornaMensagensOrdenadas($sock, $cod_forum, $status, $msg_por_pag, $cod_usuario, $ordem, $penult_acesso);
//    }
//    $array_mensagens_s = $array_mensagens;
//    $sin_pag_s = $sin_pag;
//  }
  else
  /* Se no foram includas/alteradas mensagens aps a data especificada em     */
  /* $data_msg_alt, utiliza as mensagens armazenadas.  RECOMENTAR               */
  {
  //   $lista_mensagens = unserialize(urldecode($lstmsg));
    $array_mensagens = $array_mensagens_s;
    $sin_pag = $sin_pag_s;
  }

   /* Se o nmero total de mensagens for superior que o nmero de mensagens por  */
   /* pgina ento calcula o total de pginas. Do contrrio, define o nmero de  */
   /* pginas para 1.                                                            */
   if ($total_mensagens > $msg_por_pag)
   {
     /* Calcula o nmero de pginas geradas.                  */
     $total_pag = ceil($total_mensagens / $msg_por_pag);
   }
   else
     $total_pag = 1;

//  /* Se a pgina atual no estiver setada ento, por padro, atribui-lhe o valor 1. */
//  /* Se estiver setada, verifica se a pgina  maior que o total de pginas, se for */
//  /* atribui o valor de $total_pag  $pag_atual.                                    */
//   if (!isset($pag_atual))
//     $pag_atual =  1;
//   else if ($pag_atual > $total_pag)
//     $pag_atual = $total_pag;

  /* Se a pgina atual no estiver setada ento, por padro, atribui-lhe o valor da  */
  /* ltima pgina. Se a pgina atual for maior que o total de pginas (caso algum  */
  /* tenha apagado as mensagens da ltima pgina) ento atribu-lhe o valor do total */
  /* de pginas.                                                                     */
   if (!isset($pag_atual))
     $pag_atual =  1;
   else if ($pag_atual > $total_pag)
     $pag_atual = $total_pag;


  echo("  <html>\n");
  /* 1 - Fruns de Discusso */
  echo("    <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases, 1)."</title></head>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("    <link rel=stylesheet TYPE=text/css href=forum.css>\n");
  echo("\n\n");

  echo("    <script language=JavaScript>\n\n");

  echo("      function OpenWindowPerfil(id)\n");
  echo("      {\n");
  echo("        window.open(\"../perfil/exibir_perfis.php?".RetornaSessionID());
  echo("&cod_curso=".$cod_curso."&cod_aluno[]=\" + id, \"PerfilDisplay\",\"width=600,height=400,");
  echo("top=120,left=120,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
  echo("        return(false);\n");
  echo("      }\n\n");

  /* Se o status do frum for Ativo (permite leitura e escrita) e se o usurio NO */
  /* for um visitante, cria a funo de compor mensagem.                           */
  if ( ($forum_dados['status'] == 'A') &&
    (!EVisitante($sock, $cod_curso, $cod_usuario)) )
  {
    echo("      function ComporMensagem()\n");
    echo("      {\n");
    echo("        document.frmMsg.pag_atual.value = ".$pag_atual.";\n");
    echo("        document.frmMsg.action = \"compor_mensagem.php\";\n");
    echo("        document.frmMsg.submit();\n");
    echo("      }\n\n");
  }
  /* Se houver mensagens neste frum cria a funo de visualizar as demais pginas, */
  /* exibir mensagens e mudar a ordenao.                                          */
  if ($total_mensagens > 0)
  {
    echo("      function MudaPagina(id)\n");
    echo("      {\n");
    echo("        document.frmMsg.pag_atual.value = id;\n");
    echo("        document.frmMsg.action = \"ver_forum.php\";\n");
    echo("        document.frmMsg.submit();\n");
    echo("      }\n\n");

    echo("      function ExibirMensagem(id)\n");
    echo("      {\n");
    echo("        document.frmMsg.cod_msg.value = id;\n");
    echo("        document.frmMsg.pag_atual.value = ".$pag_atual.";\n");
    echo("        document.frmMsg.action = \"ver_mensagem.php\";\n");
    echo("        document.frmMsg.submit();\n");
    echo("      }\n\n");

    echo("      function MudaOrdenacao()\n");
    echo("      {\n");
    echo("        document.frmOrdenacao.action = \"ver_forum.php\";\n");
    echo("        document.frmOrdenacao.submit();\n");
    echo("      }\n\n");
  }
  echo("    </script>\n\n");

  echo("  <body link=#0000ff vlink=#0000ff bgcolor=white>\n");

  /* 1 - Fruns de Discusso */
  $cabecalho = "  <b class=titulo>".RetornaFraseDaLista($lista_frases, 1)."</b><b class=subtitulo>";

  if ($status == 'D')
  {
    /* 16 - Lixeira */
    $cabecalho .= " - ".RetornaFraseDaLista($lista_frases_geral, 16);
  }

  /* 7 - Ver frum */
  $cabecalho .= " - ".RetornaFraseDaLista($lista_frases, 7)."</b>";

  echo(PreparaCabecalho($cod_curso, $cabecalho, 9));
  /* 58 - Frum */
  echo("    <font class=text>".RetornaFraseDaLista($lista_frases, 58)."</font>\n");
  echo("    <font class=text> <i>".$forum_dados['nome']."</i>");

  if ($forum_dados['status'] == 'L')
  {
    /* 40 - (somente leitura)                                   */
    echo(" <b>".RetornaFraseDaLista($lista_frases, 40)."</b>");
  }

  echo("</font>\n");

  echo("    <br>\n");
  echo("    <p>\n");

  echo("    <table border=0 width=100% cellspacing=2>\n");
  echo("      <tr class=menu>\n");

  /* Se o status do frum for Ativo (permite leitura e escrita) e se o usurio NO */
  /* for um visitante, exibe um menu para compor mensagens.                        */
  if ( ($forum_dados['status'] == 'A') &&
    (!EVisitante($sock, $cod_curso, $cod_usuario)) )
  {

    /* checa se o curso ainda no terminou, ou se o usurio  formador) */
    $status_curso = RetornaStatusCurso($sock,$cod_curso);
    if (!($status_curso == 'E' && !EFormador($sock, $cod_curso, $cod_usuario)))
    {
      /* 12 - Compor nova mensagem */
      echo("        <td align=center><a class=menu href=# onClick='ComporMensagem();");
      echo("return(false);'>".RetornaFraseDaLista($lista_frases, 12)."</a></td>\n");
    }
  }

  /* Se houver mensagens exibe a caixa de seleo do mtodo de ordenao.           */
  if ($total_mensagens > 0)
  {
    echo("        <td>\n");
    echo("          <table border=0 width=100% cellspacing=0>\n");

    echo("            <form name=frmOrdenacao method=post>\n");
    echo(RetornaSessionIDInput());
    echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");


    /* Repassa o cod_forum para reler as mensagens.                                      */
    echo("              <input type=hidden name=cod_forum value=".$cod_forum.">\n");
    /* Repassa o status da mensagens que sero selecionadas: A ou D (Lixeira)            */
    echo("              <input type=hidden name=status value='".$status."'>\n");

    echo("              <tr class=colorfield valign=middle>\n");
    echo("                <td align=right>\n");
    echo("                  <font class=colorfield>");
    /* 41 - Ordenar por:  */
    echo(RetornaFraseDaLista($lista_frases, 41)."</font>\n");
    echo("                </td>\n");

    echo("                <td>\n");

    echo("                  <select class=text name=ordem onChange='MudaOrdenacao();'>\n");
    /* 43 - rvore */
    echo("                    <option value='arvore'>".RetornaFraseDaLista($lista_frases, 43)."</option>\n");
    /* 45 - autor */
    echo("                    <option value='emissor'>".RetornaFraseDaLista($lista_frases, 45)."</option>\n");

    /* 44 - data */
    echo("                    <option value='data'>".RetornaFraseDaLista($lista_frases, 44)."</option>\n");
    /* 46 - ttulo */
    echo("                    <option value='titulo'>".RetornaFraseDaLista($lista_frases, 46)."</option>\n");
    echo("                  </select>\n");

    echo("                </td>\n");
    echo("              </tr>\n");
    echo("            </form>\n");
    echo("          </table>\n");
    echo("        </td>\n");
  }

  echo("      </tr>\n");
  echo("    </table>\n");

  /* Procura e seleciona a ordenao escolhida. */
  if ($total_mensagens > 0)
  {
    echo("    <script language=JavaScript>\n\n");

    echo("      for (var i = 0; i < document.frmOrdenacao.ordem.length; i++)\n");
    echo("      {\n");
    echo("        if (document.frmOrdenacao.ordem.options[i].value == '".$ordem."')\n");
    echo("          document.frmOrdenacao.ordem.options[i].selected = true;\n");
    echo("      }\n");

    echo("    </script>\n\n");
  }


  echo("    <form name=frmMsg method=post>\n");
  echo(RetornaSessionIDInput());
  echo("      <input type=hidden name=cod_curso value=".$cod_curso.">\n");

  /* NICIO - INFORMAES PASSADAS PARA RELER AS MENSAGENS EM OUTRAS PGINAS E PARA EXECUTAR AES SOBRE ELAS. */

  /* Repassa o cod_forum para reler as mensagens e para executar aes sobre elas.     */
  echo("      <input type=hidden name=cod_forum value=".$cod_forum.">\n");
  /* Repassa o mtodo de ordenao, escolhida pelo usurio, para mant-lo ao voltar a  */
  /* esta pgina.                                                                      */
  echo("      <input type=hidden name=ordem value=".$ordem.">\n");
  /* Repassa o status da mensagens que sero selecionadas: A ou D (Lixeira)            */
  echo("      <input type=hidden name=status value='".$status."'>\n");
  /* Passa o ndice da pgina que o usurio ir visualizar.                            */
  echo("      <input type=hidden name=pag_atual value=-1>\n");
  /* Passa a ltima data de acesso que ser comparada com as das mensagens. Se alguma  */
  /* mensagem possuir data superior que data_msg_alt, ento esta mensagem  nova para  */
  /* este usurio, do contrrio, apenas utiliza as mensagens armazenadas na sesso.    */
  echo("      <input type=hidden name=data_msg_alt value=".$data_msg_alt.">\n");

  /* FIM -  INFORMAES PASSADAS PARA RELER AS MENSAGENS EM OUTRAS PGINAS E PARA EXECUTAR AES SOBRE ELAS.   */


  /* NICIO - INFORMAES PASSADAS EXCLUSIVAMENTE PARA RELER AS MENSAGENS EM OUTRAS PGINAS  */

  /* Passa o total de mensagens para o caso de utilizar as mensagens armazenadas na    */
  /* sesso.                                                                           */
  echo("      <input type=hidden name=total_mensagens value=".$total_mensagens.">\n");
  /* Passa o array com as mensagens para reutilizao se no houver alteraes ou      */
  /* incluses de mensagens.                                                           */
//   echo("      <input type=hidden name=lstmsg value=".urlencode(serialize($lista_mensagens)).">\n");

  /* FIM - INFORMAES PASSADAS EXCLUSIVAMENTE PARA RELER AS MENSAGENS EM OUTRAS PGINAS     */


  /* NICIO - INFORMO PASSADA EXCLUSIVAMENTE PARA EXECUTAR AES SOBRE A MENSAGEM    */

  /* Passa o cod_msg para efetuar aes com a mensagens (apagar, responder, etc.).     */
  echo("      <input type=hidden name=cod_msg value=-1>\n");

  /* FIM - INFORMO PASSADA EXCLUSIVAMENTE PARA EXECUTAR AES SOBRE A MENSAGEM       */

  echo("    </form>\n");


  if ($total_mensagens > 0)
  {
    /* Calcula o ndice da primeira mensagem.                 */
    $prim_msg_index = (($pag_atual - 1) * $msg_por_pag) + 1;
    /* Calcula o ndice da ltima mensagem.                   */
    $ult_msg_index = $pag_atual * $msg_por_pag;

    /* Se o ndice da ltima mensagem for maior que o nmero  */
    /* de mensagens, ento copia este para o ndice da ltima */
    /* mensagem.                                              */
    if ($ult_msg_index > $total_mensagens)
      $ult_msg_index = $total_mensagens;

    /* 19 - Mensagens     */
    echo("     <font class=text>".RetornaFraseDaLista($lista_frases, 19)." ");
    /* 20 - (             */
    echo(RetornaFraseDaLista($lista_frases, 20).$prim_msg_index);
    /* 21 - a             */
    echo(" ".RetornaFraseDaLista($lista_frases, 21)." ");
    /* 22 - de            */
    echo($ult_msg_index." ".RetornaFraseDaLista($lista_frases, 22)." ");
    /* 23 - )             */
    echo($total_mensagens.RetornaFraseDaLista($lista_frases, 23)."</font><br>\n");

    echo("    <table border=0 width=100% cellspacing=0>\n");
    echo("      <tr class=colorfield>\n");
    /* 8 - # */
    echo("        <td class=colorfield width=5%>".RetornaFraseDaLista($lista_frases, 8)."</td>\n");
    /* 9 - Ttulo */
    echo("        <td class=colorfield width=50%>".RetornaFraseDaLista($lista_frases, 9)."</td>\n");
    /* 10 - Autor */
    echo("        <td class=colorfield width=30%>".RetornaFraseDaLista($lista_frases, 10)."</td>\n");
    /* 11 - Data */
    echo("        <td class=colorfield width=15%>".RetornaFraseDaLista($lista_frases, 11)."</td>\n");
    echo("      </tr>\n");

    /* Calcula o ndice da mensagem com base no nmero da pgina. */
    $msgidx = ($pag_atual - 1) * $msg_por_pag;

    foreach ($array_mensagens[$pag_atual] as $cod_msg => $dados)
    {
      if ($dados['data'] > $penult_acesso)
      {
        $bopen_tag = "<b>";
        $bclose_tag = "</b>";
      }
      else
      {
        $bopen_tag = " ";
        $bclose_tag = " ";
      }

      echo("      <tr class=g".(($msgidx % 2) + 1)."field>\n");
      echo("        <td><font class=text>".($msgidx + 1).".</font></td>\n");

      echo("        <td>");

      if ($ordem == 'arvore')
      {
        /* Identa a mensagem de acordo com o nvel em que ela se encontra. */
        for ($k = 0; $k < $dados['nivel']; $k++)
          echo("&nbsp;&nbsp;&nbsp;");
      }

      echo("<a href=# class=text onClick='ExibirMensagem(".$cod_msg.");return(false);'>");
      echo($bopen_tag.($dados['titulo']).$bclose_tag."</a></td>\n");

      echo("        <td><a class=text href=# onClick='return(OpenWindowPerfil(".$dados['cod_usuario']."))'>");
      echo($bopen_tag.NomeUsuario($sock, $dados['cod_usuario']).$bclose_tag."</a></td>\n");

      echo("        <td><font class=text>".$bopen_tag.UnixTime2Data($dados['data']).$bclose_tag."</font></td>\n");
      echo("      </tr>\n");

      /* Incrementa o contador do ndice da mensagem. */
      $msgidx++;
    }

    echo("    </table>\n");
  }
  else
    /* 31 - No h mensagens neste frum. */
    echo("<font class=text>".RetornaFraseDaLista($lista_frases, 31)."</font>\n");

  echo("    <p>\n");

  /* Se o nmero de mensagens for superior ao nmero de mensagens exibidas por */
  /* pgina, possibilita a criao de links para a pgina anterior e posterior */
  /* (se existirem) e links para demais pginas.                               */
  if ($total_mensagens > $msg_por_pag)
  {
    echo("    <table bgcolor=#ffffff  width=100% border=0>\n");
    echo("      <tr class=textsmall>\n");

    echo("        <td align=left>\n");

    /* Se a pgina atual NO for a primeira pgina ento cria um */
    /* link para a prxima pgina.                               */
    if ($pag_atual != 1)
    {
      echo("          <a href=# class=textsmall onClick='MudaPagina(");
      /* 24 - << Anterior                                       */
      echo(($pag_atual - 1).");return(false);'>".RetornaFraseDaLista($lista_frases, 24));
      echo("</a>\n");
    }
    else
    {
      /* 24 - << Anterior                                        */
      echo("          <font class=textsmall>".RetornaFraseDaLista($lista_frases, 24));
      echo("</font>\n");
    }

    /* Se a pgina atual NO for a ltima pgina ento cria um   */
    /* link para a prxima pgina.                               */
    if ($pag_atual != $total_pag)
    {
      echo("          <a href=# class=textsmall onClick='MudaPagina(");
      /* 25 - Prxima >>                                         */
      echo(($pag_atual + 1).");return(false);'>".RetornaFraseDaLista($lista_frases, 25));
      echo("</a>\n");
    }
    else
    {
      /* 25 - Prxima >>                                         */
      echo("          <font class=textsmall>".RetornaFraseDaLista($lista_frases, 25));
      echo("</font>\n");
    }
    echo("        </td>\n");
    echo("        <td align=right>\n");

    /* Cria links para outras pginas.                           */
    for ($j = 1; $j <= $total_pag; $j++)
    {
      if ($sin_pag[$j] == true)
      {
        $boldtag = array ("<b>", "</b>");
        $classe = "text";
      }
      else
      {
        $boldtag = array ("", "");
        $classe = "textsmall";
      }

      /* A pgina atual NO  exibida com link.                  */
      if ($j == $pag_atual)
        echo("          <font class=".$classe.">".$boldtag[0].($j).$boldtag[1]."<font>\n");
      else
      {
        echo("          <a class=".$classe." href=# onClick='MudaPagina(".$j);
        echo(");return(false);'>".$boldtag[0].($j).$boldtag[1]."</a>\n");
      }
    }
    echo("        </td>\n");
    echo("      </tr>\n");
    echo("    </table>\n");
  }

  echo("    <br>\n");
  echo("    <p>\n");

  echo("    <table border=0 width=100% cellspacing=0>\n");
  echo("      <tr class=text>\n");
  echo("        <td>\n");

  /* Formulrio para Exibir Todas as mensagens.                                        */
  echo("          <form action=exibir_todas.php method=post>\n");

  echo(RetornaSessionIDInput());
  echo("            <input type=hidden name=cod_curso value=".$cod_curso.">\n");

  /* Repassa o cod_forum para reler as mensagens ou para executar alguma ao com elas */
  /* (ver, apagar, responder, etc.)                                                    */
  echo("            <input type=hidden name=cod_forum value='".$cod_forum."'>\n");
  /* Repassa o mtodo de ordenao, escolhida pelo usurio, para mant-lo ao voltar a  */
  /* esta pgina.                                                                      */
  echo("            <input type=hidden name=ordem value='".$ordem."'>\n");
  /* Repassa o status da mensagens que sero selecionadas: A ou D (Lixeira)            */
  echo("            <input type=hidden name=status value='".$status."'>\n");

  /* Se houver mensagens cria o boto para exibir todas as mensagens.                  */
  if ($total_mensagens > 0)
  {
    echo("            <input type=submit class=text value='");
    /* 71 - Exibir todas */
    echo(RetornaFraseDaLista($lista_frases, 71)."'>\n");
  }
  echo("          </form>\n");
  echo("        </td>\n");

  /* Cria o boto para voltar  lista de fruns.                                       */
  echo("        <td align=right>\n");
  echo("          <form action=forum.php method=post>\n");
  echo(RetornaSessionIDInput());
  echo("            <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  /* Repassa o status da mensagens que sero selecionadas: A ou D (Lixeira)            */
  echo("            <input type=hidden name=status value='".$status."'>\n");

  echo("            <input type=submit class=text value='");
  if ($status == 'A')
  {
    /* 34 - Retornar  lista de fruns */
    echo(RetornaFraseDaLista($lista_frases, 34)."'>\n");
  }
  else if ($status == 'D')
  {
    /* 63 - Retornar  lixeira */
    echo(RetornaFraseDaLista($lista_frases, 63)."'>\n");
  }
  echo("          </form>\n");
  echo("        </td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");

  echo("  </body>\n");
  echo("  </html>\n");

  Desconectar($sock);
?>
