<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/material/ver.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/material/ver.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("material.inc");

  session_register("cod_ferramenta_s");
  if (isset($cod_ferramenta))
    $cod_ferramenta_s=$cod_ferramenta;
  else
    $cod_ferramenta=$cod_ferramenta_s;

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,$cod_ferramenta);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,$cod_ferramenta);

  $eformador=EFormador($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - 3: Atividades
         4: Material de Apoio
         5: Leituras
         7: Parada Obrigatria
   */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  switch ($cod_ferramenta) {
    case 3 :
      echo("  <link rel=stylesheet TYPE=text/css href=atividades.css>\n");
      $tabela="Atividade";
      $dir="atividades";
      break;
    case 4 :
      echo("  <link rel=stylesheet TYPE=text/css href=apoio.css>\n");
      $tabela="Apoio";
      $dir="apoio";
      break;
    case 5 :
      echo("  <link rel=stylesheet TYPE=text/css href=leituras.css>\n");
      $tabela="Leitura";
      $dir="leituras";
      break;
    case 7 :
      echo("  <link rel=stylesheet TYPE=text/css href=obrigatoria.css>\n");
      $tabela="Obrigatoria";
      $dir="obrigatoria";
      break;
  }

  if ($acao=="mudarcomp" && $eformador)
  {
    MudarCompartilhamento($sock, $tabela, $cod_item, $tipo_comp);
  }


  /* Verificao se o item est em Edio */
  /* Se estiver, voltar a tela anterior, e disparar a tela de Em Edio... */
  $linha=RetornaUltimaPosicaoHistorico ($sock, $tabela, $cod_item);
  if ($linha['acao']=="E")
  {
    /* Est em edio... */
    echo("<script language=javascript>\n");
    echo("  window.open('em_edicao.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&origem=ver&cod_topico_raiz=".$cod_topico_raiz."','EmEdicao','width=300,height=220,top=150,left=250,status=yes,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');\n");
    echo("  document.location='material.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$linha_item['cod_item']."&origem=ver&cod_topico=".$cod_topico_raiz."';\n");
    echo("</script>\n");
    exit();
  }

  $dir_item_temp=CriaLinkVisualizar($sock, $dir, $cod_curso, $cod_usuario, $cod_item, $diretorio_arquivos, $diretorio_temp);

  echo("<script language=JavaScript src=../bibliotecas/dhtmllib.js></script>\n");
  echo("<script language=JavaScript>\n");
  echo("var isNav = (navigator.appName.indexOf(\"Netscape\") !=-1);\n");
  echo("var isIE = (navigator.appName.indexOf(\"Microsoft\") !=-1);\n");
  echo("var Xpos, Ypos;\n");

  echo("if (isNav)\n");
  echo("{\n");
  echo("  document.captureEvents(Event.MOUSEMOVE);\n");
  echo("}\n");
  echo("document.onmousemove = TrataMouse;\n");

  echo("function TrataMouse(e)\n");
  echo("{\n");
  echo("  Ypos = (isMinNS4) ? e.pageY : event.clientY;\n");
  echo("  Xpos = (isMinNS4) ? e.pageX : event.clientX;\n");
  echo("}\n");

  echo("function getPageScrollY()\n");
  echo("{\n");
  echo("  if (isNav)\n");
  echo("    return(window.pageYOffset);\n");
  echo("  if (isIE)\n");
  echo("    return(document.body.scrollTop);\n");
  echo("}\n");

  echo("function AjustePosMenuIE()\n");
  echo("{\n");
  echo("  if (isIE)\n");
  echo("    return(getPageScrollY());\n");
  echo("  else\n");
  echo("    return(0);\n");
  echo("}\n");

  echo("function Iniciar()\n");
  echo("{\n");
  echo("  cod_menu = getLayer(\"menu\");\n");
  echo("  cod_comp = getLayer(\"comp\");\n");
  echo("}\n");
  echo("\n");

  echo("function EscondeLayers()\n");
  echo("{\n");
  echo("  hideLayer(cod_menu);\n");
  echo("  hideLayer(cod_comp);\n");
  echo("}\n");

  echo("function MostraLayer(cod_layer,ajuste)\n");
  echo("{\n");
  echo("  EscondeLayers();\n");
  echo("  moveLayerTo(cod_layer,Xpos-ajuste,Ypos+AjustePosMenuIE());\n");
  echo("  showLayer(cod_layer);\n");
  echo("}\n");

  echo("function WindowOpenVer(id)\n");
  echo("{\n");
  echo("  window.open('".$dir_item_temp['link']."'+id+'?".time()."','Material','top=50,left=100,width=600,height=400,resizable=yes,menubar=yes,status=yes,toolbar=yes,scrollbars=yes');\n");
  echo("}\n");

  echo("function WindowOpenVerURL(end)\n");
  echo("{\n");
  echo("  window.open('http://'+end,'MaterialURL','top=50,left=100,width=600,height=400,resizable=yes,menubar=yes,status=yes,toolbar=yes,scrollbars=yes');\n");
  echo("}\n");

  if ($eformador)
  {

    echo("function TemCertezaApagar() {\n");
    /* 6 - Voc tem certeza de que deseja apagar esta atividade? */
    /* 7 - (a atividade ser movida para a lixeira) */
    echo("  return(confirm(\"".RetornaFraseDaLista($lista_frases,6)."\\n".RetornaFraseDaLista($lista_frases,7)."\"));\n");
    echo("}\n");

    echo("function AtualizaComp(js_tipo_comp)\n");
    echo("{\n");
    echo("  if (isNav) {\n");
    echo("    document.comp.document.form_comp.tipo_comp.value=js_tipo_comp;\n");
    echo("    document.comp.document.form_comp.cod_item.value=js_cod_item;\n");
    echo("    if (js_tipo_comp=='F') {\n");
    echo("      document.comp.document.form_comp.tipo_comp[0].checked=true;\n");
    echo("      document.comp.document.form_comp.tipo_comp[1].checked=false;\n");
    echo("    } else {\n");
    echo("      document.comp.document.form_comp.tipo_comp[1].checked=true;\n");
    echo("      document.comp.document.form_comp.tipo_comp[0].checked=false;\n");
    echo("    }\n");
    echo("  } else {\n");
    echo("    if (isIE) {\n");
    echo("      document.form_comp.tipo_comp.value=js_tipo_comp;\n");
    echo("      document.form_comp.cod_item.value=js_cod_item;\n");
    echo("      if (js_tipo_comp=='F') {\n");
    echo("        document.form_comp.tipo_comp[0].checked=true;\n");
    echo("        document.form_comp.tipo_comp[1].checked=false;\n");
    echo("      } else {\n");
    echo("        document.form_comp.tipo_comp[1].checked=true;\n");
    echo("        document.form_comp.tipo_comp[0].checked=false;\n");
    echo("      }\n");
    echo("    }\n");
    echo("  }\n");
    echo("}\n");

  }

  echo("</script>\n");


  echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad=\"Iniciar();\" onUnLoad=\"top.invisivel.location='../material/saida.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."';\">\n");
  echo("\n");

  /* Pgina Principal */
  /* 1 - 3: Atividades
         4: Material de Apoio
         5: Leituras
         7: Parada Obrigatria
   */
  $cabecalho ="<b class=titulo>".RetornaFraseDaLista($lista_frases,1)."</b>\n";
  /* 84 - Ver Atividade */
  $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,84)."</b>\n";

  /* Cabecalho */
  echo(PreparaCabecalho($cod_curso,$cabecalho,$cod_ferramenta));

  $lista_topicos_ancestrais=RetornaTopicosAncestrais($sock, $tabela, $cod_topico_raiz);
  unset($path);
  foreach ($lista_topicos_ancestrais as $cod => $linha)
  {
    if ($cod_topico_raiz!=$linha['cod_topico'])
    {
      $path="<a class=text href=\"material.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$linha['cod_topico']."\">".$linha['topico']."</a> &gt;&gt; ".$path;
    }
    else
    {
      $path="<a class=text href=\"material.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$linha['cod_topico']."\">".$linha['topico']."</a><br>\n";
    }
  }
  echo($path);
  echo("<p>\n");
  echo("<table border=0 width=100%>\n");
  echo("  <tr class=menu>\n");
  /* 29 - Atualizar */
  echo("    <td align=center><a href=\"ver.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico_raiz."&cod_item=".$cod_item."&time=".time()."\" class=menu><b>".RetornaFraseDaLista($lista_frases,29)."</b></a></td>\n");


    /* 1 - 3: Atividades
           4: Material de Apoio
           5: Leituras
           7: Parada Obrigatria
     */
    echo("    <td align=center><a href=\"material.php?".RetornaSessionID()."&cod_curso=".$cod_curso."\" class=menu><b>".RetornaFraseDaLista($lista_frases,1)."</b></a></td>\n");

  /* 30 - Ver Outros Itens */
  echo("    <td align=center><a href=\"material.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico_raiz."\" class=menu><b>".RetornaFraseDaLista($lista_frases,30)."</b></a></td>\n");
  echo("  </tr>\n");
  echo("</table>\n");
  echo("<br>\n");

  echo("<table border=0 width=100% cellspacing=0>\n");
  echo("  <tr>\n");
  echo("    <td width=1% class=colorfield>&nbsp;</td>\n");
  /* 35 - Ttulo */
  echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,35)."</td>\n");
  /* 13 - Data */
  echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,13)."</td>\n");
  if ($eformador)
    /* 14 - Compartilhar */
    echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,14)."</td>\n");


  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td colspan=3 height=5></td>\n");
  echo("  </tr>\n");

  $linha_item=RetornaDadosDoItem($sock, $tabela, $cod_item);

  if ($linha_item['tipo_compartilhamento']=="T")
  {
    /* 16 - Totalmente Compartilhado */
    $compartilhamento="<font class=text>".RetornaFraseDaLista($lista_frases,16)."</font>";
  }
  else
  {
    /* 17 - Compartilhado com Formadores */
    $compartilhamento="<font class=text>".RetornaFraseDaLista($lista_frases,17)."</font>";
  }

  $compartilhamento="<a class=text href=# onMouseDown=\"js_cod_item=".$linha_item['cod_item'].";AtualizaComp('".$linha_item['tipo_compartilhamento']."');MostraLayer(cod_comp,140);return(false);\">".$compartilhamento."</a>";


  echo("  <tr>\n");
  echo("    <td><img src=\"../figuras/arqp.gif\" border=0></td>\n");
  echo("    <td>\n");

  if ($eformador)
    echo("      <a href=# class=text onMouseDown=\"MostraLayer(cod_menu,0);return(false);\">".$linha_item['titulo']."</a>\n");
  else
    echo("      <font class=text>".$linha_item['titulo']."</font>\n");

  echo("    </td>\n");
  echo("    <td align=center><font class=text>".UnixTime2DataHora($linha_item['data'])."</font></td>\n");
  if ($eformador)
    echo("    <td align=center>".$compartilhamento."</td>\n");
  echo("  </tr>\n");
  echo("</table>\n");

  if ($linha_item['texto']!="")
  {

    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 31 - Comentrio  */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,31)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");

    echo("<font class=text>".AjustaParagrafo(Enter2Br(LimpaTags($linha_item['texto'])))."</font>\n");

    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

  }

  $lista_arq=RetornaArquivosMaterialVer($cod_curso, $dir_item_temp['diretorio']);
  $lista_arq_vis=RetornaArquivosVisiveis($lista_arq);

  $visiveis=0;
  if (count($lista_arq_vis)>0)
  {
    foreach($lista_arq_vis as $cod1 => $linha1)
    {
      if (!$linha1['Status'])
        $visiveis++;
    }
  }

  //if (count($lista_arq)>0)                                                                 /* linha retirada */
  if ($visiveis>0)
  {

    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 32 - Arquivos */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,32)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");

    $dir_atual="";

    //$lista_arq_vis=RetornaArquivosVisiveis($lista_arq);                                   /* linha retirada */
    foreach($lista_arq_vis as $cod => $linha)
    {
      if (!($linha['Arquivo']=="" && $linha['Diretorio']==""))
        if (!$linha['Status'])
        {
          /* Retirado, uma vez que no so exibidos os diretrios */
          /*
          $temp=explode("/",$linha['Diretorio']);
          $nivel=count($temp)-1;
          for ($c=0;$c<=$nivel;$c++)
            echo("&nbsp;&nbsp;&nbsp;");
          if ($linha['Diretorio']!="" && $linha['Arquivo']!="")
            echo("&nbsp;&nbsp;&nbsp;");

          if ($linha['Arquivo']=="")
            echo("<img src=../figuras/pasta.gif border=0> ".$temp[$nivel]);
          else
          */
          if ($linha['Arquivo']!="")
          {
            if (eregi(".zip$",$linha['Arquivo']))
              echo("<a class=text href=".$dir_item_temp['link']."/".ConverteUrl2Html($linha['Diretorio']."/".$linha['Arquivo'])." onclick=\"WindowOpenVer('".ConverteUrl2Html($linha['Diretorio']."/".$linha['Arquivo'])."');return(false);\"><img src=../figuras/arqzip.gif border=0> ".$linha['Arquivo']."</a>");
            else
              echo("<a class=text href=".$dir_item_temp['link']."/".ConverteUrl2Html($linha['Diretorio']."/".$linha['Arquivo'])." onclick=\"WindowOpenVer('".ConverteUrl2Html($linha['Diretorio']."/".$linha['Arquivo'])."');return(false);\"><img src=../figuras/arqp.gif border=0> ".$linha['Arquivo']."</a>");
            echo("<br>\n");
          }
        }
    }

    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

  }

  $lista_url=RetornaEnderecosMaterial($sock, $tabela, $cod_item);

  if (count($lista_url)>0)
  {

    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 33 - Endereos */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,33)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");

    foreach ($lista_url as $cod => $linha)
    {
      if ($linha['nome']!="")
      {
        echo("  <font class=text><a href=# onClick=\"WindowOpenVerURL('".ConverteSpace2Mais($linha['endereco'])."');return(false);\">".$linha['nome']."</a>&nbsp;&nbsp;(".$linha['endereco'].")<font><br>\n");
      }
      else
      {
        echo("  <font class=text><a href=# onClick=\"WindowOpenVerURL('".ConverteSpace2Mais($linha['endereco'])."');return(false);\">".$linha['endereco']."</a></font><br>\n");
      }
    }

    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

  }

  if ($eformador)
  {

    /* Layers */

    /* Menu */
    echo("<div id=menu class=block visibility=hidden onContextMenu=\"return(false);\">\n");
    echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
    echo("  <tr>\n");
    echo("    <td class=bgcolor align=right><a href=# onClick=\"EscondeLayers();return(false);\"><img src=../figuras/x.gif border=0 ></a></td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("      <td>\n");
    /* 34 - Histrico */
    echo("        <a class=text href=# onClick=\"window.open('historico.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_usuario=".$cod_usuario."&cod_item=".$cod_item."','Historico','width=450,height=300,top=150,left=250,status=yes,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');EscondeLayers();return(false);\">".RetornaFraseDaLista($lista_frases,34)."</a><br>\n");
    /* 9 - Editar (gen) */
    echo("        <a class=text href=editar_material.php onClick=\"this.search='?".RetornaSessionID()."&origem=ver&cod_curso=".$cod_curso."&cod_topico=".$cod_topico_raiz."&cod_item=".$cod_item."';EscondeLayers();\">".RetornaFraseDaLista($lista_frases_geral,9)."</a><br>\n");
    /* 1 - Apagar (gen) */
    echo("        <a class=text href=material.php onClick=\"this.search='?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=apagaritem&cod_item=".$cod_item."&cod_topico_raiz=".$cod_topico_raiz."';EscondeLayers();return(TemCertezaApagar());\">".RetornaFraseDaLista($lista_frases_geral,1)."</a><br>\n");
    echo("      </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");
    echo("</div>\n");
    echo("\n");

    /* Mudar Compartilhamento */
    echo("<div id=comp class=block visibility=hidden onContextMenu=\"return(false);\">\n");
    echo("<script language=JavaScript>\n");
    if (count($lista_itens)>0)
      foreach ($lista_itens as $cod => $linha_item)
      {
        echo("  js_comp[".$linha_item['cod_item']."]=\"".$linha_item['tipo_compartilhamento']."\";\n");
      }
    echo("</script>\n");
    echo("<form method=post name=form_comp action=ver.php>\n");
    echo(RetornaSessionIDInput());
    echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
    echo("  <input type=hidden name=cod_topico_raiz value=".$cod_topico_raiz.">\n");
    echo("  <input type=hidden name=cod_item value=".$cod_item.">\n");
    echo("  <input type=hidden name=acao value=mudarcomp>\n");
/*    echo("  <input type=hidden name=tipo_comp value=\"\">\n");*/
    echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
    echo("  <tr>\n");
    echo("    <td class=bgcolor align=right colspan=2><a href=# onClick=EscondeLayers();return(false);><img src=../figuras/x.gif border=0></a></td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");
    echo("      <table class=wtfield border=0>\n");
    echo("        <tr>\n");
    echo("          <td>\n");
    echo("            <input type=radio name=tipo_comp value=\"F\" class=wtfield onClick=\"submit();\">\n");
    echo("          </td>\n");
    echo("          <td>\n");
    /* 17 - Compartilhado com formadores */
    echo("            <font class=text><nobr>".RetornaFraseDaLista($lista_frases,17)."</nobr></font>\n");
    echo("          </td>\n");
    echo("        </tr>\n");
    echo("        <tr>\n");
    echo("          <td>\n");
    echo("            <input type=radio name=tipo_comp value=\"T\" class=wtfield onClick=\"submit();\">\n");
    echo("          </td>\n");
    echo("          <td>\n");
    /* 16 - Totalmente compartilhado */
    echo("            <font class=text><nobr>".RetornaFraseDaLista($lista_frases,16)."</nobr></font>\n");
    echo("          </td>\n");
    echo("        </tr>\n");
    echo("      </table>\n");
    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");
    echo("</form>\n");
    echo("</div>\n");

  }

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>