<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/perfil/perfil.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/perfil/perfil.php
  ========================================================== */

/* Cdigo principal */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("perfil.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,13);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  VerificaAcessoAFerramenta($sock,$cod_curso,$cod_usuario,13);

  MarcaAcesso($sock,$cod_usuario,13);

  echo("<html>\n");
  /* 1 - Perfil */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=perfil.css>\n");

  /* Funes javascript */
  echo("<script language=JavaScript>\n");

  /* *****************************************************************
  Funcao OpenWindow
  Abre nova janela com os perfis, se acessados atraves de checkboxes
    Entrada: nenhuma
    Saida:   nenhuma
  ***************************************************************** */
  echo("function OpenWindow() \n");
  echo("{\n");
  echo("  window.open(\"\",\"PerfilDisplay\",\"width=600,height=400,top=100,left=100,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
  echo("}\n\n");

  /* *********************************************************
  Funcao OpenWindowLink
    Abre nova janela com o perfil, se acessado atraves do link
    Entrada: funcao = $cod_curso - Codigo do curso
    Saida:   false - para nao dar reload na pagina. Conferir a
                     chamada da funo
  */
  echo("function OpenWindowLink(funcao) \n");
  echo("{\n");
  echo("  window.open(\"exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]=\"+funcao+\"&cod_usuario=".$cod_usuario."\",\"PerfilDisplay\",\"width=600,height=400,top=100,left=100,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes\");\n");
  echo("  return(false);\n");
  echo("}\n\n");

  /* ******************************************************************
  Funcao Check All
    Marca todas as checkboxes do respectivo grupo de usuarios
    Entrada: funcao - identifica se (1)aluno ou (2)formador
    Saida: nenhuma
  */
  echo("function CheckAll(funcao)\n");
  echo("{\n");
  echo("  var elem=document.Perfil.elements;\n");
  echo("  var nome_var='cod_aluno[]';\n");
  echo("  var nome_var_all='cod_aluno_all';\n");
  echo("  var changed=false;\n");
  echo("\n");
  echo("  if (funcao==2)\n");
  echo("  {\n");
  echo("    nome_var='cod_formador[]';\n");
  echo("    nome_var_all='cod_formador_all';\n");
  echo("  }\n");
  echo("  var i=0;\n");
  echo("  while (i < elem.length)\n");
  echo("  {\n");
  echo("    if (elem[i].name==nome_var_all)\n");
  echo("      changed=elem[i].checked;\n");
  echo("    else if (elem[i].name==nome_var)\n");
  echo("      elem[i].checked=changed;\n");
  echo("    i++;\n");
  echo("  }\n");
  echo("}\n");

  /* ********************************************************************************************
  Funcao UnCheckHeader
    Desmarca as checkboxes que marcam todas, caso a checkbox de um usuario tenha sido desmarcada
    Entrada: funcao - identifica a checkbox a desmarcar
    Saida:   nenhuma
  */
  echo("function UnCheckHeader(funcao)\n");
  echo("{\n");
  echo("  var elem=document.Perfil.elements;\n");
  echo("  var nome_var_all='cod_aluno_all';\n");
  echo("  if (funcao==2)\n");
  echo("    nome_var_all='cod_formador_all';\n");
  echo("  var i=0;\n");
  echo("  while (i < elem.length)\n");
  echo("  {\n");
  echo("    if (elem[i].name==nome_var_all)\n");
  echo("      elem[i].checked=false;\n");
  echo("    i++;\n");
  echo("  }\n");
  echo("}\n");

  echo("</script>\n");

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");
  /* 1 - Perfil */
  $cabecalho ="<b class=titulo>".RetornaFraseDaLista($lista_frases,1)."</b>";

  echo(PreparaCabecalho($cod_curso,$cabecalho,13));

  echo("<br>\n");
  echo("<p>\n");

  if (EFormador($sock,$cod_curso,$cod_usuario)&&(!$visao_aluno_s))
  {
    echo("  <table border=0 width=100%>\n");
    echo("    <tr class=menu>\n");
    echo("      <td align=center><a href=editar_orientacao.php?".RetornaSessionID()."&cod_curso=".$cod_curso." class=menu>");
    /* 2-Editar orientao para preenchimento do Perfil */
    echo(RetornaFraseDaLista($lista_frases,2)."</a></td>\n  </tr>\n  </table>\n");
  }

  echo("  <form name=\"Perfil\" action=exibir_perfis.php method=post target=PerfilDisplay onSubmit=OpenWindow();\n");
  echo(RetornaSessionIDInput());
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");

  echo("<p>\n");

  $ultimo_acesso = PenultimoAcesso($sock,$cod_usuario,"");

  /*
  ================
  Tabela de alunos
  ================
  */

  $lista = ListaUsuario($sock,"A",$cod_curso);

  $total = count($lista);
  if ($total > 0)
  {
    /* 3-Alunos */
    echo("<font class=text><B>".RetornaFraseDaLista($lista_frases,3)."</b></font>\n");

    echo("  <table border=0 width=100% cellspacing=0>\n");
    echo("    <tr class=colorfield>\n");
    echo("      <td class=colorfield align=center width=5%><input type=checkbox name=cod_aluno_all value=1 onclick=\"CheckAll(1);\" ></td>\n");
    /* 4-Nome */
    echo("      <td class=colorfield align=left width=65%><B>".RetornaFraseDaLista($lista_frases,4)."</b></td>\n");
    /* 5-Data */
    echo("      <td class=colorfield align=left width=30%><B>".RetornaFraseDaLista($lista_frases,5)."</b></td>\n");
    echo("    </tr>\n");

    foreach ($lista as $i => $dados)
    # for ($c=0;$c<count($lista);$c++)
    {
      $linha = Retornaperfil($sock,$dados['cod_usuario']);

      $bopen_tag = "";
      $bclose_tag = "";

      if ((isset($linha)) && ($linha['data'] > $ultimo_acesso))
      {
        $bopen_tag = "<b>";
        $bclose_tag = "</b>";
      }

      echo("  <tr>\n");
      echo("    <td align=center>\n");
      echo("    <input type=checkbox name=cod_aluno[] value=".$dados['cod_usuario']." onclick=\"UnCheckHeader(1);\">\n");
      echo("    </td>\n");
      echo("    <td>");
      echo($bopen_tag."<a href=# onClick=\"return(OpenWindowLink(".$dados['cod_usuario']."));\" class=text>".$dados['nome']."</a>".$bclose_tag);
      echo("</td>\n");

      if (isset($linha))
      {
        echo("    <td class=text>".$bopen_tag.UnixTime2DataHora($linha['data']).$bclose_tag."\n");
      }
      else
      {
        /* 6-no disponvel */
        echo("    <td><font color=#707070 class=text>(".RetornaFraseDaLista($lista_frases,6).")</font><td>\n");
      }
      echo("  </tr>\n");
    }
    echo("  </table>\n");

    /* 8 - Mostrar Selecionados */
    echo("  <input type=submit value='".RetornaFraseDaLista($lista_frases,8)."'>\n  <br><br>\n");
  }

  /*
  ====================
  Tabela de Formadores
  ====================
  */

  $dados_coord = ListaCoordenador($sock, $cod_curso);
  if (isset($dados_coord))
    $cod_coordenador = $dados_coord['cod_usuario'];

  $lista = ListaUsuario($sock, "F", $cod_curso);

  $total = count($lista);
  if ($total > 0)
  {
    /* 7-Formadores */
    echo("<font class=text><B>".RetornaFraseDaLista($lista_frases,7)."</b></font>\n");

    echo("  <table border=0 width=100% cellspacing=0>\n");
    echo("    <tr width=10 class=colorfield>\n");
    echo("      <td class=colorfield align=center width=5%><input type=checkbox name=cod_formador_all value=2 onclick=\"CheckAll(2);\" ></td>\n");
    /* 4-Nome */
    echo("      <td class=colorfield align=left width=65%><B>".RetornaFraseDaLista($lista_frases,4)."</b></td>\n");
    /* 5-Data */
    echo("      <td class=colorfield align=left width=30%><B>".RetornaFraseDaLista($lista_frases,5)."</b></td>\n");
    echo("    </tr>\n");

    foreach ($lista as $i => $dados)
    # for ($i = 0; $i < $total; $i++)
    {
      # if (($lista[$i]['cod_usuario'] != $cod_coordenador) && ($lista[$i]['cod_usuario'] >= 0))
      if (($dados['cod_usuario'] >= 0) && (($dados_coord['status'] == 'F') || ($dados['cod_usuario'] != $cod_coordenador)))
      {
        $tupla = RetornaPerfil($sock, $dados['cod_usuario']);

        $bopen_tag = "";
        $bclose_tag = "";

        if ((isset($tupla)) && ($tupla['data'] > $ultimo_acesso))
        {
          $bopen_tag = "<b>";
          $bclose_tag = "</b>";
        }

        echo("  <tr>\n");
        echo("    <td align=center>\n");
        echo("    <input type=checkbox name=cod_formador[] value=".$dados['cod_usuario']." onclick=\"UnCheckHeader(2);\">\n");
        echo("    </td>\n");
        echo("    <td>");
        echo($bopen_tag."<a href=# onClick=\"return(OpenWindowLink(".$dados['cod_usuario']."));\" class=text>".$dados['nome']."</a>".$bclose_tag);
        echo("</td>\n");

        if (isset($tupla))
        {
          echo("    <td class=text>".$bopen_tag.UnixTime2DataHora($tupla['data']).$bopen_tag."\n");
        }
        else
        {
          /* 6-no disponvel */
          echo("    <td><font color=#707070 class=text>(".RetornaFraseDaLista($lista_frases, 6).")</font><td>\n");
        }
        echo("  </tr>\n");
      }
    }
    echo("  </table>\n");

    /* 8 - Mostrar Selecionados */
    echo("  <input type=submit value='".RetornaFraseDaLista($lista_frases,8)."'>\n  <br><br>\n");
  }

  /*
  =====================
  Tabela do Coordenador
  =====================
  */
  if ((isset($dados_coord)) && ($dados_coord['status'] == 'C'))
  {
    # $linha=ListaCoordenador($sock,$cod_curso);
    $linha_perfil = RetornaPerfil($sock, $dados_coord['cod_usuario']);

    /* 28 - Coordenador */
    echo("<font class=text><B>".RetornaFraseDaLista($lista_frases,28)."</b></font>\n");

    echo("  <table border=0 width=100% cellspacing=0>\n");
    echo("    <tr width=10 class=colorfield>\n");
    echo("      <td class=colorfield align=center width=5%>&nbsp;</td>\n");
    /* 4-Nome */
    echo("      <td class=colorfield align=left width=65%><b>".RetornaFraseDaLista($lista_frases,4)."</b></td>\n");
    /* 5-Data */
    echo("      <td class=colorfield align=left width=30%>".RetornaFraseDaLista($lista_frases,5)."</td>\n");
    echo("    </tr>\n");

    $bopen_tag = "";
    $bclose_tag = "";

    if ((isset($linha_perfil)) && ($linha_perfil['data'] > $ultimo_acesso))
    {
      $bopen_tag = "<b>";
      $bclose_tag = "</b>";
    }

    echo("  <tr>\n");
    echo("    <td align=center>\n");
    echo("    <input type=checkbox name=cod_coordenador[] value=".$dados_coord['cod_usuario'].">\n");
    echo("    </td>\n");
    echo("    <td>\n");
    echo($bopen_tag."<a href=# onClick=\"return(OpenWindowLink(".$dados_coord['cod_usuario']."));\" class=text>".$dados_coord['nome']."</a>".$bclose_tag);
    echo("</td>\n");

    # $linha = RetornaPerfil($sock, $linha['cod_usuario']);
    if (isset($linha_perfil))
    {
        echo("    <td class=text>".$bopen_tag.UnixTime2DataHora($linha_perfil['data']).$bclose_tag."\n");
    }
    else
    {
      /* 6-no disponvel */
      echo("    <td><font color=#707070 class=text>(".RetornaFraseDaLista($lista_frases, 6).")</font><td>\n");
    }
    echo("  </tr>\n");
    echo("</table>\n");

    /* 8-Mostrar Selecionados */
    echo("  <input type=submit value='".RetornaFraseDaLista($lista_frases,8)."'>\n  <br><br>\n");
  }

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>
