<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/criar_portfolio.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/criar_portfolio.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  session_register("cod_item_s");
  if (isset($cod_item))
    $cod_item_s=$cod_item;
  else
    $cod_item=$cod_item_s;

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Portfolio  */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if ($dono_portfolio)
  {
    $cod_item=IniciaCriacao($sock, $cod_topico, $cod_usuario, $cod_grupo_portfolio, $cod_curso, $diretorio_temp);
    echo("<body onLoad=\"document.criar.submit();\">\n");

    echo("<form name=criar action=editar_portfolio2.php method=post target=trabalho>\n");
    echo(RetornaSessionIDInput());

    echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
    echo("  <input type=hidden name=cod_item value=".$cod_item.">\n");
    echo("  <input type=hidden name=cod_topico value=".$cod_topico.">\n");
    echo("  <input type=hidden name=origem value=".$origem.">\n");
    echo("  <input type=hidden name=titulo value=\"\">\n");
    echo("  <input type=hidden name=texto value=\"\">\n");
    echo("  <input type=hidden name=compartilhamento value=\"\">\n");
    echo("  <input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
    echo("  <input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");
    echo("</form>\n");

/*
    echo("<script language=javascript>\n");
    echo("  document.criar.submit();\n");
    echo("</script>\n");
*/

    echo("</body>\n");
    echo("</html>\n");

  }
  else
  {
    echo("<html>\n");
    /* 1 - Portfolio */
    echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

    echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");

    // 1 - Portfolio
    echo("<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>");

    /* 50 - rea restrita ao(s) dono(s) do portflio. */
    echo("<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,50)."</b><br>\n");

    /* 13 - Fechar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onclick=self.close();></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  Desconectar($sock);
  exit;

?>
