<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/editar_portfolio3.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/editar_portfolio3.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  session_register("cod_topico_s");
  if (isset($cod_topico))
    $cod_topico_s=$cod_topico;
  else
    $cod_topico=$cod_topico_s;
  unset($cod_topico_s);

  session_register("cod_item_s");
  if (isset($cod_item))
    $cod_item_s=$cod_item;
  else
    $cod_item=$cod_item_s;
  unset($cod_item_s);

  session_register("origem_s");
  if (isset($origem))
    $origem_s=$origem;
  else
    $origem=$origem_s;
  unset($origem_s);

  session_register("titulo_s");
  unset($titulo_s);

  session_register("texto_s");
  unset($texto_s);

  session_register("compartilhamento_s");
  unset($compartilhamento_s);

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  echo("<html>\n");
  /* 1 - Portfolio */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if (! $dono_portfolio)
  {
    echo("<html>\n");
    /* 1 - Portfolio */
    echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

    echo("<body link=#0000ff vlink=#0000ff bgcolor=white>\n");

    // 1 - Portflio
    $cabecalho = "<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>";

    /* 50 - rea restrita ao(s) dono(s) do portflio. */
    $cabecalho.= "<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,50)."</b>\n";

    /* Cabecalho */
    echo(PreparaCabecalho($cod_curso,$cabecalho,15));

    /* 23 - Voltar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,23)."' onclick=history.go(-1);></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  /* Pgina Principal */
  // 1 - Portflio
  $cabecalho = "<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>";

  $linha=RetornaUltimaPosicaoHistorico($sock, $cod_item);
  if ($linha['acao']=='C')
    /* 47 - Novo Item do Portflio */
    $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,47)."</b>\n";
  else
    /* 48 - Editar Item do Portflio */
    $cabecalho.="<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,48)."</b>\n";

  /* Cabecalho */
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  echo("<p>\n");

  $titulo=LimpaTitulo($titulo);
  $texto=EliminaScript($texto);
  $texto=LimpaConteudo($texto);
  AtualizaMaterial($sock,$cod_curso,$cod_item,$titulo,$texto,$compartilhamento,$diretorio_arquivos,$diretorio_temp,$cod_usuario);

  echo("<form name=portfolio action=index_portfolio.php method=post>\n");
  echo(RetornaSessionIDInput());
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("<input type=hidden name=cod_item value=".$cod_item.">\n");
  echo("<input type=hidden name=cod_topico value=".$cod_topico.">\n");
  echo("<input type=hidden name=origem value=".$origem.">\n");
  echo("<input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
  echo("<input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");

  /* 49 - Item editado com sucesso. */
  echo("<font class=text>".RetornaFraseDaLista($lista_frases,49)."</font><br><br>");

  /* 18 - Ok (ger) */
  echo("<input class=text type=submit value='".RetornaFraseDaLista($lista_frases_geral,18)."'>");

  if ($compartilhamento=="T")
  {
    AtualizaFerramentasNova($sock,15,'T');
  }
  else if ($compartilhamento=="F")
  {
    AtualizaFerramentasNova($sock,15,'F');
  }

  echo("</form>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
?>
