<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/anexar_arquivo.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/anexar_arquivo.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  /* session_register("texto_s"); */

  session_register("cod_item_s");
  if (isset($cod_item))
    $cod_item_s=$cod_item;
  else
    $cod_item=$cod_item_s;

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if (!$dono_portfolio)
  {
    echo("<html>\n");
    /* 1 - Portflio */
    echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

    echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad=self.focus();>\n");

    // 1 - Portflio
    echo("<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>");

    /* 50 - rea restrita ao(s) dono(s) do portflio. */
    echo("<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,50)."</b><br>\n");

    /* 13 - Voltar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onclick=self.close();></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  echo("<html>\n");
  /* 1 - Portflio */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  echo("<script language=javascript>\n");

  echo("  function validar(form)\n");
  echo("  {\n");

  echo("    var nome=form.endereco.value;\n");
  echo("    while (nome.search(\" \") != -1)\n");
  echo("    {\n");
  echo("      nome = nome.replace(/ /, \"\");\n");
  echo("    }\n");
  echo("    form.endereco.value=nome;\n");

  echo("    if (form.endereco.value=='')\n");
  echo("    {\n");
  /* 64 - Pelo menos o endereo deve ser preenchido! */
  echo("      alert('".RetornaFraseDaLista($lista_frases,64)."');\n");
  echo("      return false;\n");
  echo("    }\n");
  echo("    return true;\n");
  echo("  }\n");

  echo("  function Atualiza() {\n");
  echo("    document.atualizar.titulo.value=top.opener.document.portfolio.titulo.value;\n");
  echo("    document.atualizar.texto.value=top.opener.document.portfolio.texto.value;\n");
  echo("    document.atualizar.compartilhamento.value=top.opener.document.portfolio.tipo_comp.value;\n");
  echo("    document.atualizar.submit();\n");
  echo("  }\n");


  echo("</script>\n");

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white onload=self.focus();>\n");

  // 1 - Portfolio
  $cabecalho = ("<b class=titulo>".RetornaFraseDaLista($lista_frases,1)."</b>\n");

  /* 45 - Incluir Endereo */
  $cabecalho.= ("<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,45)."</b>\n");
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  echo("<br>\n");
  echo("<p>\n");

  echo("<form name=endereco action=incluir_url2.php method=post onSubmit=return(validar(this));>\n"); 
  echo(RetornaSessionIDInput());
  /* 65 - Digite abaixo o ttulo e o endereo da internet a ser incluido. */
  echo("  <font class=text>".RetornaFraseDaLista($lista_frases,65)."<br>\n");
  /* 41 - Ttulo */
  echo("  <p><font class=text>".RetornaFraseDaLista($lista_frases,41).":</font><br>\n");
  echo("  <input type=text name=nome class=text size=30><br>\n");
  /* 66 - Endereo */
  echo("  <p><font class=text>".RetornaFraseDaLista($lista_frases,66).":</font><br>\n");
  echo("  <nobr><font class=text>http://</font><input type=text name=endereco class=text size=25></nobr><br>\n");

  /* 18 - Ok (ger) */
  echo("  <input type=submit value='".RetornaFraseDaLista($lista_frases_geral,18)."' class=text>\n");
  /* 2 - Cancelar (ger) */
  echo("  &nbsp;&nbsp;&nbsp;<input type=button value='".RetornaFraseDaLista($lista_frases_geral,2)."' onclick=Atualiza();self.close(); class=text>\n");
  echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("  <input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
  echo("  <input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");
  echo("</form>\n");

  echo("<form name=atualizar action=editar_portfolio2.php method=post target=trabalho>\n");
  echo(RetornaSessionIDInput());
  echo("  <input type=hidden name=titulo value=\"\">\n");
  echo("  <input type=hidden name=texto value=\"\">\n");
  echo("  <input type=hidden name=compartilhamento value=\"\">\n");
  echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("  <input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
  echo("  <input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");
  echo("</form>\n");

 
  echo("</body>\n");
  echo("</html>\n");
  Desconectar($sock);
?>
