<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/incluir_url2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/anexar_arquivo2.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  /* session_register("texto_s"); */

  session_register("cod_item_s");
  if (isset($cod_item))
    $cod_item_s=$cod_item;
  else
    $cod_item=$cod_item_s;

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if (!$dono_portfolio)
  {
    echo("<html>\n");
    /* 1 - Portfolio */
    echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

    echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad=self.focus();>\n");

    // 1 - Portflio
    echo("<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>");

    /* 50 - rea restrita ao(s) dono(s) do portflio. */
    echo("<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,50)."</b><br>\n");
    /* 13 - Fechar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onclick=self.close();></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  echo("<html>\n");
  /* 1 - Portflio */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  echo("<script languague=JavaScript>\n");
  echo("  function Atualiza() {\n");
  echo("    document.atualizar.titulo.value=top.opener.document.portfolio.titulo.value;\n");
  echo("    document.atualizar.texto.value=top.opener.document.portfolio.texto.value;\n");
  echo("    document.atualizar.compartilhamento.value=top.opener.document.portfolio.tipo_comp.value;\n");
  echo("    document.atualizar.submit();\n");
  echo("  }\n");
  echo("</script>\n");

  InsereEndereco($sock, trim(LimpaTags($nome)), LimpaTags($endereco), $cod_item);

  echo("<body link=#0000ff vlink=#0000ff bgcolor=white onload=self.focus();>\n");

  // 1 - Portflio
  $cabecalho = ("<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>");

  /* 45 - Incluir Endereo */
  $cabecalho.= ("<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,45)."</b>\n");
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  echo("<br>\n");
  echo("<p>\n");

  echo("<form action=incluir_url.php method=post>\n");
  echo(RetornaSessionIDInput());
  /* 67 - Endereo da Internet incluido com sucesso. */
  echo("<font class=text>".RetornaFraseDaLista($lista_frases,67)."<br><br>\n");
  /* 68 - Voc deseja inserir outro endereo? */
  echo("<font class=text>".RetornaFraseDaLista($lista_frases,68)."<br>\n");
  /* 35 - Sim (ger) */
  echo("  <input type=submit value='".RetornaFraseDaLista($lista_frases_geral,35)."' class=text>\n");
  /* 36 - No (ger) */
  echo("  &nbsp;&nbsp;&nbsp;<input type=button value='".RetornaFraseDaLista($lista_frases_geral,36)."' onclick=\"Atualiza();self.close();\" class=text>\n");
  echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("  <input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
  echo("  <input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");

  echo("</form>\n");

  echo("<form name=atualizar action=editar_portfolio2.php method=post target=trabalho>\n");
  echo(RetornaSessionIDInput());
  echo("  <input type=hidden name=titulo value=\"\">\n");
  echo("  <input type=hidden name=texto value=\"\">\n");
  echo("  <input type=hidden name=compartilhamento value=\"\">\n");
  echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("  <input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
  echo("  <input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");

  echo("</form>\n");

  echo("</body>\n");
  echo("</html>\n");
  Desconectar($sock);
?>
