<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/ocultar_arquivo.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/ocultar_arquivos.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  session_register("cod_item_s");
  if (isset($cod_item))
    $cod_item_s=$cod_item;
  else
    $cod_item=$cod_item_s;

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if (! $dono_portfolio)
  {
    echo("<html>\n");
    /* 1 - Portfolio */
    echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
    echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

    echo("<body link=#0000ff vlink=#0000ff bgcolor=white onLoad=self.focus();>\n");

    // 1 - Portfolio
    echo("<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>");

    /* 50 - rea restrita ao(s) dono(s) do portflio. */
    echo("<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases,50)."</b><br>\n");

    /* 13 - Fechar (gen) */
    echo("<form><input type=button value='".RetornaFraseDaLista($lista_frases_geral,13)."' onclick=self.close();></form>\n");
    echo("</body></html>\n");
    Desconectar($sock);
    exit;
  }

  echo("<html>\n");
  /* 1 - Portflio  */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  echo("<script language=javascript>\n");
  echo("function CheckAll(elemento)\n");
  echo("{\n");
  echo("  var elem=document.portfolio.elements;\n");
  echo("  var nome_var='arq[]';\n");
  echo("  var changed=elemento.checked;\n");
  echo("  var i=0;\n");
  echo("  while (i < elem.length)\n");
  echo("  {\n");
  echo("    if (elem[i].name==nome_var)\n");
  echo("      elem[i].checked=changed;\n");
  echo("    i++;\n");
  echo("  }\n");
  echo("}\n");

  echo("function UnCheckAll()\n");
  echo("{\n");
  echo("  var elem=document.portfolio.elements;\n");
  echo("  var i=0;\n");
  echo("  while (i < elem.length)\n");
  echo("  {\n");
  echo("    if (elem[i].name=='all')\n");
  echo("    {\n");
  echo("      elem[i].checked=false;\n");
  echo("      i=elem.length;\n");
  echo("    }\n");
  echo("    i++;\n");
  echo("  }\n");
  echo("}\n");
  echo("</script>\n");


  echo("<body link=#0000ff vlink=#0000ff bgcolor=white onload=self.focus();>\n");

  $cabecalho = ("<b class=titulo>".RetornaFraseDaLista ($lista_frases, 1)."</b>");

  /* 28 - Ocultar Arquivos (ger) */
  $cabecalho.= ("<b class=subtitulo> - ".RetornaFraseDaLista($lista_frases_geral,28)."</b>\n");

  /* Cabecalho */
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  echo("<br>\n");
  echo("<p>\n");

  /* 43 - Os arquivos marcados no sero visveis pelo aluno. */
  echo("<font class=text>".RetornaFraseDaLista($lista_frases,43)."</font><br><br>");

  echo("<form name=portfolio action=ocultar_arquivos2.php method=post>\n");
  echo(RetornaSessionIDInput());

  /* Pegando lista de arquivos e gerando lista de diretrios */

  $lista=RetornaArquivosMaterialTemp($cod_curso,$diretorio_temp,$cod_item);

  /* Campo para os arquivos */

  echo("<table width=100% cellpadding=0 cellspacing=0 border=0 class=g1field>\n");
  echo("  <tr class=colorfield>\n");

  /* 33 - Arquivos Anexos(ger) */
  echo("    <td><input type=checkbox name=all onClick='CheckAll(this);'></td>\n");
  echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases_geral,33)."</td>\n");
  echo("  </tr>\n");

  if (count($lista)>0)
  {
    foreach($lista as $cod => $linha)
    {
      if (!($linha['Arquivo']=="" && $linha['Diretorio']==""))
      {
        if ($linha['Arquivo']!="")
        {
          $checked=($linha['Status'] ? "checked" : "");
          echo("<tr><td width=1%><input class=g1field type=checkbox name=arq[] ".$checked." value='".$linha['Diretorio']."/".$linha['Arquivo']."' onClick='UnCheckAll();'></td><td>\n");
        }
        else
          echo("<tr><td>&nbsp;</td><td>\n");
        echo("<font class=text>");
        $temp=explode("/",$linha['Diretorio']);
        $nivel=count($temp)-1;
        for ($c=0;$c<$nivel;$c++)
          echo("&nbsp;&nbsp;&nbsp;");
        if ($linha['Diretorio']!="" && $linha['Arquivo']!="")
          echo("&nbsp;&nbsp;&nbsp;");
        if ($linha['Arquivo']=="")
          echo("<img src=../figuras/pasta.gif border=0> ".$temp[$nivel]."<br>\n");
        else if (eregi(".zip$",$linha['Arquivo']))
          echo("<img src=../figuras/arqzip.gif border=0> ".$linha['Arquivo']."<br>\n");
        else
          echo("<img src=../figuras/arqp.gif border=0> ".$linha['Arquivo']."<br>\n");
        echo("</font></td></tr>\n");
      }
    }
  }
  echo("</table>\n");

  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
  echo("<input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
  echo("<input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");


  echo("<table width=100%><tr><td align=right>");
  /* 11 - Enviar (ger) */
  echo("<input type=submit value='".RetornaFraseDaLista($lista_frases_geral,11)."'>&nbsp;&nbsp;");

  /* 2 - Cancelar (ger) */
  echo("<input type=button value='".RetornaFraseDaLista($lista_frases_geral,2)."' onclick=self.close();>");


  echo("</td></tr></table>\n");
  echo("</form>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>
