<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : cursos/aplic/portfolio/ver.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : cursos/aplic/portfolio/ver.php
  ========================================================== */

  $bibliotecas="../bibliotecas/";
  include($bibliotecas."geral.inc");
  include("portfolio.inc");

  $cod_usuario=VerificaAutenticacao($cod_curso);

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,15);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $diretorio_arquivos=RetornaDiretorio($sock,'Arquivos');
  $diretorio_temp=RetornaDiretorio($sock,'ArquivosWeb');

  Desconectar($sock);

  $sock=Conectar($cod_curso);

  VerificaAcessoAoCurso($sock,$cod_curso,$cod_usuario);
  echo("<html>\n");
  /* 1 - Portflio */
  echo("  <head><title>TelEduc - ".RetornaFraseDaLista($lista_frases,1)."</title></head>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=../teleduc.css>\n");
  echo("  <link rel=stylesheet TYPE=text/css href=portfolio.css>\n");

  /* Verificao se o item est em Edio */
  /* Se estiver, voltar a tela anterior, e disparar a tela de Em Edio... */
  $linha=RetornaUltimaPosicaoHistorico ($sock, $cod_item);
  if ($linha['acao']=="E")
  {
    /* Est em edio... */
    echo("<script language=javascript>\n");
    echo("  window.open('em_edicao.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&origem=ver&cod_topico_raiz=".$cod_topico_raiz."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."','EmEdicao','width=300,height=220,top=150,left=250,status=yes,toolbar=no,menubar=no,resizable=yes');\n");
    echo("  document.location='portfolio.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$linha_item['cod_item']."&origem=ver&cod_topico=".$cod_topico_raiz."';\n");
    echo("</script>\n");
    exit();
  }

  $eformador=EFormador($sock,$cod_curso,cod_usuario);

  $dir_item_temp=CriaLinkVisualizar($sock, $cod_curso, $cod_usuario, $cod_item, $diretorio_arquivos, $diretorio_temp);

  $status_portfolio = RetornaStatusPortfolio ($sock, $cod_curso, $cod_usuario, $cod_usuario_portfolio, $cod_grupo_portfolio);

  $dono_portfolio    = $status_portfolio ['dono_portfolio'];
  $portfolio_apagado = $status_portfolio ['portfolio_apagado'];
  $portfolio_grupo   = $status_portfolio ['portfolio_grupo'];

  if ($acao=="mudarcomp" && $dono_portfolio)
  {
    MudarCompartilhamento($sock, $cod_item, $tipo_comp);
  }

  echo("<script language=JavaScript src=../bibliotecas/dhtmllib.js></script>\n");
  echo("<script language=JavaScript>\n");
  echo("var isNav = (navigator.appName.indexOf(\"Netscape\") !=-1);\n");
  echo("var isIE = (navigator.appName.indexOf(\"Microsoft\") !=-1);\n");
  echo("var Xpos, Ypos;\n");

  echo("if (isNav)\n");
  echo("{\n");
  echo("  document.captureEvents(Event.MOUSEMOVE);\n");
  echo("}\n");
  echo("document.onmousemove = TrataMouse;\n");

  echo("function TrataMouse(e)\n");
  echo("{\n");
  echo("  Ypos = (isMinNS4) ? e.pageY : event.clientY;\n");
  echo("  Xpos = (isMinNS4) ? e.pageX : event.clientX;\n");
  echo("}\n");

  echo("function getPageScrollY()\n");
  echo("{\n");
  echo("  if (isNav)\n");
  echo("    return(window.pageYOffset);\n");
  echo("  if (isIE)\n");
  echo("    return(document.body.scrollTop);\n");
  echo("}\n");

  echo("function AjustePosMenuIE()\n");
  echo("{\n");
  echo("  if (isIE)\n");
  echo("    return(getPageScrollY());\n");
  echo("  else\n");
  echo("    return(0);\n");
  echo("}\n");

  echo("function Iniciar()\n");
  echo("{\n");
  echo("  cod_menu = getLayer(\"menu\");\n");
  echo("  cod_topicos = getLayer(\"topicos\");\n");
  if ($dono_portfolio)
    echo("  cod_comp = getLayer(\"comp\");\n");
  echo("}\n");
  echo("\n");

  echo("function EscondeLayers()\n");
  echo("{\n");
  echo("  hideLayer(cod_menu);\n");
  echo("  hideLayer(cod_topicos);\n");
  if ($dono_portfolio)
    echo("  hideLayer(cod_comp);\n");
  echo("}\n");

  echo("function MostraLayer(cod_layer,ajuste)\n");
  echo("{\n");
  echo("  EscondeLayers();\n");
  echo("  moveLayerTo(cod_layer,Xpos-ajuste,Ypos+AjustePosMenuIE());\n");
  echo("  showLayer(cod_layer);\n");
  echo("}\n");

  echo("function WindowOpenVer(id)\n");
  echo("{\n");
  echo("  window.open('".$dir_item_temp['link']."'+id+'?".time()."','Portfolio','top=50,left=100,width=600,height=400,menubar=yes,status=yes,toolbar=yes,scrollbars=yes,resizable=yes');\n");
  echo("}\n");

  echo("function WindowOpenVerURL(end)\n");
  echo("{\n");
  echo("  window.open('http://'+end,'PortfolioURL','top=50,left=100,width=600,height=400,menubar=yes,status=yes,toolbar=yes,scrollbars=yes,resizable=yes');\n");
  echo("}\n");

  if ($dono_portfolio)
  {
    echo("function TemCertezaApagar() {\n");
    /* 18 - Voc tem certeza de que deseja apagar esta atividade? */
    /* 19 - (a atividade ser movida para a lixeira) */
    echo("  return(confirm(\"".RetornaFraseDaLista($lista_frases,18)."\\n".RetornaFraseDaLista($lista_frases,19)."\"));\n");
    echo("}\n");
  }

  echo("function AbreJanelaComponentes(cod_grupo)\n");
  echo("{\n");
  echo("  window.open('integrantes.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_grupo='+cod_grupo,'Componentes','width=400,height=300,top=150,left=250,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=yes');\n");
  echo("  return false;\n");
  echo("}\n");

  echo("function AbrePerfil(cod_usuario)\n");
  echo("{\n");
  echo("  window.open('../perfil/exibir_perfis.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_aluno[]='+cod_usuario,'PerfilDisplay','width=620,height=400,top=60,left=60,scrollbars=yes,status=yes,toolbar=no,menubar=no,resizable=no');\n");
  echo("  return(false);\n");
  echo("}\n");

  echo("function OpenWindowComentar()\n");
  echo("{\n");
  echo("  EscondeLayers();\n");
  echo("  window.open('comentar.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."', 'Comentar', 'width=600,height=350,top=100,left=100,status=no,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');\n");
  echo("  return false;\n");
  echo("}\n");

  echo("function OpenWindowComentario(cod_comentario)\n");
  echo("{\n");
  echo("  window.open('comentario.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&cod_comentario='+cod_comentario+'&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."', 'Comentar', 'width=600,height=350,top=100,left=100,status=no,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');\n");
  echo("  return false;\n");
  echo("}\n");

  echo("function AtualizaComp(js_tipo_comp)\n");
  echo("{\n");
  echo("  if (isNav) {\n");
  echo("    document.comp.document.form_comp.tipo_comp.value=js_tipo_comp;\n");
  echo("    document.comp.document.form_comp.cod_item.value=js_cod_item;\n");
  echo("    if (js_tipo_comp=='T') {\n");
  echo("      document.comp.document.form_comp.tipo_comp[0].checked=true;\n");
  echo("      document.comp.document.form_comp.tipo_comp[1].checked=false;\n");
  echo("      document.comp.document.form_comp.tipo_comp[2].checked=false;\n");
  echo("    } else if (js_tipo_comp=='F') {\n");
  echo("      document.comp.document.form_comp.tipo_comp[0].checked=false;\n");
  echo("      document.comp.document.form_comp.tipo_comp[1].checked=true;\n");
  echo("      document.comp.document.form_comp.tipo_comp[2].checked=false;\n");
  echo("    } else {\n");
  echo("      document.comp.document.form_comp.tipo_comp[0].checked=false;\n");
  echo("      document.comp.document.form_comp.tipo_comp[1].checked=false;\n");
  echo("      document.comp.document.form_comp.tipo_comp[2].checked=true;\n");
  echo("    }\n");
  echo("  } else {\n");
  echo("    if (isIE) {\n");
  echo("      document.form_comp.tipo_comp.value=js_tipo_comp;\n");
  echo("      document.form_comp.cod_item.value=js_cod_item;\n");
  echo("      if (js_tipo_comp=='T') {\n");
  echo("        document.form_comp.tipo_comp[0].checked=true;\n");
  echo("        document.form_comp.tipo_comp[1].checked=false;\n");
  echo("        document.form_comp.tipo_comp[2].checked=false;\n");
  echo("      } else if (js_tipo_comp=='F') {\n");
  echo("        document.form_comp.tipo_comp[0].checked=false;\n");
  echo("        document.form_comp.tipo_comp[1].checked=true;\n");
  echo("        document.form_comp.tipo_comp[2].checked=false;\n");
  echo("      } else {\n");
  echo("        document.form_comp.tipo_comp[0].checked=false;\n");
  echo("        document.form_comp.tipo_comp[1].checked=false;\n");
  echo("        document.form_comp.tipo_comp[2].checked=true;\n");
  echo("      }\n");
  echo("    }\n");
  echo("  }\n");
  echo("}\n");

  echo("</script>\n");

  echo("<body link=#0000ff vlink=#0000ff onLoad=\"Iniciar();\" onUnLoad=\"top.invisivel.location='../portfolio/saida.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."';\">\n");
  echo("\n");

  /* Pgina Principal */

/*
  if ($portfolio_grupo)
    // 3 - Portfolio de Grupo
    $cabecalho ="<b class=titulo>".RetornaFraseDaLista($lista_frases,3)."</b>\n";
  else if ($dono_portfolio)
    // 78 - Portfolio pessoal
    $cabecalho ="<b class=titulo>".RetornaFraseDaLista($lista_frases,78)."</b>\n";
  else
    // 2 - Portfolio Individual
    $cabecalho ="<b class=titulo>".RetornaFraseDaLista($lista_frases,2)."</b>\n";
*/

  // 8 - Portfolio
  $cabecalho = "<b class=titulo>".RetornaFraseDaLista($lista_frases, 8)."</b>";

  /* 73 - Ver Item do Portflio */
  $cabecalho.= "<b class=subtitulo> - ".TituloComDistincao ($acao_portfolio_s, $ferramenta_grupos_s, RetornaFraseDaLista($lista_frases, 73) )."\n";

  /* Cabecalho */
  echo(PreparaCabecalho($cod_curso,$cabecalho,15));

  $lista_topicos_ancestrais=RetornaTopicosAncestrais($sock, $cod_topico_raiz);
  unset($path);
  foreach ($lista_topicos_ancestrais as $cod => $linha)
  {
    if ($cod_topico_raiz!=$linha['cod_topico'])
    {
      $path="<a class=text href=\"portfolio.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$linha['cod_topico']."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."\">".$linha['topico']."</a> &gt;&gt; ".$path;
    }
    else
    {
      $path="<a class=text href=\"portfolio.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$linha['cod_topico']."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."\">".$linha['topico']."</a><br>\n";
    }
  }

  if ($portfolio_grupo)
  {
    $nome=NomeGrupo($sock,$cod_grupo_portfolio);

    // Selecionando qual a figura a ser exibida ao lado do nome
    $fig_portfolio = "<img src=figuras/portfolio_g_".($dono_portfolio  ? "p" : ( $portfolio_apagado ? "x" : "n") ).".gif border=0>";


    echo("<a class=text href=# onClick=return(AbreJanelaComponentes(".$cod_grupo_portfolio."));>".$fig_portfolio." ".$nome."</a><br>");
    echo("<a href=# onMouseDown=\"MostraLayer(cod_topicos,0);return(false);\"><img src=\"../figuras/estruturag.gif\" border=0></a>");
  }
  else
  {
    $nome=NomeUsuario($sock,$cod_usuario_portfolio);

    // Selecionando qual a figura a ser exibida ao lado do nome
    $fig_portfolio = "<img src=figuras/portfolio_i_".($dono_portfolio  ? "p" : ( $portfolio_apagado ? "x" : "n") ).".gif border=0>";

    echo("<a class=text href=# onClick=return(AbrePerfil(".$cod_usuario_portfolio."));>".$fig_portfolio." ".$nome."</a><br>");
    echo("<a href=# onMouseDown=\"MostraLayer(cod_topicos,0);return(false);\"><img src=\"../figuras/estrutura.gif\" border=0></a>");
  }

  echo($path);
  echo("<p>\n");

  $cod_topico_raiz_usuario=RetornaPastaRaizUsuario($sock,$cod_usuario,"");

  unset($array_params);
  $array_params['cod_topico_raiz']       = $cod_topico_raiz;
  $array_params['cod_item']              = $cod_item;
  $array_params['cod_usuario_portfolio'] = $cod_usuario_portfolio;
  $array_params['cod_grupo_portfolio']   = $cod_grupo_portfolio;

  MontaMenu($cod_curso, $acao_portfolio_s);
  
  // o tamanho da coluna 'ver outros itens' eh igual a 4, se for dono, ou a 2 se nao for
  $num_colunas = ($dono_portfolio ? 4 : 2);
  
  echo("<table border=0 width=100%>\n");
  
  echo("  <tr class=menu2>\n");
  /*
    // 69 - Atualizar
    echo("    <td align=center><a class=menu2 href=\"ver.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico_raiz."&cod_item=".$cod_item."&time=".time()."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."\"><b>".RetornaFraseDaLista($lista_frases,69)."</b></a></td>\n");
  */
  /* 70 - Ver Outros Itens */
  echo("    <td align=center colspan=".$num_colunas."><a class=menu2 href=\"portfolio.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$cod_topico_raiz."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."\"><b>".RetornaFraseDaLista($lista_frases,70)."</b></a></td>\n");

/*
  echo("  </tr>\n");
  
  echo("  <tr class=menu2>\n");
*/

  // 72 - Historico
  echo("    <td align=center><a class=menu2 href=# onClick=\"window.open('historico.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."','Historico','width=450,height=300,top=150,left=250,status=yes,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');return(false);\">".RetornaFraseDaLista ($lista_frases, 72)."</a></td>\n");
  if ($dono_portfolio)
  {
    // G 9 - Editar
    echo("    <td align=center><a class=menu2 href=editar_portfolio.php onClick=\"this.search='?".RetornaSessionID()."&origem=ver&cod_curso=".$cod_curso."&cod_topico=".$cod_topico_raiz."&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';\">".RetornaFraseDaLista ($lista_frases_geral, 9)."</a></td>\n");
    // G 1 - Apagar
    echo("    <td align=center><a class=menu2 href=portfolio.php onClick=\"this.search='?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=apagaritem&cod_item=".$cod_item."&cod_topico_raiz=".$cod_topico_raiz."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';return(TemCertezaApagar());\">".RetornaFraseDaLista ($lista_frases_geral, 1)."</a></td>\n");
    $num_colunas = 4;
  }
  // G 3 - Comentar
  echo("    <td align=center><a class=menu2 href=# OnClick=return(OpenWindowComentar());>".RetornaFraseDaLista ($lista_frases_geral, 3)."</a></td>\n");
  echo("  </tr>\n");
  echo("</table>\n");
  echo("<br>\n");

  echo("<table border=0 width=100% cellspacing=0>\n");
  echo("  <tr>\n");
  echo("    <td width=1% class=colorfield>&nbsp;</td>\n");
  /* 41 - Ttulo */
  echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,41)."</td>\n");
  /* 9 - Data */
  echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,9)."</td>\n");
  /* 119 - Compartilhar */
  echo("    <td class=colorfield align=center>".RetornaFraseDaLista($lista_frases,119)."</td>\n");
  echo("  </tr>\n");

  $linha_item=RetornaDadosDoItem($sock, $cod_item);

  if ($linha_item['tipo_compartilhamento']=="T")
  {
    /* 12 - Totalmente Compartilhado */
    $compartilhamento="<font class=text>".RetornaFraseDaLista($lista_frases,12)."</font>";
  }
  else if ($linha_item['tipo_compartilhamento']=="F")
  {
     /* 13 - Compartilhado com Formadores */
    $compartilhamento="<font class=text>".RetornaFraseDaLista($lista_frases,13)."</font>";
  }
  else
  {
    if (!$portfolio_grupo)
    {
      /* 15 - No compartilhado */
      $compartilhamento="<font class=text>".RetornaFraseDaLista($lista_frases,15)."</font>";
    }
    else
    {
      /* 14 - Compartilhado com o Grupo */
      $compartilhamento="<font class=text>".RetornaFraseDaLista($lista_frases,14)."</font>";
    }
  }

  $figura = "arquivo_";
  $figura.= ( $portfolio_grupo ? "g_" : "i_" );
  if ($portfolio_apagado)
  {
    $figura .= "x.gif";
  }
  else
  {
    if ($dono_portfolio)
    {
      $figura .= "p.gif";
    }
    else
    {
      $figura .= "n.gif";
    }
  }

  echo("  <tr>\n");
  echo("    <td><img src=\"./figuras/".$figura."\" border=0></td>\n");
  echo("    <td>\n");


/*
  ANTES: CLICAR NO TITULO DO ITEM ABRE UM LAYER COM AS OPCOES
  AGORA: AS OPCOES APARECEM COMO MENU, O TITULO EH APENAS TEXTO

  if (!EVisitante($sock,$cod_curso,$cod_usuario))
    echo("      <a class=text href=# onMouseDown=\"MostraLayer(cod_menu,0);return(false);\">".$linha_item['titulo']."</a>\n");
  else
    echo("      <font class=text>".$linha_item['titulo']."</font>\n");
*/

  echo("      <font class=text>".$linha_item['titulo']."</font>\n");

  echo("    </td>\n");
  echo("    <td align=center><font class=text>".UnixTime2DataHora($linha_item['data'])."</font></td>\n");

  if ($dono_portfolio)
    $compartilhamento="<a class=text href=# onMouseDown=\"js_cod_item=".$linha_item['cod_item'].";AtualizaComp('".$linha_item['tipo_compartilhamento']."');MostraLayer(cod_comp,140);return(false);\">".$compartilhamento."</a>";

  echo("    <td align=center>".$compartilhamento."</td>\n");
  echo("  </tr>\n");
  echo("</table>\n");

  if ($linha_item['texto']!="")
  {

    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 42 - Texto  */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,42)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");
    echo("<font class=text>".AjustaParagrafo(Enter2Br($linha_item['texto']))."</font>\n");
    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

  }

  $lista_arq=RetornaArquivosMaterialVer($cod_curso, $dir_item_temp['diretorio']);

  if (count($lista_arq)>0)
  {
    // Procuramos na lista de arquivos se existe algum visivel
    $ha_visiveis = false;

    while (( list($cod, $linha) = each($lista_arq) ) && !$ha_visiveis)
    {
      $ha_visiveis = !($linha['Status']);
    }

    if ($ha_visiveis)
    {
      echo("<table border=0 width=100% cellspacing=0>\n");
      echo("  <tr>\n");
      /* 71 - Arquivos */
      echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,71)."</td>\n");
      echo("  </tr>\n");
      echo("  <tr>\n");
      echo("    <td>\n");
  
      $dir_atual="";
  
      foreach($lista_arq as $cod => $linha)
      {
        if (!($linha['Arquivo']=="" && $linha['Diretorio']==""))
          if (!$linha['Status'])
          {
            /* Retirado, uma vez que no so exibidos os diretrios */
            /*
            $temp=explode("/",$linha['Diretorio']);
            $nivel=count($temp)-1;
            for ($c=0;$c<=$nivel;$c++)
              echo("&nbsp;&nbsp;&nbsp;");
            if ($linha['Diretorio']!="" && $linha['Arquivo']!="")
              echo("&nbsp;&nbsp;&nbsp;");
            */
            if ($linha['Arquivo']=="")
              echo("<img src=../figuras/pasta.gif border=0> ".$temp[$nivel]);
            else if (eregi(".zip$",$linha['Arquivo']))
              echo("<a class=text href=".$dir_item_temp['link'].ConverteUrl2Html($linha['Diretorio'].$linha['Arquivo'])."><img src=../figuras/arqzip.gif border=0> ".$linha['Arquivo']."</a>");
            else
              echo("<a class=text href=".$dir_item_temp['link'].$linha['Arquivo']." onclick=\"WindowOpenVer('".ConverteUrl2Html($linha['Diretorio']."/".$linha['Arquivo'])."');return(false);\"><img src=../figuras/arqp.gif border=0> ".$linha['Arquivo']."</a>");
            echo("<br>\n");
          }
      }
  
      echo("    </td>\n");
      echo("  </tr>\n");
      echo("</table>\n");
    }
  }

  $lista_url=RetornaEnderecosMaterial($sock, $cod_item);

  if (count($lista_url)>0)
  {

    echo("<table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 44 - Endereos */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,44)."</td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");

    foreach ($lista_url as $cod => $linha)
    {
      if ($linha['nome']!="")
      {
        echo("  <font class=text><a href=# onClick=\"WindowOpenVerURL('".ConverteSpace2Mais($linha['endereco'])."');return(false);\">".$linha['nome']."</a>&nbsp;&nbsp;(".$linha['endereco'].")<font><br>\n");
      }
      else
      {
        echo("  <font class=text><a href=# onClick=\"WindowOpenVerURL('".ConverteSpace2Mais($linha['endereco'])."');return(false);\">".$linha['endereco']."</a></font><br>\n");
      }
    }

    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");

  }

  $ultimo_acesso=PenultimoAcesso($sock,$cod_usuario,"");
  $lista_comentario=RetornaComentariosDoItem($sock, $cod_item);

  if (count($lista_comentario)>0)
  {

    echo("<br><table border=0 width=100% cellspacing=0>\n");
    echo("  <tr>\n");
    /* 105 - Comentrios */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,105)."</td>\n");
    /* 109 - Emissor */
    echo("    <td class=colorfield>".RetornaFraseDaLista($lista_frases,109)."</td>\n");
    echo("  </tr>\n");

    foreach ($lista_comentario as $cod => $linha)
    {
      echo("  <tr>\n");
      $bstt="";
      $bend="";
      if ($linha['data']>$ultimo_acesso)
      {
        $bstt="<b>";
        $bend="</b>";
      }
      echo("    <td>".$bstt."<a class=text href=# onClick=\"OpenWindowComentario(".$linha['cod_comentario'].")\">".RetornaFraseDaLista($lista_frases,108)." ".UnixTime2DataHora($linha['data']).$bend."</td>\n");
      echo("    <td>".$bstt."<a class=text href=# onClick=\"AbrePerfil(".$linha['cod_comentarista'].")\">".NomeUsuario($sock,$linha['cod_comentarista']).$bend."</td>\n");
      echo("  </tr>\n");
    }

    echo("</table>\n");

  }

  /* Layers */

  /* Menu */
  echo("<div id=menu class=block visibility=hidden onContextMenu=\"return(false);\">\n");
  echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
  echo("  <tr>\n");
  echo("    <td class=bgcolor align=right><a href=# onClick=\"EscondeLayers();return(false);\"><img src=../figuras/x.gif border=0 ></a></td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("      <td>\n");

  if ($portfolio_grupo && ($dono_portfolio || $eformador));
  {
    /* 72 - Histrico */
    echo("        <a class=text href=# onClick=\"window.open('historico.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."','Historico','width=450,height=300,top=150,left=250,status=yes,toolbar=no,menubar=no,resizable=yes,scrollbars=yes');EscondeLayers();return(false);\">".RetornaFraseDaLista($lista_frases,72)."</a><br>\n");
  }

  if ($dono_portfolio)
  {
    /* 9 - Editar (gen) */
    echo("        <a class=text href=editar_portfolio.php onClick=\"this.search='?".RetornaSessionID()."&origem=ver&cod_curso=".$cod_curso."&cod_topico=".$cod_topico_raiz."&cod_item=".$cod_item."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';EscondeLayers();\">".RetornaFraseDaLista($lista_frases_geral,9)."</a><br>\n");
    /* 1 - Apagar (gen) */
    echo("        <a class=text href=portfolio.php onClick=\"this.search='?".RetornaSessionID()."&cod_curso=".$cod_curso."&acao=apagaritem&cod_item=".$cod_item."&cod_topico_raiz=".$cod_topico_raiz."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio."';EscondeLayers();return(TemCertezaApagar());\">".RetornaFraseDaLista($lista_frases_geral,1)."</a><br>\n");
  }

  if (!EVisitante($sock,$cod_curso,$cod_usuario))
    if (!($status_curso=='E' && !$eformador))
      /* 3 - Comentar (gen) */
      echo("        <a class=text href=# OnClick=return(OpenWindowComentar());>".RetornaFraseDaLista($lista_frases_geral,3)."</a><br>\n");
  

  echo("      </td>\n");
  echo("  </tr>\n");
  echo("</table>\n");
  echo("</div>\n");
  echo("\n");

  /* Estrutura de Tpicos */
  echo("<div id=topicos class=block visibility=hidden onContextMenu=\"return(false);\">\n");
  echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
  echo("  <tr>\n");
  echo("    <td class=bgcolor align=right><a href=# onClick=EscondeLayers();return(false);><img src=../figuras/x.gif border=0></a></td>\n");
  echo("  </tr>\n");
  echo("  <tr>\n");
  echo("    <td>\n");
  $lista_topicos=RetornaListaDeTopicos($sock,$cod_usuario,$eformador,$cod_usuario_portfolio,$cod_grupo_portfolio);
  if (count($lista_topicos)>0)
    foreach ($lista_topicos as $cod => $linha_topico)
      echo("      ".$linha_topico['espacos']."<a class=text href=portfolio.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&cod_topico_raiz=".$linha_topico['cod_topico']."&cod_usuario_portfolio=".$cod_usuario_portfolio."&cod_grupo_portfolio=".$cod_grupo_portfolio." onClick=\"EscondeLayer(cod_topicos);\"><img src=\"../figuras/pasta.gif\" border=0>".$linha_topico['topico']."</a><br>\n");
  echo("    </td>\n");
  echo("  </tr>\n");
  echo("</table>\n");
  echo("</div>\n");

  if ($dono_portfolio)
  {
    /* Mudar Compartilhamento */
    echo("<div id=comp class=block visibility=hidden onContextMenu=\"return(false);\">\n");
    echo("<script language=JavaScript>\n");
    if (count($lista_itens)>0)
      foreach ($lista_itens as $cod => $linha_item)
      {
        echo("  js_comp[".$linha_item['cod_item']."]=\"".$linha_item['tipo_compartilhamento']."\";\n");
      }
    echo("</script>\n");
    echo("<form method=post name=form_comp action=ver.php>\n");
    echo(RetornaSessionIDInput());
    echo("  <input type=hidden name=cod_curso value=".$cod_curso.">\n");

    echo("  <input type=hidden name=cod_topico_raiz value=".$cod_topico_raiz.">\n");
    echo("  <input type=hidden name=cod_item value=".$cod_item.">\n");
    echo("  <input type=hidden name=acao value=mudarcomp>\n");
    echo("  <input type=hidden name=cod_usuario_portfolio value=".$cod_usuario_portfolio.">\n");
    echo("  <input type=hidden name=cod_grupo_portfolio value=".$cod_grupo_portfolio.">\n");
    echo("<table class=wtfield cellspacing=1 cellpadding=1 border=2>\n");
    echo("  <tr>\n");
    echo("    <td class=bgcolor align=right colspan=2><a href=# onClick=EscondeLayers();return(false);><img src=../figuras/x.gif border=0></a></td>\n");
    echo("  </tr>\n");
    echo("  <tr>\n");
    echo("    <td>\n");
    echo("      <table class=wtfield border=0>\n");
    echo("        <tr>\n");
    echo("          <td>\n");
    echo("            <input type=radio name=tipo_comp value=\"T\" class=wtfield onClick=\"submit();\">\n");
    echo("          </td>\n");
    echo("          <td>\n");
    /* 12 - Totalmente compartilhado */
    echo("            <font class=text><nobr>".RetornaFraseDaLista($lista_frases,12)."</nobr></font>\n");
    echo("          </td>\n");
    echo("        </tr>\n");
    echo("        <tr>\n");
    echo("          <td>\n");
    echo("            <input type=radio name=tipo_comp value=\"F\" class=wtfield onClick=\"submit();\">\n");
    echo("          </td>\n");
    echo("          <td>\n");
    /* 13 - Compartilhado com formadores */
    echo("            <font class=text><nobr>".RetornaFraseDaLista($lista_frases,13)."</nobr></font>\n");
    echo("          </td>\n");
    echo("        </tr>\n");
    echo("        <tr>\n");
    echo("          <td>\n");
    echo("            <input type=radio name=tipo_comp value=\"P\" class=wtfield onClick=\"submit();\">\n");
    echo("          </td>\n");
    echo("          <td>\n");
    if (!$portfolio_grupo)
      /* 15 - No compartilhado */
      echo("            <font class=text><nobr>".RetornaFraseDaLista($lista_frases,15)."</nobr></font>\n");
    else
      /* 14 - Compartilhado com o Grupo */
      echo("            <font class=text><nobr>".RetornaFraseDaLista($lista_frases,14)."</nobr></font>\n");
    echo("          </td>\n");
    echo("        </tr>\n");
  
    echo("      </table>\n");
    echo("    </td>\n");
    echo("  </tr>\n");
    echo("</table>\n");
    echo("</form>\n");
    echo("</div>\n");
  }


  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>
