<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : pagina_inicial/cadastro_aluno.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : pagina_inicial/cadastro_aluno.php
  ========================================================== */

  $bibliotecas="../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("inicial.inc");

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-3);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $dados_curso=RetornaDadosCurso($sock,$cod_curso);

  $hoje=time();
  $ontem=$hoje - 86400;

  if ($dados_curso['inscricao_fim']<$ontem)
  {
    echo("<html>\n");
    echo("  <head>\n");
    echo("    <title>TelEduc</title>\n");
    echo("  </head>\n");
    echo("  <body>\n");
    /* 100 - Esse curso j teve suas inscries encerradas. */
    echo(RetornaFraseDaLista($lista_frases,100)."<br>\n");
    echo("  </body>\n");
    echo("</html>\n");

    Desconectar($sock);
    exit();
  }

  echo("<html>\n");
  echo("<head>\n");
  echo("<title>TelEduc</title>\n");
  echo("</head>\n");

  GeraJSVerificacaoData();

  echo("<script language=JavaScript>\n");

  echo("function Cancelar()\n");
  echo("{\n");
  echo("  document.formulario.action = \"mostra_curso.php\";\n");
  echo("  document.formulario.submit();\n");
  echo("}\n");

  echo("function Voltar()\n");
  echo("{\n");
  echo("  document.formulario.action = \"inscricao.php\";\n");
  echo("  document.formulario.submit();\n");
  echo("}\n");


  echo("function verificar()\n");
  echo("{\n");
  echo("  nome_usuario = document.formulario.nome_usuario.value;\n");
  echo("  data = document.formulario.data.value;\n");
  echo("  var comprimento = data.length;\n");
  echo("  email = document.formulario.email.value;\n");
  echo("  endereco = document.formulario.endereco.value;\n");
  echo("  cidade = document.formulario.cidade.value;\n");
  echo("  estado = document.formulario.estado.value;\n");
  echo("  pais = document.formulario.pais.value;\n");
  echo("  login = document.formulario.login.value;\n");
  echo("  if (nome_usuario == '') \n");
  echo("  {\n");
  /* 102 - O campo nome no pode ser vazio. */
  echo("    alert('".RetornaFraseDaLista($lista_frases,102)."');\n");
  echo("    document.formulario.nome_usuario.focus();\n");
  echo("    return false;\n");
  echo("  }\n");
  echo("  if (data == '') \n");
  echo("  {\n");
  /* 95 - O campo data de nascimento no pode ser vazio. */
  echo("    alert('".RetornaFraseDaLista($lista_frases,95)."');\n");
  echo("    document.formulario.data.focus();\n");
  echo("    return false;\n");
  echo("  } \n");
  echo("  if (email == '') \n");
  echo("  {\n");
  /* 96 - O campo e-mail no pode ser vazio. */
  echo("    alert('".RetornaFraseDaLista($lista_frases,96)."');\n");
  echo("    document.formulario.email.focus();\n");
  echo("    return false;\n");
  echo("  }\n");
  echo("  else  \n");
  echo("  {\n");
  echo("    if (email.indexOf('@')<0)\n");
  echo("    {\n");
  /* 97 - O e-mail informado parece estar errado. Por favor verifique se voc esqueceu o sinal '@' */
  echo("      alert(\"".RetornaFraseDaLista($lista_frases,97)."\");\n");
  echo("      document.formulario.email.focus();\n");
  echo("      return false;\n");
  echo("    }\n");
  echo("    if((email.indexOf(' ')>=0)) \n");
  echo("    {\n");
  /* 98 - O e-mail informado possui espaos em branco. Por favor retire-os. */
  echo("      alert('".RetornaFraseDaLista($lista_frases,98)."');\n");
  echo("      document.formulario.email.focus();\n");
  echo("      return false;\n");
  echo("    }\n");
  echo("  }\n");
  echo("  if (endereco == '') \n");
  echo("  {\n");
  /* 103 - O campo endereo no pode ser vazio. */
  echo("    alert('".RetornaFraseDaLista($lista_frases,103)."');\n");
  echo("    document.formulario.endereco.focus();\n");
  echo("    return false;\n");
  echo("  }\n");
  echo("  if (cidade == '') \n");
  echo("  {\n");
  /* 104 - O campo cidade no pode ser vazio. */
  echo("    alert('".RetornaFraseDaLista($lista_frases,104)."');\n");
  echo("    document.formulario.cidade.focus();\n");
  echo("    return false;\n");
  echo("  }\n");
  echo("  if (estado == '') \n");
  echo("  {\n");
  /* 105 - O campo estado no pode ser vazio. */
  echo("    alert('".RetornaFraseDaLista($lista_frases,105)."');\n");
  echo("    document.formulario.estado.focus();\n");
  echo("    return false;\n");
  echo("  }\n");
  echo("  if (pais == '') \n");
  echo("  {\n");
  /* 106 - O campo pas no pode ser vazio. */
  echo("    alert('".RetornaFraseDaLista($lista_frases,106)."');\n");
  echo("    document.formulario.pais.focus();\n");
  echo("    return false;\n");
  echo("  }\n");
  echo("  if (login == '') \n");
  echo("  {\n");
  /* 99 - O campo login no pode ser vazio. */
  echo("    alert('".RetornaFraseDaLista($lista_frases,99)."');\n");
  echo("    document.formulario.login.focus();\n");
  echo("    return false;\n");
  echo("  }\n");
  echo("  else \n");
  echo("  {\n");
  echo("    if (login.search(/\s/) != -1) \n");
  echo("    {\n");
  /* 107 - O campo login no pode conter espaos. */
  echo("      alert('".RetornaFraseDaLista($lista_frases,107)."');\n");
  echo("      document.formulario.login.focus();\n");
  echo("      return false;\n");
  echo("    }\n");
  echo("  }\n");
  echo("}\n\n");
  echo("</script>\n\n");

  echo("<body onLoad='document.formulario.nome_usuario.focus();'>\n");

  echo("<P>\n");
  echo("<table width=100%><tr><td>\n");
  echo("<font face=verdana size=4>\n");

  /* Verificar qual o nome a ser exibido...*/
  /* 71 - Cadastro de Alunos do Curso*/
  echo("<b>".RetornaFraseDaLista($lista_frases,71)." \"".$dados_curso['nome_curso']."\"</b>\n");

  echo("</font>\n");
  echo("</td>\n");
  echo("<td align=right>\n");
  echo("<img src=teleducpeq.gif height=30>\n");
  echo("</td>\n");
  echo("</tr>\n");
  echo("</table>\n");
  echo("<HR>\n");

  /* 72 - Preencha por favor os campos abaixo. Os dados informados sero disponibilizados apenas para o coordenador e os formadores do curso para que estes possam considerar o seu pedido de matrcula. */
  echo("".RetornaFraseDaLista($lista_frases,72)."<BR><BR>\n");

  echo("<form name=formulario action='cadastro_aluno2.php' method=post onSubmit=return(verificar())>\n");
  echo(RetornaSessionIDInput());
  /* Passa o cdigo do curso no qual o usurio est se cadastrando */
  echo("<input type=hidden name=cod_curso value=".$cod_curso.">\n");
  /* Repassa o tipo de cursos a serem listados: em andamento, com inscries abertas ou encerrados */
  echo("<input type=hidden name=tipo_curso value=".$tipo_curso.">\n");

  echo("<table border=0 width=100%>\n");
  echo("<tr>\n");
  /* 73 - Nome: */
  echo("   <td width=1%><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,73)."</font></td>\n");
  echo("   <td width=99%><font face=Arial,Helvetica><input type=text size=30 maxlength=48 name=nome_usuario value='".$nome_usuario."'></font></td>\n");
  echo("</tr>\n");
  echo("<tr>\n");
  /* 74 - Data de Nascimento: */
  echo("   <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,74)."</font></td>\n");
  echo("   <td><font face=Arial,Helvetica><input type=text size=6 maxlength=10 name=data onChange='check=true;' onBlur='DataValida(this);' value='".Unixtime2Data($data)."'>\n");
  /* 77 - Sexo */
  echo("     &nbsp;&nbsp;&nbsp;<font face=Arial,Helvetica size=-1>".RetornaFraseDaLista($lista_frases,77)."\n");

  $checkMasc=" checked";
  $checkFemi="";

  if ($sexo=="F")
  {
    $checkMasc="";
    $checkFemi=" checked";
  }

  /* 78 - M */
  echo("     <font face=Arial,Helvetica><input type=radio".$checkMasc." name=sexo value=M>".RetornaFraseDaLista($lista_frases,78)."\n");
  /* 79 - F */
  echo("     <font face=Arial,Helvetica><input type=radio".$checkFemi." name=sexo value=F>".RetornaFraseDaLista($lista_frases,79)."</font>\n");
  echo("   </td>\n");
  echo("<tr>\n");
  echo("</tr>\n");
  echo("<tr>\n");
  /* 75 - E-mail: */
  echo("   <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,75)."</font></td>\n");
  echo("   <td><font face=Arial,Helvetica><input type=text size=30 maxlength=48 name=email value='".$email."'></font></td>\n");
  echo("</tr>\n");
  /* 76 - Telefone: */
  echo("   <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,76)."</font></td>\n");
  echo("   <td><font face=Arial,Helvetica><input type=text size=16 maxlength=25 name=telefone value='".$telefone."'></font></td>\n");
  echo("</tr>\n");
  echo("<tr>\n");
  /* 80 - Endereo: */
  echo("   <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,80)."</font></td>\n");
  echo("   <td><font face=Arial,Helvetica><input type=text size=30 maxlength=48 name=endereco value='".$endereco."'></font></td>\n");
  echo("</tr>\n");
  echo("<tr>\n");
  /* 81 - Cidade: */
  echo("   <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,81)."</font></td>\n");
  echo("   <td><font face=Arial,Helvetica><input type=text size=20 maxlength=32 name=cidade value='".$cidade."'></font></td>\n");
  echo("</tr>\n");
  echo("<tr>\n");
  /* 82 - Estado: */
  echo("   <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,82)."</font></td>\n");
  echo("   <td><font face=Arial,Helvetica><input type=text size=2 maxlength=2 name=estado value='".$estado."'></font>\n");
  /* 83 - Pas: */
  echo("     <font face=Arial,Helvetica size=-1>&nbsp;&nbsp;&nbsp;".RetornaFraseDaLista($lista_frases,83)."</font>\n");
  echo("     <font face=Arial,Helvetica><input type=text size=12 maxlength=19 name=pais value='".$pais."'></font>\n");
  echo("   </td>\n");
  echo("</tr>\n");
  echo("<tr>\n");
  /* 84 - Profisso: */
  echo("  <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,84)."</font></td>\n");
  echo("  <td><font face=Arial,Helvetica><input type=text size=20 maxlength=32 name=profissao value='".$profissao."'></font></td>\n");
  echo("<tr>\n");
  echo("<tr>\n");
  /* 85 - Local de Trabalho: */
  echo("   <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,85)."</font></td>\n");
  echo("   <td><font face=Arial,Helvetica><input type=text size=20 maxlength=32 name=local value='".$local."'></font></td>\n");
  echo("</tr>\n");
  echo("<tr>\n");
  /* 86 - Escolaridade: */
  echo("  <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,86)."</font></td>\n");
  echo("  <td>\n");

  $lista_esc=RetornaListaEscolaridade($sock);
  echo("    <select name=cod_escolaridade size=1>\n");
  foreach($lista_esc as $cod => $linha)
  {
    $complemento="";
    if ($linha['cod_escolaridade']==$cod_escolaridade)
      $complemento=" selected";
    echo("      <option value=".$linha['cod_escolaridade'].$complemento."><font face=Arial,Helvetica>".RetornaFraseDaLista($lista_frases_geral,$linha['cod_texto_escolaridade'])."</font></option>\n");
  }
  echo("    </select>\n");

  echo("  </td>\n");
  echo("</tr>\n");

  echo("<tr>\n");
  /* 87 - Informaes Adicionais: */
  echo("    <td valign=top><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,87)."</font></td>\n");
  echo("    <td><textarea wrap=soft ROWS=5 COLS=41 name=informacoes size=800>".$informacoes."</textarea></td>\n");
  echo("</tr>\n");


  /* 101 - Desejo receber uma cpia dos e-mails enviados para mim na ferramenta Correio do TelEduc no meu e-mail externo. */

  /* Rotina para tratar recebimento de e-mail externo.... Desativada por motivos de usabilidade
  echo("<tr>\n");
  echo("    <td></td>\n");

  $compl="";
  if ($email_externo=="E")
    $compl=" checked";
  echo("    <td><input type=checkbox name=email_externo value=sim".$compl."><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,101)."</font></td>\n");
  echo("</tr>\n");

  */

  echo("<tr><td colspan=2><hr width=90%></td></tr>\n");
  echo("<tr>\n");
  /* 88 - Login: */
  echo("    <td><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,88)."</font></td>\n");
  echo("    <td><font face=Arial,Helvetica><input type=text size=13 maxlength=20 name=login value='".$login."'></font></td>\n");
  echo("</tr>\n");
  echo("<tr><td colspan=2><hr width=90%></td></tr>\n");
  echo("<tr><td colspan=2 align=center><font face=Arial,Helvetica size=-1><input type=submit name=cadastrar value='".RetornaFraseDaLista($lista_frases,89)."'>\n");
  /* 23 - Voltar (ger) */
  echo("  &nbsp;&nbsp;&nbsp;<input type=button name=cmdVoltar VALUE='".RetornaFraseDaLista($lista_frases_geral,23)."' onClick='Voltar()'>\n");
  /* 2 - Cancelar (ger) */
  echo("  &nbsp;&nbsp;&nbsp;<input type=button name=cmdCancelar VALUE='".RetornaFraseDaLista($lista_frases_geral,2)."' onClick='Cancelar()'>\n");
  echo("</td></tr>\n");
  echo("</table></center>\n");
  echo("</form>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
?>