<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : pagina_inicial/importar_dados_aluno2.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : pagina_inicial/importar_dados_aluno2.php
  ========================================================== */

  $bibliotecas="../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("inicial.inc");

  $cod_usuario = VerificaAutenticacao($cod_curso);

  if ($cod_usuario != $cod_usuario_curso)
  {
    $logout_flag_s = 1;

    echo("<html>\n");
    echo("  <body onLoad='document.frmErro.submit();'>\n");
    echo("    <form method=get name=frmErro action=importar_dados_aluno2.php>\n");
    echo(RetornaSessionIDInput());
    /* Repassa o tipo de cursos a serem listados: em andamento, com inscries abertas ou encerrados */
    echo("      <input type=hidden name=tipo_curso value=".$tipo_curso.">\n");
    /* Passa o cod_curso no qual o usurio est se cadastrando */
    echo("      <input type=hidden name=cod_curso_cad value=".$cod_curso_cad.">\n");
    /* Passo o cod_curso do qual sero extrados os dados, ou repassa o cod_curso no qual */
    /* o usurio est se cadastrando para a ao de Cancelar.                             */
    echo("      <input type=hidden name=cod_curso value=".$cod_curso.">\n");

    echo("      <input type=hidden name=cod_usuario_curso value=".$cod_usuario_curso.">\n");
    echo("      <input type=hidden name=emaildados value='".$emaildados."'>\n");
    echo("      <input type=hidden name=logindados value='".$logindados."'>\n");
    echo("    </form>\n");
    echo("  </body>\n");
    echo("</html>\n");
    exit;
  }

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-3);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  /* Obtm os dados do curso no qual o usurio est se cadastrando $cod_curso_cad */
  $dados_curso_cad = RetornaDadosCurso($sock,$cod_curso_cad);
  /* Obtm os dados do curso do qual sero extrados os dados cadastrais. */
  $dados_curso = RetornaDadosCurso($sock,$cod_curso);

  /* Obtm a lista de escolaridade */
  $lista_esc=RetornaListaEscolaridade($sock);
  Desconectar($sock);

  $sock = Conectar($cod_curso);

  /* Obtm os dados cadastrais do usurio */
  $dados_usuario = RetornaCadastroUsuario($sock, $cod_usuario);


  echo("<html>\n");
  echo("  <head>\n");
  echo("    <title>TelEduc</title>\n");
  echo("  </head>\n");

  echo("  <script language=JavaScript>\n\n");

  echo("    function Cancelar()\n");
  echo("    {\n");
  echo("      document.frmCancelar.submit();\n");
  echo("    }\n\n");

  echo("    function CancelarVoltar()\n");
  echo("    {\n");
  echo("      document.frmCancelar.action = \"importar_dados_aluno.php\";\n");
  echo("      document.frmCancelar.submit();\n");
  echo("    }\n\n");
  echo("  </script>\n\n");

/*  echo("  <body onLoad='document.frmImpDados.cmdImportar.focus();'>\n"); */
  echo("  <body>\n");

  echo("    <P>\n");
  echo("    <table width=100%>\n");
  echo("      <tr>\n");
  echo("        <td>\n");
  echo("          <font face=verdana size=4><b>".RetornaFraseDaLista($lista_frases,71));
  echo(" \"".$dados_curso_cad['nome_curso']."\"</b></font>\n");
  echo("        </td>\n");
  echo("        <td align=right><img src=teleducpeq.gif height=30></td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");
  echo("    <HR>\n");

  echo("    <br>\n");
  /* 130 - Os seguinte dados foram encontrados no curso: */
  echo("    ".RetornaFraseDaLista($lista_frases,130)." <i>".$dados_curso['nome_curso']."</i>\n");
  echo("    <p>\n");

  echo("    <form name=frmCancelar method=get action='cadastro_aluno.php'>\n");
  echo(RetornaSessionIDInput());
  /* Repassa o tipo de cursos a serem listados: em andamento, com inscries abertas ou encerrados */
  echo("      <input type=hidden name=tipo_curso value=".$tipo_curso.">\n");
  /* Repassa o cdigo do curso no qual o usurio est sendo cadastrado. */
  echo("      <input type=hidden name=cod_curso value=".$cod_curso_cad.">\n");
  /* Passa o email do usuario para reconsulta em importar_dados_alunos, caso o usurio */
  /* deseje utilizar os dados pessoais cadastrados em outro curso - funo javascript  */
  /* CancelarVoltar().                                                                 */
  echo("      <input type=hidden name=emaildados value='".$emaildados."'>\n");
  echo("      <input type=hidden name=logindados value='".$logindados."'>\n");
  echo("    </form>\n");

  echo("    <form name=frmImpDados method=post action='cadastro_aluno.php'>\n");
  echo(RetornaSessionIDInput());
  /* Repassa o tipo de cursos a serem listados: em andamento, com inscries abertas ou encerrados */
  echo("      <input type=hidden name=tipo_curso value=".$tipo_curso.">\n");
  /* Repassa o cdigo do curso no qual o usurio est sendo cadastrado. */
  echo("      <input type=hidden name=cod_curso value=".$cod_curso_cad.">\n");
  /* Repassa o cdigo do curso no qual o usurio est sendo cadastrado. */
  echo("      <input type=hidden name=cod_curso value=".$cod_curso_cad.">\n");
  echo("      <input type=hidden name=nome_usuario value='".$dados_usuario['nome']."'>\n");
  echo("      <input type=hidden name=data_nasc value='".$dados_usuario['data_nasc']."'>\n");
  echo("      <input type=hidden name=sexo value='".$dados_usuario['sexo']."'>\n");
  echo("      <input type=hidden name=email value='".$dados_usuario['email']."'>\n");
  echo("      <input type=hidden name=telefone value='".$dados_usuario['telefone']."'>\n");
  echo("      <input type=hidden name=endereco value='".$dados_usuario['endereco']."'>\n");
  echo("      <input type=hidden name=cidade value='".$dados_usuario['cidade']."'>\n");
  echo("      <input type=hidden name=estado value='".$dados_usuario['estado']."'>\n");
  echo("      <input type=hidden name=pais value='".$dados_usuario['pais']."'>\n");
  echo("      <input type=hidden name=profissao value='".$dados_usuario['profissao']."'>\n");
  echo("      <input type=hidden name=local value='".$dados_usuario['local_trab']."'>\n");
  echo("      <input type=hidden name=cod_escolaridade value='".$dados_usuario['cod_escolaridade']."'>\n");
  echo("      <input type=hidden name=informacoes value='".$dados_usuario['informacoes']."'>\n");

  /* Se os cursos NO forem os mesmos, passa o login. */
  if ($cod_curso_cad != $cod_curso)
    echo("      <input type=hidden name=login value='".$dados_usuario['login']."'>\n");

  echo("      <table border=1 width=100% cellpadding=2 cellspacing=2>\n");
  echo("        <tr>\n");
  /* 73 - Nome: */
  echo("          <td width=1%><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,73)."</b></font></td>\n");
  echo("          <td width=99%><font face=Arial,Helvetica size=-1>".$dados_usuario['nome']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 74 - Data de Nascimento:: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,74)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".UnixTime2Data($dados_usuario['data_nasc'])."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 77 - Sexo: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,77)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['sexo']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 75 - E-mail: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,75)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['email']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 76 - Telefone: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,76)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['telefone']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 80 - Endereo: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,80)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['endereco']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 81 - Cidade: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,81)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['cidade']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 82 - Estado: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,82)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['estado']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 83 - Pas: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,83)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['pais']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 84 - Profisso: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,84)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['profissao']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 85 - Local de Trabalho: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,85)."</b></font></td>\n");
  echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['local_trab']."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 86 - Escolaridade: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,86)."</b></font></td>\n");

  $total_esc = count($lista_esc);
  for ($j = 0; $j < $total_esc; $j++)
  {
    if ($dados_usuario['cod_escolaridade'] == $lista_esc[$j]['cod_escolaridade'])
    {
      $cod_texto_esc = $lista_esc[$j]['cod_texto_escolaridade'];
      break;
    }
  }
  echo("          <td><font face=Arial,Helvetica size=-1>".RetornaFraseDaLista($lista_frases_geral,$cod_texto_esc)."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 87 - Informaes Adicionais: */
  echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,87)."</b></font></td>\n");
  echo("          <td>\n");
  echo("            <font face=Arial,Helvetica size=-1>".Enter2BR($dados_usuario['informacoes'])."</font>\n");
  echo("          </td>\n");
  echo("        </tr>\n");
  if ($cod_curso_cad != $cod_curso)
  {
    echo("        <tr>\n");
    /* 88 - Login: */
    echo("          <td><font face=Arial,Helvetica size=-1><b>".RetornaFraseDaLista($lista_frases,88)."</b></font></td>\n");
    echo("          <td><font face=Arial,Helvetica size=-1>".$dados_usuario['login']."</font></td>\n");
    echo("        </tr>\n");
  }
  echo("      </table>\n");
  echo("      <br>\n");
  echo("      <table border=0 width=100%>\n");
/*  echo("        <tr>\n");
  echo("          <td>&nbsp;</td>\n");
  echo("        </tr>\n");
*/
  echo("        <tr>\n");
  /* 131 - Reaproveitar dados */
  echo("          <td width=1%><input type=submit name=cmdImportar value='".RetornaFraseDaLista($lista_frases,131)."'></td>\n");
  /* 23 - Voltar (ger) */
  echo("          <td width=1%><input type=button name=cmdVoltar value=".RetornaFraseDaLista($lista_frases_geral, 23)." onClick='CancelarVoltar()'></td>\n");
  /* 2 - Cancelar (ger) */
  echo("          <td width=98%><input type=button value='".RetornaFraseDaLista($lista_frases_geral, 2));
  echo("' onClick='Cancelar();'></td>\n");
  echo("        </tr>\n");
  echo("      </table>\n");
  echo("    </form>\n");
  echo("  </body>\n");
  echo("</html>\n");

  Desconectar($sock);
?>
