<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : pagina_inicial/inscricao.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : pagina_inicial/inscricao.php
  ========================================================== */

  $bibliotecas="../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("inicial.inc");

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-3);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  $dados_curso=RetornaDadosCurso($sock,$cod_curso);

  $hoje=time();
  $ontem=$hoje - 86400;

  if ($dados_curso['inscricao_fim']<$ontem)
  {
    echo("<html>\n");
    echo("  <head>\n");
    echo("    <title>TelEduc</title>\n");
    echo("  </head>\n");
    echo("  <body>\n");
    /* 100 - Esse curso j teve suas inscries encerradas. */
    echo(RetornaFraseDaLista($lista_frases,100)."<br>\n");
    echo("  </body>\n");
    echo("</html>\n");

    Desconectar($sock);
    exit();
  }

  echo("<html>\n");
  echo("  <head>\n");
  echo("    <title>TelEduc</title>\n");
  echo("  </head>\n");

  echo("  <script language=JavaScript>\n\n");

  echo("    function Cancelar()\n");
  echo("    {\n");
  echo("      document.frmImpDados.action = \"mostra_curso.php\";\n");
  echo("      document.frmImpDados.submit();\n");
  echo("    }\n");

  echo("    function Inscrever()\n");
  echo("    {\n");
  echo("      document.frmImpDados.action = \"cadastro_aluno.php\";\n");
  echo("      document.frmImpDados.submit();\n");
  echo("    }\n\n");

  echo("    function VerificaEmail()\n");
  echo("    {\n");
  /*
  vE: 0 - OK
      3 - vazio
      4 - espaos
      5 - sem arroba
  */
  echo("      email = document.frmImpDados.emaildados.value;\n");
  echo("      if (email == '') \n");
  echo("      {\n");
  echo("        return 3;\n");
  echo("      }\n");
  echo("      if ((email.indexOf(' ')>=0)) \n");
  echo("      {\n");
  echo("        return 4;\n");
  echo("      }\n");
  echo("      if (email.indexOf('@')<0)\n");
  echo("      {\n");
  echo("        return 5;\n");
  echo("      }\n");
  echo("      return 0;\n");
  echo("    }\n");

  echo("    function VerificaLogin()\n");
  echo("    {\n");
  /*
  vL:  0 - OK
       1 - vazio
       2 - espaos
  */
  echo("      login = document.frmImpDados.logindados.value;\n");
  echo("      if (login == '') \n");
  echo("      {\n");
  echo("        return 1;\n");
  echo("      }\n");
  echo("      if (login.search(/\s/) != -1) \n");
  echo("      {\n");
  echo("        return 2;\n");
  echo("      }\n");
  echo("      return 0;\n");
  echo("    }\n\n");

  /* 118 - Ambos campos esto incorretos. */

  /* 99 - O campo login no pode ser vazio. */
  /* 107 - O campo login no pode conter espaos. */

  /* 119 - [O campo e-mail no pode ser vazio.] */
  /* 98 - O e-mail informado possui espaos em branco. Por favor retire-os. */
  /* 97 - O e-mail informado parece estar errado. Por favor verifique se voc esqueceu o sinal '@' */
  echo("    var verifica_frases = new Array(\"".RetornaFraseDaLista($lista_frases,118)."\",");
  echo("\"".RetornaFraseDaLista($lista_frases,99)."\",\"".RetornaFraseDaLista($lista_frases,107)."\",");
  echo("\"".RetornaFraseDaLista($lista_frases,119)."\",");
  echo("\"".RetornaFraseDaLista($lista_frases,98)."\",\"".RetornaFraseDaLista($lista_frases,99)."\");\n\n");

  echo("    function VerificaCampos()\n");
  echo("    {\n");
  echo("      vL = VerificaLogin();\n");
  echo("      vE = VerificaEmail();\n");

  /*
  vL:  0 - OK
       1 - vazio
       2 - espaos

  vE: 0 - OK
      3 - vazio
      4 - espaos
      5 - sem arroba
  */

  echo("       if ((vL == 0) || (vE == 0))\n");
  echo("        return true;\n");
  echo("      else\n");
  echo("      {\n");
  echo("        if (!(vE == 0) || (vL == 0))\n");
  echo("        {\n");
  echo("          alert(verifica_frases[0]);\n");
  echo("          document.frmImpDados.logindados.focus();\n");
  echo("        }\n");
  echo("        if (vL != 0)\n");
  echo("        {\n");
  echo("            alert(verifica_frases[vL]);\n");
  echo("        }\n");
  echo("        if (vE != 0)\n");
  echo("        {\n");
  echo("            alert(verifica_frases[vE]);\n");
  echo("        }\n");
  echo("      }\n");
  echo("      return false;\n");
  echo("    }\n\n");

  echo("  </script>\n\n");

  echo("  <body onLoad='document.frmImpDados.cmdInscrever.focus();'>\n");

  echo("    <P>\n");
  echo("    <table width=100%>\n");
  echo("      <tr>\n");
  echo("        <td>\n");
  echo("          <font face=verdana size=4>\n");
  /* 113 - Inscrio para o curso */
  echo("            <b>".RetornaFraseDaLista($lista_frases,113)." \"".$dados_curso['nome_curso']."\"</b>\n");
  echo("          </font>\n");
  echo("        </td>\n");
  echo("        <td align=right><img src=teleducpeq.gif height=30></td>\n");
  echo("      </tr>\n");
  echo("    </table>\n");
  echo("    <hr>\n");

  /* O mtodo para envio dos dados deve ser GET para caso o usurio no consiga autentificar */
  /* a opo de Voltar esteja disponvel (importar_dados_aluno2.php - VerificaAutentificacao) */
  echo("    <form name=frmImpDados action='importar_dados_aluno.php' method=get onSubmit=return(VerificaCampos())>\n");
  echo(RetornaSessionIDInput());
  /* Passa o cdigo do curso no qual o usurio est se cadastrando */
  echo("      <input type=hidden name=cod_curso value=".$cod_curso.">\n");
  /* Repassa o tipo de curso a ser listado: em andamento, com inscries abertas ou encerrados */
  echo("      <input type=hidden name=tipo_curso value=".$tipo_curso.">\n");

  echo("      <table border=1 width=100% cellspacing=0>\n");
  echo("        <tr>\n");
  /* 120 - Reaproveitar dados pessoais de outro curso */
  echo("          <th><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,120)."</font></th>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  /* 121 - Se voc participa/participou de algum curso e deseja utilizar seus dados pessoais nele cadastrados, preencha um ou ambos campos abaixo e selecione o boto Procurar. Sero listados apenas os cursos que possuem esse login ou e-mail cadastrados. */
  echo("          <td colspan=2><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,121)."</font></td>\n");
  echo("        </tr>\n");
  echo("        <tr><td><table border=0 width=100%>\n");
  echo("          <tr>\n");

  echo("            <td width=5%>\n");
  echo("              <table border=0 width=100%>\n");
  echo("                <tr>\n");
  /* 88 - Login: */
  echo("                  <td nowrap width=1%><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases, 88)."</font></td>\n");
  echo("                  <td nowrap width=99%><font face=Arial,Helvetica><input type=text size=30 maxlength=20 name=logindados></td>\n");
  echo("                </tr>\n");
  echo("                <tr>\n");
  /* 75 - E-mail: */
  echo("                  <td nowrap><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases, 75)."</font></td>\n");
  echo("                  <td nowrap><font face=Arial,Helvetica><input type=text size=30 maxlength=48 name=emaildados></td>\n");
  echo("                </tr>\n");
  echo("              </table>\n");
  echo("            </td>\n");
  echo("            <td width=95%>\n");
  /* 122 - Procurar */
  echo("              <input type=submit value='".RetornaFraseDaLista($lista_frases,122)."'>\n");
  echo("            </td>\n");
  echo("          </tr>\n");
  echo("        </table></td></tr>\n");
  echo("      </table>\n");
  echo("      <p><br>\n");

  echo("      <table border=1 width=100% cellspacing=0>\n");
  echo("        <tr>\n");
  /* 123 - Nova inscrio */
  echo("          <th><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,123)."</font></th>\n");
  echo("        </tr>\n");
  echo("        <tr>\n");
  echo("        <tr><td><table border=0 width=100% cellspacing=0>\n");
  echo("          <tr align=left>\n");
  /* 124 - No possuo cadastro em outro curso. */
  echo("            <td nowrap witdh=40%><font face=Arial,Helvetica size=-1>&nbsp;".RetornaFraseDaLista($lista_frases,124)."</font></td>\n");
  /* 125 - Inscrever */
  echo("            <td nowrap width=60% align=left><input type=button name=cmdInscrever value='".RetornaFraseDaLista($lista_frases,125)."' onClick='Inscrever()'></td>\n");
  echo("          </tr>\n");
  echo("        </table></td></tr>\n");
  echo("      </table>\n");
  echo("      <br>\n");
  /* 2 - Cancelar (ger) */
  echo("      <input type=button value='".RetornaFraseDaLista($lista_frases_geral, 2)."' onClick='Cancelar()'>\n");
  echo("    </form>\n");
  echo("  </body>\n");
  echo("</html>\n");

  Desconectar($sock);

?>
