<?
/*
<!--
-------------------------------------------------------------------------------

    Arquivo : pagina_inicial/mostra_curso.php

    TelEduc - Ambiente de Ensino-Aprendizagem a Distncia
    Copyright (C) 2001  NIED - Unicamp

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    You could contact us through the following addresses:

    Nied - Ncleo de Informtica Aplicada  Educao
    Unicamp - Universidade Estadual de Campinas
    Cidade Universitria "Zeferino Vaz"
    Bloco V da Reitoria - 2o. Piso
    CEP:13083-970 Campinas - SP - Brasil

    http://www.nied.unicamp.br
    nied@unicamp.br

------------------------------------------------------------------------------
-->
*/

/*==========================================================
  ARQUIVO : pagina_inicial/mostra_curso.php
  ========================================================== */

  $bibliotecas="../cursos/aplic/bibliotecas/";
  include($bibliotecas."geral.inc");
  include("inicial.inc");

  $sock=Conectar("");

  $lista_frases=RetornaListaDeFrases($sock,-3);
  $lista_frases_geral=RetornaListaDeFrases($sock,-1);

  echo("<html>\n");
  echo("<head>\n");
  echo("<title>TelEduc</title>\n");
  echo("</head>\n");

  include("teleducnav.inc");

  echo("<style>\n");
  echo(" .n{text-decoration:none;font-size:16px;font-family:Arial;color:#FFFFFF;}\n");
  echo(" .s{background:#3030FF;}\n");
  echo(" .c{background:#00009C;}\n");
  echo(" .i{background:#000034;}\n");
  echo("</style>\n");

  echo("<script language=javascript>\n");

  echo("function MontaBotao(caption,link)\n");
  echo("{\n");
  echo("  document.write('<table width=100% cellpadding=0 cellspacing=0 border=0>');\n");
  echo("  document.write('<tr><td class=s colspan=2><img src=inv.gif border=0></td><td class=s><img src=inv2.gif border=0 height=4></td></tr>');\n");
  echo("  document.write('<tr><td class=s><img src=inv.gif border=0></td><td class=c><a href='+link+' class=n><b>&nbsp;&nbsp;'+caption+'&nbsp;&nbsp;</b></a></td><td class=i><img src=inv.gif border=0></td></tr>');\n");
  echo("  document.write('<tr><td class=s><img src=inv2.gif border=0 height=4></td><td class=i colspan=2><img src=inv.gif border=0></td></tr>');\n");
  echo("  document.write('</table>\\n');\n");
  echo("}\n");
  echo("</script>\n");

  echo("<body background=bg.gif onload=navBarInit(0);>\n");

  /* 1- Aguarde enquanto o menu  carregado... */
  echo("<font face=Verdana,Arial size=-2 color=#ffffff><b>".RetornaFraseDaLista($lista_frases,1)."</b></font><br>\n");

  echo("<P>\n");
  echo("<table width=100%><tr><td>\n");
  echo("<font face=verdana size=4>\n");

  /* Verificar qual o nome a ser exibido...*/
  /* 6 - Cursos em Andamento */
  /* 7 - Cursos com inscries abertas */
  /* 8 - Cursos j oferecidos */

  if ($tipo_curso=="A")
    $tela=RetornaFraseDaLista($lista_frases,6);
  else if ($tipo_curso=="I")
    $tela=RetornaFraseDaLista($lista_frases,7);
  else
    $tela=RetornaFraseDaLista($lista_frases,8);

  echo("<b>".$tela."</b>\n");

  echo("</font>\n");
  echo("</td>\n");
  echo("<td align=right>\n");
  echo("<img src=teleducpeq.gif height=30>\n");
  echo("</td>\n");
  echo("</table>\n");
  echo("<HR>\n");

  $dados_curso=RetornaDadosCurso($sock,$cod_curso);
  Desconectar($sock);
  $sock=Conectar($cod_curso);
  $dados_email=DadosCursoParaEmail($sock);

  echo("<center>\n");
  echo("<p>\n");
  echo("<table border=0 width=95% bgcolor=#f0f0f0 bordercolor=#f0f0f0 cellpadding=1 cellspacing=3>\n");
  echo("<tr><td>\n");
  echo("<font face=Verdana,Arial color=black size=+1><b>".$dados_curso['nome_curso']."</b></font>\n");
  echo("<hr>\n");
  echo("<p align=justify><font face=Verdana,Arial><font size=-1>".$dados_curso['informacoes']."</font>\n");

  /* 60 - Pblico Alvo: */
  echo("<p><b>".RetornaFraseDaLista($lista_frases,60)."</b> <font size=-1>".$dados_curso['publico_alvo']."</font>\n");

  /* 61 - Perodo do curso: */
  /* 69 - de */
  /* 70 - a */
  echo("<p><b>".RetornaFraseDaLista($lista_frases,61)."</b> <font size=-1>".RetornaFraseDaLista($lista_frases,69)." ".UnixTime2Data($dados_curso['curso_inicio'])." ".RetornaFraseDaLista($lista_frases,70)." ".UnixTime2Data($dados_curso['curso_fim'])."</font>\n");

  /* 62 - E-mail para contato: */
  echo("<p><b>".RetornaFraseDaLista($lista_frases,62)."</b> <font size=-1><a href=mailto:".$dados_email['email'].">".$dados_email['email']."</a></font>\n");
  echo("<hr>\n");

  /* 63 - Tipo de inscrio: */
  echo("<b>".RetornaFraseDaLista($lista_frases,63)."</b> <font size=-1>".$dados_curso['tipo_inscricao']."</font><br>\n");

  $hoje=time();
  $ontem=$hoje - 86400;

  /* 64 - As inscries foram abertas no dia */
  /* 65 - e sero encerradas no dia */
  /* 66 - e foram encerradas no dia */
  echo("<br align=justify><font size=-1>".RetornaFraseDaLista($lista_frases,64)." ".UnixTime2Data($dados_curso['inscricao_inicio'])." \n");
  if ($dados_curso['inscricao_fim']>=$ontem)
  {
    echo(RetornaFraseDaLista($lista_frases,65)." ".UnixTime2Data($dados_curso['inscricao_fim'])."</font>.\n");
    /* 67 - Inscreva-se! */
    echo("<a href=inscricao.php?".RetornaSessionID()."&cod_curso=".$cod_curso."&tipo_curso=".$tipo_curso.">".RetornaFraseDaLista($lista_frases,67)."</a><br><br>\n");
  }
  else
    echo(RetornaFraseDaLista($lista_frases,66)." ".UnixTime2Data($dados_curso['inscricao_fim'])."</font>.\n");

  echo("<table cellpadding=1 cellspacing=1 border=0 width=100%>\n");

  /* 68 - Voltar para lista de cursos */
  echo("<tr><td width=99%><font face=Verdana size=-2><a href=cursos_all.php?".RetornaSessionID()."&tipo_curso=".$tipo_curso.">".RetornaFraseDaLista($lista_frases,68)."</a></font></td>\n");

  if ($dados_curso['acesso_visitante']=="A")
    /* 56 - Visitar */
    echo("<td><script language=javascript>MontaBotao('".RetornaFraseDaLista($lista_frases,56)."','../cursos/aplic/index.php?".RetornaSessionID()."&cod_curso=".$dados_curso['cod_curso']."&visitante=sim');</script></td>\n");

  echo("<td>\n");

  /* 55 - Entrar */
  echo("  <script language=javascript>MontaBotao('".RetornaFraseDaLista($lista_frases,55)."','../cursos/aplic/index.php?cod_curso=".$dados_curso['cod_curso']."');</script>\n");

  echo("</td></tr>\n");
  echo("</table>\n");

  echo("</td></tr>\n");
  echo("</table>\n");

  echo("</body>\n");
  echo("</html>\n");

  Desconectar($sock);
?>